=== modified file 'config/autorun.sh'
--- config/autorun.sh	2008-07-31 05:58:10 +0000
+++ config/autorun.sh	2008-07-31 21:36:07 +0000
@@ -105,3 +105,7 @@
 # and --force to overwrite them if they already exist
 run $AUTOMAKE $AUTOMAKE_FLAGS  || die "Can't execute automake"
 run $AUTOCONF || die "Can't execute autoconf"
+echo -n "Automade with: "
+$AUTOMAKE --version | head -1
+echo -n "Configured with: "
+$AUTOCONF --version | head -1

=== modified file 'configure.ac'
--- configure.ac	2008-07-31 18:25:59 +0000
+++ configure.ac	2008-08-01 04:35:07 +0000
@@ -303,7 +303,7 @@
   [ with_libevent=$withval ],
   [ with_libevent=yes ])
 
-if test "$withval" = "yes"
+if test "$with_libevent" = "yes"
 then
     AC_CHECK_HEADERS(event.h)
     if test "x$ac_cv_header_event_h" != "xyes"

=== modified file 'drizzled/Makefile.am'
--- drizzled/Makefile.am	2008-07-30 22:37:03 +0000
+++ drizzled/Makefile.am	2008-08-01 06:52:05 +0000
@@ -27,7 +27,7 @@
 
 SUBDIRS = field . share
 
-libexec_PROGRAMS =drizzled
+sbin_PROGRAMS =drizzled
 
 EXTRA_PROGRAMS =gen_lex_hash
 
@@ -49,9 +49,10 @@
 	      sql_select.o \
 	      sql_update.o
 
-pkginclude_HEADERS =	error.h \
-			plugin.h \
-			plugin_audit.h
+drizzledincludedir = ${includedir}/drizzled
+dist_drizzledinclude_HEADERS =	error.h \
+				plugin.h \
+				plugin_audit.h
 
 noinst_LTLIBRARIES = libhandler.la
 

=== modified file 'libdrizzle/Makefile.am'
--- libdrizzle/Makefile.am	2008-07-30 19:17:49 +0000
+++ libdrizzle/Makefile.am	2008-08-01 06:52:05 +0000
@@ -24,14 +24,15 @@
 MYSQLSHAREdir =			$(pkgdatadir)
 MYSQLBASEdir=			$(prefix)
 
-pkginclude_HEADERS =	drizzle.h \
-			drizzle_com.h \
-			drizzle_time.h \
-			errmsg.h \
-			sql_common.h
+libdrizzleincludedir = ${includedir}/libdrizzle
+dist_libdrizzleinclude_HEADERS =	drizzle.h \
+					drizzle_com.h \
+					drizzle_time.h \
+					errmsg.h \
+					sql_common.h
 
 pkglib_LTLIBRARIES = libdrizzle.la
-libdrizzle_la_SOURCES = libdrizzle.c client.c net_serv.c get_password.c
+libdrizzle_la_SOURCES = libdrizzle.c client.c local_infile.c net_serv.c get_password.c
 libdrizzle_la_LIBADD =	${sql_cmn_objects} ${sqlobjects} \
 			${top_builddir}/mysys/libmysyslt.la \
 			${top_builddir}/mystrings/libmystringslt.la \

=== modified file 'libdrizzle/drizzle.h'
--- libdrizzle/drizzle.h	2008-07-31 19:57:34 +0000
+++ libdrizzle/drizzle.h	2008-07-31 21:07:41 +0000
@@ -198,7 +198,7 @@
   unsigned char  *connector_fd;    /* ConnectorFd for SSL */
   char    *host,*user,*passwd,*unix_socket,*server_version,*host_info;
   char          *info, *db;
-  struct charset_info_st *charset;
+  const struct charset_info_st *charset;
   DRIZZLE_FIELD  *fields;
   MEM_ROOT  field_alloc;
   uint64_t affected_rows;

=== modified file 'libdrizzle/libdrizzle.c'
--- libdrizzle/libdrizzle.c	2008-07-30 23:01:38 +0000
+++ libdrizzle/libdrizzle.c	2008-07-31 21:07:41 +0000
@@ -156,7 +156,7 @@
   char buff[USERNAME_LENGTH+SCRAMBLED_PASSWORD_CHAR_LENGTH+NAME_LEN+2];
   char *end= buff;
   int rc;
-  CHARSET_INFO *saved_cs= drizzle->charset;
+  const CHARSET_INFO *saved_cs= drizzle->charset;
 
   /* Get the connection-default character set. */
 
@@ -227,251 +227,6 @@
 }
 
 
-bool handle_local_infile(DRIZZLE *drizzle, const char *net_filename)
-{
-  bool result= true;
-  uint packet_length=MY_ALIGN(drizzle->net.max_packet-16,IO_SIZE);
-  NET *net= &drizzle->net;
-  int readcount;
-  void *li_ptr;          /* pass state to local_infile functions */
-  char *buf;    /* buffer to be filled by local_infile_read */
-  struct st_drizzle_options *options= &drizzle->options;
-
-  /* check that we've got valid callback functions */
-  if (!(options->local_infile_init &&
-  options->local_infile_read &&
-  options->local_infile_end &&
-  options->local_infile_error))
-  {
-    /* if any of the functions is invalid, set the default */
-    drizzle_set_local_infile_default(drizzle);
-  }
-
-  /* copy filename into local memory and allocate read buffer */
-  if (!(buf=malloc(packet_length)))
-  {
-    set_drizzle_error(drizzle, CR_OUT_OF_MEMORY, unknown_sqlstate);
-    return(1);
-  }
-
-  /* initialize local infile (open file, usually) */
-  if ((*options->local_infile_init)(&li_ptr, net_filename,
-    options->local_infile_userdata))
-  {
-    VOID(my_net_write(net,(const uchar*) "",0)); /* Server needs one packet */
-    net_flush(net);
-    strmov(net->sqlstate, unknown_sqlstate);
-    net->last_errno=
-      (*options->local_infile_error)(li_ptr,
-                                     net->last_error,
-                                     sizeof(net->last_error)-1);
-    goto err;
-  }
-
-  /* read blocks of data from local infile callback */
-  while ((readcount =
-    (*options->local_infile_read)(li_ptr, buf,
-          packet_length)) > 0)
-  {
-    if (my_net_write(net, (uchar*) buf, readcount))
-    {
-      goto err;
-    }
-  }
-
-  /* Send empty packet to mark end of file */
-  if (my_net_write(net, (const uchar*) "", 0) || net_flush(net))
-  {
-    set_drizzle_error(drizzle, CR_SERVER_LOST, unknown_sqlstate);
-    goto err;
-  }
-
-  if (readcount < 0)
-  {
-    net->last_errno=
-      (*options->local_infile_error)(li_ptr,
-                                     net->last_error,
-                                     sizeof(net->last_error)-1);
-    goto err;
-  }
-
-  result=false;					/* Ok */
-
-err:
-  /* free up memory allocated with _init, usually */
-  (*options->local_infile_end)(li_ptr);
-  if(buf)
-    free(buf);
-  return(result);
-}
-
-
-/****************************************************************************
-  Default handlers for LOAD LOCAL INFILE
-****************************************************************************/
-
-typedef struct st_default_local_infile
-{
-  int fd;
-  int error_num;
-  const char *filename;
-  char error_msg[LOCAL_INFILE_ERROR_LEN];
-} default_local_infile_data;
-
-
-/*
-  Open file for LOAD LOCAL INFILE
-
-  SYNOPSIS
-    default_local_infile_init()
-    ptr      Store pointer to internal data here
-    filename    File name to open. This may be in unix format !
-
-
-  NOTES
-    Even if this function returns an error, the load data interface
-    guarantees that default_local_infile_end() is called.
-
-  RETURN
-    0  ok
-    1  error
-*/
-
-static int default_local_infile_init(void **ptr, const char *filename,
-             void *userdata __attribute__ ((unused)))
-{
-  default_local_infile_data *data;
-  char tmp_name[FN_REFLEN];
-
-  if (!(*ptr= data= ((default_local_infile_data *)
-		     malloc(sizeof(default_local_infile_data)))))
-    return 1; /* out of memory */
-
-  data->error_msg[0]= 0;
-  data->error_num=    0;
-  data->filename= filename;
-
-  fn_format(tmp_name, filename, "", "", MY_UNPACK_FILENAME);
-  if ((data->fd = my_open(tmp_name, O_RDONLY, MYF(0))) < 0)
-  {
-    data->error_num= my_errno;
-    snprintf(data->error_msg, sizeof(data->error_msg)-1,
-             EE(EE_FILENOTFOUND), tmp_name, data->error_num);
-    return 1;
-  }
-  return 0; /* ok */
-}
-
-
-/*
-  Read data for LOAD LOCAL INFILE
-
-  SYNOPSIS
-    default_local_infile_read()
-    ptr      Points to handle allocated by _init
-    buf      Read data here
-    buf_len    Ammount of data to read
-
-  RETURN
-    > 0    number of bytes read
-    == 0  End of data
-    < 0    Error
-*/
-
-static int default_local_infile_read(void *ptr, char *buf, uint buf_len)
-{
-  int count;
-  default_local_infile_data*data = (default_local_infile_data *) ptr;
-
-  if ((count= (int) my_read(data->fd, (uchar *) buf, buf_len, MYF(0))) < 0)
-  {
-    data->error_num= EE_READ; /* the errmsg for not entire file read */
-    snprintf(data->error_msg, sizeof(data->error_msg)-1,
-             EE(EE_READ),
-             data->filename, my_errno);
-  }
-  return count;
-}
-
-
-/*
-  Read data for LOAD LOCAL INFILE
-
-  SYNOPSIS
-    default_local_infile_end()
-    ptr      Points to handle allocated by _init
-      May be NULL if _init failed!
-
-  RETURN
-*/
-
-static void default_local_infile_end(void *ptr)
-{
-  default_local_infile_data *data= (default_local_infile_data *) ptr;
-  if (data)          /* If not error on open */
-  {
-    if (data->fd >= 0)
-      my_close(data->fd, MYF(MY_WME));
-    free(ptr);
-  }
-}
-
-
-/*
-  Return error from LOAD LOCAL INFILE
-
-  SYNOPSIS
-    default_local_infile_end()
-    ptr      Points to handle allocated by _init
-      May be NULL if _init failed!
-    error_msg    Store error text here
-    error_msg_len  Max lenght of error_msg
-
-  RETURN
-    error message number
-*/
-
-static int
-default_local_infile_error(void *ptr, char *error_msg, uint error_msg_len)
-{
-  default_local_infile_data *data = (default_local_infile_data *) ptr;
-  if (data)          /* If not error on open */
-  {
-    strmake(error_msg, data->error_msg, error_msg_len);
-    return data->error_num;
-  }
-  /* This can only happen if we got error on malloc of handle */
-  strmov(error_msg, ER(CR_OUT_OF_MEMORY));
-  return CR_OUT_OF_MEMORY;
-}
-
-
-void
-drizzle_set_local_infile_handler(DRIZZLE *drizzle,
-                               int (*local_infile_init)(void **, const char *,
-                               void *),
-                               int (*local_infile_read)(void *, char *, uint),
-                               void (*local_infile_end)(void *),
-                               int (*local_infile_error)(void *, char *, uint),
-                               void *userdata)
-{
-  drizzle->options.local_infile_init=  local_infile_init;
-  drizzle->options.local_infile_read=  local_infile_read;
-  drizzle->options.local_infile_end=   local_infile_end;
-  drizzle->options.local_infile_error= local_infile_error;
-  drizzle->options.local_infile_userdata = userdata;
-}
-
-
-void drizzle_set_local_infile_default(DRIZZLE *drizzle)
-{
-  drizzle->options.local_infile_init=  default_local_infile_init;
-  drizzle->options.local_infile_read=  default_local_infile_read;
-  drizzle->options.local_infile_end=   default_local_infile_end;
-  drizzle->options.local_infile_error= default_local_infile_error;
-}
-
-
 /**************************************************************************
   Do a query. If query returned rows, free old rows.
   Read data by drizzle_store_result or by repeat call of drizzle_fetch_row

=== added file 'libdrizzle/local_infile.c'
--- libdrizzle/local_infile.c	1970-01-01 00:00:00 +0000
+++ libdrizzle/local_infile.c	2008-07-31 21:19:50 +0000
@@ -0,0 +1,304 @@
+/* Copyright (C) 2000-2004 DRIZZLE AB
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation.
+
+   There are special exceptions to the terms and conditions of the GPL as it
+   is applied to this software. View the full text of the exception in file
+   EXCEPTIONS-CLIENT in the directory of this software distribution.
+
+   This program is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this program; if not, write to the Free Software
+   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
+
+
+#include <drizzled/global.h>
+#include <mysys/my_sys.h>
+#include "my_time.h"
+#include <mysys/mysys_err.h>
+#include <mystrings/m_string.h>
+#include <mystrings/m_ctype.h>
+#include "drizzle.h"
+#include "errmsg.h"
+#include <vio/violite.h>
+#include <sys/stat.h>
+#include <signal.h>
+#include <time.h>
+#ifdef   HAVE_PWD_H
+#include <pwd.h>
+#endif
+
+#include <sys/socket.h>
+#include <netinet/in.h>
+#include <arpa/inet.h>
+#include <netdb.h>
+#ifdef HAVE_SELECT_H
+#include <select.h>
+#endif
+#ifdef HAVE_SYS_SELECT_H
+#include <sys/select.h>
+#endif
+
+#ifdef HAVE_POLL
+#include <sys/poll.h>
+#endif
+#ifdef HAVE_SYS_UN_H
+#include <sys/un.h>
+#endif
+#ifndef INADDR_NONE
+#define INADDR_NONE  -1
+#endif
+
+#include <sql_common.h>
+#include "client_settings.h"
+
+
+bool handle_local_infile(DRIZZLE *drizzle, const char *net_filename)
+{
+  bool result= true;
+  uint packet_length=MY_ALIGN(drizzle->net.max_packet-16,IO_SIZE);
+  NET *net= &drizzle->net;
+  int readcount;
+  void *li_ptr;          /* pass state to local_infile functions */
+  char *buf;    /* buffer to be filled by local_infile_read */
+  struct st_drizzle_options *options= &drizzle->options;
+
+  /* check that we've got valid callback functions */
+  if (!(options->local_infile_init &&
+  options->local_infile_read &&
+  options->local_infile_end &&
+  options->local_infile_error))
+  {
+    /* if any of the functions is invalid, set the default */
+    drizzle_set_local_infile_default(drizzle);
+  }
+
+  /* copy filename into local memory and allocate read buffer */
+  if (!(buf=malloc(packet_length)))
+  {
+    set_drizzle_error(drizzle, CR_OUT_OF_MEMORY, unknown_sqlstate);
+    return(1);
+  }
+
+  /* initialize local infile (open file, usually) */
+  if ((*options->local_infile_init)(&li_ptr, net_filename,
+    options->local_infile_userdata))
+  {
+    VOID(my_net_write(net,(const uchar*) "",0)); /* Server needs one packet */
+    net_flush(net);
+    strmov(net->sqlstate, unknown_sqlstate);
+    net->last_errno=
+      (*options->local_infile_error)(li_ptr,
+                                     net->last_error,
+                                     sizeof(net->last_error)-1);
+    goto err;
+  }
+
+  /* read blocks of data from local infile callback */
+  while ((readcount =
+    (*options->local_infile_read)(li_ptr, buf,
+          packet_length)) > 0)
+  {
+    if (my_net_write(net, (uchar*) buf, readcount))
+    {
+      goto err;
+    }
+  }
+
+  /* Send empty packet to mark end of file */
+  if (my_net_write(net, (const uchar*) "", 0) || net_flush(net))
+  {
+    set_drizzle_error(drizzle, CR_SERVER_LOST, unknown_sqlstate);
+    goto err;
+  }
+
+  if (readcount < 0)
+  {
+    net->last_errno=
+      (*options->local_infile_error)(li_ptr,
+                                     net->last_error,
+                                     sizeof(net->last_error)-1);
+    goto err;
+  }
+
+  result=false;					/* Ok */
+
+err:
+  /* free up memory allocated with _init, usually */
+  (*options->local_infile_end)(li_ptr);
+  if(buf)
+    free(buf);
+  return(result);
+}
+
+
+/****************************************************************************
+  Default handlers for LOAD LOCAL INFILE
+****************************************************************************/
+
+typedef struct st_default_local_infile
+{
+  int fd;
+  int error_num;
+  const char *filename;
+  char error_msg[LOCAL_INFILE_ERROR_LEN];
+} default_local_infile_data;
+
+
+/*
+  Open file for LOAD LOCAL INFILE
+
+  SYNOPSIS
+    default_local_infile_init()
+    ptr      Store pointer to internal data here
+    filename    File name to open. This may be in unix format !
+
+
+  NOTES
+    Even if this function returns an error, the load data interface
+    guarantees that default_local_infile_end() is called.
+
+  RETURN
+    0  ok
+    1  error
+*/
+
+static int default_local_infile_init(void **ptr, const char *filename,
+             void *userdata __attribute__ ((unused)))
+{
+  default_local_infile_data *data;
+  char tmp_name[FN_REFLEN];
+
+  if (!(*ptr= data= ((default_local_infile_data *)
+		     malloc(sizeof(default_local_infile_data)))))
+    return 1; /* out of memory */
+
+  data->error_msg[0]= 0;
+  data->error_num=    0;
+  data->filename= filename;
+
+  fn_format(tmp_name, filename, "", "", MY_UNPACK_FILENAME);
+  if ((data->fd = my_open(tmp_name, O_RDONLY, MYF(0))) < 0)
+  {
+    data->error_num= my_errno;
+    snprintf(data->error_msg, sizeof(data->error_msg)-1,
+             EE(EE_FILENOTFOUND), tmp_name, data->error_num);
+    return 1;
+  }
+  return 0; /* ok */
+}
+
+
+/*
+  Read data for LOAD LOCAL INFILE
+
+  SYNOPSIS
+    default_local_infile_read()
+    ptr      Points to handle allocated by _init
+    buf      Read data here
+    buf_len    Ammount of data to read
+
+  RETURN
+    > 0    number of bytes read
+    == 0  End of data
+    < 0    Error
+*/
+
+static int default_local_infile_read(void *ptr, char *buf, uint buf_len)
+{
+  int count;
+  default_local_infile_data*data = (default_local_infile_data *) ptr;
+
+  if ((count= (int) my_read(data->fd, (uchar *) buf, buf_len, MYF(0))) < 0)
+  {
+    data->error_num= EE_READ; /* the errmsg for not entire file read */
+    snprintf(data->error_msg, sizeof(data->error_msg)-1,
+             EE(EE_READ),
+             data->filename, my_errno);
+  }
+  return count;
+}
+
+
+/*
+  Read data for LOAD LOCAL INFILE
+
+  SYNOPSIS
+    default_local_infile_end()
+    ptr      Points to handle allocated by _init
+      May be NULL if _init failed!
+
+  RETURN
+*/
+
+static void default_local_infile_end(void *ptr)
+{
+  default_local_infile_data *data= (default_local_infile_data *) ptr;
+  if (data)          /* If not error on open */
+  {
+    if (data->fd >= 0)
+      my_close(data->fd, MYF(MY_WME));
+    free(ptr);
+  }
+}
+
+
+/*
+  Return error from LOAD LOCAL INFILE
+
+  SYNOPSIS
+    default_local_infile_end()
+    ptr      Points to handle allocated by _init
+      May be NULL if _init failed!
+    error_msg    Store error text here
+    error_msg_len  Max lenght of error_msg
+
+  RETURN
+    error message number
+*/
+
+static int
+default_local_infile_error(void *ptr, char *error_msg, uint error_msg_len)
+{
+  default_local_infile_data *data = (default_local_infile_data *) ptr;
+  if (data)          /* If not error on open */
+  {
+    strmake(error_msg, data->error_msg, error_msg_len);
+    return data->error_num;
+  }
+  /* This can only happen if we got error on malloc of handle */
+  strmov(error_msg, ER(CR_OUT_OF_MEMORY));
+  return CR_OUT_OF_MEMORY;
+}
+
+
+void
+drizzle_set_local_infile_handler(DRIZZLE *drizzle,
+                               int (*local_infile_init)(void **, const char *,
+                               void *),
+                               int (*local_infile_read)(void *, char *, uint),
+                               void (*local_infile_end)(void *),
+                               int (*local_infile_error)(void *, char *, uint),
+                               void *userdata)
+{
+  drizzle->options.local_infile_init=  local_infile_init;
+  drizzle->options.local_infile_read=  local_infile_read;
+  drizzle->options.local_infile_end=   local_infile_end;
+  drizzle->options.local_infile_error= local_infile_error;
+  drizzle->options.local_infile_userdata = userdata;
+}
+
+
+void drizzle_set_local_infile_default(DRIZZLE *drizzle)
+{
+  drizzle->options.local_infile_init=  default_local_infile_init;
+  drizzle->options.local_infile_read=  default_local_infile_read;
+  drizzle->options.local_infile_end=   default_local_infile_end;
+  drizzle->options.local_infile_error= default_local_infile_error;
+}

=== modified file 'mystrings/Makefile.am'
--- mystrings/Makefile.am	2008-07-30 05:35:21 +0000
+++ mystrings/Makefile.am	2008-08-01 06:52:05 +0000
@@ -45,10 +45,11 @@
 endif
 endif
 
-pkginclude_HEADERS = 	decimal.h \
-			m_ctype.h \
-			m_string.h \
-			my_xml.h
+mystringsincludedir = ${includedir}/mystrings
+dist_mystringsinclude_HEADERS = 	decimal.h \
+					m_ctype.h \
+					m_string.h \
+					my_xml.h
 
 noinst_HEADERS =	my_uctype.h
 

=== modified file 'mystrings/ctype-big5.c'
--- mystrings/ctype-big5.c	2008-07-30 05:33:20 +0000
+++ mystrings/ctype-big5.c	2008-07-31 19:53:42 +0000
@@ -175,7 +175,7 @@
   (uchar) '\370',(uchar) '\371',(uchar) '\372',(uchar) '\373',(uchar) '\374',(uchar) '\375',(uchar) '\376',(uchar) '\377',
 };
 
-static uint16 big5strokexfrm(uint16 i)
+static uint16_t big5strokexfrm(uint16_t i)
 {
   if ((i == 0xA440) || (i == 0xA441))  return 0xA440;
   else if (((i >= 0xA442) && (i <= 0xA453)) || ((i >= 0xC940) && (i <= 0xC944)))  return 0xA442;
@@ -247,7 +247,7 @@
 
 /* Compare strings */
 
-static int my_strnncoll_big5(CHARSET_INFO *cs __attribute__((unused)), 
+static int my_strnncoll_big5(const CHARSET_INFO *cs __attribute__((unused)), 
 			     const uchar *a, size_t a_length,
                              const uchar *b, size_t b_length,
                              my_bool b_is_prefix)
@@ -260,7 +260,7 @@
 
 /* compare strings, ignore end space */
 
-static int my_strnncollsp_big5(CHARSET_INFO * cs __attribute__((unused)), 
+static int my_strnncollsp_big5(const CHARSET_INFO * cs __attribute__((unused)), 
 			       const uchar *a, size_t a_length, 
 			       const uchar *b, size_t b_length,
                                my_bool diff_if_only_endspace_difference)
@@ -301,7 +301,7 @@
 
 
 static size_t
-my_strnxfrm_big5(CHARSET_INFO *cs,
+my_strnxfrm_big5(const CHARSET_INFO *cs,
                  uchar *dst, size_t dstlen, uint nweights,
                  const uchar *src, size_t srclen, uint flags)
 {
@@ -319,7 +319,7 @@
         in the code below, because ismbchar() would
         not return TRUE if src was too short
       */
-      uint16 e= big5strokexfrm((uint16) big5code(*src, *(src + 1)));
+      uint16_t e= big5strokexfrm((uint16_t) big5code(*src, *(src + 1)));
       *dst++= big5head(e);
       if (dst < de)
         *dst++= big5tail(e);
@@ -351,9 +351,9 @@
 
 #define max_sort_char ((char) 255)
 
-static my_bool my_like_range_big5(CHARSET_INFO *cs __attribute__((unused)),
+static my_bool my_like_range_big5(const CHARSET_INFO *cs __attribute__((unused)),
 				  const char *ptr,size_t ptr_length,
-				  pbool escape, pbool w_one, pbool w_many,
+				  char escape, char w_one, char w_many,
 				  size_t res_length,
                                   char *min_str, char *max_str,
 				  size_t *min_length, size_t *max_length)
@@ -412,21 +412,21 @@
 }
 
 
-static uint ismbchar_big5(CHARSET_INFO *cs __attribute__((unused)),
+static uint ismbchar_big5(const CHARSET_INFO *cs __attribute__((unused)),
                          const char* p, const char *e)
 {
   return (isbig5head(*(p)) && (e)-(p)>1 && isbig5tail(*((p)+1))? 2: 0);
 }
 
 
-static uint mbcharlen_big5(CHARSET_INFO *cs __attribute__((unused)), uint c)
+static uint mbcharlen_big5(const CHARSET_INFO *cs __attribute__((unused)), uint c)
 {
   return (isbig5head(c)? 2 : 1);
 }
 
 
 /* page 0 0xA140-0xC7FC */
-static uint16 tab_big5_uni0[]={
+static uint16_t tab_big5_uni0[]={
 0x3000,0xFF0C,0x3001,0x3002,0xFF0E,0x2022,0xFF1B,0xFF1A,
 0xFF1F,0xFF01,0xFE30,0x2026,0x2025,0xFE50,0xFF64,0xFE52,
 0x00B7,0xFE54,0xFE55,0xFE56,0xFE57,0xFF5C,0x2013,0xFE31,
@@ -1669,7 +1669,7 @@
 0x2479,0x247A,0x247B,0x247C,0x247D};
 
 /* page 1 0xC940-0xF9DC */
-static uint16 tab_big5_uni1[]={
+static uint16_t tab_big5_uni1[]={
 0x4E42,0x4E5C,0x51F5,0x531A,0x5382,0x4E07,0x4E0C,0x4E47,
 0x4E8D,0x56D7,0xFA0C,0x5C6E,0x5F73,0x4E0F,0x5187,0x4E0E,
 0x4E2E,0x4E93,0x4EC2,0x4EC9,0x4EC8,0x5198,0x52FC,0x536C,
@@ -3237,7 +3237,7 @@
 
 
 /* page 0 0x00A2-0x00F7 */
-static uint16 tab_uni_big50[]={
+static uint16_t tab_uni_big50[]={
 0xA246,0xA247,     0,0xA244,     0,0xA1B1,     0,     0,
      0,     0,     0,     0,     0,     0,0xA258,0xA1D3,
      0,     0,     0,     0,     0,0xA150,     0,     0,
@@ -3251,7 +3251,7 @@
      0,     0,     0,     0,     0,0xA1D2};
 
 /* page 1 0x02C7-0x0451 */
-static uint16 tab_uni_big51[]={
+static uint16_t tab_uni_big51[]={
 0xA3BE,     0,0xA3BC,0xA3BD,0xA3BF,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
      0,     0,0xA3BB,     0,     0,     0,     0,     0,
@@ -3304,7 +3304,7 @@
 0xC7E8,     0,0xC7CE};
 
 /* page 2 0x2013-0x22BF */
-static uint16 tab_uni_big52[]={
+static uint16_t tab_uni_big52[]={
 0xA156,0xA158,     0,     0,     0,0xA1A5,0xA1A6,     0,
      0,0xA1A7,0xA1A8,     0,     0,     0,     0,0xA145,
      0,     0,0xA14C,0xA14B,     0,     0,     0,     0,
@@ -3393,7 +3393,7 @@
      0,     0,     0,     0,0xA1E9};
 
 /* page 3 0x2460-0x2642 */
-static uint16 tab_uni_big53[]={
+static uint16_t tab_uni_big53[]={
 0xC7E9,0xC7EA,0xC7EB,0xC7EC,0xC7ED,0xC7EE,0xC7EF,0xC7F0,
 0xC7F1,0xC7F2,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,0xC7F3,0xC7F4,0xC7F5,0xC7F6,
@@ -3457,7 +3457,7 @@
 0xA1F0,0xA1F2,0xA1F1};
 
 /* page 4 0x3000-0x3129 */
-static uint16 tab_uni_big54[]={
+static uint16_t tab_uni_big54[]={
 0xA140,0xA142,0xA143,0xA1B2,     0,0xC6A4,     0,     0,
 0xA171,0xA172,0xA16D,0xA16E,0xA175,0xA176,0xA179,0xA17A,
 0xA169,0xA16A,0xA245,     0,0xA165,0xA166,     0,     0,
@@ -3498,11 +3498,11 @@
 0xA3B9,0xA3BA};
 
 /* page 5 0x32A3-0x32A3 */
-static uint16 tab_uni_big55[]={
+static uint16_t tab_uni_big55[]={
 0xA1C0};
 
 /* page 6 0x338E-0x33D5 */
-static uint16 tab_uni_big56[]={
+static uint16_t tab_uni_big56[]={
 0xA255,0xA256,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,0xA250,0xA251,
 0xA252,     0,     0,0xA254,     0,     0,     0,     0,
@@ -3515,7 +3515,7 @@
 };
 
 /* page 7 0x4E00-0x9483 */
-static uint16 tab_uni_big57[]={
+static uint16_t tab_uni_big57[]={
 0xA440,0xA442,     0,0xA443,     0,     0,     0,0xC945,
 0xA456,0xA454,0xA457,0xA455,0xC946,0xA4A3,0xC94F,0xC94D,
 0xA4A2,0xA4A1,     0,     0,0xA542,0xA541,0xA540,     0,
@@ -5775,7 +5775,7 @@
 0xF9C0,0xF9C1,0xF9BF,0xF9C9};
 
 /* page 8 0x9577-0x9FA4 */
-static uint16 tab_uni_big58[]={
+static uint16_t tab_uni_big58[]={
 0xAAF8,     0,     0,0xD844,0xDC78,0xE8A5,0xF376,     0,
      0,0xAAF9,     0,0xADAC,0xB07B,     0,     0,0xD845,
      0,0xD846,0xB3AC,     0,0xB67D,0xDC7A,0xDC79,0xB6A3,
@@ -6104,11 +6104,11 @@
      0,0xEFB6,     0,0xF7CF,     0,0xF9A1};
 
 /* page 9 0xFA0C-0xFA0D */
-static uint16 tab_uni_big59[]={
+static uint16_t tab_uni_big59[]={
 0xC94A,0xDDFC};
 
 /* page 10 0xFE30-0xFFFD */
-static uint16 tab_uni_big510[]={
+static uint16_t tab_uni_big510[]={
 0xA14A,0xA157,     0,0xA159,0xA15B,0xA15F,0xA160,0xA163,
 0xA164,0xA167,0xA168,0xA16B,0xA16C,0xA16F,0xA170,0xA173,
 0xA174,0xA177,0xA178,0xA17B,0xA17C,     0,     0,     0,
@@ -6196,7 +6196,7 @@
 
 
 static int
-my_wc_mb_big5(CHARSET_INFO *cs __attribute__((unused)),
+my_wc_mb_big5(const CHARSET_INFO *cs __attribute__((unused)),
 	      my_wc_t wc, uchar *s, uchar *e)
 {
 
@@ -6225,7 +6225,7 @@
 
 
 static int 
-my_mb_wc_big5(CHARSET_INFO *cs __attribute__((unused)),
+my_mb_wc_big5(const CHARSET_INFO *cs __attribute__((unused)),
 	      my_wc_t *pwc,const uchar *s,const uchar *e)
 {
 
@@ -6255,7 +6255,7 @@
   CP950 and HKSCS additional characters are also accepted.
 */
 static
-size_t my_well_formed_len_big5(CHARSET_INFO *cs __attribute__((unused)),
+size_t my_well_formed_len_big5(const CHARSET_INFO *cs __attribute__((unused)),
                                const char *b, const char *e,
                                size_t pos, int *error)
 {

=== modified file 'mystrings/ctype-bin.c'
--- mystrings/ctype-bin.c	2008-07-30 05:33:20 +0000
+++ mystrings/ctype-bin.c	2008-07-31 19:53:42 +0000
@@ -74,7 +74,7 @@
   return false;
 }
 
-static int my_strnncoll_binary(CHARSET_INFO * cs __attribute__((unused)),
+static int my_strnncoll_binary(const CHARSET_INFO * cs __attribute__((unused)),
                                const uchar *s, size_t slen,
                                const uchar *t, size_t tlen,
                                my_bool t_is_prefix)
@@ -85,7 +85,7 @@
 }
 
 
-static size_t my_lengthsp_binary(CHARSET_INFO *cs __attribute__((unused)),
+static size_t my_lengthsp_binary(const CHARSET_INFO *cs __attribute__((unused)),
                                  const char *ptr __attribute__((unused)),
                                  size_t length)
 {
@@ -115,7 +115,7 @@
   > 0	s > t
 */
 
-static int my_strnncollsp_binary(CHARSET_INFO * cs __attribute__((unused)),
+static int my_strnncollsp_binary(const CHARSET_INFO * cs __attribute__((unused)),
                                  const uchar *s, size_t slen,
                                  const uchar *t, size_t tlen,
                                  my_bool diff_if_only_endspace_difference
@@ -125,7 +125,7 @@
 }
 
 
-static int my_strnncoll_8bit_bin(CHARSET_INFO * cs __attribute__((unused)),
+static int my_strnncoll_8bit_bin(const CHARSET_INFO * cs __attribute__((unused)),
                                  const uchar *s, size_t slen,
                                  const uchar *t, size_t tlen,
                                  my_bool t_is_prefix)
@@ -161,7 +161,7 @@
   > 0	s > t
 */
 
-static int my_strnncollsp_8bit_bin(CHARSET_INFO * cs __attribute__((unused)),
+static int my_strnncollsp_8bit_bin(const CHARSET_INFO * cs __attribute__((unused)),
                                    const uchar *a, size_t a_length, 
                                    const uchar *b, size_t b_length,
                                    my_bool diff_if_only_endspace_difference)
@@ -210,14 +210,14 @@
 
 /* This function is used for all conversion functions */
 
-static size_t my_case_str_bin(CHARSET_INFO *cs __attribute__((unused)),
+static size_t my_case_str_bin(const CHARSET_INFO *cs __attribute__((unused)),
                               char *str __attribute__((unused)))
 {
   return 0;
 }
 
 
-static size_t my_case_bin(CHARSET_INFO *cs __attribute__((unused)),
+static size_t my_case_bin(const CHARSET_INFO *cs __attribute__((unused)),
                           char *src __attribute__((unused)),
                           size_t srclen,
                           char *dst __attribute__((unused)),
@@ -227,21 +227,21 @@
 }
 
 
-static int my_strcasecmp_bin(CHARSET_INFO * cs __attribute__((unused)),
+static int my_strcasecmp_bin(const CHARSET_INFO * cs __attribute__((unused)),
 			     const char *s, const char *t)
 {
   return strcmp(s,t);
 }
 
 
-uint my_mbcharlen_8bit(CHARSET_INFO *cs __attribute__((unused)),
+uint my_mbcharlen_8bit(const CHARSET_INFO *cs __attribute__((unused)),
                       uint c __attribute__((unused)))
 {
   return 1;
 }
 
 
-static int my_mb_wc_bin(CHARSET_INFO *cs __attribute__((unused)),
+static int my_mb_wc_bin(const CHARSET_INFO *cs __attribute__((unused)),
 			my_wc_t *wc,
 			const uchar *str,
 			const uchar *end __attribute__((unused)))
@@ -254,7 +254,7 @@
 }
 
 
-static int my_wc_mb_bin(CHARSET_INFO *cs __attribute__((unused)),
+static int my_wc_mb_bin(const CHARSET_INFO *cs __attribute__((unused)),
 			my_wc_t wc,
 			uchar *s,
 			uchar *e __attribute__((unused)))
@@ -271,7 +271,7 @@
 }
 
 
-static void my_hash_sort_8bit_bin(CHARSET_INFO *cs __attribute__((unused)),
+static void my_hash_sort_8bit_bin(const CHARSET_INFO *cs __attribute__((unused)),
                                   const uchar *key, size_t len,
                                   ulong *nr1, ulong *nr2)
 {
@@ -292,7 +292,7 @@
 }
 
 
-static void my_hash_sort_bin(CHARSET_INFO *cs __attribute__((unused)),
+static void my_hash_sort_bin(const CHARSET_INFO *cs __attribute__((unused)),
                              const uchar *key, size_t len,
                              ulong *nr1, ulong *nr2)
 {
@@ -318,7 +318,7 @@
 #define INC_PTR(cs,A,B) (A)++
 
 
-int my_wildcmp_bin(CHARSET_INFO *cs,
+int my_wildcmp_bin(const CHARSET_INFO *cs,
                    const char *str,const char *str_end,
                    const char *wildstr,const char *wildend,
                    int escape, int w_one, int w_many)
@@ -397,7 +397,7 @@
 
 
 static size_t
-my_strnxfrm_8bit_bin(CHARSET_INFO *cs,
+my_strnxfrm_8bit_bin(const CHARSET_INFO *cs,
                      uchar * dst, size_t dstlen, uint nweights,
                      const uchar *src, size_t srclen, uint flags)
 {
@@ -411,7 +411,7 @@
 
 
 static
-uint my_instr_bin(CHARSET_INFO *cs __attribute__((unused)),
+uint my_instr_bin(const CHARSET_INFO *cs __attribute__((unused)),
 		  const char *b, size_t b_length,
 		  const char *s, size_t s_length,
 		  my_match_t *match, uint nmatch)

=== modified file 'mystrings/ctype-cp932.c'
--- mystrings/ctype-cp932.c	2008-07-30 05:33:20 +0000
+++ mystrings/ctype-cp932.c	2008-07-31 19:53:42 +0000
@@ -181,13 +181,13 @@
                        (0x80<=(c) && (c)<=0xfc))
 
 
-static uint ismbchar_cp932(CHARSET_INFO *cs __attribute__((unused)),
+static uint ismbchar_cp932(const CHARSET_INFO *cs __attribute__((unused)),
 			 const char* p, const char *e)
 {
   return (iscp932head((uchar) *p) && (e-p)>1 && iscp932tail((uchar)p[1]) ? 2: 0);
 }
 
-static uint mbcharlen_cp932(CHARSET_INFO *cs __attribute__((unused)),uint c)
+static uint mbcharlen_cp932(const CHARSET_INFO *cs __attribute__((unused)),uint c)
 {
   return (iscp932head((uchar) c) ? 2 : 1);
 }
@@ -196,7 +196,7 @@
 #define cp932code(c,d)	((((uint) (uchar)(c)) << 8) | (uint) (uchar) (d))
 
 
-static int my_strnncoll_cp932_internal(CHARSET_INFO *cs,
+static int my_strnncoll_cp932_internal(const CHARSET_INFO *cs,
 				      const uchar **a_res, size_t a_length,
 				      const uchar **b_res, size_t b_length)
 {
@@ -228,7 +228,7 @@
 }
 
 
-static int my_strnncoll_cp932(CHARSET_INFO *cs __attribute__((unused)),
+static int my_strnncoll_cp932(const CHARSET_INFO *cs __attribute__((unused)),
 			      const uchar *a, size_t a_length, 
 			      const uchar *b, size_t b_length,
                               my_bool b_is_prefix)
@@ -240,7 +240,7 @@
 }
 
 
-static int my_strnncollsp_cp932(CHARSET_INFO *cs __attribute__((unused)),
+static int my_strnncollsp_cp932(const CHARSET_INFO *cs __attribute__((unused)),
                                 const uchar *a, size_t a_length, 
                                 const uchar *b, size_t b_length,
                                 my_bool diff_if_only_endspace_difference
@@ -300,9 +300,9 @@
 
 #define max_sort_char ((char) 255)
 
-static my_bool my_like_range_cp932(CHARSET_INFO *cs __attribute__((unused)),
+static my_bool my_like_range_cp932(const CHARSET_INFO *cs __attribute__((unused)),
                                    const char *ptr,size_t ptr_length,
-                                   pbool escape, pbool w_one, pbool w_many,
+                                   char escape, char w_one, char w_many,
                                    size_t res_length,
                                    char *min_str,char *max_str,
                                    size_t *min_length, size_t *max_length)
@@ -352,7 +352,7 @@
 }
 
 /* page 0 0x00A1-0x00DF */
-static uint16 tab_cp932_uni0[]={
+static uint16_t tab_cp932_uni0[]={
 0xFF61,0xFF62,0xFF63,0xFF64,0xFF65,0xFF66,0xFF67,0xFF68,
 0xFF69,0xFF6A,0xFF6B,0xFF6C,0xFF6D,0xFF6E,0xFF6F,0xFF70,
 0xFF71,0xFF72,0xFF73,0xFF74,0xFF75,0xFF76,0xFF77,0xFF78,
@@ -363,7 +363,7 @@
 0xFF99,0xFF9A,0xFF9B,0xFF9C,0xFF9D,0xFF9E,0xFF9F};
 
 /* page 1 0x8140-0x84BE */
-static uint16 tab_cp932_uni1[]={
+static uint16_t tab_cp932_uni1[]={
 0x3000,0x3001,0x3002,0xFF0C,0xFF0E,0x30FB,0xFF1A,0xFF1B,
 0xFF1F,0xFF01,0x309B,0x309C,0x00B4,0xFF40,0x00A8,0xFF3E,
 0xFFE3,0xFF3F,0x30FD,0x30FE,0x309D,0x309E,0x3003,0x4EDD,
@@ -478,7 +478,7 @@
 0x2537,0x253F,0x251D,0x2530,0x2525,0x2538,0x2542};
 
 /* page 2 0x8740-0x879C - NEC Row 13 */
-static uint16 tab_cp932_uni2[]={
+static uint16_t tab_cp932_uni2[]={
 0x2460,0x2461,0x2462,0x2463,0x2464,0x2465,0x2466,0x2467,
 0x2468,0x2469,0x246A,0x246B,0x246C,0x246D,0x246E,0x246F,
 0x2470,0x2471,0x2472,0x2473,0x2160,0x2161,0x2162,0x2163,
@@ -493,7 +493,7 @@
 0x221F,0x22BF,0x2235,0x2229,0x222A};
 
 /* page 3 0x889F-0x9FFC */
-static uint16 tab_cp932_uni3[]={
+static uint16_t tab_cp932_uni3[]={
 0x4E9C,0x5516,0x5A03,0x963F,0x54C0,0x611B,0x6328,0x59F6,
 0x9022,0x8475,0x831C,0x7A50,0x60AA,0x63E1,0x6E25,0x65ED,
 0x8466,0x82A6,0x9BF5,0x6893,0x5727,0x65A1,0x6271,0x5B9B,
@@ -1244,7 +1244,7 @@
 0x6F3F,0x6EF2,0x6F31,0x6EEF,0x6F32,0x6ECC};
 
 /* page 4 0xE040-0xEAA4 */
-static uint16 tab_cp932_uni4[]={
+static uint16_t tab_cp932_uni4[]={
 0x6F3E,0x6F13,0x6EF7,0x6F86,0x6F7A,0x6F78,0x6F81,0x6F80,
 0x6F6F,0x6F5B,0x6FF3,0x6F6D,0x6F82,0x6F7C,0x6F58,0x6F8E,
 0x6F91,0x6FC2,0x6F66,0x6FB3,0x6FA3,0x6FA1,0x6FA4,0x6FB9,
@@ -1581,7 +1581,7 @@
 
 /* page 5 0xED40-0xEEFC -
 IBM Selected Kanji and Non-Kanji(NEC implementation) */
-static uint16 tab_cp932_uni5[]={
+static uint16_t tab_cp932_uni5[]={
 0x7E8A,0x891C,0x9348,0x9288,0x84DC,0x4FC9,0x70BB,0x6631,
 0x68C8,0x92F9,0x66FB,0x5F45,0x4E28,0x4EE1,0x4EFC,0x4F00,
 0x4F03,0x4F39,0x4F56,0x4F92,0x4F8A,0x4F9A,0x4F94,0x4FCD,
@@ -1640,7 +1640,7 @@
 0x2179,0xFFE2,0xFFE4,0xFF07,0xFF02};
 
 /* page 6 0xF040-0xF9FC - User defined characters */
-static uint16 tab_cp932_uni6[]={
+static uint16_t tab_cp932_uni6[]={
 0xE000,0xE001,0xE002,0xE003,0xE004,0xE005,0xE006,0xE007,
 0xE008,0xE009,0xE00A,0xE00B,0xE00C,0xE00D,0xE00E,0xE00F,
 0xE010,0xE011,0xE012,0xE013,0xE014,0xE015,0xE016,0xE017,
@@ -1956,7 +1956,7 @@
 
 /* page 7 0xFA40-0xFC4B -
 IBM Selected Kanji and Non-Kanji */
-static uint16 tab_cp932_uni7[]={
+static uint16_t tab_cp932_uni7[]={
 0x2170,0x2171,0x2172,0x2173,0x2174,0x2175,0x2176,0x2177,
 0x2178,0x2179,0x2160,0x2161,0x2162,0x2163,0x2164,0x2165,
 0x2166,0x2167,0x2168,0x2169,0xFFE2,0xFFE4,0xFF07,0xFF02,
@@ -2045,7 +2045,7 @@
 }
 
 /* page 0 0x005C-0x00F7 */
-static uint16 tab_uni_cp9320[]={
+static uint16_t tab_uni_cp9320[]={
      0,     0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
@@ -2068,7 +2068,7 @@
      0,     0,     0,0x8180};
 
 /* page 1 0x0391-0x0451 */
-static uint16 tab_uni_cp9321[]={
+static uint16_t tab_uni_cp9321[]={
 0x839F,0x83A0,0x83A1,0x83A2,0x83A3,0x83A4,0x83A5,0x83A6,
 0x83A7,0x83A8,0x83A9,0x83AA,0x83AB,0x83AC,0x83AD,0x83AE,
 0x83AF,     0,0x83B0,0x83B1,0x83B2,0x83B3,0x83B4,0x83B5,
@@ -2096,7 +2096,7 @@
 0x8476};
 
 /* page 2 0x2010-0x2473 */
-static uint16 tab_uni_cp9322[]={
+static uint16_t tab_uni_cp9322[]={
 0x815D,     0,     0,     0,     0,0x815C,     0,     0,
 0x8165,0x8166,     0,     0,0x8167,0x8168,     0,     0,
 0x81F5,0x81F6,     0,     0,     0,0x8164,0x8163,     0,
@@ -2240,7 +2240,7 @@
 0x8750,0x8751,0x8752,0x8753};
 
 /* page 3 0x2500-0x266F */
-static uint16 tab_uni_cp9323[]={
+static uint16_t tab_uni_cp9323[]={
 0x849F,0x84AA,0x84A0,0x84AB,     0,     0,     0,     0,
      0,     0,     0,     0,0x84A1,     0,     0,0x84AC,
 0x84A2,     0,     0,0x84AD,0x84A4,     0,     0,0x84AF,
@@ -2290,7 +2290,7 @@
 };
 
 /* page 4 0x3000-0x30FE */
-static uint16 tab_uni_cp9324[]={
+static uint16_t tab_uni_cp9324[]={
 0x8140,0x8141,0x8142,0x8156,     0,0x8158,0x8159,0x815A,
 0x8171,0x8172,0x8173,0x8174,0x8175,0x8176,0x8177,0x8178,
 0x8179,0x817A,0x81A7,0x81AC,0x816B,0x816C,     0,     0,
@@ -2325,7 +2325,7 @@
      0,     0,     0,0x8145,0x815B,0x8152,0x8153};
 
 /* page 5 0x3230-0x33CD */
-static uint16 tab_uni_cp9325[]={
+static uint16_t tab_uni_cp9325[]={
      0,0x878A,0x878B,     0,     0,     0,     0,     0,
      0,0x878C,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
@@ -2380,7 +2380,7 @@
      0,     0,     0,     0,     0,0x8783};
 
 /* page 6 0x4E00-0x9481 */
-static uint16 tab_uni_cp9326[]={
+static uint16_t tab_uni_cp9326[]={
 0x88EA,0x929A,     0,0x8EB5,     0,     0,     0,0x969C,
 0x8FE4,0x8E4F,0x8FE3,0x89BA,     0,0x9573,0x975E,     0,
 0x98A0,0x894E,     0,     0,0x8A8E,0x98A1,0x90A2,0x99C0,
@@ -4640,7 +4640,7 @@
      0,0xE876};
 
 /* page 7 0x9577-0x9FA0 */
-static uint16 tab_uni_cp9327[]={
+static uint16_t tab_uni_cp9327[]={
 0x92B7,     0,     0,     0,     0,     0,     0,     0,
      0,0x96E5,     0,0xE878,0x914D,     0,     0,     0,
 0xE879,     0,0x95C2,0xE87A,0x8A4A,     0,     0,     0,
@@ -4969,7 +4969,7 @@
      0,0xEA9E};
 
 /* page 8 0xE000-0xE757 - User defined characters */
-static uint16 tab_uni_cp9328[]={
+static uint16_t tab_uni_cp9328[]={
 0xF040,0xF041,0xF042,0xF043,0xF044,0xF045,0xF046,0xF047,
 0xF048,0xF049,0xF04A,0xF04B,0xF04C,0xF04D,0xF04E,0xF04F,
 0xF050,0xF051,0xF052,0xF053,0xF054,0xF055,0xF056,0xF057,
@@ -5207,7 +5207,7 @@
 0xF9F5,0xF9F6,0xF9F7,0xF9F8,0xF9F9,0xF9FA,0xF9FB,0xF9FC};
 
 /* page 9 0xF920-0xFA2D */
-static uint16 tab_uni_cp9329[]={
+static uint16_t tab_uni_cp9329[]={
      0,     0,     0,     0,     0,     0,     0,     0,
      0,0xFAE0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
@@ -5244,7 +5244,7 @@
 0xFBDA,0xFBEA,0xFBF6,0xFBF7,0xFBF9,0xFC49};
 
 /* page 10 0xFF01-0xFFE5 */
-static uint16 tab_uni_cp93210[]={
+static uint16_t tab_uni_cp93210[]={
 0x8149,0xFA57,0x8194,0x8190,0x8193,0x8195,0xFA56,0x8169,
 0x816A,0x8196,0x817B,0x8143,0x817C,0x8144,0x815E,0x824F,
 0x8250,0x8251,0x8252,0x8253,0x8254,0x8255,0x8256,0x8257,
@@ -5303,7 +5303,7 @@
 
 
 static int
-my_wc_mb_cp932(CHARSET_INFO *cs  __attribute__((unused)),
+my_wc_mb_cp932(const CHARSET_INFO *cs  __attribute__((unused)),
 	      my_wc_t wc, uchar *s, uchar *e)
 {
   int code;
@@ -5333,7 +5333,7 @@
 
 
 static int 
-my_mb_wc_cp932(CHARSET_INFO *cs  __attribute__((unused)),
+my_mb_wc_cp932(const CHARSET_INFO *cs  __attribute__((unused)),
 	      my_wc_t *pwc, const uchar *s, const uchar *e){
   int hi;
   
@@ -5362,7 +5362,7 @@
 }
 
 static
-size_t my_numcells_cp932(CHARSET_INFO *cs __attribute__((unused)),
+size_t my_numcells_cp932(const CHARSET_INFO *cs __attribute__((unused)),
                       const char *str, const char *str_end)
 {
   size_t clen= 0;
@@ -5396,7 +5396,7 @@
 */
 
 static
-size_t my_well_formed_len_cp932(CHARSET_INFO *cs __attribute__((unused)),
+size_t my_well_formed_len_cp932(const CHARSET_INFO *cs __attribute__((unused)),
                                 const char *b, const char *e,
                                 size_t pos, int *error)
 {
@@ -5405,11 +5405,11 @@
   while (pos-- && b < e)
   {
     /*
-      Cast to int8 for extra safety.
+      Cast to int8_t for extra safety.
       "char" can be unsigned by default
       on some platforms.
     */
-    if (((int8)b[0]) >= 0)
+    if (((int8_t)b[0]) >= 0)
     {
       /* Single byte ascii character */
       b++;

=== modified file 'mystrings/ctype-czech.c'
--- mystrings/ctype-czech.c	2008-07-30 17:03:00 +0000
+++ mystrings/ctype-czech.c	2008-07-31 19:53:42 +0000
@@ -154,7 +154,7 @@
 
 struct wordvalue
 {
-  const uchar *word;
+  const char *word;
   const uchar *outvalue;
 };
 
@@ -175,7 +175,7 @@
   "Auto" space character is lower than a real space
   character on the third level.
 */
-static const uchar *virtual_space= "\x47\x20\x02\x20";
+static const uchar *virtual_space= (const uchar*)"\x47\x20\x02\x20";
 
 /*
         Original comments from the contributor:
@@ -340,7 +340,7 @@
   the length of the strings being specified
 */
 
-static int my_strnncoll_czech(CHARSET_INFO *cs __attribute__((unused)),
+static int my_strnncoll_czech(const CHARSET_INFO *cs __attribute__((unused)),
 			      const uchar *s1, size_t len1, 
 			      const uchar *s2, size_t len2,
                               my_bool s2_is_prefix)
@@ -374,7 +374,7 @@
 */
 
 static int
-my_strnncollsp_czech(CHARSET_INFO * cs __attribute__((unused)),
+my_strnncollsp_czech(const CHARSET_INFO * cs __attribute__((unused)),
                      const uchar *s, size_t slen,
                      const uchar *t, size_t tlen,
                      my_bool diff_if_only_endspace_difference
@@ -427,7 +427,7 @@
   Returns the number of bytes required for strnxfrm().
 */
 static size_t
-my_strnxfrmlen_czech(CHARSET_INFO *cs __attribute__((unused)), size_t len)
+my_strnxfrmlen_czech(const CHARSET_INFO *cs __attribute__((unused)), size_t len)
 {
   return len * 4 + 4;
 }
@@ -438,7 +438,7 @@
   the length of the strings being specified
 */
 static size_t
-my_strnxfrm_czech(CHARSET_INFO * cs  __attribute__((unused)),
+my_strnxfrm_czech(const CHARSET_INFO * cs  __attribute__((unused)),
                   uchar *dst, size_t dstlen, uint nweights_arg,
                   const uchar *src, size_t srclen, uint flags)
 {
@@ -515,9 +515,9 @@
 #define max_sort_char 0xAE
 
 
-static my_bool my_like_range_czech(CHARSET_INFO *cs __attribute__((unused)),
+static my_bool my_like_range_czech(const CHARSET_INFO *cs __attribute__((unused)),
 				   const char *ptr,size_t ptr_length,
-				   pbool escape, pbool w_one, pbool w_many,
+				   char escape, char w_one, char w_many,
 				   size_t res_length, char *min_str,
 				   char *max_str,
 				   size_t *min_length,size_t *max_length)
@@ -562,7 +562,7 @@
   while (min_str != min_end)
   {
     *min_str++ = min_sort_char;	/* Because of key compression */
-    *max_str++ = max_sort_char;
+    *max_str++ = (char) max_sort_char;
   }
   return 0;
 }
@@ -652,7 +652,7 @@
 255, 98, 99,101,102,103,104,255,109,119,118,120,121,126,116,255,
 };
 
-static uint16 tab_8859_2_uni[256]={
+static uint16_t tab_8859_2_uni[256]={
      0,0x0001,0x0002,0x0003,0x0004,0x0005,0x0006,0x0007,
 0x0008,0x0009,0x000A,0x000B,0x000C,0x000D,0x000E,0x000F,
 0x0010,0x0011,0x0012,0x0013,0x0014,0x0015,0x0016,0x0017,

=== modified file 'mystrings/ctype-euc_kr.c'
--- mystrings/ctype-euc_kr.c	2008-07-30 05:33:20 +0000
+++ mystrings/ctype-euc_kr.c	2008-07-31 19:53:42 +0000
@@ -201,7 +201,7 @@
                               iseuc_kr_tail3(c))
 
 
-static uint ismbchar_euc_kr(CHARSET_INFO *cs __attribute__((unused)),
+static uint ismbchar_euc_kr(const CHARSET_INFO *cs __attribute__((unused)),
                             const char* p, const char *e)
 {
   return ((*(uchar*)(p)<0x80)? 0:\
@@ -209,14 +209,14 @@
           0);
 }
 
-static uint mbcharlen_euc_kr(CHARSET_INFO *cs __attribute__((unused)),uint c)
+static uint mbcharlen_euc_kr(const CHARSET_INFO *cs __attribute__((unused)),uint c)
 {
   return (iseuc_kr_head(c) ? 2 : 1);
 }
 
 
 /* page 0 0x8141-0xC8FE */
-static uint16 tab_ksc5601_uni0[]={
+static uint16_t tab_ksc5601_uni0[]={
 0xAC02,0xAC03,0xAC05,0xAC06,0xAC0B,0xAC0C,0xAC0D,0xAC0E,
 0xAC0F,0xAC18,0xAC1E,0xAC1F,0xAC21,0xAC22,0xAC23,0xAC25,
 0xAC26,0xAC27,0xAC28,0xAC29,0xAC2A,0xAC2B,0xAC2E,0xAC32,
@@ -2515,7 +2515,7 @@
 0xD78C,0xD790,0xD798,0xD799,0xD79B,0xD79D};
 
 /* page 1 0xCAA1-0xFDFE */
-static uint16 tab_ksc5601_uni1[]={
+static uint16_t tab_ksc5601_uni1[]={
 0x4F3D,0x4F73,0x5047,0x50F9,0x52A0,0x53EF,0x5475,0x54E5,
 0x5609,0x5AC1,0x5BB6,0x6687,0x67B6,0x67B7,0x67EF,0x6B4C,
 0x73C2,0x75C2,0x7A3C,0x82DB,0x8304,0x8857,0x8888,0x8A36,
@@ -4169,7 +4169,7 @@
   return(0);
 }
 /* page 0 0x00A1-0x0167 */
-static uint16 tab_uni_ksc56010[]={
+static uint16_t tab_uni_ksc56010[]={
 0xA2AE,     0,     0,0xA2B4,     0,     0,0xA1D7,0xA1A7,
      0,0xA8A3,     0,     0,0xA1A9,     0,     0,0xA1C6,
 0xA1BE,0xA9F7,0xA9F8,0xA2A5,     0,0xA2D2,0xA1A4,0xA2AC,
@@ -4197,7 +4197,7 @@
      0,     0,     0,     0,     0,0xA8AE,0xA9AE};
 
 /* page 1 0x02C7-0x0451 */
-static uint16 tab_uni_ksc56011[]={
+static uint16_t tab_uni_ksc56011[]={
 0xA2A7,     0,     0,     0,     0,     0,     0,     0,
      0,0xA2B0,     0,     0,     0,     0,     0,     0,
      0,0xA2A8,0xA2AB,0xA2AA,0xA2AD,     0,0xA2A9,     0,
@@ -4250,7 +4250,7 @@
 0xACF1,     0,0xACD7};
 
 /* page 2 0x2015-0x2312 */
-static uint16 tab_uni_ksc56012[]={
+static uint16_t tab_uni_ksc56012[]={
 0xA1AA,     0,     0,0xA1AE,0xA1AF,     0,     0,0xA1B0,
 0xA1B1,     0,     0,0xA2D3,0xA2D4,     0,     0,     0,
 0xA1A5,0xA1A6,     0,     0,     0,     0,     0,     0,
@@ -4349,7 +4349,7 @@
      0,     0,     0,     0,     0,0xA1D2};
 
 /* page 3 0x2460-0x266D */
-static uint16 tab_uni_ksc56013[]={
+static uint16_t tab_uni_ksc56013[]={
 0xA8E7,0xA8E8,0xA8E9,0xA8EA,0xA8EB,0xA8EC,0xA8ED,0xA8EE,
 0xA8EF,0xA8F0,0xA8F1,0xA8F2,0xA8F3,0xA8F4,0xA8F5,     0,
      0,     0,     0,     0,0xA9E7,0xA9E8,0xA9E9,0xA9EA,
@@ -4418,7 +4418,7 @@
 0xA2CD,0xA2DB,0xA2DC,     0,0xA2DD,0xA2DA};
 
 /* page 4 0x3000-0x327F */
-static uint16 tab_uni_ksc56014[]={
+static uint16_t tab_uni_ksc56014[]={
 0xA1A1,0xA1A2,0xA1A3,0xA1A8,     0,     0,     0,     0,
 0xA1B4,0xA1B5,0xA1B6,0xA1B7,0xA1B8,0xA1B9,0xA1BA,0xA1BB,
 0xA1BC,0xA1BD,     0,0xA1EB,0xA1B2,0xA1B3,     0,     0,
@@ -4502,7 +4502,7 @@
 };
 
 /* page 5 0x3380-0x33DD */
-static uint16 tab_uni_ksc56015[]={
+static uint16_t tab_uni_ksc56015[]={
 0xA7C9,0xA7CA,0xA7CB,0xA7CC,0xA7CD,     0,     0,     0,
 0xA7BA,0xA7BB,0xA7DC,0xA7DD,0xA7DE,0xA7B6,0xA7B7,0xA7B8,
 0xA7D4,0xA7D5,0xA7D6,0xA7D7,0xA7D8,0xA7A1,0xA7A2,0xA7A3,
@@ -4517,7 +4517,7 @@
 0xA2E4,     0,     0,0xA7E4,0xA7EE,0xA7E9};
 
 /* page 6 0x4E00-0x947F */
-static uint16 tab_uni_ksc56016[]={
+static uint16_t tab_uni_ksc56016[]={
 0xECE9,0xEFCB,     0,0xF6D2,     0,     0,     0,0xD8B2,
 0xEDDB,0xDFB2,0xDFBE,0xF9BB,     0,0xDCF4,     0,     0,
      0,0xF5E4,     0,     0,0xF3A6,0xDDE0,0xE1A6,     0,
@@ -6777,7 +6777,7 @@
 };
 
 /* page 7 0x9577-0x9F9C */
-static uint16 tab_uni_ksc56017[]={
+static uint16_t tab_uni_ksc56017[]={
 0xEDFE,     0,     0,     0,     0,     0,     0,     0,
      0,0xDAA6,     0,     0,0xE0EC,     0,     0,     0,
      0,     0,0xF8CD,     0,0xCBD2,     0,     0,     0,
@@ -7105,7 +7105,7 @@
      0,     0,     0,     0,     0,0xCFCF};
 
 /* page 8 0xAC00-0xD7A3 */
-static uint16 tab_uni_ksc56018[]={
+static uint16_t tab_uni_ksc56018[]={
 0xB0A1,0xB0A2,0x8141,0x8142,0xB0A3,0x8143,0x8144,0xB0A4,
 0xB0A5,0xB0A6,0xB0A7,0x8145,0x8146,0x8147,0x8148,0x8149,
 0xB0A8,0xB0A9,0xB0AA,0xB0AB,0xB0AC,0xB0AD,0xB0AE,0xB0AF,
@@ -8505,7 +8505,7 @@
 0xC64F,0xC650,0xC651,0xC652};
 
 /* page 9 0xF900-0xFA0B */
-static uint16 tab_uni_ksc56019[]={
+static uint16_t tab_uni_ksc56019[]={
 0xCBD0,0xCBD6,0xCBE7,0xCDCF,0xCDE8,0xCEAD,0xCFFB,0xD0A2,
 0xD0B8,0xD0D0,0xD0DD,0xD1D4,0xD1D5,0xD1D8,0xD1DB,0xD1DC,
 0xD1DD,0xD1DE,0xD1DF,0xD1E0,0xD1E2,0xD1E3,0xD1E4,0xD1E5,
@@ -8542,7 +8542,7 @@
 0xFAA1,0xFAA2,0xFAE6,0xFCA9};
 
 /* page 10 0xFF01-0xFFE6 */
-static uint16 tab_uni_ksc560110[]={
+static uint16_t tab_uni_ksc560110[]={
 0xA3A1,0xA3A2,0xA3A3,0xA3A4,0xA3A5,0xA3A6,0xA3A7,0xA3A8,
 0xA3A9,0xA3AA,0xA3AB,0xA3AC,0xA3AD,0xA3AE,0xA3AF,0xA3B0,
 0xA3B1,0xA3B2,0xA3B3,0xA3B4,0xA3B5,0xA3B6,0xA3B7,0xA3B8,
@@ -8601,7 +8601,7 @@
 
 
 static int
-my_wc_mb_euc_kr(CHARSET_INFO *cs __attribute__((unused)),
+my_wc_mb_euc_kr(const CHARSET_INFO *cs __attribute__((unused)),
 		 my_wc_t wc, uchar *s, uchar *e)
 {
   int code;
@@ -8629,7 +8629,7 @@
 
 
 static int 
-my_mb_wc_euc_kr(CHARSET_INFO *cs __attribute__((unused)),
+my_mb_wc_euc_kr(const CHARSET_INFO *cs __attribute__((unused)),
 		 my_wc_t *pwc, const uchar *s, const uchar *e)
 {
   
@@ -8658,7 +8658,7 @@
   Returns well formed length of a EUC-KR string.
 */
 static size_t
-my_well_formed_len_euckr(CHARSET_INFO *cs __attribute__((unused)),
+my_well_formed_len_euckr(const CHARSET_INFO *cs __attribute__((unused)),
                          const char *b, const char *e,
                          size_t pos, int *error)
 {

=== modified file 'mystrings/ctype-eucjpms.c'
--- mystrings/ctype-eucjpms.c	2008-07-30 05:33:20 +0000
+++ mystrings/ctype-eucjpms.c	2008-07-31 19:53:42 +0000
@@ -184,7 +184,7 @@
 #define iseucjpms_ss3(c) (((c)&0xff) == 0x8f)
 
 
-static uint ismbchar_eucjpms(CHARSET_INFO *cs __attribute__((unused)),
+static uint ismbchar_eucjpms(const CHARSET_INFO *cs __attribute__((unused)),
 		  const char* p, const char *e)
 {
   return ((*(uchar*)(p)<0x80)? 0:\
@@ -194,13 +194,13 @@
     0);
 }
 
-static uint mbcharlen_eucjpms(CHARSET_INFO *cs __attribute__((unused)),uint c)
+static uint mbcharlen_eucjpms(const CHARSET_INFO *cs __attribute__((unused)),uint c)
 {
   return (iseucjpms(c)? 2: iseucjpms_ss2(c)? 2: iseucjpms_ss3(c)? 3: 1);
 }
 
 
-static uint16 tab_jisx0201_uni[256]={
+static uint16_t tab_jisx0201_uni[256]={
      0,0x0001,0x0002,0x0003,0x0004,0x0005,0x0006,0x0007,
 0x0008,0x0009,0x000A,0x000B,0x000C,0x000D,0x000E,0x000F,
 0x0010,0x0011,0x0012,0x0013,0x0014,0x0015,0x0016,0x0017,
@@ -237,7 +237,7 @@
 
 
 static int 
-my_mb_wc_jisx0201(CHARSET_INFO *cs  __attribute__((unused)),
+my_mb_wc_jisx0201(const CHARSET_INFO *cs  __attribute__((unused)),
 		  my_wc_t *wc,const uchar *s,
 		  const uchar *e __attribute__((unused)))
 {
@@ -247,7 +247,7 @@
 
 
 static int
-my_wc_mb_jisx0201(CHARSET_INFO *cs __attribute__((unused)),
+my_wc_mb_jisx0201(const CHARSET_INFO *cs __attribute__((unused)),
 		  my_wc_t wc, uchar *s, 
 		  uchar *e __attribute__((unused)))
 {
@@ -269,7 +269,7 @@
 
 
 /* page 0 0x2121-0x217E */
-static uint16 tab_jisx0208_uni0[]={
+static uint16_t tab_jisx0208_uni0[]={
 0x3000,0x3001,0x3002,0xFF0C,0xFF0E,0x30FB,0xFF1A,0xFF1B,
 0xFF1F,0xFF01,0x309B,0x309C,0x00B4,0xFF40,0x00A8,0xFF3E,
 0xFFE3,0xFF3F,0x30FD,0x30FE,0x309D,0x309E,0x3003,0x4EDD,
@@ -284,7 +284,7 @@
 0x2606,0x2605,0x25CB,0x25CF,0x25CE,0x25C7};
 
 /* page 1 0x2221-0x227E */
-static uint16 tab_jisx0208_uni1[]={
+static uint16_t tab_jisx0208_uni1[]={
 0x25C6,0x25A1,0x25A0,0x25B3,0x25B2,0x25BD,0x25BC,0x203B,
 0x3012,0x2192,0x2190,0x2191,0x2193,0x3013,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
@@ -299,7 +299,7 @@
 0x00B6,     0,     0,     0,     0,0x25EF};
 
 /* page 2 0x2330-0x237A */
-static uint16 tab_jisx0208_uni2[]={
+static uint16_t tab_jisx0208_uni2[]={
 0xFF10,0xFF11,0xFF12,0xFF13,0xFF14,0xFF15,0xFF16,0xFF17,
 0xFF18,0xFF19,     0,     0,     0,     0,     0,     0,
      0,0xFF21,0xFF22,0xFF23,0xFF24,0xFF25,0xFF26,0xFF27,
@@ -312,7 +312,7 @@
 0xFF58,0xFF59,0xFF5A};
 
 /* page 3 0x2421-0x2473 */
-static uint16 tab_jisx0208_uni3[]={
+static uint16_t tab_jisx0208_uni3[]={
 0x3041,0x3042,0x3043,0x3044,0x3045,0x3046,0x3047,0x3048,
 0x3049,0x304A,0x304B,0x304C,0x304D,0x304E,0x304F,0x3050,
 0x3051,0x3052,0x3053,0x3054,0x3055,0x3056,0x3057,0x3058,
@@ -326,7 +326,7 @@
 0x3091,0x3092,0x3093};
 
 /* page 4 0x2521-0x2576 */
-static uint16 tab_jisx0208_uni4[]={
+static uint16_t tab_jisx0208_uni4[]={
 0x30A1,0x30A2,0x30A3,0x30A4,0x30A5,0x30A6,0x30A7,0x30A8,
 0x30A9,0x30AA,0x30AB,0x30AC,0x30AD,0x30AE,0x30AF,0x30B0,
 0x30B1,0x30B2,0x30B3,0x30B4,0x30B5,0x30B6,0x30B7,0x30B8,
@@ -340,7 +340,7 @@
 0x30F1,0x30F2,0x30F3,0x30F4,0x30F5,0x30F6};
 
 /* page 5 0x2621-0x2658 */
-static uint16 tab_jisx0208_uni5[]={
+static uint16_t tab_jisx0208_uni5[]={
 0x0391,0x0392,0x0393,0x0394,0x0395,0x0396,0x0397,0x0398,
 0x0399,0x039A,0x039B,0x039C,0x039D,0x039E,0x039F,0x03A0,
 0x03A1,0x03A3,0x03A4,0x03A5,0x03A6,0x03A7,0x03A8,0x03A9,
@@ -351,7 +351,7 @@
 };
 
 /* page 6 0x2721-0x2771 */
-static uint16 tab_jisx0208_uni6[]={
+static uint16_t tab_jisx0208_uni6[]={
 0x0410,0x0411,0x0412,0x0413,0x0414,0x0415,0x0401,0x0416,
 0x0417,0x0418,0x0419,0x041A,0x041B,0x041C,0x041D,0x041E,
 0x041F,0x0420,0x0421,0x0422,0x0423,0x0424,0x0425,0x0426,
@@ -365,7 +365,7 @@
 0x044F};
 
 /* page 7 0x2821-0x2840 */
-static uint16 tab_jisx0208_uni7[]={
+static uint16_t tab_jisx0208_uni7[]={
 0x2500,0x2502,0x250C,0x2510,0x2518,0x2514,0x251C,0x252C,
 0x2524,0x2534,0x253C,0x2501,0x2503,0x250F,0x2513,0x251B,
 0x2517,0x2523,0x2533,0x252B,0x253B,0x254B,0x2520,0x252F,
@@ -373,7 +373,7 @@
 };
 
 /* page 8 0x3021-0x307E */
-static uint16 tab_jisx0208_uni8[]={
+static uint16_t tab_jisx0208_uni8[]={
 0x4E9C,0x5516,0x5A03,0x963F,0x54C0,0x611B,0x6328,0x59F6,
 0x9022,0x8475,0x831C,0x7A50,0x60AA,0x63E1,0x6E25,0x65ED,
 0x8466,0x82A6,0x9BF5,0x6893,0x5727,0x65A1,0x6271,0x5B9B,
@@ -388,7 +388,7 @@
 0x59FB,0x5F15,0x98F2,0x6DEB,0x80E4,0x852D};
 
 /* page 9 0x3121-0x317E */
-static uint16 tab_jisx0208_uni9[]={
+static uint16_t tab_jisx0208_uni9[]={
 0x9662,0x9670,0x96A0,0x97FB,0x540B,0x53F3,0x5B87,0x70CF,
 0x7FBD,0x8FC2,0x96E8,0x536F,0x9D5C,0x7ABA,0x4E11,0x7893,
 0x81FC,0x6E26,0x5618,0x5504,0x6B1D,0x851A,0x9C3B,0x59E5,
@@ -403,7 +403,7 @@
 0x7525,0x51F9,0x592E,0x5965,0x5F80,0x5FDC};
 
 /* page 10 0x3221-0x327E */
-static uint16 tab_jisx0208_uni10[]={
+static uint16_t tab_jisx0208_uni10[]={
 0x62BC,0x65FA,0x6A2A,0x6B27,0x6BB4,0x738B,0x7FC1,0x8956,
 0x9D2C,0x9D0E,0x9EC4,0x5CA1,0x6C96,0x837B,0x5104,0x5C4B,
 0x61B6,0x81C6,0x6876,0x7261,0x4E59,0x4FFA,0x5378,0x6069,
@@ -418,7 +418,7 @@
 0x6094,0x6062,0x61D0,0x6212,0x62D0,0x6539};
 
 /* page 11 0x3321-0x337E */
-static uint16 tab_jisx0208_uni11[]={
+static uint16_t tab_jisx0208_uni11[]={
 0x9B41,0x6666,0x68B0,0x6D77,0x7070,0x754C,0x7686,0x7D75,
 0x82A5,0x87F9,0x958B,0x968E,0x8C9D,0x51F1,0x52BE,0x5916,
 0x54B3,0x5BB3,0x5D16,0x6168,0x6982,0x6DAF,0x788D,0x84CB,
@@ -433,7 +433,7 @@
 0x938C,0x565B,0x9D28,0x6822,0x8305,0x8431};
 
 /* page 12 0x3421-0x347E */
-static uint16 tab_jisx0208_uni12[]={
+static uint16_t tab_jisx0208_uni12[]={
 0x7CA5,0x5208,0x82C5,0x74E6,0x4E7E,0x4F83,0x51A0,0x5BD2,
 0x520A,0x52D8,0x52E7,0x5DFB,0x559A,0x582A,0x59E6,0x5B8C,
 0x5B98,0x5BDB,0x5E72,0x5E79,0x60A3,0x611F,0x6163,0x61BE,
@@ -448,7 +448,7 @@
 0x673A,0x65D7,0x65E2,0x671F,0x68CB,0x68C4};
 
 /* page 13 0x3521-0x357E */
-static uint16 tab_jisx0208_uni13[]={
+static uint16_t tab_jisx0208_uni13[]={
 0x6A5F,0x5E30,0x6BC5,0x6C17,0x6C7D,0x757F,0x7948,0x5B63,
 0x7A00,0x7D00,0x5FBD,0x898F,0x8A18,0x8CB4,0x8D77,0x8ECC,
 0x8F1D,0x98E2,0x9A0E,0x9B3C,0x4E80,0x507D,0x5100,0x5993,
@@ -463,7 +463,7 @@
 0x6F01,0x79A6,0x9B5A,0x4EA8,0x4EAB,0x4EAC};
 
 /* page 14 0x3621-0x367E */
-static uint16 tab_jisx0208_uni14[]={
+static uint16_t tab_jisx0208_uni14[]={
 0x4F9B,0x4FA0,0x50D1,0x5147,0x7AF6,0x5171,0x51F6,0x5354,
 0x5321,0x537F,0x53EB,0x55AC,0x5883,0x5CE1,0x5F37,0x5F4A,
 0x602F,0x6050,0x606D,0x631F,0x6559,0x6A4B,0x6CC1,0x72C2,
@@ -478,7 +478,7 @@
 0x9685,0x4E32,0x6ADB,0x91E7,0x5C51,0x5C48};
 
 /* page 15 0x3721-0x377E */
-static uint16 tab_jisx0208_uni15[]={
+static uint16_t tab_jisx0208_uni15[]={
 0x6398,0x7A9F,0x6C93,0x9774,0x8F61,0x7AAA,0x718A,0x9688,
 0x7C82,0x6817,0x7E70,0x6851,0x936C,0x52F2,0x541B,0x85AB,
 0x8A13,0x7FA4,0x8ECD,0x90E1,0x5366,0x8888,0x7941,0x4FC2,
@@ -493,7 +493,7 @@
 0x5ACC,0x5EFA,0x61B2,0x61F8,0x62F3,0x6372};
 
 /* page 16 0x3821-0x387E */
-static uint16 tab_jisx0208_uni16[]={
+static uint16_t tab_jisx0208_uni16[]={
 0x691C,0x6A29,0x727D,0x72AC,0x732E,0x7814,0x786F,0x7D79,
 0x770C,0x80A9,0x898B,0x8B19,0x8CE2,0x8ED2,0x9063,0x9375,
 0x967A,0x9855,0x9A13,0x9E78,0x5143,0x539F,0x53B3,0x5E7B,
@@ -508,7 +508,7 @@
 0x529F,0x52B9,0x52FE,0x539A,0x53E3,0x5411};
 
 /* page 17 0x3921-0x397E */
-static uint16 tab_jisx0208_uni17[]={
+static uint16_t tab_jisx0208_uni17[]={
 0x540E,0x5589,0x5751,0x57A2,0x597D,0x5B54,0x5B5D,0x5B8F,
 0x5DE5,0x5DE7,0x5DF7,0x5E78,0x5E83,0x5E9A,0x5EB7,0x5F18,
 0x6052,0x614C,0x6297,0x62D8,0x63A7,0x653B,0x6602,0x6643,
@@ -523,7 +523,7 @@
 0x7511,0x5FFD,0x60DA,0x9AA8,0x72DB,0x8FBC};
 
 /* page 18 0x3A21-0x3A7E */
-static uint16 tab_jisx0208_uni18[]={
+static uint16_t tab_jisx0208_uni18[]={
 0x6B64,0x9803,0x4ECA,0x56F0,0x5764,0x58BE,0x5A5A,0x6068,
 0x61C7,0x660F,0x6606,0x6839,0x68B1,0x6DF7,0x75D5,0x7D3A,
 0x826E,0x9B42,0x4E9B,0x4F50,0x53C9,0x5506,0x5D6F,0x5DE6,
@@ -538,7 +538,7 @@
 0x685C,0x9BAD,0x7B39,0x5319,0x518A,0x5237};
 
 /* page 19 0x3B21-0x3B7E */
-static uint16 tab_jisx0208_uni19[]={
+static uint16_t tab_jisx0208_uni19[]={
 0x5BDF,0x62F6,0x64AE,0x64E6,0x672D,0x6BBA,0x85A9,0x96D1,
 0x7690,0x9BD6,0x634C,0x9306,0x9BAB,0x76BF,0x6652,0x4E09,
 0x5098,0x53C2,0x5C71,0x60E8,0x6492,0x6563,0x685F,0x71E6,
@@ -553,7 +553,7 @@
 0x5150,0x5B57,0x5BFA,0x6148,0x6301,0x6642};
 
 /* page 20 0x3C21-0x3C7E */
-static uint16 tab_jisx0208_uni20[]={
+static uint16_t tab_jisx0208_uni20[]={
 0x6B21,0x6ECB,0x6CBB,0x723E,0x74BD,0x75D4,0x78C1,0x793A,
 0x800C,0x8033,0x81EA,0x8494,0x8F9E,0x6C50,0x9E7F,0x5F0F,
 0x8B58,0x9D2B,0x7AFA,0x8EF8,0x5B8D,0x96EB,0x4E03,0x53F1,
@@ -568,7 +568,7 @@
 0x6A39,0x7DAC,0x9700,0x56DA,0x53CE,0x5468};
 
 /* page 21 0x3D21-0x3D7E */
-static uint16 tab_jisx0208_uni21[]={
+static uint16_t tab_jisx0208_uni21[]={
 0x5B97,0x5C31,0x5DDE,0x4FEE,0x6101,0x62FE,0x6D32,0x79C0,
 0x79CB,0x7D42,0x7E4D,0x7FD2,0x81ED,0x821F,0x8490,0x8846,
 0x8972,0x8B90,0x8E74,0x8F2F,0x9031,0x914B,0x916C,0x96C6,
@@ -583,7 +583,7 @@
 0x5F90,0x6055,0x92E4,0x9664,0x50B7,0x511F};
 
 /* page 22 0x3E21-0x3E7E */
-static uint16 tab_jisx0208_uni22[]={
+static uint16_t tab_jisx0208_uni22[]={
 0x52DD,0x5320,0x5347,0x53EC,0x54E8,0x5546,0x5531,0x5617,
 0x5968,0x59BE,0x5A3C,0x5BB5,0x5C06,0x5C0F,0x5C11,0x5C1A,
 0x5E84,0x5E8A,0x5EE0,0x5F70,0x627F,0x6284,0x62DB,0x638C,
@@ -598,7 +598,7 @@
 0x8B72,0x91B8,0x9320,0x5631,0x57F4,0x98FE};
 
 /* page 23 0x3F21-0x3F7E */
-static uint16 tab_jisx0208_uni23[]={
+static uint16_t tab_jisx0208_uni23[]={
 0x62ED,0x690D,0x6B96,0x71ED,0x7E54,0x8077,0x8272,0x89E6,
 0x98DF,0x8755,0x8FB1,0x5C3B,0x4F38,0x4FE1,0x4FB5,0x5507,
 0x5A20,0x5BDD,0x5BE9,0x5FC3,0x614E,0x632F,0x65B0,0x664B,
@@ -613,7 +613,7 @@
 0x6749,0x6919,0x83C5,0x9817,0x96C0,0x88FE};
 
 /* page 24 0x4021-0x407E */
-static uint16 tab_jisx0208_uni24[]={
+static uint16_t tab_jisx0208_uni24[]={
 0x6F84,0x647A,0x5BF8,0x4E16,0x702C,0x755D,0x662F,0x51C4,
 0x5236,0x52E2,0x59D3,0x5F81,0x6027,0x6210,0x653F,0x6574,
 0x661F,0x6674,0x68F2,0x6816,0x6B63,0x6E05,0x7272,0x751F,
@@ -628,7 +628,7 @@
 0x714E,0x717D,0x65CB,0x7A7F,0x7BAD,0x7DDA};
 
 /* page 25 0x4121-0x417E */
-static uint16 tab_jisx0208_uni25[]={
+static uint16_t tab_jisx0208_uni25[]={
 0x7E4A,0x7FA8,0x817A,0x821B,0x8239,0x85A6,0x8A6E,0x8CCE,
 0x8DF5,0x9078,0x9077,0x92AD,0x9291,0x9583,0x9BAE,0x524D,
 0x5584,0x6F38,0x7136,0x5168,0x7985,0x7E55,0x81B3,0x7CCE,
@@ -643,7 +643,7 @@
 0x9397,0x971C,0x9A12,0x50CF,0x5897,0x618E};
 
 /* page 26 0x4221-0x427E */
-static uint16 tab_jisx0208_uni26[]={
+static uint16_t tab_jisx0208_uni26[]={
 0x81D3,0x8535,0x8D08,0x9020,0x4FC3,0x5074,0x5247,0x5373,
 0x606F,0x6349,0x675F,0x6E2C,0x8DB3,0x901F,0x4FD7,0x5C5E,
 0x8CCA,0x65CF,0x7D9A,0x5352,0x8896,0x5176,0x63C3,0x5B58,
@@ -658,7 +658,7 @@
 0x6FC1,0x8AFE,0x8338,0x51E7,0x86F8,0x53EA};
 
 /* page 27 0x4321-0x437E */
-static uint16 tab_jisx0208_uni27[]={
+static uint16_t tab_jisx0208_uni27[]={
 0x53E9,0x4F46,0x9054,0x8FB0,0x596A,0x8131,0x5DFD,0x7AEA,
 0x8FBF,0x68DA,0x8C37,0x72F8,0x9C48,0x6A3D,0x8AB0,0x4E39,
 0x5358,0x5606,0x5766,0x62C5,0x63A2,0x65E6,0x6B4E,0x6DE1,
@@ -673,7 +673,7 @@
 0x8CAF,0x4E01,0x5146,0x51CB,0x558B,0x5BF5};
 
 /* page 28 0x4421-0x447E */
-static uint16 tab_jisx0208_uni28[]={
+static uint16_t tab_jisx0208_uni28[]={
 0x5E16,0x5E33,0x5E81,0x5F14,0x5F35,0x5F6B,0x5FB4,0x61F2,
 0x6311,0x66A2,0x671D,0x6F6E,0x7252,0x753A,0x773A,0x8074,
 0x8139,0x8178,0x8776,0x8ABF,0x8ADC,0x8D85,0x8DF3,0x929A,
@@ -688,7 +688,7 @@
 0x7DE0,0x8247,0x8A02,0x8AE6,0x8E44,0x9013};
 
 /* page 29 0x4521-0x457E */
-static uint16 tab_jisx0208_uni29[]={
+static uint16_t tab_jisx0208_uni29[]={
 0x90B8,0x912D,0x91D8,0x9F0E,0x6CE5,0x6458,0x64E2,0x6575,
 0x6EF4,0x7684,0x7B1B,0x9069,0x93D1,0x6EBA,0x54F2,0x5FB9,
 0x64A4,0x8F4D,0x8FED,0x9244,0x5178,0x586B,0x5929,0x5C55,
@@ -703,7 +703,7 @@
 0x7B49,0x7B54,0x7B52,0x7CD6,0x7D71,0x5230};
 
 /* page 30 0x4621-0x467E */
-static uint16 tab_jisx0208_uni30[]={
+static uint16_t tab_jisx0208_uni30[]={
 0x8463,0x8569,0x85E4,0x8A0E,0x8B04,0x8C46,0x8E0F,0x9003,
 0x900F,0x9419,0x9676,0x982D,0x9A30,0x95D8,0x50CD,0x52D5,
 0x540C,0x5802,0x5C0E,0x61A7,0x649E,0x6D1E,0x77B3,0x7AE5,
@@ -718,7 +718,7 @@
 0x8089,0x8679,0x5EFF,0x65E5,0x4E73,0x5165};
 
 /* page 31 0x4721-0x477E */
-static uint16 tab_jisx0208_uni31[]={
+static uint16_t tab_jisx0208_uni31[]={
 0x5982,0x5C3F,0x97EE,0x4EFB,0x598A,0x5FCD,0x8A8D,0x6FE1,
 0x79B0,0x7962,0x5BE7,0x8471,0x732B,0x71B1,0x5E74,0x5FF5,
 0x637B,0x649A,0x71C3,0x7C98,0x4E43,0x5EFC,0x4E4B,0x57DC,
@@ -733,7 +733,7 @@
 0x6F20,0x7206,0x7E1B,0x83AB,0x99C1,0x9EA6};
 
 /* page 32 0x4821-0x487E */
-static uint16 tab_jisx0208_uni32[]={
+static uint16_t tab_jisx0208_uni32[]={
 0x51FD,0x7BB1,0x7872,0x7BB8,0x8087,0x7B48,0x6AE8,0x5E61,
 0x808C,0x7551,0x7560,0x516B,0x9262,0x6E8C,0x767A,0x9197,
 0x9AEA,0x4F10,0x7F70,0x629C,0x7B4F,0x95A5,0x9CE9,0x567A,
@@ -748,7 +748,7 @@
 0x5FAE,0x6787,0x6BD8,0x7435,0x7709,0x7F8E};
 
 /* page 33 0x4921-0x497E */
-static uint16 tab_jisx0208_uni33[]={
+static uint16_t tab_jisx0208_uni33[]={
 0x9F3B,0x67CA,0x7A17,0x5339,0x758B,0x9AED,0x5F66,0x819D,
 0x83F1,0x8098,0x5F3C,0x5FC5,0x7562,0x7B46,0x903C,0x6867,
 0x59EB,0x5A9B,0x7D10,0x767E,0x8B2C,0x4FF5,0x5F6A,0x6A19,
@@ -763,7 +763,7 @@
 0x8557,0x4F0F,0x526F,0x5FA9,0x5E45,0x670D};
 
 /* page 34 0x4A21-0x4A7E */
-static uint16 tab_jisx0208_uni34[]={
+static uint16_t tab_jisx0208_uni34[]={
 0x798F,0x8179,0x8907,0x8986,0x6DF5,0x5F17,0x6255,0x6CB8,
 0x4ECF,0x7269,0x9B92,0x5206,0x543B,0x5674,0x58B3,0x61A4,
 0x626E,0x711A,0x596E,0x7C89,0x7CDE,0x7D1B,0x96F0,0x6587,
@@ -778,7 +778,7 @@
 0x5E96,0x62B1,0x6367,0x653E,0x65B9,0x670B};
 
 /* page 35 0x4B21-0x4B7E */
-static uint16 tab_jisx0208_uni35[]={
+static uint16_t tab_jisx0208_uni35[]={
 0x6CD5,0x6CE1,0x70F9,0x7832,0x7E2B,0x80DE,0x82B3,0x840C,
 0x84EC,0x8702,0x8912,0x8A2A,0x8C4A,0x90A6,0x92D2,0x98FD,
 0x9CF3,0x9D6C,0x4E4F,0x4EA1,0x508D,0x5256,0x574A,0x59A8,
@@ -793,7 +793,7 @@
 0x4FAD,0x7E6D,0x9EBF,0x4E07,0x6162,0x6E80};
 
 /* page 36 0x4C21-0x4C7E */
-static uint16 tab_jisx0208_uni36[]={
+static uint16_t tab_jisx0208_uni36[]={
 0x6F2B,0x8513,0x5473,0x672A,0x9B45,0x5DF3,0x7B95,0x5CAC,
 0x5BC6,0x871C,0x6E4A,0x84D1,0x7A14,0x8108,0x5999,0x7C8D,
 0x6C11,0x7720,0x52D9,0x5922,0x7121,0x725F,0x77DB,0x9727,
@@ -808,7 +808,7 @@
 0x85AE,0x9453,0x6109,0x6108,0x6CB9,0x7652};
 
 /* page 37 0x4D21-0x4D7E */
-static uint16 tab_jisx0208_uni37[]={
+static uint16_t tab_jisx0208_uni37[]={
 0x8AED,0x8F38,0x552F,0x4F51,0x512A,0x52C7,0x53CB,0x5BA5,
 0x5E7D,0x60A0,0x6182,0x63D6,0x6709,0x67DA,0x6E67,0x6D8C,
 0x7336,0x7337,0x7531,0x7950,0x88D5,0x8A98,0x904A,0x9091,
@@ -823,7 +823,7 @@
 0x540F,0x5C65,0x674E,0x68A8,0x7406,0x7483};
 
 /* page 38 0x4E21-0x4E7E */
-static uint16 tab_jisx0208_uni38[]={
+static uint16_t tab_jisx0208_uni38[]={
 0x75E2,0x88CF,0x88E1,0x91CC,0x96E2,0x9678,0x5F8B,0x7387,
 0x7ACB,0x844E,0x63A0,0x7565,0x5289,0x6D41,0x6E9C,0x7409,
 0x7559,0x786B,0x7C92,0x9686,0x7ADC,0x9F8D,0x4FB6,0x616E,
@@ -838,7 +838,7 @@
 0x6190,0x6F23,0x7149,0x7C3E,0x7DF4,0x806F};
 
 /* page 39 0x4F21-0x4F53 */
-static uint16 tab_jisx0208_uni39[]={
+static uint16_t tab_jisx0208_uni39[]={
 0x84EE,0x9023,0x932C,0x5442,0x9B6F,0x6AD3,0x7089,0x8CC2,
 0x8DEF,0x9732,0x52B4,0x5A41,0x5ECA,0x5F04,0x6717,0x697C,
 0x6994,0x6D6A,0x6F0F,0x7262,0x72FC,0x7BED,0x8001,0x807E,
@@ -848,7 +848,7 @@
 0x6E7E,0x7897,0x8155};
 
 /* page 40 0x5021-0x507E */
-static uint16 tab_jisx0208_uni40[]={
+static uint16_t tab_jisx0208_uni40[]={
 0x5F0C,0x4E10,0x4E15,0x4E2A,0x4E31,0x4E36,0x4E3C,0x4E3F,
 0x4E42,0x4E56,0x4E58,0x4E82,0x4E85,0x8C6B,0x4E8A,0x8212,
 0x5F0D,0x4E8E,0x4E9E,0x4E9F,0x4EA0,0x4EA2,0x4EB0,0x4EB3,
@@ -863,7 +863,7 @@
 0x5078,0x5080,0x509A,0x5085,0x50B4,0x50B2};
 
 /* page 41 0x5121-0x517E */
-static uint16 tab_jisx0208_uni41[]={
+static uint16_t tab_jisx0208_uni41[]={
 0x50C9,0x50CA,0x50B3,0x50C2,0x50D6,0x50DE,0x50E5,0x50ED,
 0x50E3,0x50EE,0x50F9,0x50F5,0x5109,0x5101,0x5102,0x5116,
 0x5115,0x5114,0x511A,0x5121,0x513A,0x5137,0x513C,0x513B,
@@ -878,7 +878,7 @@
 0x5294,0x5292,0x5271,0x5288,0x5291,0x8FA8};
 
 /* page 42 0x5221-0x527E */
-static uint16 tab_jisx0208_uni42[]={
+static uint16_t tab_jisx0208_uni42[]={
 0x8FA7,0x52AC,0x52AD,0x52BC,0x52B5,0x52C1,0x52CD,0x52D7,
 0x52DE,0x52E3,0x52E6,0x98ED,0x52E0,0x52F3,0x52F5,0x52F8,
 0x52F9,0x5306,0x5308,0x7538,0x530D,0x5310,0x530F,0x5315,
@@ -893,7 +893,7 @@
 0x54B8,0x54A5,0x54AC,0x54C4,0x54C8,0x54A8};
 
 /* page 43 0x5321-0x537E */
-static uint16 tab_jisx0208_uni43[]={
+static uint16_t tab_jisx0208_uni43[]={
 0x54AB,0x54C2,0x54A4,0x54BE,0x54BC,0x54D8,0x54E5,0x54E6,
 0x550F,0x5514,0x54FD,0x54EE,0x54ED,0x54FA,0x54E2,0x5539,
 0x5540,0x5563,0x554C,0x552E,0x555C,0x5545,0x5556,0x5557,
@@ -908,7 +908,7 @@
 0x56EE,0x56F9,0x5700,0x56FF,0x5704,0x5709};
 
 /* page 44 0x5421-0x547E */
-static uint16 tab_jisx0208_uni44[]={
+static uint16_t tab_jisx0208_uni44[]={
 0x5708,0x570B,0x570D,0x5713,0x5718,0x5716,0x55C7,0x571C,
 0x5726,0x5737,0x5738,0x574E,0x573B,0x5740,0x574F,0x5769,
 0x57C0,0x5788,0x5761,0x577F,0x5789,0x5793,0x57A0,0x57B3,
@@ -923,7 +923,7 @@
 0x5958,0x5962,0x5960,0x5967,0x596C,0x5969};
 
 /* page 45 0x5521-0x557E */
-static uint16 tab_jisx0208_uni45[]={
+static uint16_t tab_jisx0208_uni45[]={
 0x5978,0x5981,0x599D,0x4F5E,0x4FAB,0x59A3,0x59B2,0x59C6,
 0x59E8,0x59DC,0x598D,0x59D9,0x59DA,0x5A25,0x5A1F,0x5A11,
 0x5A1C,0x5A09,0x5A1A,0x5A40,0x5A6C,0x5A49,0x5A35,0x5A36,
@@ -938,7 +938,7 @@
 0x5C38,0x5C39,0x5C41,0x5C46,0x5C4E,0x5C53};
 
 /* page 46 0x5621-0x567E */
-static uint16 tab_jisx0208_uni46[]={
+static uint16_t tab_jisx0208_uni46[]={
 0x5C50,0x5C4F,0x5B71,0x5C6C,0x5C6E,0x4E62,0x5C76,0x5C79,
 0x5C8C,0x5C91,0x5C94,0x599B,0x5CAB,0x5CBB,0x5CB6,0x5CBC,
 0x5CB7,0x5CC5,0x5CBE,0x5CC7,0x5CD9,0x5CE9,0x5CFD,0x5CFA,
@@ -953,7 +953,7 @@
 0x5EA0,0x5EC1,0x5EC2,0x5EC8,0x5ED0,0x5ECF};
 
 /* page 47 0x5721-0x577E */
-static uint16 tab_jisx0208_uni47[]={
+static uint16_t tab_jisx0208_uni47[]={
 0x5ED6,0x5EE3,0x5EDD,0x5EDA,0x5EDB,0x5EE2,0x5EE1,0x5EE8,
 0x5EE9,0x5EEC,0x5EF1,0x5EF3,0x5EF0,0x5EF4,0x5EF8,0x5EFE,
 0x5F03,0x5F09,0x5F5D,0x5F5C,0x5F0B,0x5F11,0x5F16,0x5F29,
@@ -968,7 +968,7 @@
 0x6059,0x6081,0x608D,0x60E7,0x6083,0x609A};
 
 /* page 48 0x5821-0x587E */
-static uint16 tab_jisx0208_uni48[]={
+static uint16_t tab_jisx0208_uni48[]={
 0x6084,0x609B,0x6096,0x6097,0x6092,0x60A7,0x608B,0x60E1,
 0x60B8,0x60E0,0x60D3,0x60B4,0x5FF0,0x60BD,0x60C6,0x60B5,
 0x60D8,0x614D,0x6115,0x6106,0x60F6,0x60F7,0x6100,0x60F4,
@@ -983,7 +983,7 @@
 0x6208,0x6209,0x620D,0x620C,0x6214,0x621B};
 
 /* page 49 0x5921-0x597E */
-static uint16 tab_jisx0208_uni49[]={
+static uint16_t tab_jisx0208_uni49[]={
 0x621E,0x6221,0x622A,0x622E,0x6230,0x6232,0x6233,0x6241,
 0x624E,0x625E,0x6263,0x625B,0x6260,0x6268,0x627C,0x6282,
 0x6289,0x627E,0x6292,0x6293,0x6296,0x62D4,0x6283,0x6294,
@@ -998,7 +998,7 @@
 0x6495,0x6493,0x64A5,0x64A9,0x6488,0x64BC};
 
 /* page 50 0x5A21-0x5A7E */
-static uint16 tab_jisx0208_uni50[]={
+static uint16_t tab_jisx0208_uni50[]={
 0x64DA,0x64D2,0x64C5,0x64C7,0x64BB,0x64D8,0x64C2,0x64F1,
 0x64E7,0x8209,0x64E0,0x64E1,0x62AC,0x64E3,0x64EF,0x652C,
 0x64F6,0x64F4,0x64F2,0x64FA,0x6500,0x64FD,0x6518,0x651C,
@@ -1013,7 +1013,7 @@
 0x669D,0x66C1,0x66B9,0x66C9,0x66BE,0x66BC};
 
 /* page 51 0x5B21-0x5B7E */
-static uint16 tab_jisx0208_uni51[]={
+static uint16_t tab_jisx0208_uni51[]={
 0x66C4,0x66B8,0x66D6,0x66DA,0x66E0,0x663F,0x66E6,0x66E9,
 0x66F0,0x66F5,0x66F7,0x670F,0x6716,0x671E,0x6726,0x6727,
 0x9738,0x672E,0x673F,0x6736,0x6741,0x6738,0x6737,0x6746,
@@ -1028,7 +1028,7 @@
 0x68D8,0x6922,0x6926,0x68E1,0x690C,0x68CD};
 
 /* page 52 0x5C21-0x5C7E */
-static uint16 tab_jisx0208_uni52[]={
+static uint16_t tab_jisx0208_uni52[]={
 0x68D4,0x68E7,0x68D5,0x6936,0x6912,0x6904,0x68D7,0x68E3,
 0x6925,0x68F9,0x68E0,0x68EF,0x6928,0x692A,0x691A,0x6923,
 0x6921,0x68C6,0x6979,0x6977,0x695C,0x6978,0x696B,0x6954,
@@ -1043,7 +1043,7 @@
 0x6A90,0x6A8D,0x6AA0,0x6A84,0x6AA2,0x6AA3};
 
 /* page 53 0x5D21-0x5D7E */
-static uint16 tab_jisx0208_uni53[]={
+static uint16_t tab_jisx0208_uni53[]={
 0x6A97,0x8617,0x6ABB,0x6AC3,0x6AC2,0x6AB8,0x6AB3,0x6AAC,
 0x6ADE,0x6AD1,0x6ADF,0x6AAA,0x6ADA,0x6AEA,0x6AFB,0x6B05,
 0x8616,0x6AFA,0x6B12,0x6B16,0x9B31,0x6B1F,0x6B38,0x6B37,
@@ -1058,7 +1058,7 @@
 0x6CD7,0x6CC5,0x6CDD,0x6CAE,0x6CB1,0x6CBE};
 
 /* page 54 0x5E21-0x5E7E */
-static uint16 tab_jisx0208_uni54[]={
+static uint16_t tab_jisx0208_uni54[]={
 0x6CBA,0x6CDB,0x6CEF,0x6CD9,0x6CEA,0x6D1F,0x884D,0x6D36,
 0x6D2B,0x6D3D,0x6D38,0x6D19,0x6D35,0x6D33,0x6D12,0x6D0C,
 0x6D63,0x6D93,0x6D64,0x6D5A,0x6D79,0x6D59,0x6D8E,0x6D95,
@@ -1073,7 +1073,7 @@
 0x6F3F,0x6EF2,0x6F31,0x6EEF,0x6F32,0x6ECC};
 
 /* page 55 0x5F21-0x5F7E */
-static uint16 tab_jisx0208_uni55[]={
+static uint16_t tab_jisx0208_uni55[]={
 0x6F3E,0x6F13,0x6EF7,0x6F86,0x6F7A,0x6F78,0x6F81,0x6F80,
 0x6F6F,0x6F5B,0x6FF3,0x6F6D,0x6F82,0x6F7C,0x6F58,0x6F8E,
 0x6F91,0x6FC2,0x6F66,0x6FB3,0x6FA3,0x6FA1,0x6FA4,0x6FB9,
@@ -1088,7 +1088,7 @@
 0x71CE,0x71E0,0x71EC,0x71E7,0x71F5,0x71FC};
 
 /* page 56 0x6021-0x607E */
-static uint16 tab_jisx0208_uni56[]={
+static uint16_t tab_jisx0208_uni56[]={
 0x71F9,0x71FF,0x720D,0x7210,0x721B,0x7228,0x722D,0x722C,
 0x7230,0x7232,0x723B,0x723C,0x723F,0x7240,0x7246,0x724B,
 0x7258,0x7274,0x727E,0x7282,0x7281,0x7287,0x7292,0x7296,
@@ -1103,7 +1103,7 @@
 0x749E,0x74A7,0x74CA,0x74CF,0x74D4,0x73F1};
 
 /* page 57 0x6121-0x617E */
-static uint16 tab_jisx0208_uni57[]={
+static uint16_t tab_jisx0208_uni57[]={
 0x74E0,0x74E3,0x74E7,0x74E9,0x74EE,0x74F2,0x74F0,0x74F1,
 0x74F8,0x74F7,0x7504,0x7503,0x7505,0x750C,0x750E,0x750D,
 0x7515,0x7513,0x751E,0x7526,0x752C,0x753C,0x7544,0x754D,
@@ -1118,7 +1118,7 @@
 0x7668,0x7669,0x766A,0x7667,0x766C,0x7670};
 
 /* page 58 0x6221-0x627E */
-static uint16 tab_jisx0208_uni58[]={
+static uint16_t tab_jisx0208_uni58[]={
 0x7672,0x7676,0x7678,0x767C,0x7680,0x7683,0x7688,0x768B,
 0x768E,0x7696,0x7693,0x7699,0x769A,0x76B0,0x76B4,0x76B8,
 0x76B9,0x76BA,0x76C2,0x76CD,0x76D6,0x76D2,0x76DE,0x76E1,
@@ -1133,7 +1133,7 @@
 0x78D4,0x78BE,0x78BC,0x78C5,0x78CA,0x78EC};
 
 /* page 59 0x6321-0x637E */
-static uint16 tab_jisx0208_uni59[]={
+static uint16_t tab_jisx0208_uni59[]={
 0x78E7,0x78DA,0x78FD,0x78F4,0x7907,0x7912,0x7911,0x7919,
 0x792C,0x792B,0x7940,0x7960,0x7957,0x795F,0x795A,0x7955,
 0x7953,0x797A,0x797F,0x798A,0x799D,0x79A7,0x9F4B,0x79AA,
@@ -1148,7 +1148,7 @@
 0x7B19,0x7B1E,0x7B35,0x7B28,0x7B36,0x7B50};
 
 /* page 60 0x6421-0x647E */
-static uint16 tab_jisx0208_uni60[]={
+static uint16_t tab_jisx0208_uni60[]={
 0x7B7A,0x7B04,0x7B4D,0x7B0B,0x7B4C,0x7B45,0x7B75,0x7B65,
 0x7B74,0x7B67,0x7B70,0x7B71,0x7B6C,0x7B6E,0x7B9D,0x7B98,
 0x7B9F,0x7B8D,0x7B9C,0x7B9A,0x7B8B,0x7B92,0x7B8F,0x7B5D,
@@ -1163,7 +1163,7 @@
 0x7CEF,0x7CF2,0x7CF4,0x7CF6,0x7CFA,0x7D06};
 
 /* page 61 0x6521-0x657E */
-static uint16 tab_jisx0208_uni61[]={
+static uint16_t tab_jisx0208_uni61[]={
 0x7D02,0x7D1C,0x7D15,0x7D0A,0x7D45,0x7D4B,0x7D2E,0x7D32,
 0x7D3F,0x7D35,0x7D46,0x7D73,0x7D56,0x7D4E,0x7D72,0x7D68,
 0x7D6E,0x7D4F,0x7D63,0x7D93,0x7D89,0x7D5B,0x7D8F,0x7D7D,
@@ -1178,7 +1178,7 @@
 0x7E96,0x7E8E,0x7E9B,0x7E9C,0x7F38,0x7F3A};
 
 /* page 62 0x6621-0x667E */
-static uint16 tab_jisx0208_uni62[]={
+static uint16_t tab_jisx0208_uni62[]={
 0x7F45,0x7F4C,0x7F4D,0x7F4E,0x7F50,0x7F51,0x7F55,0x7F54,
 0x7F58,0x7F5F,0x7F60,0x7F68,0x7F69,0x7F67,0x7F78,0x7F82,
 0x7F86,0x7F83,0x7F88,0x7F87,0x7F8C,0x7F94,0x7F9E,0x7F9D,
@@ -1193,7 +1193,7 @@
 0x80F1,0x811B,0x8129,0x8123,0x812F,0x814B};
 
 /* page 63 0x6721-0x677E */
-static uint16 tab_jisx0208_uni63[]={
+static uint16_t tab_jisx0208_uni63[]={
 0x968B,0x8146,0x813E,0x8153,0x8151,0x80FC,0x8171,0x816E,
 0x8165,0x8166,0x8174,0x8183,0x8188,0x818A,0x8180,0x8182,
 0x81A0,0x8195,0x81A4,0x81A3,0x815F,0x8193,0x81A9,0x81B0,
@@ -1208,7 +1208,7 @@
 0x82F9,0x82DE,0x8306,0x82DC,0x8309,0x82D9};
 
 /* page 64 0x6821-0x687E */
-static uint16 tab_jisx0208_uni64[]={
+static uint16_t tab_jisx0208_uni64[]={
 0x8335,0x8334,0x8316,0x8332,0x8331,0x8340,0x8339,0x8350,
 0x8345,0x832F,0x832B,0x8317,0x8318,0x8385,0x839A,0x83AA,
 0x839F,0x83A2,0x8396,0x8323,0x838E,0x8387,0x838A,0x837C,
@@ -1223,7 +1223,7 @@
 0x8514,0x84FC,0x8540,0x8563,0x8558,0x8548};
 
 /* page 65 0x6921-0x697E */
-static uint16 tab_jisx0208_uni65[]={
+static uint16_t tab_jisx0208_uni65[]={
 0x8541,0x8602,0x854B,0x8555,0x8580,0x85A4,0x8588,0x8591,
 0x858A,0x85A8,0x856D,0x8594,0x859B,0x85EA,0x8587,0x859C,
 0x8577,0x857E,0x8590,0x85C9,0x85BA,0x85CF,0x85B9,0x85D0,
@@ -1238,7 +1238,7 @@
 0x874E,0x8774,0x8757,0x8768,0x876E,0x8759};
 
 /* page 66 0x6A21-0x6A7E */
-static uint16 tab_jisx0208_uni66[]={
+static uint16_t tab_jisx0208_uni66[]={
 0x8753,0x8763,0x876A,0x8805,0x87A2,0x879F,0x8782,0x87AF,
 0x87CB,0x87BD,0x87C0,0x87D0,0x96D6,0x87AB,0x87C4,0x87B3,
 0x87C7,0x87C6,0x87BB,0x87EF,0x87F2,0x87E0,0x880F,0x880D,
@@ -1253,7 +1253,7 @@
 0x8936,0x8938,0x894C,0x891D,0x8960,0x895E};
 
 /* page 67 0x6B21-0x6B7E */
-static uint16 tab_jisx0208_uni67[]={
+static uint16_t tab_jisx0208_uni67[]={
 0x8966,0x8964,0x896D,0x896A,0x896F,0x8974,0x8977,0x897E,
 0x8983,0x8988,0x898A,0x8993,0x8998,0x89A1,0x89A9,0x89A6,
 0x89AC,0x89AF,0x89B2,0x89BA,0x89BD,0x89BF,0x89C0,0x89DA,
@@ -1268,7 +1268,7 @@
 0x8B4E,0x8B49,0x8B56,0x8B5B,0x8B5A,0x8B6B};
 
 /* page 68 0x6C21-0x6C7E */
-static uint16 tab_jisx0208_uni68[]={
+static uint16_t tab_jisx0208_uni68[]={
 0x8B5F,0x8B6C,0x8B6F,0x8B74,0x8B7D,0x8B80,0x8B8C,0x8B8E,
 0x8B92,0x8B93,0x8B96,0x8B99,0x8B9A,0x8C3A,0x8C41,0x8C3F,
 0x8C48,0x8C4C,0x8C4E,0x8C50,0x8C55,0x8C62,0x8C6C,0x8C78,
@@ -1283,7 +1283,7 @@
 0x8E1F,0x8E42,0x8E35,0x8E30,0x8E34,0x8E4A};
 
 /* page 69 0x6D21-0x6D7E */
-static uint16 tab_jisx0208_uni69[]={
+static uint16_t tab_jisx0208_uni69[]={
 0x8E47,0x8E49,0x8E4C,0x8E50,0x8E48,0x8E59,0x8E64,0x8E60,
 0x8E2A,0x8E63,0x8E55,0x8E76,0x8E72,0x8E7C,0x8E81,0x8E87,
 0x8E85,0x8E84,0x8E8B,0x8E8A,0x8E93,0x8E91,0x8E94,0x8E99,
@@ -1298,7 +1298,7 @@
 0x900B,0x9027,0x9036,0x9035,0x9039,0x8FF8};
 
 /* page 70 0x6E21-0x6E7E */
-static uint16 tab_jisx0208_uni70[]={
+static uint16_t tab_jisx0208_uni70[]={
 0x904F,0x9050,0x9051,0x9052,0x900E,0x9049,0x903E,0x9056,
 0x9058,0x905E,0x9068,0x906F,0x9076,0x96A8,0x9072,0x9082,
 0x907D,0x9081,0x9080,0x908A,0x9089,0x908F,0x90A8,0x90AF,
@@ -1313,7 +1313,7 @@
 0x92B7,0x92E9,0x930F,0x92FA,0x9344,0x932E};
 
 /* page 71 0x6F21-0x6F7E */
-static uint16 tab_jisx0208_uni71[]={
+static uint16_t tab_jisx0208_uni71[]={
 0x9319,0x9322,0x931A,0x9323,0x933A,0x9335,0x933B,0x935C,
 0x9360,0x937C,0x936E,0x9356,0x93B0,0x93AC,0x93AD,0x9394,
 0x93B9,0x93D6,0x93D7,0x93E8,0x93E5,0x93D8,0x93C3,0x93DD,
@@ -1328,7 +1328,7 @@
 0x964C,0x964F,0x964B,0x9677,0x965C,0x965E};
 
 /* page 72 0x7021-0x707E */
-static uint16 tab_jisx0208_uni72[]={
+static uint16_t tab_jisx0208_uni72[]={
 0x965D,0x965F,0x9666,0x9672,0x966C,0x968D,0x9698,0x9695,
 0x9697,0x96AA,0x96A7,0x96B1,0x96B2,0x96B0,0x96B4,0x96B6,
 0x96B8,0x96B9,0x96CE,0x96CB,0x96C9,0x96CD,0x894D,0x96DC,
@@ -1343,7 +1343,7 @@
 0x9846,0x984F,0x984B,0x986B,0x986F,0x9870};
 
 /* page 73 0x7121-0x717E */
-static uint16 tab_jisx0208_uni73[]={
+static uint16_t tab_jisx0208_uni73[]={
 0x9871,0x9874,0x9873,0x98AA,0x98AF,0x98B1,0x98B6,0x98C4,
 0x98C3,0x98C6,0x98E9,0x98EB,0x9903,0x9909,0x9912,0x9914,
 0x9918,0x9921,0x991D,0x991E,0x9924,0x9920,0x992C,0x992E,
@@ -1358,7 +1358,7 @@
 0x9AEF,0x9AEB,0x9AEE,0x9AF4,0x9AF1,0x9AF7};
 
 /* page 74 0x7221-0x727E */
-static uint16 tab_jisx0208_uni74[]={
+static uint16_t tab_jisx0208_uni74[]={
 0x9AFB,0x9B06,0x9B18,0x9B1A,0x9B1F,0x9B22,0x9B23,0x9B25,
 0x9B27,0x9B28,0x9B29,0x9B2A,0x9B2E,0x9B2F,0x9B32,0x9B44,
 0x9B43,0x9B4F,0x9B4D,0x9B4E,0x9B51,0x9B58,0x9B74,0x9B93,
@@ -1373,7 +1373,7 @@
 0x9D12,0x9D41,0x9D3F,0x9D3E,0x9D46,0x9D48};
 
 /* page 75 0x7321-0x737E */
-static uint16 tab_jisx0208_uni75[]={
+static uint16_t tab_jisx0208_uni75[]={
 0x9D5D,0x9D5E,0x9D64,0x9D51,0x9D50,0x9D59,0x9D72,0x9D89,
 0x9D87,0x9DAB,0x9D6F,0x9D7A,0x9D9A,0x9DA4,0x9DA9,0x9DB2,
 0x9DC4,0x9DC1,0x9DBB,0x9DB8,0x9DBA,0x9DC6,0x9DCF,0x9DC2,
@@ -1388,11 +1388,11 @@
 0x9F77,0x9F72,0x9F76,0x9F95,0x9F9C,0x9FA0};
 
 /* page 76 0x7421-0x7426 */
-static uint16 tab_jisx0208_uni76[]={
+static uint16_t tab_jisx0208_uni76[]={
 0x582F,0x69C7,0x9059,0x7464,0x51DC,0x7199};
 
 /* page 77 0x2D21 - 0x2D7C */
-static uint16 tab_nec13_uni0[]={
+static uint16_t tab_nec13_uni0[]={
 0x2460,0x2461,0x2462,0x2463,0x2464,0x2465,0x2466,0x2467,
 0x2468,0x2469,0x246A,0x246B,0x246C,0x246D,0x246E,0x246F,
 0x2470,0x2471,0x2472,0x2473,0x2160,0x2161,0x2162,0x2163,
@@ -1568,25 +1568,25 @@
 }
 
 /* page 0 0x005C-0x005C */
-static uint16 tab_uni_jisx02080[]={
+static uint16_t tab_uni_jisx02080[]={
 0x5C};
 
 /* page 1 0x00A2-0x00B6 */
-static uint16 tab_uni_jisx02081[]={
+static uint16_t tab_uni_jisx02081[]={
      0,     0,     0,     0,     0,0x2178,0x212F,     0,
      0,     0,     0,     0,     0,     0,0x216B,0x215E,
      0,     0,0x212D,     0,0x2279};
 
 /* page 2 0x00D7-0x00D7 */
-static uint16 tab_uni_jisx02082[]={
+static uint16_t tab_uni_jisx02082[]={
 0x215F};
 
 /* page 3 0x00F7-0x00F7 */
-static uint16 tab_uni_jisx02083[]={
+static uint16_t tab_uni_jisx02083[]={
 0x2160};
 
 /* page 4 0x0391-0x03C9 */
-static uint16 tab_uni_jisx02084[]={
+static uint16_t tab_uni_jisx02084[]={
 0x2621,0x2622,0x2623,0x2624,0x2625,0x2626,0x2627,0x2628,
 0x2629,0x262A,0x262B,0x262C,0x262D,0x262E,0x262F,0x2630,
 0x2631,     0,0x2632,0x2633,0x2634,0x2635,0x2636,0x2637,
@@ -1597,7 +1597,7 @@
 0x2658};
 
 /* page 5 0x0401-0x0451 */
-static uint16 tab_uni_jisx02085[]={
+static uint16_t tab_uni_jisx02085[]={
 0x2727,     0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,0x2721,
 0x2722,0x2723,0x2724,0x2725,0x2726,0x2728,0x2729,0x272A,
@@ -1611,7 +1611,7 @@
 0x2757};
 
 /* page 6 0x2010-0x203B */
-static uint16 tab_uni_jisx02086[]={
+static uint16_t tab_uni_jisx02086[]={
 0x213E,     0,     0,     0,     0,0x213D,     0,     0,
 0x2146,0x2147,     0,     0,0x2148,0x2149,     0,     0,
 0x2277,0x2278,     0,     0,     0,0x2145,0x2144,     0,
@@ -1620,31 +1620,31 @@
      0,     0,     0,0x2228};
 
 /* page 7 0x2100-0x2116 */
-static uint16 tab_uni_jisx02087[]={
+static uint16_t tab_uni_jisx02087[]={
      0,     0,     0,0x216E,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,0x2D62};
 
 /* page 8 0x2120-0x212B */
-static uint16 tab_uni_jisx02088[]={
+static uint16_t tab_uni_jisx02088[]={
      0,0x2D64,     0,     0,     0,     0,     0,     0,
      0,     0,     0,0x2272};
 
 /* page 9  0x2160-0x2169 */
-static uint16 tab_uni_jisx02089[]={
+static uint16_t tab_uni_jisx02089[]={
 0x2D35,0x2D36,0x2D37,0x2D38,0x2D39,0x2D3A,0x2D3B,0x2D3C,
 0x2D3D,0x2D3E};
 
 /* page 10 0x2190-0x2193 */
-static uint16 tab_uni_jisx020810[]={
+static uint16_t tab_uni_jisx020810[]={
 0x222B,0x222C,0x222A,0x222D};
 
 /* page 11 0x21D2-0x21D4 */
-static uint16 tab_uni_jisx020811[]={
+static uint16_t tab_uni_jisx020811[]={
 0x224D,     0,0x224E};
 
 /* page 12 0x2200-0x223D */
-static uint16 tab_uni_jisx020812[]={
+static uint16_t tab_uni_jisx020812[]={
 0x224F,     0,0x225F,0x2250,     0,     0,     0,0x2260,
 0x223A,     0,     0,0x223B,     0,     0,     0,     0,
      0,0x2D74,     0,     0,     0,     0,     0,     0,
@@ -1655,35 +1655,35 @@
      0,     0,     0,     0,     0,0x2266};
 
 /* page 13 0x2252-0x226B */
-static uint16 tab_uni_jisx020813[]={
+static uint16_t tab_uni_jisx020813[]={
 0x2262,     0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,0x2162,0x2261,
      0,     0,     0,     0,0x2165,0x2166,     0,     0,
 0x2263,0x2264};
 
 /* page 14 0x2282-0x2287 */
-static uint16 tab_uni_jisx020814[]={
+static uint16_t tab_uni_jisx020814[]={
 0x223E,0x223F,     0,     0,0x223C,0x223D};
 
 /* page 15 0x22A0-0x22BF */
-static uint16 tab_uni_jisx020815[]={
+static uint16_t tab_uni_jisx020815[]={
      0,     0,     0,     0,     0,0x225D,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,0x2D79};
 
 /* page 16 0x2312-0x2312 */
-static uint16 tab_uni_jisx020816[]={
+static uint16_t tab_uni_jisx020816[]={
 0x225E};
 
 /* page 17 0x2460-0x2473 */
-static uint16 tab_uni_jisx020817[]={
+static uint16_t tab_uni_jisx020817[]={
 0x2D21,0x2D22,0x2D23,0x2D24,0x2D25,0x2D26,0x2D27,0x2D28,
 0x2D29,0x2D2A,0x2D2B,0x2D2C,0x2D2D,0x2D2E,0x2D2F,0x2D30,
 0x2D31,0x2D32,0x2D33,0x2D34};
 
 /* page 18 0x2500-0x254B */
-static uint16 tab_uni_jisx020818[]={
+static uint16_t tab_uni_jisx020818[]={
 0x2821,0x282C,0x2822,0x282D,     0,     0,     0,     0,
      0,     0,     0,     0,0x2823,     0,     0,0x282E,
 0x2824,     0,     0,0x282F,0x2826,     0,     0,0x2831,
@@ -1696,7 +1696,7 @@
      0,     0,     0,0x2836};
 
 /* page 19 0x25A0-0x25CF */
-static uint16 tab_uni_jisx020819[]={
+static uint16_t tab_uni_jisx020819[]={
 0x2223,0x2222,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
      0,     0,0x2225,0x2224,     0,     0,     0,     0,
@@ -1706,30 +1706,30 @@
 };
 
 /* page 20 0x25EF-0x25EF */
-static uint16 tab_uni_jisx020820[]={
+static uint16_t tab_uni_jisx020820[]={
 0x227E};
 
 /* page 21 0x2605-0x2606 */
-static uint16 tab_uni_jisx020821[]={
+static uint16_t tab_uni_jisx020821[]={
 0x217A,0x2179};
 
 /* page 22 0x2640-0x2642 */
-static uint16 tab_uni_jisx020822[]={
+static uint16_t tab_uni_jisx020822[]={
 0x216A,     0,0x2169};
 
 /* page 23 0x266A-0x266F */
-static uint16 tab_uni_jisx020823[]={
+static uint16_t tab_uni_jisx020823[]={
 0x2276,     0,     0,0x2275,     0,0x2274};
 
 /* page 24 0x3000-0x301F */
-static uint16 tab_uni_jisx020824[]={
+static uint16_t tab_uni_jisx020824[]={
 0x2121,0x2122,0x2123,0x2137,     0,0x2139,0x213A,0x213B,
 0x2152,0x2153,0x2154,0x2155,0x2156,0x2157,0x2158,0x2159,
 0x215A,0x215B,0x2229,0x222E,0x214C,0x214D,     0,     0,
      0,     0,     0,     0,     0,0x2D60,     0,0x2D61};
 
 /* page 25 0x3041-0x30FE */
-static uint16 tab_uni_jisx020825[]={
+static uint16_t tab_uni_jisx020825[]={
 0x2421,0x2422,0x2423,0x2424,0x2425,0x2426,0x2427,0x2428,
 0x2429,0x242A,0x242B,0x242C,0x242D,0x242E,0x242F,0x2430,
 0x2431,0x2432,0x2433,0x2434,0x2435,0x2436,0x2437,0x2438,
@@ -1756,17 +1756,17 @@
      0,     0,0x2126,0x213C,0x2133,0x2134};
 
 /* page 26 0x3230-0x3239 */
-static uint16 tab_uni_jisx020826[]={
+static uint16_t tab_uni_jisx020826[]={
      0,0x2D6A,0x2D6B,     0,     0,     0,     0,     0,
      0,0x2D6C};
 
 /* page 27 0x32A0-0x32A8 */
-static uint16 tab_uni_jisx020827[]={
+static uint16_t tab_uni_jisx020827[]={
      0,     0,     0,     0,0x2D65,0x2D66,0x2D67,0x2D68,
 0x2D69};
 
 /* page 28 0x3300-0x33CD */
-static uint16 tab_uni_jisx020828[]={
+static uint16_t tab_uni_jisx020828[]={
      0,     0,     0,0x2D46,     0,     0,     0,     0,
      0,     0,     0,     0,     0,0x2D4A,     0,     0,
      0,     0,     0,     0,0x2D41,     0,     0,     0,
@@ -1795,7 +1795,7 @@
      0,     0,     0,     0,     0,0x2D63};
 
 /* page 29 0x4E00-0x5516 */
-static uint16 tab_uni_jisx020829[]={
+static uint16_t tab_uni_jisx020829[]={
 0x306C,0x437A,     0,0x3C37,     0,     0,     0,0x4B7C,
 0x3E66,0x3B30,0x3E65,0x323C,     0,0x4954,0x4D3F,     0,
 0x5022,0x312F,     0,     0,0x336E,0x5023,0x4024,0x5242,
@@ -2025,7 +2025,7 @@
 0x4562,     0,     0,     0,0x532A,     0,0x3022};
 
 /* page 30 0x552E-0x5563 */
-static uint16 tab_uni_jisx020830[]={
+static uint16_t tab_uni_jisx020830[]={
 0x5334,0x4D23,     0,0x3E27,     0,0x533A,     0,     0,
      0,     0,0x5339,0x5330,     0,     0,     0,     0,
 0x4243,     0,0x5331,     0,     0,     0,0x426F,0x5336,
@@ -2035,7 +2035,7 @@
      0,     0,     0,     0,     0,0x5332};
 
 /* page 31 0x557B-0x576A */
-static uint16 tab_uni_jisx020831[]={
+static uint16_t tab_uni_jisx020831[]={
 0x5341,0x5346,     0,0x5342,     0,0x533D,     0,     0,
 0x5347,0x4131,     0,     0,0x5349,     0,0x3922,0x533F,
 0x437D,     0,     0,     0,     0,     0,     0,     0,
@@ -2101,7 +2101,7 @@
 };
 
 /* page 32 0x577F-0x5A9B */
-static uint16 tab_uni_jisx020832[]={
+static uint16_t tab_uni_jisx020832[]={
 0x5434,     0,     0,0x3F62,     0,     0,     0,     0,
      0,0x5432,0x5435,     0,0x373F,     0,     0,     0,
      0,     0,     0,     0,0x5436,     0,     0,     0,
@@ -2204,7 +2204,7 @@
      0,     0,     0,0x553B,0x4932};
 
 /* page 33 0x5ABC-0x5D29 */
-static uint16 tab_uni_jisx020833[]={
+static uint16_t tab_uni_jisx020833[]={
 0x553C,0x5540,0x553D,     0,     0,0x3247,0x553F,     0,
      0,     0,     0,     0,     0,0x3C3B,     0,0x553E,
 0x3779,     0,     0,     0,0x554C,     0,     0,     0,
@@ -2285,7 +2285,7 @@
      0,     0,     0,     0,     0,0x4A78};
 
 /* page 34 0x5D4B-0x6BF3 */
-static uint16 tab_uni_jisx020834[]={
+static uint16_t tab_uni_jisx020834[]={
 0x564B,0x5648,     0,0x564A,     0,0x4D72,     0,0x5649,
      0,     0,     0,     0,     0,     0,     0,     0,
      0,0x563F,     0,     0,     0,     0,     0,     0,
@@ -2758,7 +2758,7 @@
 0x5D5E};
 
 /* page 35 0x6C08-0x6CF3 */
-static uint16 tab_uni_jisx020835[]={
+static uint16_t tab_uni_jisx020835[]={
 0x5D61,     0,     0,     0,     0,     0,     0,0x3B61,
      0,0x4C31,     0,0x5D62,0x5D63,     0,     0,0x3524,
      0,     0,     0,0x5D64,     0,     0,     0,     0,
@@ -2791,7 +2791,7 @@
 0x4259,0x5D76,     0,0x314B};
 
 /* page 36 0x6D0B-0x7409 */
-static uint16 tab_uni_jisx020836[]={
+static uint16_t tab_uni_jisx020836[]={
 0x4D4E,0x5E30,     0,     0,     0,     0,     0,0x5E2F,
      0,     0,     0,     0,0x4076,     0,0x5E2C,     0,
 0x4D6C,     0,     0,0x4636,0x5E26,     0,     0,     0,
@@ -3018,7 +3018,7 @@
 0x3565,     0,0x6066,0x4D7D,     0,     0,0x4E30};
 
 /* page 37 0x7422-0x7845 */
-static uint16 tab_uni_jisx020837[]={
+static uint16_t tab_uni_jisx020837[]={
 0x4276,     0,     0,0x6068,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
 0x606A,0x4E56,0x3657,0x487C,0x474A,     0,     0,     0,
@@ -3154,7 +3154,7 @@
      0,     0,     0,0x626B};
 
 /* page 38 0x785D-0x7E9C */
-static uint16 tab_uni_jisx020838[]={
+static uint16_t tab_uni_jisx020838[]={
 0x3E4B,     0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,0x4E32,0x3945,
      0,     0,0x3827,     0,     0,0x4823,     0,0x626D,
@@ -3358,7 +3358,7 @@
 };
 
 /* page 39 0x7F36-0x8358 */
-static uint16 tab_uni_jisx020839[]={
+static uint16_t tab_uni_jisx020839[]={
 0x344C,     0,0x657D,     0,0x657E,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,0x6621,
      0,     0,     0,     0,     0,     0,0x6622,0x6623,
@@ -3494,7 +3494,7 @@
      0,     0,0x4171};
 
 /* page 40 0x8373-0x8B9A */
-static uint16 tab_uni_jisx020840[]={
+static uint16_t tab_uni_jisx020840[]={
 0x683A,     0,0x683B,     0,0x3259,     0,     0,     0,
 0x322E,0x6838,     0,     0,     0,     0,     0,     0,
      0,     0,0x682E,     0,0x6836,     0,0x683D,0x6837,
@@ -3759,7 +3759,7 @@
 };
 
 /* page 41 0x8C37-0x8D16 */
-static uint16 tab_uni_jisx020841[]={
+static uint16_t tab_uni_jisx020841[]={
 0x432B,     0,     0,0x6C2E,     0,     0,     0,     0,
 0x6C30,     0,0x6C2F,     0,     0,     0,     0,0x4626,
      0,0x6C31,     0,0x4B2D,     0,0x6C32,     0,0x6C33,
@@ -3791,7 +3791,7 @@
 };
 
 /* page 42 0x8D64-0x8F64 */
-static uint16 tab_uni_jisx020842[]={
+static uint16_t tab_uni_jisx020842[]={
 0x4056,     0,0x3C4F,0x6C5F,     0,     0,     0,0x3352,
      0,0x6C60,     0,     0,0x4176,0x6C61,     0,0x6C62,
 0x496B,     0,     0,0x352F,     0,     0,     0,     0,
@@ -3859,7 +3859,7 @@
 0x6D62};
 
 /* page 43 0x8F9B-0x9132 */
-static uint16 tab_uni_jisx020843[]={
+static uint16_t tab_uni_jisx020843[]={
 0x3F49,0x6D63,     0,0x3C2D,0x6D64,     0,     0,     0,
 0x6D65,     0,     0,     0,0x5221,0x517E,     0,     0,
      0,     0,0x6D66,0x6570,0x6D67,0x4324,0x3F2B,0x4740,
@@ -3914,7 +3914,7 @@
 };
 
 /* page 44 0x9149-0x92B9 */
-static uint16 tab_uni_jisx020844[]={
+static uint16_t tab_uni_jisx020844[]={
 0x4653,0x6E44,0x3D36,0x3C60,0x475B,0x4371,     0,     0,
      0,0x3C72,     0,0x3F6C,     0,0x6E45,     0,0x6E46,
      0,     0,     0,     0,     0,     0,     0,     0,
@@ -3964,7 +3964,7 @@
 0x6E78};
 
 /* page 45 0x92CF-0x93E8 */
-static uint16 tab_uni_jisx020845[]={
+static uint16_t tab_uni_jisx020845[]={
 0x6E77,     0,     0,0x4B2F,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,0x3D7B,     0,     0,
@@ -4003,7 +4003,7 @@
      0,0x6F34};
 
 /* page 46 0x9403-0x9481 */
-static uint16 tab_uni_jisx020846[]={
+static uint16_t tab_uni_jisx020846[]={
 0x6F3F,     0,     0,     0,0x6F40,     0,     0,     0,
      0,     0,     0,     0,     0,0x6F41,     0,     0,
 0x6F3E,0x6F3D,     0,     0,     0,0x3E62,0x462A,0x6F3C,
@@ -4022,7 +4022,7 @@
      0,0x6F55,0x6F53,0x6F56,0x6F58,     0,0x6F57};
 
 /* page 47 0x9577-0x95E5 */
-static uint16 tab_uni_jisx020847[]={
+static uint16_t tab_uni_jisx020847[]={
 0x4439,     0,     0,     0,     0,     0,     0,     0,
      0,0x4C67,     0,0x6F59,0x412E,     0,     0,     0,
 0x6F5A,     0,0x4A44,0x6F5B,0x332B,     0,     0,     0,
@@ -4039,7 +4039,7 @@
      0,     0,0x6F71,0x6F73,     0,     0,0x6F72};
 
 /* page 48 0x961C-0x9874 */
-static uint16 tab_uni_jisx020848[]={
+static uint16_t tab_uni_jisx020848[]={
 0x496C,     0,     0,     0,     0,0x6F74,     0,     0,
      0,     0,     0,     0,0x6F75,     0,0x3A65,     0,
      0,     0,0x6F76,0x6F77,     0,     0,0x4B49,     0,
@@ -4118,14 +4118,14 @@
 0x7122};
 
 /* page 49 0x98A8-0x98C6 */
-static uint16 tab_uni_jisx020849[]={
+static uint16_t tab_uni_jisx020849[]={
 0x4977,     0,0x7124,     0,     0,     0,     0,0x7125,
      0,0x7126,     0,     0,     0,     0,0x7127,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,0x7129,0x7128,     0,0x712A};
 
 /* page 50 0x98DB-0x9957 */
-static uint16 tab_uni_jisx020850[]={
+static uint16_t tab_uni_jisx020850[]={
 0x4874,0x664C,     0,     0,0x3F29,     0,     0,0x3532,
      0,     0,     0,     0,     0,     0,0x712B,     0,
 0x712C,     0,0x522C,0x5D3B,0x4853,     0,     0,0x307B,
@@ -4144,7 +4144,7 @@
      0,     0,0x7143,     0,0x3642};
 
 /* page 51 0x9996-0x9A6B */
-static uint16 tab_uni_jisx020851[]={
+static uint16_t tab_uni_jisx020851[]={
 0x3C73,0x7144,0x7145,0x3961,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,0x7146,
      0,     0,0x333E,     0,     0,     0,0x474F,0x7147,
@@ -4174,7 +4174,7 @@
      0,     0,     0,0x7169,0x716B,0x716A};
 
 /* page 52 0x9AA8-0x9B5A */
-static uint16 tab_uni_jisx020852[]={
+static uint16_t tab_uni_jisx020852[]={
 0x397C,     0,     0,     0,     0,0x716C,     0,     0,
 0x716D,     0,     0,     0,     0,     0,     0,     0,
 0x333C,     0,     0,     0,0x716E,     0,     0,     0,
@@ -4200,7 +4200,7 @@
 0x7236,     0,0x357B};
 
 /* page 53 0x9B6F-0x9C78 */
-static uint16 tab_uni_jisx020853[]={
+static uint16_t tab_uni_jisx020853[]={
 0x4F25,     0,     0,     0,     0,0x7237,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,0x7239,     0,     0,     0,
@@ -4237,7 +4237,7 @@
      0,0x7269};
 
 /* page 54 0x9CE5-0x9DFD */
-static uint16 tab_uni_jisx020854[]={
+static uint16_t tab_uni_jisx020854[]={
 0x443B,     0,0x726A,     0,0x4837,     0,0x726F,0x726B,
      0,     0,     0,0x726C,     0,     0,0x4B31,0x4C44,
      0,0x4650,     0,     0,     0,     0,     0,     0,
@@ -4276,11 +4276,11 @@
 0x733F};
 
 /* page 55 0x9E1A-0x9E1E */
-static uint16 tab_uni_jisx020855[]={
+static uint16_t tab_uni_jisx020855[]={
 0x7340,0x7341,     0,     0,0x7342};
 
 /* page 56 0x9E75-0x9F77 */
-static uint16 tab_uni_jisx020856[]={
+static uint16_t tab_uni_jisx020856[]={
 0x7343,     0,     0,0x3834,0x7344,     0,     0,     0,
 0x7345,     0,0x3C2F,     0,0x7346,     0,     0,     0,
      0,     0,     0,0x7347,     0,     0,0x7348,0x7349,
@@ -4316,13 +4316,13 @@
      0,0x737B,0x7379};
 
 /* page 57 0x9F8D-0x9FA0 */
-static uint16 tab_uni_jisx020857[]={
+static uint16_t tab_uni_jisx020857[]={
 0x4E36,     0,     0,     0,     0,     0,     0,     0,
 0x737C,     0,     0,     0,     0,     0,     0,0x737D,
 0x6354,     0,     0,0x737E};
 
 /* page 58 0xFF01-0xFF5E */
-static uint16 tab_uni_jisx020858[]={
+static uint16_t tab_uni_jisx020858[]={
 0x212A,     0,0x2174,0x2170,0x2173,0x2175,     0,0x214A,
 0x214B,0x2176,0x215C,0x2124,0x215D,0x2125,0x213F,0x2330,
 0x2331,0x2332,0x2333,0x2334,0x2335,0x2336,0x2337,0x2338,
@@ -4337,7 +4337,7 @@
 0x2379,0x237A,0x2150,0x2143,0x2151,0x2141};
 
 /* page 59 0xFFE0-0xFFE5 */
-static uint16 tab_uni_jisx020859[]={
+static uint16_t tab_uni_jisx020859[]={
 0x2171,0x2172,0x224C,0x2131,     0,0x216F};
 
 static int
@@ -4467,11 +4467,11 @@
 
 
 /* page 0 0x007E-0x007E */
-static uint16 tab_uni_jisx02120[]={
+static uint16_t tab_uni_jisx02120[]={
      0};
 
 /* page 1 0x00A1-0x017E */
-static uint16 tab_uni_jisx02121[]={
+static uint16_t tab_uni_jisx02121[]={
 0x2242,     0,     0,0x2270,     0,     0,     0,     0,
 0x226D,0x226C,     0,     0,     0,0x226E,0x2234,     0,
      0,     0,     0,     0,     0,     0,     0,0x2231,
@@ -4502,28 +4502,28 @@
 0x2A75,0x2B75,0x2A77,0x2B77,0x2A76,0x2B76};
 
 /* page 2 0x01CD-0x01DC */
-static uint16 tab_uni_jisx02122[]={
+static uint16_t tab_uni_jisx02122[]={
 0x2A26,0x2B26,0x2A43,0x2B43,0x2A55,0x2B55,0x2A67,0x2B67,
 0x2A70,0x2B70,0x2A6D,0x2B6D,0x2A6F,0x2B6F,0x2A6E,0x2B6E
 };
 
 /* page 3 0x01F5-0x01F5 */
-static uint16 tab_uni_jisx02123[]={
+static uint16_t tab_uni_jisx02123[]={
 0x2B39};
 
 /* page 4 0x02C7-0x02DD */
-static uint16 tab_uni_jisx02124[]={
+static uint16_t tab_uni_jisx02124[]={
 0x2230,     0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
      0,0x222F,0x2232,0x2236,0x2235,     0,0x2233};
 
 /* page 5 0x0384-0x0390 */
-static uint16 tab_uni_jisx02125[]={
+static uint16_t tab_uni_jisx02125[]={
 0x2238,0x2239,0x2661,     0,0x2662,0x2663,0x2664,     0,
 0x2667,     0,0x2669,0x266C,0x2676};
 
 /* page 6 0x03AA-0x03CE */
-static uint16 tab_uni_jisx02126[]={
+static uint16_t tab_uni_jisx02126[]={
 0x2665,0x266A,0x2671,0x2672,0x2673,0x2674,0x267B,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
@@ -4531,26 +4531,26 @@
 0x2675,0x267A,0x2677,0x2679,0x267C};
 
 /* page 7 0x0402-0x040F */
-static uint16 tab_uni_jisx02127[]={
+static uint16_t tab_uni_jisx02127[]={
 0x2742,0x2743,0x2744,0x2745,0x2746,0x2747,0x2748,0x2749,
 0x274A,0x274B,0x274C,     0,0x274D,0x274E};
 
 /* page 8 0x0452-0x045F */
-static uint16 tab_uni_jisx02128[]={
+static uint16_t tab_uni_jisx02128[]={
 0x2772,0x2773,0x2774,0x2775,0x2776,0x2777,0x2778,0x2779,
 0x277A,0x277B,0x277C,     0,0x277D,0x277E};
 
 /* page 9 0x2122-0x2122 */
-static uint16 tab_uni_jisx02129[]={
+static uint16_t tab_uni_jisx02129[]={
 0x226F};
 
 /* page 10   0x2170-0x2179 */
-static uint16 tab_uni_jisx021210[]={
+static uint16_t tab_uni_jisx021210[]={
 0x7373,0x7374,0x7375,0x7376,0x7377,0x7378,0x7379,0x737A,
 0x737B,0x737C};
 
 /* page 11 0x4E02-0x4F19 */
-static uint16 tab_uni_jisx021211[]={
+static uint16_t tab_uni_jisx021211[]={
 0x3021,     0,0x3022,0x3023,     0,     0,     0,     0,
      0,     0,0x3024,     0,     0,     0,     0,     0,
 0x3025,     0,     0,     0,     0,     0,     0,     0,
@@ -4589,7 +4589,7 @@
 };
 
 /* page 12 0x4F2E-0x5166 */
-static uint16 tab_uni_jisx021212[]={
+static uint16_t tab_uni_jisx021212[]={
 0x305D,     0,     0,0x305E,     0,0x3060,     0,0x3061,
      0,0x3062,     0,0x3063,     0,0x3064,     0,     0,
 0x3065,     0,0x3066,     0,0x3067,     0,     0,     0,
@@ -4664,7 +4664,7 @@
 0x326E};
 
 /* page 13 0x517E-0x5515 */
-static uint16 tab_uni_jisx021213[]={
+static uint16_t tab_uni_jisx021213[]={
 0x326F,     0,     0,     0,     0,0x3270,0x3271,     0,
      0,     0,     0,     0,     0,0x3272,     0,     0,
 0x3273,     0,     0,     0,     0,     0,     0,     0,
@@ -4783,7 +4783,7 @@
 };
 
 /* page 14 0x552A-0x5566 */
-static uint16 tab_uni_jisx021214[]={
+static uint16_t tab_uni_jisx021214[]={
 0x354E,0x354F,     0,     0,     0,     0,     0,     0,
 0x3550,     0,     0,0x3551,0x3552,     0,     0,     0,
      0,0x3553,0x3554,0x3555,     0,     0,     0,0x3556,
@@ -4794,7 +4794,7 @@
      0,     0,0x3563,     0,0x3564};
 
 /* page 15 0x557F-0x5C36 */
-static uint16 tab_uni_jisx021215[]={
+static uint16_t tab_uni_jisx021215[]={
 0x3565,     0,0x3566,0x3567,     0,     0,     0,0x3568,
      0,0x3569,     0,     0,     0,     0,     0,0x356A,
 0x356B,     0,0x356C,0x356D,0x356E,0x356F,     0,     0,
@@ -5013,7 +5013,7 @@
 };
 
 /* page 16 0x5C59-0x5EEB */
-static uint16 tab_uni_jisx021216[]={
+static uint16_t tab_uni_jisx021216[]={
 0x3A77,0x3A78,     0,0x3A79,     0,     0,     0,     0,
      0,0x3A7A,0x3A7B,     0,     0,     0,0x3A7C,0x3A7D,
 0x3A7E,     0,     0,     0,0x3B21,     0,     0,0x3B22,
@@ -5099,7 +5099,7 @@
      0,     0,0x3C5B};
 
 /* page 17 0x5F02-0x6149 */
-static uint16 tab_uni_jisx021217[]={
+static uint16_t tab_uni_jisx021217[]={
 0x3C5C,     0,     0,     0,0x3C5D,0x3C5E,0x3C5F,     0,
      0,     0,     0,     0,0x3C60,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,0x3C61,
@@ -5176,7 +5176,7 @@
 };
 
 /* page 18 0x615E-0x6290 */
-static uint16 tab_uni_jisx021218[]={
+static uint16_t tab_uni_jisx021218[]={
 0x3E53,     0,0x3E54,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,0x3E55,     0,
      0,     0,     0,     0,0x3E56,     0,     0,     0,
@@ -5218,7 +5218,7 @@
 0x3F46,0x3F47,0x3F48};
 
 /* page 19 0x62A6-0x679B */
-static uint16 tab_uni_jisx021219[]={
+static uint16_t tab_uni_jisx021219[]={
 0x3F49,     0,0x3F4A,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,0x3F4B,     0,     0,
 0x3F4C,0x3F4D,     0,     0,0x3F4E,     0,     0,     0,
@@ -5380,7 +5380,7 @@
 0x432D,     0,0x432E,0x432F,     0,0x4330};
 
 /* page 20 0x67B0-0x6801 */
-static uint16 tab_uni_jisx021220[]={
+static uint16_t tab_uni_jisx021220[]={
 0x4331,0x4332,0x4333,     0,     0,0x4334,     0,     0,
      0,     0,     0,0x4335,0x4336,0x4337,     0,     0,
 0x4339,     0,0x433A,0x433B,     0,0x433C,     0,     0,
@@ -5394,7 +5394,7 @@
      0,0x7446};
 
 /* page 21 0x6814-0x6917 */
-static uint16 tab_uni_jisx021221[]={
+static uint16_t tab_uni_jisx021221[]={
 0x434A,     0,     0,     0,     0,0x434B,     0,     0,
      0,0x434C,     0,0x434D,     0,     0,     0,     0,
      0,     0,     0,0x434F,0x434E,     0,     0,     0,
@@ -5430,7 +5430,7 @@
      0,     0,0x443B,0x443C};
 
 /* page 22 0x6931-0x6D3F */
-static uint16 tab_uni_jisx021222[]={
+static uint16_t tab_uni_jisx021222[]={
 0x443D,     0,0x443E,     0,0x443F,     0,     0,0x4440,
      0,     0,0x4441,     0,     0,     0,     0,     0,
      0,0x4442,     0,     0,0x4443,     0,     0,     0,
@@ -5563,7 +5563,7 @@
 0x473A,     0,     0,0x473B,     0,     0,0x473C};
 
 /* page 23 0x6D57-0x6E04 */
-static uint16 tab_uni_jisx021223[]={
+static uint16_t tab_uni_jisx021223[]={
 0x473D,     0,     0,     0,     0,     0,     0,0x473E,
 0x473F,     0,0x4740,     0,     0,     0,0x4741,     0,
 0x4742,     0,     0,     0,     0,     0,     0,     0,
@@ -5588,7 +5588,7 @@
      0,0x4767,     0,     0,     0,0x4768};
 
 /* page 24 0x6E1E-0x6ECF */
-static uint16 tab_uni_jisx021224[]={
+static uint16_t tab_uni_jisx021224[]={
 0x4769,     0,     0,     0,0x476A,     0,     0,     0,
      0,0x476B,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,0x476C,     0,     0,     0,
@@ -5614,7 +5614,7 @@
 0x4839,0x483A};
 
 /* page 25 0x6EEB-0x70E4 */
-static uint16 tab_uni_jisx021225[]={
+static uint16_t tab_uni_jisx021225[]={
 0x483B,     0,0x483C,0x483D,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,0x483E,     0,
 0x483F,     0,0x4840,     0,     0,     0,     0,     0,
@@ -5681,7 +5681,7 @@
      0,0x4960};
 
 /* page 26 0x70FA-0x71DC */
-static uint16 tab_uni_jisx021226[]={
+static uint16_t tab_uni_jisx021226[]={
 0x4961,     0,     0,     0,     0,     0,     0,     0,
      0,0x4962,0x4963,0x4964,0x4965,0x4966,     0,     0,
      0,0x4967,0x4968,     0,     0,0x4969,     0,     0,
@@ -5713,7 +5713,7 @@
 0x4A3A,     0,0x4A3B};
 
 /* page 27 0x71F8-0x7E9E */
-static uint16 tab_uni_jisx021227[]={
+static uint16_t tab_uni_jisx021227[]={
 0x4A3C,     0,     0,     0,     0,     0,0x4A3D,     0,
 0x4A3E,     0,     0,     0,     0,     0,     0,0x4A3F,
 0x4A40,0x4A41,     0,     0,     0,     0,     0,     0,
@@ -6121,7 +6121,7 @@
 0x5467,     0,0x5468,     0,     0,0x5469,0x546A};
 
 /* page 28 0x7F3B-0x8044 */
-static uint16 tab_uni_jisx021228[]={
+static uint16_t tab_uni_jisx021228[]={
 0x546C,0x546B,0x546D,0x546E,0x546F,     0,     0,     0,
 0x5470,0x5471,     0,     0,0x5472,     0,     0,     0,
      0,     0,     0,     0,0x5473,     0,     0,0x5474,
@@ -6158,7 +6158,7 @@
      0,0x5563};
 
 /* page 29 0x8060-0x8362 */
-static uint16 tab_uni_jisx021229[]={
+static uint16_t tab_uni_jisx021229[]={
 0x5564,     0,     0,     0,0x5565,     0,0x5566,     0,
      0,     0,     0,     0,     0,0x5567,     0,     0,
      0,0x5568,     0,     0,     0,0x5569,     0,     0,
@@ -6258,7 +6258,7 @@
      0,     0,0x745F};
 
 /* page 30 0x8370-0x8419 */
-static uint16 tab_uni_jisx021230[]={
+static uint16_t tab_uni_jisx021230[]={
 0x577D,     0,     0,     0,     0,     0,     0,     0,
 0x577E,     0,     0,     0,     0,0x5821,     0,0x5822,
 0x5823,     0,0x5824,     0,0x5825,     0,0x5826,     0,
@@ -6283,7 +6283,7 @@
      0,0x584B};
 
 /* page 31 0x842F-0x8880 */
-static uint16 tab_uni_jisx021231[]={
+static uint16_t tab_uni_jisx021231[]={
 0x584D,     0,     0,     0,     0,     0,     0,     0,
      0,     0,0x584E,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,0x584F,     0,
@@ -6425,7 +6425,7 @@
      0,0x5C38};
 
 /* page 32 0x8898-0x89BC */
-static uint16 tab_uni_jisx021232[]={
+static uint16_t tab_uni_jisx021232[]={
 0x5C39,     0,0x5C3A,0x5C3B,0x5C3C,     0,     0,0x5C3D,
 0x5C3E,     0,     0,     0,     0,     0,     0,     0,
 0x5C3F,     0,0x5C40,     0,     0,     0,     0,     0,
@@ -6465,7 +6465,7 @@
      0,     0,     0,     0,0x5D33};
 
 /* page 33 0x89D4-0x8B9F */
-static uint16 tab_uni_jisx021233[]={
+static uint16_t tab_uni_jisx021233[]={
 0x5D34,0x5D35,0x5D36,0x5D37,0x5D38,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
      0,0x5D39,     0,     0,     0,0x5D3A,     0,0x5D3B,
@@ -6526,7 +6526,7 @@
 0x5E5F,     0,0x5E60,0x5E61};
 
 /* page 34 0x8C38-0x8CA4 */
-static uint16 tab_uni_jisx021234[]={
+static uint16_t tab_uni_jisx021234[]={
 0x5E62,0x5E63,     0,     0,     0,0x5E64,0x5E65,     0,
      0,     0,     0,     0,     0,0x5E66,     0,0x5E67,
      0,0x5E68,     0,0x5E69,     0,     0,     0,0x5E6A,
@@ -6543,7 +6543,7 @@
      0,     0,     0,     0,0x5F29};
 
 /* page 35 0x8CB9-0x8D1B */
-static uint16 tab_uni_jisx021235[]={
+static uint16_t tab_uni_jisx021235[]={
 0x5F2A,0x5F2B,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,0x5F2C,0x5F2D,     0,     0,
 0x5F2E,     0,0x5F2F,     0,     0,     0,0x5F30,     0,
@@ -6559,7 +6559,7 @@
      0,     0,0x5F45};
 
 /* page 36 0x8D65-0x8F65 */
-static uint16 tab_uni_jisx021236[]={
+static uint16_t tab_uni_jisx021236[]={
 0x5F46,     0,     0,     0,0x5F47,     0,     0,0x5F48,
      0,0x5F49,     0,     0,     0,     0,     0,     0,
      0,0x7468,     0,     0,     0,     0,     0,     0,
@@ -6627,7 +6627,7 @@
 0x612C};
 
 /* page 37 0x8F9D-0x9484 */
-static uint16 tab_uni_jisx021237[]={
+static uint16_t tab_uni_jisx021237[]={
 0x612D,     0,     0,0x612E,0x612F,     0,     0,0x6130,
 0x6131,0x6132,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
@@ -6788,7 +6788,7 @@
 };
 
 /* page 38 0x9578-0x95E6 */
-static uint16 tab_uni_jisx021238[]={
+static uint16_t tab_uni_jisx021238[]={
 0x657D,0x657E,     0,     0,     0,     0,0x6621,     0,
      0,     0,     0,     0,0x6622,     0,     0,     0,
 0x6623,     0,     0,     0,0x6624,0x6625,0x6626,     0,
@@ -6805,7 +6805,7 @@
 0x6641,     0,     0,     0,0x6642,     0,0x6643};
 
 /* page 39 0x961D-0x986C */
-static uint16 tab_uni_jisx021239[]={
+static uint16_t tab_uni_jisx021239[]={
 0x6644,0x6645,     0,     0,     0,0x6646,     0,0x6647,
 0x6648,0x6649,     0,     0,     0,     0,     0,0x664A,
      0,     0,     0,     0,0x664B,     0,0x664C,     0,
@@ -6883,7 +6883,7 @@
 };
 
 /* page 40 0x98AB-0x98CC */
-static uint16 tab_uni_jisx021240[]={
+static uint16_t tab_uni_jisx021240[]={
 0x683A,     0,0x683B,0x683C,     0,0x683D,     0,     0,
      0,0x683E,     0,     0,0x683F,0x6840,     0,0x6841,
 0x6842,     0,     0,     0,0x6843,     0,     0,0x6844,
@@ -6891,7 +6891,7 @@
      0,0x6847};
 
 /* page 41 0x98E1-0x9960 */
-static uint16 tab_uni_jisx021241[]={
+static uint16_t tab_uni_jisx021241[]={
 0x6848,     0,0x6849,     0,0x684A,0x684B,0x684C,     0,
      0,0x684D,     0,     0,     0,     0,     0,     0,
      0,     0,0x684E,     0,     0,0x684F,     0,     0,
@@ -6911,7 +6911,7 @@
 };
 
 /* page 42 0x999B-0x9A5D */
-static uint16 tab_uni_jisx021242[]={
+static uint16_t tab_uni_jisx021242[]={
 0x6877,     0,0x6878,0x747A,0x6879,     0,     0,     0,
      0,     0,     0,0x687A,     0,     0,     0,     0,
      0,     0,     0,     0,     0,0x687B,0x687C,0x687D,
@@ -6939,7 +6939,7 @@
      0,     0,0x6955};
 
 /* page 43 0x9AAA-0x9C7B */
-static uint16 tab_uni_jisx021243[]={
+static uint16_t tab_uni_jisx021243[]={
 0x6956,     0,0x6957,     0,0x6958,0x6959,     0,     0,
 0x695A,     0,0x695B,0x695C,0x695D,     0,     0,0x695E,
      0,0x695F,     0,     0,0x6960,0x6961,     0,0x6962,
@@ -7001,7 +7001,7 @@
      0,0x6B58};
 
 /* page 44 0x9CE6-0x9E1D */
-static uint16 tab_uni_jisx021244[]={
+static uint16_t tab_uni_jisx021244[]={
 0x6B59,     0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,0x6B5A,     0,     0,     0,
      0,0x6B5B,     0,0x6B5C,     0,     0,     0,     0,
@@ -7044,7 +7044,7 @@
 };
 
 /* page 45 0x9E7A-0x9FA5 */
-static uint16 tab_uni_jisx021245[]={
+static uint16_t tab_uni_jisx021245[]={
 0x6C59,0x6C5A,0x6C5B,     0,     0,     0,0x6C5C,     0,
 0x6C5D,0x6C5E,0x6C5F,0x6C60,     0,0x6C61,     0,     0,
      0,     0,     0,     0,0x6C62,0x6C63,     0,     0,
@@ -7085,15 +7085,15 @@
 0x6D61,0x6D62,     0,0x6D63};
 
 /* page 46 0xF929-0xF929 */
-static uint16 tab_uni_jisx021246[]={
+static uint16_t tab_uni_jisx021246[]={
 0x7445};
 
 /* page 47 0xF9DC-0xF9DC */
-static uint16 tab_uni_jisx021247[]={
+static uint16_t tab_uni_jisx021247[]={
 0x7472};
 
 /* page 48 0xFA00-0xFA2D */
-static uint16 tab_uni_jisx021248[]={
+static uint16_t tab_uni_jisx021248[]={
      0,     0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,0x7434,0x7437,
 0x7438,0x743D,0x7444,0x7447,0x7448,0x744E,0x744F,0x7453,
@@ -7102,11 +7102,11 @@
 0x7470,0x7473,0x7477,0x7478,0x7479,0x747D};
 
 /* page 49 0xFF00-0XFF07 */
-static uint16 tab_uni_jisx021249[]={
+static uint16_t tab_uni_jisx021249[]={
      0,     0,0x742A,     0,     0,     0,     0,0x7429};
 
 /* page 50 0xFFE4-0xFFE4 */
-static uint16 tab_uni_jisx021250[]={
+static uint16_t tab_uni_jisx021250[]={
 0x2243};
 
 static int
@@ -7217,34 +7217,34 @@
 }
 
 /* page 0 0x222F-0x2244 */
-static uint16 tab_jisx0212_uni0[]={
+static uint16_t tab_jisx0212_uni0[]={
 0x02D8,0x02C7,0x00B8,0x02D9,0x02DD,0x00AF,0x02DB,0x02DA,
 0xFF5E,0x0384,0x0385,     0,     0,     0,     0,     0,
      0,     0,     0,0x00A1,0xFFE4,0x00BF};
 
 /* page 1 0x226B-0x2271 */
-static uint16 tab_jisx0212_uni1[]={
+static uint16_t tab_jisx0212_uni1[]={
 0x00BA,0x00AA,0x00A9,0x00AE,0x2122,0x00A4,0x2116};
 
 /* page 2 0x2661-0x267C */
-static uint16 tab_jisx0212_uni2[]={
+static uint16_t tab_jisx0212_uni2[]={
 0x0386,0x0388,0x0389,0x038A,0x03AA,     0,0x038C,     0,
 0x038E,0x03AB,     0,0x038F,     0,     0,     0,     0,
 0x03AC,0x03AD,0x03AE,0x03AF,0x03CA,0x0390,0x03CC,0x03C2,
 0x03CD,0x03CB,0x03B0,0x03CE};
 
 /* page 3 0x2742-0x274E */
-static uint16 tab_jisx0212_uni3[]={
+static uint16_t tab_jisx0212_uni3[]={
 0x0402,0x0403,0x0404,0x0405,0x0406,0x0407,0x0408,0x0409,
 0x040A,0x040B,0x040C,0x040E,0x040F};
 
 /* page 4 0x2772-0x277E */
-static uint16 tab_jisx0212_uni4[]={
+static uint16_t tab_jisx0212_uni4[]={
 0x0452,0x0453,0x0454,0x0455,0x0456,0x0457,0x0458,0x0459,
 0x045A,0x045B,0x045C,0x045E,0x045F};
 
 /* page 5 0x2921-0x2950 */
-static uint16 tab_jisx0212_uni5[]={
+static uint16_t tab_jisx0212_uni5[]={
 0x00C6,0x0110,     0,0x0126,     0,0x0132,     0,0x0141,
 0x013F,     0,0x014A,0x00D8,0x0152,     0,0x0166,0x00DE,
      0,     0,     0,     0,     0,     0,     0,     0,
@@ -7254,7 +7254,7 @@
 };
 
 /* page 6 0x2A21-0x2A77 */
-static uint16 tab_jisx0212_uni6[]={
+static uint16_t tab_jisx0212_uni6[]={
 0x00C1,0x00C0,0x00C4,0x00C2,0x0102,0x01CD,0x0100,0x0104,
 0x00C5,0x00C3,0x0106,0x0108,0x010C,0x00C7,0x010A,0x010E,
 0x00C9,0x00C8,0x00CB,0x00CA,0x011A,0x0116,0x0112,0x0118,
@@ -7268,7 +7268,7 @@
 0x0174,0x00DD,0x0178,0x0176,0x0179,0x017D,0x017B};
 
 /* page 7 0x2B21-0x2B77 */
-static uint16 tab_jisx0212_uni7[]={
+static uint16_t tab_jisx0212_uni7[]={
 0x00E1,0x00E0,0x00E4,0x00E2,0x0103,0x01CE,0x0101,0x0105,
 0x00E5,0x00E3,0x0107,0x0109,0x010D,0x00E7,0x010B,0x010F,
 0x00E9,0x00E8,0x00EB,0x00EA,0x011B,0x0117,0x0113,0x0119,
@@ -7282,7 +7282,7 @@
 0x0175,0x00FD,0x00FF,0x0177,0x017A,0x017E,0x017C};
 
 /* page 8 0x3021-0x307E */
-static uint16 tab_jisx0212_uni8[]={
+static uint16_t tab_jisx0212_uni8[]={
 0x4E02,0x4E04,0x4E05,0x4E0C,0x4E12,0x4E1F,0x4E23,0x4E24,
 0x4E28,0x4E2B,0x4E2E,0x4E2F,0x4E30,0x4E35,0x4E40,0x4E41,
 0x4E44,0x4E47,0x4E51,0x4E5A,0x4E5C,0x4E63,0x4E68,0x4E69,
@@ -7297,7 +7297,7 @@
 0x4F7A,0x4F7D,0x4F7E,0x4F81,0x4F82,0x4F84};
 
 /* page 9 0x3121-0x317E */
-static uint16 tab_jisx0212_uni9[]={
+static uint16_t tab_jisx0212_uni9[]={
 0x4F85,0x4F89,0x4F8A,0x4F8C,0x4F8E,0x4F90,0x4F92,0x4F93,
 0x4F94,0x4F97,0x4F99,0x4F9A,0x4F9E,0x4F9F,0x4FB2,0x4FB7,
 0x4FB9,0x4FBB,0x4FBC,0x4FBD,0x4FBE,0x4FC0,0x4FC1,0x4FC5,
@@ -7312,7 +7312,7 @@
 0x5084,0x5086,0x508A,0x508E,0x508F,0x5090};
 
 /* page 10 0x3221-0x327E */
-static uint16 tab_jisx0212_uni10[]={
+static uint16_t tab_jisx0212_uni10[]={
 0x5092,0x5093,0x5094,0x5096,0x509B,0x509C,0x509E,0x509F,
 0x50A0,0x50A1,0x50A2,0x50AA,0x50AF,0x50B0,0x50B9,0x50BA,
 0x50BD,0x50C0,0x50C3,0x50C4,0x50C7,0x50CC,0x50CE,0x50D0,
@@ -7327,7 +7327,7 @@
 0x51B8,0x51BA,0x51BC,0x51BE,0x51BF,0x51C2};
 
 /* page 11 0x3321-0x337E */
-static uint16 tab_jisx0212_uni11[]={
+static uint16_t tab_jisx0212_uni11[]={
 0x51C8,0x51CF,0x51D1,0x51D2,0x51D3,0x51D5,0x51D8,0x51DE,
 0x51E2,0x51E5,0x51EE,0x51F2,0x51F3,0x51F4,0x51F7,0x5201,
 0x5202,0x5205,0x5212,0x5213,0x5215,0x5216,0x5218,0x5222,
@@ -7342,7 +7342,7 @@
 0x52F6,0x52F7,0x5300,0x5303,0x530A,0x530B};
 
 /* page 12 0x3421-0x347E */
-static uint16 tab_jisx0212_uni12[]={
+static uint16_t tab_jisx0212_uni12[]={
 0x530C,0x5311,0x5313,0x5318,0x531B,0x531C,0x531E,0x531F,
 0x5325,0x5327,0x5328,0x5329,0x532B,0x532C,0x532D,0x5330,
 0x5332,0x5335,0x533C,0x533D,0x533E,0x5342,0x534C,0x534B,
@@ -7357,7 +7357,7 @@
 0x5469,0x546B,0x546D,0x546E,0x5474,0x547F};
 
 /* page 13 0x3521-0x357E */
-static uint16 tab_jisx0212_uni13[]={
+static uint16_t tab_jisx0212_uni13[]={
 0x5481,0x5483,0x5485,0x5488,0x5489,0x548D,0x5491,0x5495,
 0x5496,0x549C,0x549F,0x54A1,0x54A6,0x54A7,0x54A9,0x54AA,
 0x54AD,0x54AE,0x54B1,0x54B7,0x54B9,0x54BA,0x54BB,0x54BF,
@@ -7372,7 +7372,7 @@
 0x55C9,0x55CB,0x55CC,0x55CE,0x55D1,0x55D2};
 
 /* page 14 0x3621-0x367E */
-static uint16 tab_jisx0212_uni14[]={
+static uint16_t tab_jisx0212_uni14[]={
 0x55D3,0x55D7,0x55D8,0x55DB,0x55DE,0x55E2,0x55E9,0x55F6,
 0x55FF,0x5605,0x5608,0x560A,0x560D,0x560E,0x560F,0x5610,
 0x5611,0x5612,0x5619,0x562C,0x5630,0x5633,0x5635,0x5637,
@@ -7387,7 +7387,7 @@
 0x56E6,0x56E7,0x56E8,0x56F1,0x56EB,0x56ED};
 
 /* page 15 0x3721-0x377E */
-static uint16 tab_jisx0212_uni15[]={
+static uint16_t tab_jisx0212_uni15[]={
 0x56F6,0x56F7,0x5701,0x5702,0x5707,0x570A,0x570C,0x5711,
 0x5715,0x571A,0x571B,0x571D,0x5720,0x5722,0x5723,0x5724,
 0x5725,0x5729,0x572A,0x572C,0x572E,0x572F,0x5733,0x5734,
@@ -7402,7 +7402,7 @@
 0x57FF,0x5803,0x5804,0x5808,0x5809,0x57E1};
 
 /* page 16 0x3821-0x387E */
-static uint16 tab_jisx0212_uni16[]={
+static uint16_t tab_jisx0212_uni16[]={
 0x580C,0x580D,0x581B,0x581E,0x581F,0x5820,0x5826,0x5827,
 0x582D,0x5832,0x5839,0x583F,0x5849,0x584C,0x584D,0x584F,
 0x5850,0x5855,0x585F,0x5861,0x5864,0x5867,0x5868,0x5878,
@@ -7417,7 +7417,7 @@
 0x595E,0x595F,0x5961,0x5963,0x596B,0x596D};
 
 /* page 17 0x3921-0x397E */
-static uint16 tab_jisx0212_uni17[]={
+static uint16_t tab_jisx0212_uni17[]={
 0x596F,0x5972,0x5975,0x5976,0x5979,0x597B,0x597C,0x598B,
 0x598C,0x598E,0x5992,0x5995,0x5997,0x599F,0x59A4,0x59A7,
 0x59AD,0x59AE,0x59AF,0x59B0,0x59B3,0x59B7,0x59BA,0x59BC,
@@ -7432,7 +7432,7 @@
 0x5AB3,0x5AB5,0x5AB8,0x5ABA,0x5ABB,0x5ABF};
 
 /* page 18 0x3A21-0x3A7E */
-static uint16 tab_jisx0212_uni18[]={
+static uint16_t tab_jisx0212_uni18[]={
 0x5AC4,0x5AC6,0x5AC8,0x5ACF,0x5ADA,0x5ADC,0x5AE0,0x5AE5,
 0x5AEA,0x5AEE,0x5AF5,0x5AF6,0x5AFD,0x5B00,0x5B01,0x5B08,
 0x5B17,0x5B34,0x5B19,0x5B1B,0x5B1D,0x5B21,0x5B25,0x5B2D,
@@ -7447,7 +7447,7 @@
 0x5C5C,0x5C62,0x5C63,0x5C67,0x5C68,0x5C69};
 
 /* page 19 0x3B21-0x3B7E */
-static uint16 tab_jisx0212_uni19[]={
+static uint16_t tab_jisx0212_uni19[]={
 0x5C6D,0x5C70,0x5C74,0x5C75,0x5C7A,0x5C7B,0x5C7C,0x5C7D,
 0x5C87,0x5C88,0x5C8A,0x5C8F,0x5C92,0x5C9D,0x5C9F,0x5CA0,
 0x5CA2,0x5CA3,0x5CA6,0x5CAA,0x5CB2,0x5CB4,0x5CB5,0x5CBA,
@@ -7462,7 +7462,7 @@
 0x5DD0,0x5DCE,0x5DD8,0x5DD9,0x5DE0,0x5DE4};
 
 /* page 20 0x3C21-0x3C7E */
-static uint16 tab_jisx0212_uni20[]={
+static uint16_t tab_jisx0212_uni20[]={
 0x5DE9,0x5DF8,0x5DF9,0x5E00,0x5E07,0x5E0D,0x5E12,0x5E14,
 0x5E15,0x5E18,0x5E1F,0x5E20,0x5E2E,0x5E28,0x5E32,0x5E35,
 0x5E3E,0x5E4B,0x5E50,0x5E49,0x5E51,0x5E56,0x5E58,0x5E5B,
@@ -7477,7 +7477,7 @@
 0x5F58,0x5F5B,0x5F60,0x5F63,0x5F64,0x5F67};
 
 /* page 21 0x3D21-0x3D7E */
-static uint16 tab_jisx0212_uni21[]={
+static uint16_t tab_jisx0212_uni21[]={
 0x5F6F,0x5F72,0x5F74,0x5F75,0x5F78,0x5F7A,0x5F7D,0x5F7E,
 0x5F89,0x5F8D,0x5F8F,0x5F96,0x5F9C,0x5F9D,0x5FA2,0x5FA7,
 0x5FAB,0x5FA4,0x5FAC,0x5FAF,0x5FB0,0x5FB1,0x5FB8,0x5FC4,
@@ -7492,7 +7492,7 @@
 0x60A4,0x60A5,0x60A8,0x60B0,0x60B1,0x60B7};
 
 /* page 22 0x3E21-0x3E7E */
-static uint16 tab_jisx0212_uni22[]={
+static uint16_t tab_jisx0212_uni22[]={
 0x60BB,0x60BE,0x60C2,0x60C4,0x60C8,0x60C9,0x60CA,0x60CB,
 0x60CE,0x60CF,0x60D4,0x60D5,0x60D9,0x60DB,0x60DD,0x60DE,
 0x60E2,0x60E5,0x60F2,0x60F5,0x60F8,0x60FC,0x60FD,0x6102,
@@ -7507,7 +7507,7 @@
 0x61DF,0x61E1,0x61E2,0x61E7,0x61E9,0x61E5};
 
 /* page 23 0x3F21-0x3F7E */
-static uint16 tab_jisx0212_uni23[]={
+static uint16_t tab_jisx0212_uni23[]={
 0x61EC,0x61ED,0x61EF,0x6201,0x6203,0x6204,0x6207,0x6213,
 0x6215,0x621C,0x6220,0x6222,0x6223,0x6227,0x6229,0x622B,
 0x6239,0x623D,0x6242,0x6243,0x6244,0x6246,0x624C,0x6250,
@@ -7522,7 +7522,7 @@
 0x6366,0x636C,0x636D,0x6371,0x6374,0x6375};
 
 /* page 24 0x4021-0x407E */
-static uint16 tab_jisx0212_uni24[]={
+static uint16_t tab_jisx0212_uni24[]={
 0x6378,0x637C,0x637D,0x637F,0x6382,0x6384,0x6387,0x638A,
 0x6390,0x6394,0x6395,0x6399,0x639A,0x639E,0x63A4,0x63A6,
 0x63AD,0x63AE,0x63AF,0x63BD,0x63C1,0x63C5,0x63C8,0x63CE,
@@ -7537,7 +7537,7 @@
 0x64A8,0x64AC,0x64B3,0x64BD,0x64BE,0x64BF};
 
 /* page 25 0x4121-0x417E */
-static uint16 tab_jisx0212_uni25[]={
+static uint16_t tab_jisx0212_uni25[]={
 0x64C4,0x64C9,0x64CA,0x64CB,0x64CC,0x64CE,0x64D0,0x64D1,
 0x64D5,0x64D7,0x64E4,0x64E5,0x64E9,0x64EA,0x64ED,0x64F0,
 0x64F5,0x64F7,0x64FB,0x64FF,0x6501,0x6504,0x6508,0x6509,
@@ -7552,7 +7552,7 @@
 0x660D,0x6611,0x6612,0x6615,0x6616,0x661D};
 
 /* page 26 0x4221-0x427E */
-static uint16 tab_jisx0212_uni26[]={
+static uint16_t tab_jisx0212_uni26[]={
 0x661E,0x6621,0x6622,0x6623,0x6624,0x6626,0x6629,0x662A,
 0x662B,0x662C,0x662E,0x6630,0x6631,0x6633,0x6639,0x6637,
 0x6640,0x6645,0x6646,0x664A,0x664C,0x6651,0x664E,0x6657,
@@ -7567,7 +7567,7 @@
 0x6747,0x6748,0x674C,0x6754,0x6755,0x675D};
 
 /* page 27 0x4321-0x437E */
-static uint16 tab_jisx0212_uni27[]={
+static uint16_t tab_jisx0212_uni27[]={
 0x6766,0x676C,0x676E,0x6774,0x6776,0x677B,0x6781,0x6784,
 0x678E,0x678F,0x6791,0x6793,0x6796,0x6798,0x6799,0x679B,
 0x67B0,0x67B1,0x67B2,0x67B5,0x67BB,0x67BC,0x67BD,0x67F9,
@@ -7582,7 +7582,7 @@
 0x68B2,0x68BB,0x68C5,0x68C8,0x68CC,0x68CF};
 
 /* page 28 0x4421-0x447E */
-static uint16 tab_jisx0212_uni28[]={
+static uint16_t tab_jisx0212_uni28[]={
 0x68D0,0x68D1,0x68D3,0x68D6,0x68D9,0x68DC,0x68DD,0x68E5,
 0x68E8,0x68EA,0x68EB,0x68EC,0x68ED,0x68F0,0x68F1,0x68F5,
 0x68F6,0x68FB,0x68FC,0x68FD,0x6906,0x6909,0x690A,0x6910,
@@ -7597,7 +7597,7 @@
 0x6A1D,0x6A20,0x6A24,0x6A28,0x6A30,0x6A32};
 
 /* page 29 0x4521-0x457E */
-static uint16 tab_jisx0212_uni29[]={
+static uint16_t tab_jisx0212_uni29[]={
 0x6A34,0x6A37,0x6A3B,0x6A3E,0x6A3F,0x6A45,0x6A46,0x6A49,
 0x6A4A,0x6A4E,0x6A50,0x6A51,0x6A52,0x6A55,0x6A56,0x6A5B,
 0x6A64,0x6A67,0x6A6A,0x6A71,0x6A73,0x6A7E,0x6A81,0x6A83,
@@ -7612,7 +7612,7 @@
 0x6B67,0x6B6B,0x6B6E,0x6B70,0x6B75,0x6B7D};
 
 /* page 30 0x4621-0x467E */
-static uint16 tab_jisx0212_uni30[]={
+static uint16_t tab_jisx0212_uni30[]={
 0x6B7E,0x6B82,0x6B85,0x6B97,0x6B9B,0x6B9F,0x6BA0,0x6BA2,
 0x6BA3,0x6BA8,0x6BA9,0x6BAC,0x6BAD,0x6BAE,0x6BB0,0x6BB8,
 0x6BB9,0x6BBD,0x6BBE,0x6BC3,0x6BC4,0x6BC9,0x6BCC,0x6BD6,
@@ -7627,7 +7627,7 @@
 0x6CCF,0x6CD0,0x6CD1,0x6CD2,0x6CD4,0x6CD6};
 
 /* page 31 0x4721-0x477E */
-static uint16 tab_jisx0212_uni31[]={
+static uint16_t tab_jisx0212_uni31[]={
 0x6CDA,0x6CDC,0x6CE0,0x6CE7,0x6CE9,0x6CEB,0x6CEC,0x6CEE,
 0x6CF2,0x6CF4,0x6D04,0x6D07,0x6D0A,0x6D0E,0x6D0F,0x6D11,
 0x6D13,0x6D1A,0x6D26,0x6D27,0x6D28,0x6C67,0x6D2E,0x6D2F,
@@ -7642,7 +7642,7 @@
 0x6E53,0x6E54,0x6E57,0x6E5C,0x6E5D,0x6E5E};
 
 /* page 32 0x4821-0x487E */
-static uint16 tab_jisx0212_uni32[]={
+static uint16_t tab_jisx0212_uni32[]={
 0x6E62,0x6E63,0x6E68,0x6E73,0x6E7B,0x6E7D,0x6E8D,0x6E93,
 0x6E99,0x6EA0,0x6EA7,0x6EAD,0x6EAE,0x6EB1,0x6EB3,0x6EBB,
 0x6EBF,0x6EC0,0x6EC1,0x6EC3,0x6EC7,0x6EC8,0x6ECA,0x6ECD,
@@ -7657,7 +7657,7 @@
 0x6FB6,0x6FBC,0x6FC5,0x6FC7,0x6FC8,0x6FCA};
 
 /* page 33 0x4921-0x497E */
-static uint16 tab_jisx0212_uni33[]={
+static uint16_t tab_jisx0212_uni33[]={
 0x6FDA,0x6FDE,0x6FE8,0x6FE9,0x6FF0,0x6FF5,0x6FF9,0x6FFC,
 0x6FFD,0x7000,0x7005,0x7006,0x7007,0x700D,0x7017,0x7020,
 0x7023,0x702F,0x7034,0x7037,0x7039,0x703C,0x7043,0x7044,
@@ -7672,7 +7672,7 @@
 0x7152,0x7157,0x715A,0x715C,0x715E,0x7160};
 
 /* page 34 0x4A21-0x4A7E */
-static uint16 tab_jisx0212_uni34[]={
+static uint16_t tab_jisx0212_uni34[]={
 0x7168,0x7179,0x7180,0x7185,0x7187,0x718C,0x7192,0x719A,
 0x719B,0x71A0,0x71A2,0x71AF,0x71B0,0x71B2,0x71B3,0x71BA,
 0x71BF,0x71C0,0x71C1,0x71C4,0x71CB,0x71CC,0x71D3,0x71D6,
@@ -7687,7 +7687,7 @@
 0x72DF,0x72E5,0x72F3,0x72F4,0x72FA,0x72FB};
 
 /* page 35 0x4B21-0x4B7E */
-static uint16 tab_jisx0212_uni35[]={
+static uint16_t tab_jisx0212_uni35[]={
 0x72FE,0x7302,0x7304,0x7305,0x7307,0x730B,0x730D,0x7312,
 0x7313,0x7318,0x7319,0x731E,0x7322,0x7324,0x7327,0x7328,
 0x732C,0x7331,0x7332,0x7335,0x733A,0x733B,0x733D,0x7343,
@@ -7702,7 +7702,7 @@
 0x73F5,0x73F7,0x73F9,0x73FA,0x73FB,0x73FD};
 
 /* page 36 0x4C21-0x4C7E */
-static uint16 tab_jisx0212_uni36[]={
+static uint16_t tab_jisx0212_uni36[]={
 0x73FF,0x7400,0x7401,0x7404,0x7407,0x740A,0x7411,0x741A,
 0x741B,0x7424,0x7426,0x7428,0x7429,0x742A,0x742B,0x742C,
 0x742D,0x742E,0x742F,0x7430,0x7431,0x7439,0x7440,0x7443,
@@ -7717,7 +7717,7 @@
 0x74F4,0x74FA,0x74FB,0x74FC,0x74FF,0x7506};
 
 /* page 37 0x4D21-0x4D7E */
-static uint16 tab_jisx0212_uni37[]={
+static uint16_t tab_jisx0212_uni37[]={
 0x7512,0x7516,0x7517,0x7520,0x7521,0x7524,0x7527,0x7529,
 0x752A,0x752F,0x7536,0x7539,0x753D,0x753E,0x753F,0x7540,
 0x7543,0x7547,0x7548,0x754E,0x7550,0x7552,0x7557,0x755E,
@@ -7732,7 +7732,7 @@
 0x762D,0x7632,0x7633,0x7635,0x7638,0x7639};
 
 /* page 38 0x4E21-0x4E7E */
-static uint16 tab_jisx0212_uni38[]={
+static uint16_t tab_jisx0212_uni38[]={
 0x763A,0x763C,0x764A,0x7640,0x7641,0x7643,0x7644,0x7645,
 0x7649,0x764B,0x7655,0x7659,0x765F,0x7664,0x7665,0x766D,
 0x766E,0x766F,0x7671,0x7674,0x7681,0x7685,0x768C,0x768D,
@@ -7747,7 +7747,7 @@
 0x7757,0x775C,0x775E,0x775F,0x7760,0x7762};
 
 /* page 39 0x4F21-0x4F7E */
-static uint16 tab_jisx0212_uni39[]={
+static uint16_t tab_jisx0212_uni39[]={
 0x7764,0x7767,0x776A,0x776C,0x7770,0x7772,0x7773,0x7774,
 0x777A,0x777D,0x7780,0x7784,0x778C,0x778D,0x7794,0x7795,
 0x7796,0x779A,0x779F,0x77A2,0x77A7,0x77AA,0x77AE,0x77AF,
@@ -7762,7 +7762,7 @@
 0x78AC,0x78AD,0x78B0,0x78B1,0x78B2,0x78B3};
 
 /* page 40 0x5021-0x507E */
-static uint16 tab_jisx0212_uni40[]={
+static uint16_t tab_jisx0212_uni40[]={
 0x78BB,0x78BD,0x78BF,0x78C7,0x78C8,0x78C9,0x78CC,0x78CE,
 0x78D2,0x78D3,0x78D5,0x78D6,0x78E4,0x78DB,0x78DF,0x78E0,
 0x78E1,0x78E6,0x78EA,0x78F2,0x78F3,0x7900,0x78F6,0x78F7,
@@ -7777,7 +7777,7 @@
 0x79CF,0x79D4,0x79D6,0x79DA,0x79DD,0x79DE};
 
 /* page 41 0x5121-0x517E */
-static uint16 tab_jisx0212_uni41[]={
+static uint16_t tab_jisx0212_uni41[]={
 0x79E0,0x79E2,0x79E5,0x79EA,0x79EB,0x79ED,0x79F1,0x79F8,
 0x79FC,0x7A02,0x7A03,0x7A07,0x7A09,0x7A0A,0x7A0C,0x7A11,
 0x7A15,0x7A1B,0x7A1E,0x7A21,0x7A27,0x7A2B,0x7A2D,0x7A2F,
@@ -7792,7 +7792,7 @@
 0x7B2A,0x7B2B,0x7B2D,0x7B2E,0x7B2F,0x7B30};
 
 /* page 42 0x5221-0x527E */
-static uint16 tab_jisx0212_uni42[]={
+static uint16_t tab_jisx0212_uni42[]={
 0x7B31,0x7B34,0x7B3D,0x7B3F,0x7B40,0x7B41,0x7B47,0x7B4E,
 0x7B55,0x7B60,0x7B64,0x7B66,0x7B69,0x7B6A,0x7B6D,0x7B6F,
 0x7B72,0x7B73,0x7B77,0x7B84,0x7B89,0x7B8E,0x7B90,0x7B91,
@@ -7807,7 +7807,7 @@
 0x7C59,0x7C5A,0x7C5B,0x7C5C,0x7C5D,0x7C5E};
 
 /* page 43 0x5321-0x537E */
-static uint16 tab_jisx0212_uni43[]={
+static uint16_t tab_jisx0212_uni43[]={
 0x7C61,0x7C63,0x7C67,0x7C69,0x7C6D,0x7C6E,0x7C70,0x7C72,
 0x7C79,0x7C7C,0x7C7D,0x7C86,0x7C87,0x7C8F,0x7C94,0x7C9E,
 0x7CA0,0x7CA6,0x7CB0,0x7CB6,0x7CB7,0x7CBA,0x7CBB,0x7CBC,
@@ -7822,7 +7822,7 @@
 0x7D8C,0x7D8D,0x7D91,0x7D96,0x7D97,0x7D9D};
 
 /* page 44 0x5421-0x547E */
-static uint16 tab_jisx0212_uni44[]={
+static uint16_t tab_jisx0212_uni44[]={
 0x7D9E,0x7DA6,0x7DA7,0x7DAA,0x7DB3,0x7DB6,0x7DB7,0x7DB9,
 0x7DC2,0x7DC3,0x7DC4,0x7DC5,0x7DC6,0x7DCC,0x7DCD,0x7DCE,
 0x7DD7,0x7DD9,0x7E00,0x7DE2,0x7DE5,0x7DE6,0x7DEA,0x7DEB,
@@ -7837,7 +7837,7 @@
 0x7F61,0x7F63,0x7F64,0x7F65,0x7F66,0x7F6D};
 
 /* page 45 0x5521-0x557E */
-static uint16 tab_jisx0212_uni45[]={
+static uint16_t tab_jisx0212_uni45[]={
 0x7F71,0x7F7D,0x7F7E,0x7F7F,0x7F80,0x7F8B,0x7F8D,0x7F8F,
 0x7F90,0x7F91,0x7F96,0x7F97,0x7F9C,0x7FA1,0x7FA2,0x7FA6,
 0x7FAA,0x7FAD,0x7FB4,0x7FBC,0x7FBF,0x7FC0,0x7FC3,0x7FC8,
@@ -7852,7 +7852,7 @@
 0x80D5,0x80D7,0x80D8,0x80E0,0x80ED,0x80EE};
 
 /* page 46 0x5621-0x567E */
-static uint16 tab_jisx0212_uni46[]={
+static uint16_t tab_jisx0212_uni46[]={
 0x80F0,0x80F2,0x80F3,0x80F6,0x80F9,0x80FA,0x80FE,0x8103,
 0x810B,0x8116,0x8117,0x8118,0x811C,0x811E,0x8120,0x8124,
 0x8127,0x812C,0x8130,0x8135,0x813A,0x813C,0x8145,0x8147,
@@ -7867,7 +7867,7 @@
 0x8234,0x823A,0x8243,0x8244,0x8245,0x8246};
 
 /* page 47 0x5721-0x577E */
-static uint16 tab_jisx0212_uni47[]={
+static uint16_t tab_jisx0212_uni47[]={
 0x824B,0x824E,0x824F,0x8251,0x8256,0x825C,0x8260,0x8263,
 0x8267,0x826D,0x8274,0x827B,0x827D,0x827F,0x8280,0x8281,
 0x8283,0x8284,0x8287,0x8289,0x828A,0x828E,0x8291,0x8294,
@@ -7882,7 +7882,7 @@
 0x8351,0x8355,0x8356,0x8357,0x8370,0x8378};
 
 /* page 48 0x5821-0x587E */
-static uint16 tab_jisx0212_uni48[]={
+static uint16_t tab_jisx0212_uni48[]={
 0x837D,0x837F,0x8380,0x8382,0x8384,0x8386,0x838D,0x8392,
 0x8394,0x8395,0x8398,0x8399,0x839B,0x839C,0x839D,0x83A6,
 0x83A7,0x83A9,0x83AC,0x83BE,0x83BF,0x83C0,0x83C7,0x83C9,
@@ -7897,7 +7897,7 @@
 0x84C2,0x84C7,0x84C8,0x84CC,0x84CF,0x84D3};
 
 /* page 49 0x5921-0x597E */
-static uint16 tab_jisx0212_uni49[]={
+static uint16_t tab_jisx0212_uni49[]={
 0x84DC,0x84E7,0x84EA,0x84EF,0x84F0,0x84F1,0x84F2,0x84F7,
 0x8532,0x84FA,0x84FB,0x84FD,0x8502,0x8503,0x8507,0x850C,
 0x850E,0x8510,0x851C,0x851E,0x8522,0x8523,0x8524,0x8525,
@@ -7912,7 +7912,7 @@
 0x85E6,0x85E8,0x85ED,0x85F3,0x85F6,0x85FC};
 
 /* page 50 0x5A21-0x5A7E */
-static uint16 tab_jisx0212_uni50[]={
+static uint16_t tab_jisx0212_uni50[]={
 0x85FF,0x8600,0x8604,0x8605,0x860D,0x860E,0x8610,0x8611,
 0x8612,0x8618,0x8619,0x861B,0x861E,0x8621,0x8627,0x8629,
 0x8636,0x8638,0x863A,0x863C,0x863D,0x8640,0x8642,0x8646,
@@ -7927,7 +7927,7 @@
 0x8714,0x8719,0x871E,0x871F,0x8721,0x8723};
 
 /* page 51 0x5B21-0x5B7E */
-static uint16 tab_jisx0212_uni51[]={
+static uint16_t tab_jisx0212_uni51[]={
 0x8728,0x872E,0x872F,0x8731,0x8732,0x8739,0x873A,0x873C,
 0x873D,0x873E,0x8740,0x8743,0x8745,0x874D,0x8758,0x875D,
 0x8761,0x8764,0x8765,0x876F,0x8771,0x8772,0x877B,0x8783,
@@ -7942,7 +7942,7 @@
 0x8828,0x882D,0x882E,0x8830,0x8832,0x8835};
 
 /* page 52 0x5C21-0x5C7E */
-static uint16 tab_jisx0212_uni52[]={
+static uint16_t tab_jisx0212_uni52[]={
 0x883A,0x883C,0x8841,0x8843,0x8845,0x8848,0x8849,0x884A,
 0x884B,0x884E,0x8851,0x8855,0x8856,0x8858,0x885A,0x885C,
 0x885F,0x8860,0x8864,0x8869,0x8871,0x8879,0x887B,0x8880,
@@ -7957,7 +7957,7 @@
 0x896B,0x896E,0x8970,0x8973,0x8975,0x897A};
 
 /* page 53 0x5D21-0x5D7E */
-static uint16 tab_jisx0212_uni53[]={
+static uint16_t tab_jisx0212_uni53[]={
 0x897B,0x897C,0x897D,0x8989,0x898D,0x8990,0x8994,0x8995,
 0x899B,0x899C,0x899F,0x89A0,0x89A5,0x89B0,0x89B4,0x89B5,
 0x89B6,0x89B7,0x89BC,0x89D4,0x89D5,0x89D6,0x89D7,0x89D8,
@@ -7972,7 +7972,7 @@
 0x8A9F,0x8AA7,0x8AA9,0x8AAE,0x8AAF,0x8AB3};
 
 /* page 54 0x5E21-0x5E7E */
-static uint16 tab_jisx0212_uni54[]={
+static uint16_t tab_jisx0212_uni54[]={
 0x8AB6,0x8AB7,0x8ABB,0x8ABE,0x8AC3,0x8AC6,0x8AC8,0x8AC9,
 0x8ACA,0x8AD1,0x8AD3,0x8AD4,0x8AD5,0x8AD7,0x8ADD,0x8ADF,
 0x8AEC,0x8AF0,0x8AF4,0x8AF5,0x8AF6,0x8AFC,0x8AFF,0x8B05,
@@ -7987,7 +7987,7 @@
 0x8C73,0x8C75,0x8C76,0x8C7B,0x8C7E,0x8C86};
 
 /* page 55 0x5F21-0x5F7E */
-static uint16 tab_jisx0212_uni55[]={
+static uint16_t tab_jisx0212_uni55[]={
 0x8C87,0x8C8B,0x8C90,0x8C92,0x8C93,0x8C99,0x8C9B,0x8C9C,
 0x8CA4,0x8CB9,0x8CBA,0x8CC5,0x8CC6,0x8CC9,0x8CCB,0x8CCF,
 0x8CD6,0x8CD5,0x8CD9,0x8CDD,0x8CE1,0x8CE8,0x8CEC,0x8CEF,
@@ -8002,7 +8002,7 @@
 0x8E11,0x8E14,0x8E16,0x8E20,0x8E21,0x8E22};
 
 /* page 56 0x6021-0x607E */
-static uint16 tab_jisx0212_uni56[]={
+static uint16_t tab_jisx0212_uni56[]={
 0x8E23,0x8E26,0x8E27,0x8E31,0x8E33,0x8E36,0x8E37,0x8E38,
 0x8E39,0x8E3D,0x8E40,0x8E41,0x8E4B,0x8E4D,0x8E4E,0x8E4F,
 0x8E54,0x8E5B,0x8E5C,0x8E5D,0x8E5E,0x8E61,0x8E62,0x8E69,
@@ -8017,7 +8017,7 @@
 0x8F35,0x8F36,0x8F37,0x8F3A,0x8F40,0x8F41};
 
 /* page 57 0x6121-0x617E */
-static uint16 tab_jisx0212_uni57[]={
+static uint16_t tab_jisx0212_uni57[]={
 0x8F43,0x8F47,0x8F4F,0x8F51,0x8F52,0x8F53,0x8F54,0x8F55,
 0x8F58,0x8F5D,0x8F5E,0x8F65,0x8F9D,0x8FA0,0x8FA1,0x8FA4,
 0x8FA5,0x8FA6,0x8FB5,0x8FB6,0x8FB8,0x8FBE,0x8FC0,0x8FC1,
@@ -8032,7 +8032,7 @@
 0x90B4,0x90B6,0x90BD,0x90CC,0x90BE,0x90C3};
 
 /* page 58 0x6221-0x627E */
-static uint16 tab_jisx0212_uni58[]={
+static uint16_t tab_jisx0212_uni58[]={
 0x90C4,0x90C5,0x90C7,0x90C8,0x90D5,0x90D7,0x90D8,0x90D9,
 0x90DC,0x90DD,0x90DF,0x90E5,0x90D2,0x90F6,0x90EB,0x90EF,
 0x90F0,0x90F4,0x90FE,0x90FF,0x9100,0x9104,0x9105,0x9106,
@@ -8047,7 +8047,7 @@
 0x91B3,0x91B6,0x91BB,0x91BC,0x91BD,0x91BF};
 
 /* page 59 0x6321-0x637E */
-static uint16 tab_jisx0212_uni59[]={
+static uint16_t tab_jisx0212_uni59[]={
 0x91C2,0x91C3,0x91C5,0x91D3,0x91D4,0x91D7,0x91D9,0x91DA,
 0x91DE,0x91E4,0x91E5,0x91E9,0x91EA,0x91EC,0x91ED,0x91EE,
 0x91EF,0x91F0,0x91F1,0x91F7,0x91F9,0x91FB,0x91FD,0x9200,
@@ -8062,7 +8062,7 @@
 0x9289,0x928A,0x928D,0x928E,0x9292,0x9297};
 
 /* page 60 0x6421-0x647E */
-static uint16 tab_jisx0212_uni60[]={
+static uint16_t tab_jisx0212_uni60[]={
 0x9299,0x929F,0x92A0,0x92A4,0x92A5,0x92A7,0x92A8,0x92AB,
 0x92AF,0x92B2,0x92B6,0x92B8,0x92BA,0x92BB,0x92BC,0x92BD,
 0x92BF,0x92C0,0x92C1,0x92C2,0x92C3,0x92C5,0x92C6,0x92C7,
@@ -8077,7 +8077,7 @@
 0x936F,0x9370,0x9371,0x9373,0x9374,0x9376};
 
 /* page 61 0x6521-0x657E */
-static uint16 tab_jisx0212_uni61[]={
+static uint16_t tab_jisx0212_uni61[]={
 0x937A,0x937D,0x937F,0x9380,0x9381,0x9382,0x9388,0x938A,
 0x938B,0x938D,0x938F,0x9392,0x9395,0x9398,0x939B,0x939E,
 0x93A1,0x93A3,0x93A4,0x93A6,0x93A8,0x93AB,0x93B4,0x93B5,
@@ -8092,7 +8092,7 @@
 0x9471,0x9472,0x9484,0x9483,0x9578,0x9579};
 
 /* page 62 0x6621-0x667E */
-static uint16 tab_jisx0212_uni62[]={
+static uint16_t tab_jisx0212_uni62[]={
 0x957E,0x9584,0x9588,0x958C,0x958D,0x958E,0x959D,0x959E,
 0x959F,0x95A1,0x95A6,0x95A9,0x95AB,0x95AC,0x95B4,0x95B6,
 0x95BA,0x95BD,0x95BF,0x95C6,0x95C8,0x95C9,0x95CB,0x95D0,
@@ -8107,7 +8107,7 @@
 0x96DF,0x96E9,0x96EF,0x96F1,0x96FA,0x9702};
 
 /* page 63 0x6721-0x677E */
-static uint16 tab_jisx0212_uni63[]={
+static uint16_t tab_jisx0212_uni63[]={
 0x9703,0x9705,0x9709,0x971A,0x971B,0x971D,0x9721,0x9722,
 0x9723,0x9728,0x9731,0x9733,0x9741,0x9743,0x974A,0x974E,
 0x974F,0x9755,0x9757,0x9758,0x975A,0x975B,0x9763,0x9767,
@@ -8122,7 +8122,7 @@
 0x9816,0x981C,0x981E,0x9820,0x9823,0x9826};
 
 /* page 64 0x6821-0x687E */
-static uint16 tab_jisx0212_uni64[]={
+static uint16_t tab_jisx0212_uni64[]={
 0x982B,0x982E,0x982F,0x9830,0x9832,0x9833,0x9835,0x9825,
 0x983E,0x9844,0x9847,0x984A,0x9851,0x9852,0x9853,0x9856,
 0x9857,0x9859,0x985A,0x9862,0x9863,0x9865,0x9866,0x986A,
@@ -8137,7 +8137,7 @@
 0x999F,0x99A6,0x99B0,0x99B1,0x99B2,0x99B5};
 
 /* page 65 0x6921-0x697E */
-static uint16 tab_jisx0212_uni65[]={
+static uint16_t tab_jisx0212_uni65[]={
 0x99B9,0x99BA,0x99BD,0x99BF,0x99C3,0x99C9,0x99D3,0x99D4,
 0x99D9,0x99DA,0x99DC,0x99DE,0x99E7,0x99EA,0x99EB,0x99EC,
 0x99F0,0x99F4,0x99F5,0x99F9,0x99FD,0x99FE,0x9A02,0x9A03,
@@ -8152,7 +8152,7 @@
 0x9AFD,0x9AFF,0x9B00,0x9B01,0x9B02,0x9B03};
 
 /* page 66 0x6A21-0x6A7E */
-static uint16 tab_jisx0212_uni66[]={
+static uint16_t tab_jisx0212_uni66[]={
 0x9B04,0x9B05,0x9B08,0x9B09,0x9B0B,0x9B0C,0x9B0D,0x9B0E,
 0x9B10,0x9B12,0x9B16,0x9B19,0x9B1B,0x9B1C,0x9B20,0x9B26,
 0x9B2B,0x9B2D,0x9B33,0x9B34,0x9B35,0x9B37,0x9B39,0x9B3A,
@@ -8167,7 +8167,7 @@
 0x9BEA,0x9BEB,0x9BEF,0x9BF3,0x9BF7,0x9BF8};
 
 /* page 67 0x6B21-0x6B7E */
-static uint16 tab_jisx0212_uni67[]={
+static uint16_t tab_jisx0212_uni67[]={
 0x9BF9,0x9BFA,0x9BFD,0x9BFF,0x9C00,0x9C02,0x9C0B,0x9C0F,
 0x9C11,0x9C16,0x9C18,0x9C19,0x9C1A,0x9C1C,0x9C1E,0x9C22,
 0x9C23,0x9C26,0x9C27,0x9C28,0x9C29,0x9C2A,0x9C31,0x9C35,
@@ -8182,7 +8182,7 @@
 0x9D6A,0x9D6B,0x9D70,0x9D76,0x9D77,0x9D7B};
 
 /* page 68 0x6C21-0x6C7E */
-static uint16 tab_jisx0212_uni68[]={
+static uint16_t tab_jisx0212_uni68[]={
 0x9D7C,0x9D7E,0x9D83,0x9D84,0x9D86,0x9D8A,0x9D8D,0x9D8E,
 0x9D92,0x9D93,0x9D95,0x9D96,0x9D97,0x9D98,0x9DA1,0x9DAA,
 0x9DAC,0x9DAE,0x9DB1,0x9DB5,0x9DB9,0x9DBC,0x9DBF,0x9DC3,
@@ -8197,7 +8197,7 @@
 0x9EED,0x9EEE,0x9EF0,0x9EF1,0x9EF2,0x9EF5};
 
 /* page 69 0x6D21-0x6D63 */
-static uint16 tab_jisx0212_uni69[]={
+static uint16_t tab_jisx0212_uni69[]={
 0x9EF8,0x9EFF,0x9F02,0x9F03,0x9F09,0x9F0F,0x9F10,0x9F11,
 0x9F12,0x9F14,0x9F16,0x9F17,0x9F19,0x9F1A,0x9F1B,0x9F1F,
 0x9F22,0x9F26,0x9F2A,0x9F2B,0x9F2F,0x9F31,0x9F32,0x9F34,
@@ -8209,12 +8209,12 @@
 0x9FA2,0x9FA3,0x9FA5};
 
 /* page 70 0x7371-0x737E IBM Kanji and Nonkanji */
-static uint16 tab_jisx0212_uni70[]={
+static uint16_t tab_jisx0212_uni70[]={
      0,     0,0x2170,0x2171,0x2172,0x2173,0x2174,0x2175,
 0x2176,0x2177,0x2178,0x2179,0x2160,0x2161};
 
 /* page 71 0x7421-0x747E IBM Kanji and Nonkanji*/
-static uint16 tab_jisx0212_uni71[]={
+static uint16_t tab_jisx0212_uni71[]={
 0x2162,0x2163,0x2164,0x2165,0x2166,0x2167,0x2168,0x2169,
 0xFF07,0xFF02,0x3231,0x2116,0x2121,0x70BB,0x4EFC,0x50F4,
 0x51EC,0x5307,0x5324,0xFA0E,0x548A,0x5759,0xFA0F,0xFA10,
@@ -8386,7 +8386,7 @@
 */
 
 static
-size_t my_well_formed_len_eucjpms(CHARSET_INFO *cs __attribute__((unused)),
+size_t my_well_formed_len_eucjpms(const CHARSET_INFO *cs __attribute__((unused)),
                                   const char *beg, const char *end, size_t pos,
                                   int *error)
 {
@@ -8434,7 +8434,7 @@
 
 
 static
-size_t my_numcells_eucjp(CHARSET_INFO *cs __attribute__((unused)),
+size_t my_numcells_eucjp(const CHARSET_INFO *cs __attribute__((unused)),
                          const char *str, const char *str_end)
 {
   size_t clen;
@@ -8468,7 +8468,7 @@
 }
 
 static int
-my_mb_wc_euc_jp(CHARSET_INFO *cs,my_wc_t *pwc, const uchar *s, const uchar *e)
+my_mb_wc_euc_jp(const CHARSET_INFO *cs,my_wc_t *pwc, const uchar *s, const uchar *e)
 {
   int c1,c2,c3;
   
@@ -8555,7 +8555,7 @@
 }
 
 static int
-my_wc_mb_euc_jp(CHARSET_INFO *c,my_wc_t wc, uchar *s, uchar *e)
+my_wc_mb_euc_jp(const CHARSET_INFO *c,my_wc_t wc, uchar *s, uchar *e)
 {
   uchar c1;
   int jp;

=== modified file 'mystrings/ctype-gb2312.c'
--- mystrings/ctype-gb2312.c	2008-07-30 05:33:20 +0000
+++ mystrings/ctype-gb2312.c	2008-07-31 19:53:42 +0000
@@ -164,20 +164,20 @@
 #define isgb2312tail(c) (0xa1<=(uchar)(c) && (uchar)(c)<=0xfe)
 
 
-static uint ismbchar_gb2312(CHARSET_INFO *cs __attribute__((unused)),
+static uint ismbchar_gb2312(const CHARSET_INFO *cs __attribute__((unused)),
 		    const char* p, const char *e)
 {
   return (isgb2312head(*(p)) && (e)-(p)>1 && isgb2312tail(*((p)+1))? 2: 0);
 }
 
-static uint mbcharlen_gb2312(CHARSET_INFO *cs __attribute__((unused)),uint c)
+static uint mbcharlen_gb2312(const CHARSET_INFO *cs __attribute__((unused)),uint c)
 {
   return (isgb2312head(c)? 2 : 1);
 }
 
 
 /* page 0 0x2121-0x2658 */
-static uint16 tab_gb2312_uni0[]={
+static uint16_t tab_gb2312_uni0[]={
 0x3000,0x3001,0x3002,0x30FB,0x02C9,0x02C7,0x00A8,0x3003,
 0x3005,0x2015,0xFF5E,0x2016,0x2026,0x2018,0x2019,0x201C,
 0x201D,0x3014,0x3015,0x3008,0x3009,0x300A,0x300B,0x300C,
@@ -348,7 +348,7 @@
 };
 
 /* page 1 0x2721-0x296F */
-static uint16 tab_gb2312_uni1[]={
+static uint16_t tab_gb2312_uni1[]={
 0x0410,0x0411,0x0412,0x0413,0x0414,0x0415,0x0401,0x0416,
 0x0417,0x0418,0x0419,0x041A,0x041B,0x041C,0x041D,0x041E,
 0x041F,0x0420,0x0421,0x0422,0x0423,0x0424,0x0425,0x0426,
@@ -425,7 +425,7 @@
 0x2545,0x2546,0x2547,0x2548,0x2549,0x254A,0x254B};
 
 /* page 2 0x3021-0x777E */
-static uint16 tab_gb2312_uni2[]={
+static uint16_t tab_gb2312_uni2[]={
 0x554A,0x963F,0x57C3,0x6328,0x54CE,0x5509,0x54C0,0x7691,
 0x764C,0x853C,0x77EE,0x827E,0x788D,0x7231,0x9698,0x978D,
 0x6C28,0x5B89,0x4FFA,0x6309,0x6697,0x5CB8,0x80FA,0x6848,
@@ -2723,7 +2723,7 @@
 
 
 /* page 0 0x00A4-0x01DC */
-static uint16 tab_uni_gb23120[]={
+static uint16_t tab_uni_gb23120[]={
 0x2168,     0,     0,0x216C,0x2127,     0,     0,     0,
      0,     0,     0,     0,0x2163,0x2140,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
@@ -2766,7 +2766,7 @@
 0x2838};
 
 /* page 1 0x02C7-0x0451 */
-static uint16 tab_uni_gb23121[]={
+static uint16_t tab_uni_gb23121[]={
 0x2126,     0,0x2125,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
@@ -2819,7 +2819,7 @@
 0x2771,     0,0x2757};
 
 /* page 2 0x2015-0x2312 */
-static uint16 tab_uni_gb23122[]={
+static uint16_t tab_uni_gb23122[]={
 0x212A,0x212C,     0,0x212E,0x212F,     0,     0,0x2130,
 0x2131,     0,     0,     0,     0,     0,     0,     0,
      0,0x212D,     0,     0,     0,     0,     0,     0,
@@ -2918,7 +2918,7 @@
      0,     0,     0,     0,     0,0x2150};
 
 /* page 3 0x2460-0x2642 */
-static uint16 tab_uni_gb23123[]={
+static uint16_t tab_uni_gb23123[]={
 0x2259,0x225A,0x225B,0x225C,0x225D,0x225E,0x225F,0x2260,
 0x2261,0x2262,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,0x2245,0x2246,0x2247,0x2248,
@@ -2982,7 +2982,7 @@
 0x2162,     0,0x2161};
 
 /* page 4 0x3000-0x3129 */
-static uint16 tab_uni_gb23124[]={
+static uint16_t tab_uni_gb23124[]={
 0x2121,0x2122,0x2123,0x2128,     0,0x2129,     0,     0,
 0x2134,0x2135,0x2136,0x2137,0x2138,0x2139,0x213A,0x213B,
 0x213E,0x213F,     0,0x217E,0x2132,0x2133,0x213C,0x213D,
@@ -3023,12 +3023,12 @@
 0x2868,0x2869};
 
 /* page 5 0x3220-0x3229 */
-static uint16 tab_uni_gb23125[]={
+static uint16_t tab_uni_gb23125[]={
 0x2265,0x2266,0x2267,0x2268,0x2269,0x226A,0x226B,0x226C,
 0x226D,0x226E};
 
 /* page 6 0x4E00-0x9B54 */
-static uint16 tab_uni_gb23126[]={
+static uint16_t tab_uni_gb23126[]={
 0x523B,0x3621,     0,0x465F,     0,     0,     0,0x4D72,
 0x5549,0x487D,0x494F,0x4F42,0x5822,0x323B,0x536B,     0,
 0x5824,0x3373,     0,0x5728,0x4752,0x5827,0x4A40,     0,
@@ -5506,7 +5506,7 @@
      0,0x774E,     0,     0,0x4427};
 
 /* page 7 0x9C7C-0x9CE2 */
-static uint16 tab_uni_gb23127[]={
+static uint16_t tab_uni_gb23127[]={
 0x5363,     0,     0,0x764F,     0,0x4233,0x7650,     0,
      0,0x7651,0x7652,0x7653,0x7654,     0,     0,0x7656,
      0,0x312B,0x7657,     0,0x7658,0x7659,0x765A,     0,
@@ -5522,7 +5522,7 @@
 0x772C,0x772D,0x415B,0x772E,     0,     0,0x772F};
 
 /* page 8 0x9E1F-0x9FA0 */
-static uint16 tab_uni_gb23128[]={
+static uint16_t tab_uni_gb23128[]={
 0x4471,0x702F,0x3C26,0x7030,0x4379,     0,0x4538,0x513B,
      0,0x7031,0x7032,0x7033,0x7034,0x7035,0x513C,     0,
 0x516C,     0,0x7037,0x7036,0x5427,     0,0x4D52,0x7038,
@@ -5574,7 +5574,7 @@
 0x396A,0x595F};
 
 /* page 9 0xFF01-0xFFE5 */
-static uint16 tab_uni_gb23129[]={
+static uint16_t tab_uni_gb23129[]={
 0x2321,0x2322,0x2323,0x2167,0x2325,0x2326,0x2327,0x2328,
 0x2329,0x232A,0x232B,0x232C,0x232D,0x232E,0x232F,0x2330,
 0x2331,0x2332,0x2333,0x2334,0x2335,0x2336,0x2337,0x2338,
@@ -5631,7 +5631,7 @@
 
 
 static int
-my_wc_mb_gb2312(CHARSET_INFO *cs  __attribute__((unused)),
+my_wc_mb_gb2312(const CHARSET_INFO *cs  __attribute__((unused)),
 		my_wc_t wc, uchar *s, uchar *e)
 {
   int code;
@@ -5659,7 +5659,7 @@
 
 
 static int 
-my_mb_wc_gb2312(CHARSET_INFO *cs  __attribute__((unused)),
+my_mb_wc_gb2312(const CHARSET_INFO *cs  __attribute__((unused)),
 		my_wc_t *pwc, const uchar *s, const uchar *e){
   int hi;
   
@@ -5686,7 +5686,7 @@
   Returns well formed length of a EUC-KR string.
 */
 static size_t
-my_well_formed_len_gb2312(CHARSET_INFO *cs __attribute__((unused)),
+my_well_formed_len_gb2312(const CHARSET_INFO *cs __attribute__((unused)),
                           const char *b, const char *e,
                           size_t pos, int *error)
 {

=== modified file 'mystrings/ctype-gbk.c'
--- mystrings/ctype-gbk.c	2008-07-30 05:33:20 +0000
+++ mystrings/ctype-gbk.c	2008-07-31 19:53:42 +0000
@@ -172,7 +172,7 @@
   (uchar) '\370',(uchar) '\371',(uchar) '\372',(uchar) '\373',(uchar) '\374',(uchar) '\375',(uchar) '\376',(uchar) '\377',
 };
 
-static uint16 gbk_order[]=
+static uint16_t gbk_order[]=
 {
 8653,14277,17116,11482,11160,2751,14613,3913,13337,9827,
 19496,1759,8105,7103,7836,5638,2223,21433,5878,8006,
@@ -2570,7 +2570,7 @@
 22997,22998,22999,23000,23001,23002,23003,23004,23005,23006
 };
 
-static uint16 gbksortorder(uint16 i)
+static uint16_t gbksortorder(uint16_t i)
 {
   uint idx=gbktail(i);
   if (idx>0x7f) idx-=0x41;
@@ -2580,7 +2580,7 @@
 }
 
 
-int my_strnncoll_gbk_internal(const uchar **a_res, const uchar **b_res,
+static int my_strnncoll_gbk_internal(const uchar **a_res, const uchar **b_res,
 			      size_t length)
 {
   const uchar *a= *a_res, *b= *b_res;
@@ -2593,8 +2593,8 @@
       a_char= gbkcode(*a,*(a+1));
       b_char= gbkcode(*b,*(b+1));
       if (a_char != b_char)
-        return ((int) gbksortorder((uint16) a_char) -
-		(int) gbksortorder((uint16) b_char));
+        return ((int) gbksortorder((uint16_t) a_char) -
+		(int) gbksortorder((uint16_t) b_char));
       a+= 2;
       b+= 2;
       length--;
@@ -2610,7 +2610,7 @@
 
 
 
-int my_strnncoll_gbk(CHARSET_INFO *cs __attribute__((unused)),
+static int my_strnncoll_gbk(const CHARSET_INFO *cs __attribute__((unused)),
 		     const uchar *a, size_t a_length,
                      const uchar *b, size_t b_length,
                      my_bool b_is_prefix)
@@ -2621,7 +2621,7 @@
 }
 
 
-static int my_strnncollsp_gbk(CHARSET_INFO * cs __attribute__((unused)),
+static int my_strnncollsp_gbk(const CHARSET_INFO * cs __attribute__((unused)),
 			      const uchar *a, size_t a_length, 
 			      const uchar *b, size_t b_length,
                               my_bool diff_if_only_endspace_difference)
@@ -2662,7 +2662,7 @@
 
 
 static size_t
-my_strnxfrm_gbk(CHARSET_INFO *cs,
+my_strnxfrm_gbk(const CHARSET_INFO *cs,
                 uchar *dst, size_t dstlen, uint nweights,
                 const uchar *src, size_t srclen, uint flags)
 {
@@ -2680,7 +2680,7 @@
         in the code below, because ismbchar() would
         not return TRUE if src was too short
       */
-      uint16 e= gbksortorder((uint16) gbkcode(*src, *(src + 1)));
+      uint16_t e= gbksortorder((uint16_t) gbkcode(*src, *(src + 1)));
       *dst++= gbkhead(e);
       if (dst < de)
         *dst++= gbktail(e);
@@ -2712,9 +2712,9 @@
 
 #define max_sort_char ((uchar) 255)
 
-static my_bool my_like_range_gbk(CHARSET_INFO *cs __attribute__((unused)),
+static my_bool my_like_range_gbk(const CHARSET_INFO *cs __attribute__((unused)),
                                  const char *ptr,size_t ptr_length,
-                                 pbool escape, pbool w_one, pbool w_many,
+                                 char escape, char w_one, char w_many,
                                  size_t res_length,
                                  char *min_str,char *max_str,
                                  size_t *min_length,size_t *max_length)
@@ -2773,19 +2773,19 @@
 }
 
 
-static uint ismbchar_gbk(CHARSET_INFO *cs __attribute__((unused)),
+static uint ismbchar_gbk(const CHARSET_INFO *cs __attribute__((unused)),
 		 const char* p, const char *e)
 {
   return (isgbkhead(*(p)) && (e)-(p)>1 && isgbktail(*((p)+1))? 2: 0);
 }
 
-static uint mbcharlen_gbk(CHARSET_INFO *cs __attribute__((unused)),uint c)
+static uint mbcharlen_gbk(const CHARSET_INFO *cs __attribute__((unused)),uint c)
 {
   return (isgbkhead(c)? 2 : 1);
 }
 
 /* page 0 0x8140-0xFE4F */
-static uint16 tab_gbk_uni0[]={
+static uint16_t tab_gbk_uni0[]={
 0x4E02,0x4E04,0x4E05,0x4E06,0x4E0F,0x4E12,0x4E17,0x4E1F,
 0x4E20,0x4E21,0x4E23,0x4E26,0x4E29,0x4E2E,0x4E2F,0x4E31,
 0x4E33,0x4E35,0x4E37,0x4E3C,0x4E40,0x4E41,0x4E42,0x4E44,
@@ -6799,7 +6799,7 @@
 
 
 /* page 0 0x00A4-0x0451 */
-static uint16 tab_uni_gbk0[]={
+static uint16_t tab_uni_gbk0[]={
 0xA1E8,     0,     0,0xA1EC,0xA1A7,     0,     0,     0,
      0,     0,     0,     0,0xA1E3,0xA1C0,     0,     0,
      0,     0,     0,0xA1A4,     0,     0,     0,     0,
@@ -6920,7 +6920,7 @@
 0xA7EE,0xA7EF,0xA7F0,0xA7F1,     0,0xA7D7};
 
 /* page 1 0x2010-0x2312 */
-static uint16 tab_uni_gbk1[]={
+static uint16_t tab_uni_gbk1[]={
 0xA95C,     0,     0,0xA843,0xA1AA,0xA844,0xA1AC,     0,
 0xA1AE,0xA1AF,     0,     0,0xA1B0,0xA1B1,     0,     0,
      0,     0,     0,     0,     0,0xA845,0xA1AD,     0,
@@ -7020,7 +7020,7 @@
      0,     0,0xA1D0};
 
 /* page 2 0x2460-0x2642 */
-static uint16 tab_uni_gbk2[]={
+static uint16_t tab_uni_gbk2[]={
 0xA2D9,0xA2DA,0xA2DB,0xA2DC,0xA2DD,0xA2DE,0xA2DF,0xA2E0,
 0xA2E1,0xA2E2,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,0xA2C5,0xA2C6,0xA2C7,0xA2C8,
@@ -7084,7 +7084,7 @@
 0xA1E2,     0,0xA1E1};
 
 /* page 3 0x3000-0x3129 */
-static uint16 tab_uni_gbk3[]={
+static uint16_t tab_uni_gbk3[]={
 0xA1A1,0xA1A2,0xA1A3,0xA1A8,     0,0xA1A9,0xA965,0xA996,
 0xA1B4,0xA1B5,0xA1B6,0xA1B7,0xA1B8,0xA1B9,0xA1BA,0xA1BB,
 0xA1BE,0xA1BF,0xA893,0xA1FE,0xA1B2,0xA1B3,0xA1BC,0xA1BD,
@@ -7125,7 +7125,7 @@
 0xA8E8,0xA8E9};
 
 /* page 4 0x3220-0x32A3 */
-static uint16 tab_uni_gbk4[]={
+static uint16_t tab_uni_gbk4[]={
 0xA2E5,0xA2E6,0xA2E7,0xA2E8,0xA2E9,0xA2EA,0xA2EB,0xA2EC,
 0xA2ED,0xA2EE,     0,     0,     0,     0,     0,     0,
      0,0xA95A,     0,     0,     0,     0,     0,     0,
@@ -7145,7 +7145,7 @@
      0,     0,     0,0xA949};
 
 /* page 5 0x338E-0x33D5 */
-static uint16 tab_uni_gbk5[]={
+static uint16_t tab_uni_gbk5[]={
 0xA94A,0xA94B,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,0xA94C,0xA94D,
 0xA94E,     0,     0,0xA94F,     0,     0,     0,     0,
@@ -7158,7 +7158,7 @@
 };
 
 /* page 6 0x4E00-0x9FA5 */
-static uint16 tab_uni_gbk6[]={
+static uint16_t tab_uni_gbk6[]={
 0xD2BB,0xB6A1,0x8140,0xC6DF,0x8141,0x8142,0x8143,0xCDF2,
 0xD5C9,0xC8FD,0xC9CF,0xCFC2,0xD8A2,0xB2BB,0xD3EB,0x8144,
 0xD8A4,0xB3F3,0x8145,0xD7A8,0xC7D2,0xD8A7,0xCAC0,0x8146,
@@ -9774,7 +9774,7 @@
 0xD9DF,0xFD97,0xFD98,0xFD99,0xFD9A,0xFD9B};
 
 /* page 7 0xF92C-0xFA29 */
-static uint16 tab_uni_gbk7[]={
+static uint16_t tab_uni_gbk7[]={
 0xFD9C,     0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
@@ -9809,7 +9809,7 @@
 0xFE4C,     0,     0,0xFE4D,0xFE4E,0xFE4F};
 
 /* page 8 0xFE30-0xFFE5 */
-static uint16 tab_uni_gbk8[]={
+static uint16_t tab_uni_gbk8[]={
 0xA955,0xA6F2,     0,0xA6F4,0xA6F5,0xA6E0,0xA6E1,0xA6F0,
 0xA6F1,0xA6E2,0xA6E3,0xA6EE,0xA6EF,0xA6E6,0xA6E7,0xA6E4,
 0xA6E5,0xA6E8,0xA6E9,0xA6EA,0xA6EB,     0,     0,     0,
@@ -9889,7 +9889,7 @@
 }
 
 static int
-my_wc_mb_gbk(CHARSET_INFO *cs  __attribute__((unused)),
+my_wc_mb_gbk(const CHARSET_INFO *cs  __attribute__((unused)),
 	      my_wc_t wc, uchar *s, uchar *e)
 {
   int code;
@@ -9915,7 +9915,7 @@
 }
 
 static int
-my_mb_wc_gbk(CHARSET_INFO *cs __attribute__((unused)),
+my_mb_wc_gbk(const CHARSET_INFO *cs __attribute__((unused)),
 	      my_wc_t *pwc, const uchar *s, const uchar *e)
 {
   int hi;
@@ -9946,7 +9946,7 @@
   Returns well formed length of a GBK string.
 */
 static
-size_t my_well_formed_len_gbk(CHARSET_INFO *cs __attribute__((unused)),
+size_t my_well_formed_len_gbk(const CHARSET_INFO *cs __attribute__((unused)),
                               const char *b, const char *e,
                               size_t pos, int *error)
 {

=== modified file 'mystrings/ctype-latin1.c'
--- mystrings/ctype-latin1.c	2008-07-30 05:33:20 +0000
+++ mystrings/ctype-latin1.c	2008-07-31 19:53:42 +0000
@@ -355,7 +355,7 @@
 };
 
 static
-int my_mb_wc_latin1(CHARSET_INFO *cs  __attribute__((unused)),
+int my_mb_wc_latin1(const CHARSET_INFO *cs  __attribute__((unused)),
 		    my_wc_t *wc,
 		    const uchar *str,
 		    const uchar *end __attribute__((unused)))
@@ -368,7 +368,7 @@
 }
 
 static
-int my_wc_mb_latin1(CHARSET_INFO *cs  __attribute__((unused)),
+int my_wc_mb_latin1(const CHARSET_INFO *cs  __attribute__((unused)),
 		    my_wc_t wc,
 		    uchar *str,
 		    uchar *end __attribute__((unused)))
@@ -543,7 +543,7 @@
 */
 
 
-static int my_strnncoll_latin1_de(CHARSET_INFO *cs __attribute__((unused)),
+static int my_strnncoll_latin1_de(const CHARSET_INFO *cs __attribute__((unused)),
 				  const uchar *a, size_t a_length,
 				  const uchar *b, size_t b_length,
                                   my_bool b_is_prefix)
@@ -584,7 +584,7 @@
 }
 
 
-static int my_strnncollsp_latin1_de(CHARSET_INFO *cs __attribute__((unused)),
+static int my_strnncollsp_latin1_de(const CHARSET_INFO *cs __attribute__((unused)),
 				    const uchar *a, size_t a_length,
 				    const uchar *b, size_t b_length,
                                     my_bool diff_if_only_endspace_difference)
@@ -657,7 +657,7 @@
 
 
 static size_t
-my_strnxfrm_latin1_de(CHARSET_INFO *cs,
+my_strnxfrm_latin1_de(const CHARSET_INFO *cs,
                       uchar *dst, size_t dstlen, uint nweights,
                       const uchar* src, size_t srclen, uint flags)
 {
@@ -678,7 +678,7 @@
 }
 
 
-static void my_hash_sort_latin1_de(CHARSET_INFO *cs __attribute__((unused)),
+static void my_hash_sort_latin1_de(const CHARSET_INFO *cs __attribute__((unused)),
 			    const uchar *key, size_t len,
 			    ulong *nr1, ulong *nr2)
 {

=== modified file 'mystrings/ctype-mb.c'
--- mystrings/ctype-mb.c	2008-07-30 17:03:00 +0000
+++ mystrings/ctype-mb.c	2008-07-31 19:53:42 +0000
@@ -19,7 +19,7 @@
 #ifdef USE_MB
 
 
-size_t my_caseup_str_mb(CHARSET_INFO * cs, char *str)
+size_t my_caseup_str_mb(const CHARSET_INFO * cs, char *str)
 {
   register uint32_t l;
   register uchar *map= cs->to_upper;
@@ -40,7 +40,7 @@
 }
 
 
-size_t my_casedn_str_mb(CHARSET_INFO * cs, char *str)
+size_t my_casedn_str_mb(const CHARSET_INFO * cs, char *str)
 {
   register uint32_t l;
   register uchar *map= cs->to_lower;
@@ -61,7 +61,7 @@
 }
 
 
-size_t my_caseup_mb(CHARSET_INFO * cs, char *src, size_t srclen,
+size_t my_caseup_mb(const CHARSET_INFO * cs, char *src, size_t srclen,
                     char *dst __attribute__((unused)),
                     size_t dstlen __attribute__((unused)))
 {
@@ -84,7 +84,7 @@
 }
 
 
-size_t my_casedn_mb(CHARSET_INFO * cs, char *src, size_t srclen,
+size_t my_casedn_mb(const CHARSET_INFO * cs, char *src, size_t srclen,
                     char *dst __attribute__((unused)),
                     size_t dstlen __attribute__((unused)))
 {
@@ -111,7 +111,7 @@
   my_strcasecmp_mb() returns 0 if strings are equal, non-zero otherwise.
  */
 
-int my_strcasecmp_mb(CHARSET_INFO * cs,const char *s, const char *t)
+int my_strcasecmp_mb(const CHARSET_INFO * cs,const char *s, const char *t)
 {
   register uint32_t l;
   register uchar *map=cs->to_upper;
@@ -146,7 +146,7 @@
 
 #define likeconv(s,A) (uchar) (s)->sort_order[(uchar) (A)]
 
-int my_wildcmp_mb(CHARSET_INFO *cs,
+int my_wildcmp_mb(const CHARSET_INFO *cs,
 		  const char *str,const char *str_end,
 		  const char *wildstr,const char *wildend,
 		  int escape, int w_one, int w_many)
@@ -254,7 +254,7 @@
 }
 
 
-size_t my_numchars_mb(CHARSET_INFO *cs __attribute__((unused)),
+size_t my_numchars_mb(const CHARSET_INFO *cs __attribute__((unused)),
 		      const char *pos, const char *end)
 {
   register size_t count= 0;
@@ -268,7 +268,7 @@
 }
 
 
-size_t my_charpos_mb(CHARSET_INFO *cs __attribute__((unused)),
+size_t my_charpos_mb(const CHARSET_INFO *cs __attribute__((unused)),
 		     const char *pos, const char *end, size_t length)
 {
   const char *start= pos;
@@ -283,7 +283,7 @@
 }
 
 
-size_t my_well_formed_len_mb(CHARSET_INFO *cs, const char *b, const char *e,
+size_t my_well_formed_len_mb(const CHARSET_INFO *cs, const char *b, const char *e,
                              size_t pos, int *error)
 {
   const char *b_start= b;
@@ -305,7 +305,7 @@
 }
 
 
-uint my_instr_mb(CHARSET_INFO *cs,
+uint my_instr_mb(const CHARSET_INFO *cs,
                  const char *b, size_t b_length, 
                  const char *s, size_t s_length,
                  my_match_t *match, uint nmatch)
@@ -362,7 +362,7 @@
 
 /* BINARY collations handlers for MB charsets */
 
-int my_strnncoll_mb_bin(CHARSET_INFO * cs __attribute__((unused)),
+int my_strnncoll_mb_bin(const CHARSET_INFO * cs __attribute__((unused)),
                         const uchar *s, size_t slen,
                         const uchar *t, size_t tlen,
                         my_bool t_is_prefix)
@@ -398,7 +398,7 @@
     0 if strings are equal
 */
 
-int my_strnncollsp_mb_bin(CHARSET_INFO * cs __attribute__((unused)),
+int my_strnncollsp_mb_bin(const CHARSET_INFO * cs __attribute__((unused)),
                           const uchar *a, size_t a_length,
                           const uchar *b, size_t b_length,
                           my_bool diff_if_only_endspace_difference)
@@ -477,7 +477,7 @@
   cp932, euckr, gb2312, sjis, eucjpms, ujis.
 */
 size_t
-my_strnxfrm_mb(CHARSET_INFO *cs,
+my_strnxfrm_mb(const CHARSET_INFO *cs,
                uchar *dst, size_t dstlen, uint nweights,
                const uchar *src, size_t srclen, uint flags)
 {
@@ -552,14 +552,14 @@
 }
 
 
-int my_strcasecmp_mb_bin(CHARSET_INFO * cs __attribute__((unused)),
+int my_strcasecmp_mb_bin(const CHARSET_INFO * cs __attribute__((unused)),
                          const char *s, const char *t)
 {
   return strcmp(s,t);
 }
 
 
-void my_hash_sort_mb_bin(CHARSET_INFO *cs __attribute__((unused)),
+void my_hash_sort_mb_bin(const CHARSET_INFO *cs __attribute__((unused)),
                          const uchar *key, size_t len,ulong *nr1, ulong *nr2)
 {
   const uchar *pos = key;
@@ -595,7 +595,7 @@
         create a buffer with multibyte representation of the max_sort_char
         character, and copy it into max_str in a loop. 
 */
-static void pad_max_char(CHARSET_INFO *cs, char *str, char *end)
+static void pad_max_char(const CHARSET_INFO *cs, char *str, char *end)
 {
   char buf[10];
   char buflen;
@@ -649,7 +649,7 @@
 ** optimized !
 */
 
-my_bool my_like_range_mb(CHARSET_INFO *cs,
+my_bool my_like_range_mb(const CHARSET_INFO *cs,
                          const char *ptr,size_t ptr_length,
                          char escape, char w_one, char w_many,
                          size_t res_length,
@@ -781,7 +781,7 @@
 }
 
 
-int my_wildcmp_mb_bin(CHARSET_INFO *cs,
+int my_wildcmp_mb_bin(const CHARSET_INFO *cs,
                       const char *str,const char *str_end,
                       const char *wildstr,const char *wildend,
                       int escape, int w_one, int w_many)
@@ -1095,7 +1095,7 @@
 };
 
 
-size_t my_numcells_mb(CHARSET_INFO *cs, const char *b, const char *e)
+size_t my_numcells_mb(const CHARSET_INFO *cs, const char *b, const char *e)
 {
   my_wc_t wc;
   size_t clen= 0;
@@ -1124,7 +1124,7 @@
 }
 
 
-int my_mb_ctype_mb(CHARSET_INFO *cs, int *ctype,
+int my_mb_ctype_mb(const CHARSET_INFO *cs, int *ctype,
                    const uchar *s, const uchar *e)
 {
   my_wc_t wc;

=== modified file 'mystrings/ctype-simple.c'
--- mystrings/ctype-simple.c	2008-07-30 17:03:00 +0000
+++ mystrings/ctype-simple.c	2008-07-31 21:08:38 +0000
@@ -15,7 +15,6 @@
 
 #include "m_string.h"
 #include "m_ctype.h"
-#include <mysys/my_sys.h>  /* Needed for MY_ERRNO_ERANGE */
 #include <errno.h>
 
 #include "stdarg.h"
@@ -24,7 +23,7 @@
   Returns the number of bytes required for strnxfrm().
 */
 
-size_t my_strnxfrmlen_simple(CHARSET_INFO *cs, size_t len)
+size_t my_strnxfrmlen_simple(const CHARSET_INFO *cs, size_t len)
 {
   return len * (cs->strxfrm_multiply ? cs->strxfrm_multiply : 1);
 }
@@ -70,7 +69,7 @@
 */
 
 
-size_t my_strnxfrm_simple(CHARSET_INFO * cs,
+size_t my_strnxfrm_simple(const CHARSET_INFO * cs,
                        uchar *dst, size_t dstlen, uint nweights,
                        const uchar *src, size_t srclen, uint flags)
 {
@@ -96,7 +95,7 @@
 }
 
 
-int my_strnncoll_simple(CHARSET_INFO * cs, const uchar *s, size_t slen, 
+int my_strnncoll_simple(const CHARSET_INFO * cs, const uchar *s, size_t slen, 
                         const uchar *t, size_t tlen,
                         my_bool t_is_prefix)
 {
@@ -147,7 +146,7 @@
     > 0	 a > b
 */
 
-int my_strnncollsp_simple(CHARSET_INFO * cs, const uchar *a, size_t a_length, 
+int my_strnncollsp_simple(const CHARSET_INFO * cs, const uchar *a, size_t a_length, 
 			  const uchar *b, size_t b_length,
                           my_bool diff_if_only_endspace_difference)
 {
@@ -193,7 +192,7 @@
 }
 
 
-size_t my_caseup_str_8bit(CHARSET_INFO * cs,char *str)
+size_t my_caseup_str_8bit(const CHARSET_INFO * cs,char *str)
 {
   register uchar *map= cs->to_upper;
   char *str_orig= str;
@@ -203,7 +202,7 @@
 }
 
 
-size_t my_casedn_str_8bit(CHARSET_INFO * cs,char *str)
+size_t my_casedn_str_8bit(const CHARSET_INFO * cs,char *str)
 {
   register uchar *map= cs->to_lower;
   char *str_orig= str;
@@ -213,7 +212,7 @@
 }
 
 
-size_t my_caseup_8bit(CHARSET_INFO * cs, char *src, size_t srclen,
+size_t my_caseup_8bit(const CHARSET_INFO * cs, char *src, size_t srclen,
                       char *dst __attribute__((unused)),
                       size_t dstlen __attribute__((unused)))
 {
@@ -226,7 +225,7 @@
 }
 
 
-size_t my_casedn_8bit(CHARSET_INFO * cs, char *src, size_t srclen,
+size_t my_casedn_8bit(const CHARSET_INFO * cs, char *src, size_t srclen,
                       char *dst __attribute__((unused)),
                       size_t dstlen __attribute__((unused)))
 {
@@ -238,7 +237,7 @@
   return srclen;
 }
 
-int my_strcasecmp_8bit(CHARSET_INFO * cs,const char *s, const char *t)
+int my_strcasecmp_8bit(const CHARSET_INFO * cs,const char *s, const char *t)
 {
   register uchar *map=cs->to_upper;
   while (map[(uchar) *s] == map[(uchar) *t++])
@@ -247,7 +246,7 @@
 }
 
 
-int my_mb_wc_8bit(CHARSET_INFO *cs,my_wc_t *wc,
+int my_mb_wc_8bit(const CHARSET_INFO *cs,my_wc_t *wc,
 		  const uchar *str,
 		  const uchar *end __attribute__((unused)))
 {
@@ -258,7 +257,7 @@
   return (!wc[0] && str[0]) ? -1 : 1;
 }
 
-int my_wc_mb_8bit(CHARSET_INFO *cs,my_wc_t wc,
+int my_wc_mb_8bit(const CHARSET_INFO *cs,my_wc_t wc,
 		  uchar *str,
 		  uchar *end)
 {
@@ -286,7 +285,7 @@
    end buffer must be checked.
 */
 
-size_t my_snprintf_8bit(CHARSET_INFO *cs  __attribute__((unused)),
+size_t my_snprintf_8bit(const CHARSET_INFO *cs  __attribute__((unused)),
                         char* to, size_t n  __attribute__((unused)),
 		     const char* fmt, ...)
 {
@@ -299,7 +298,7 @@
 }
 
 
-void my_hash_sort_simple(CHARSET_INFO *cs,
+void my_hash_sort_simple(const CHARSET_INFO *cs,
 			 const uchar *key, size_t len,
 			 ulong *nr1, ulong *nr2)
 {
@@ -321,7 +320,7 @@
 }
 
 
-long my_strntol_8bit(CHARSET_INFO *cs,
+long my_strntol_8bit(const CHARSET_INFO *cs,
 		     const char *nptr, size_t l, int base,
 		     char **endptr, int *err)
 {
@@ -444,7 +443,7 @@
 }
 
 
-ulong my_strntoul_8bit(CHARSET_INFO *cs,
+ulong my_strntoul_8bit(const CHARSET_INFO *cs,
 		       const char *nptr, size_t l, int base,
 		       char **endptr, int *err)
 {
@@ -558,7 +557,7 @@
 }
 
 
-int64_t my_strntoll_8bit(CHARSET_INFO *cs __attribute__((unused)),
+int64_t my_strntoll_8bit(const CHARSET_INFO *cs __attribute__((unused)),
 			  const char *nptr, size_t l, int base,
 			  char **endptr,int *err)
 {
@@ -681,7 +680,7 @@
 }
 
 
-uint64_t my_strntoull_8bit(CHARSET_INFO *cs,
+uint64_t my_strntoull_8bit(const CHARSET_INFO *cs,
 			   const char *nptr, size_t l, int base,
 			   char **endptr, int *err)
 {
@@ -820,7 +819,7 @@
 */
 
 
-double my_strntod_8bit(CHARSET_INFO *cs __attribute__((unused)),
+double my_strntod_8bit(const CHARSET_INFO *cs __attribute__((unused)),
 		       char *str, size_t length,
 		       char **end, int *err)
 {
@@ -837,7 +836,7 @@
   Assume len >= 1
 */
 
-size_t my_long10_to_str_8bit(CHARSET_INFO *cs __attribute__((unused)),
+size_t my_long10_to_str_8bit(const CHARSET_INFO *cs __attribute__((unused)),
                              char *dst, size_t len, int radix, long int val)
 {
   char buffer[66];
@@ -878,7 +877,7 @@
 }
 
 
-size_t my_int64_t10_to_str_8bit(CHARSET_INFO *cs __attribute__((unused)),
+size_t my_int64_t10_to_str_8bit(const CHARSET_INFO *cs __attribute__((unused)),
                                  char *dst, size_t len, int radix,
                                  int64_t val)
 {
@@ -949,7 +948,7 @@
 #define INC_PTR(cs,A,B) (A)++
 
 
-int my_wildcmp_8bit(CHARSET_INFO *cs,
+int my_wildcmp_8bit(const CHARSET_INFO *cs,
 		    const char *str,const char *str_end,
 		    const char *wildstr,const char *wildend,
 		    int escape, int w_one, int w_many)
@@ -1046,7 +1045,7 @@
 ** optimized !
 */
 
-my_bool my_like_range_simple(CHARSET_INFO *cs,
+my_bool my_like_range_simple(const CHARSET_INFO *cs,
                              const char *ptr, size_t ptr_length,
                              char escape, char w_one, char w_many,
                              size_t res_length,
@@ -1096,7 +1095,7 @@
 }
 
 
-size_t my_scan_8bit(CHARSET_INFO *cs, const char *str, const char *end, int sq)
+size_t my_scan_8bit(const CHARSET_INFO *cs, const char *str, const char *end, int sq)
 {
   const char *str0= str;
   switch (sq)
@@ -1122,28 +1121,28 @@
 }
 
 
-void my_fill_8bit(CHARSET_INFO *cs __attribute__((unused)),
+void my_fill_8bit(const CHARSET_INFO *cs __attribute__((unused)),
 		   char *s, size_t l, int fill)
 {
   memset((uchar*) s, fill, l);
 }
 
 
-size_t my_numchars_8bit(CHARSET_INFO *cs __attribute__((unused)),
+size_t my_numchars_8bit(const CHARSET_INFO *cs __attribute__((unused)),
 		      const char *b, const char *e)
 {
   return (size_t) (e - b);
 }
 
 
-size_t my_numcells_8bit(CHARSET_INFO *cs __attribute__((unused)),
+size_t my_numcells_8bit(const CHARSET_INFO *cs __attribute__((unused)),
                         const char *b, const char *e)
 {
   return (size_t) (e - b);
 }
 
 
-size_t my_charpos_8bit(CHARSET_INFO *cs __attribute__((unused)),
+size_t my_charpos_8bit(const CHARSET_INFO *cs __attribute__((unused)),
                        const char *b  __attribute__((unused)),
                        const char *e  __attribute__((unused)),
                        size_t pos)
@@ -1152,7 +1151,7 @@
 }
 
 
-size_t my_well_formed_len_8bit(CHARSET_INFO *cs __attribute__((unused)),
+size_t my_well_formed_len_8bit(const CHARSET_INFO *cs __attribute__((unused)),
                                const char *start, const char *end,
                                size_t nchars, int *error)
 {
@@ -1162,7 +1161,7 @@
 }
 
 
-size_t my_lengthsp_8bit(CHARSET_INFO *cs __attribute__((unused)),
+size_t my_lengthsp_8bit(const CHARSET_INFO *cs __attribute__((unused)),
                         const char *ptr, size_t length)
 {
   const char *end;
@@ -1171,7 +1170,7 @@
 }
 
 
-uint my_instr_simple(CHARSET_INFO *cs,
+uint my_instr_simple(const CHARSET_INFO *cs,
                      const char *b, size_t b_length, 
                      const char *s, size_t s_length,
                      my_match_t *match, uint nmatch)
@@ -1366,14 +1365,14 @@
 }
 
 
-int64_t my_strtoll10_8bit(CHARSET_INFO *cs __attribute__((unused)),
+int64_t my_strtoll10_8bit(const CHARSET_INFO *cs __attribute__((unused)),
                            const char *nptr, char **endptr, int *error)
 {
   return my_strtoll10(nptr, endptr, error);
 }
 
 
-int my_mb_ctype_8bit(CHARSET_INFO *cs, int *ctype,
+int my_mb_ctype_8bit(const CHARSET_INFO *cs, int *ctype,
                    const uchar *s, const uchar *e)
 {
   if (s >= e)
@@ -1475,7 +1474,7 @@
 */
 
 uint64_t
-my_strntoull10rnd_8bit(CHARSET_INFO *cs __attribute__((unused)),
+my_strntoull10rnd_8bit(const CHARSET_INFO *cs __attribute__((unused)),
                        const char *str, size_t length, int unsigned_flag,
                        char **endptr, int *error)
 {
@@ -1512,7 +1511,7 @@
     {
       if (unsigned_flag)
       {
-        *error= ul ? MY_ERRNO_ERANGE : 0;
+        *error= ul ? ERANGE : 0;
         return 0;
       }
       else
@@ -1669,7 +1668,7 @@
     {
       if (ull > (uint64_t) INT64_MIN)
       {
-        *error= MY_ERRNO_ERANGE;
+        *error= ERANGE;
         return (uint64_t) INT64_MIN;
       }
       *error= 0;
@@ -1679,7 +1678,7 @@
     {
       if (ull > (uint64_t) INT64_MAX)
       {
-        *error= MY_ERRNO_ERANGE;
+        *error= ERANGE;
         return (uint64_t) INT64_MAX;
       }
       *error= 0;
@@ -1690,7 +1689,7 @@
   /* Unsigned number */
   if (negative && ull)
   {
-    *error= MY_ERRNO_ERANGE;
+    *error= ERANGE;
     return 0;
   }
   *error= 0;
@@ -1703,12 +1702,12 @@
 
 ret_edom:
   *endptr= (char*) str;
-  *error= MY_ERRNO_EDOM;
+  *error= EDOM;
   return 0;
   
 ret_too_big:
   *endptr= (char*) str;
-  *error= MY_ERRNO_ERANGE;
+  *error= ERANGE;
   return unsigned_flag ?
          UINT64_MAX :
          negative ? (uint64_t) INT64_MIN : (uint64_t) INT64_MAX;
@@ -1753,7 +1752,7 @@
 
 
 
-my_bool my_propagate_simple(CHARSET_INFO *cs __attribute__((unused)),
+my_bool my_propagate_simple(const CHARSET_INFO *cs __attribute__((unused)),
                             const uchar *str __attribute__((unused)),
                             size_t length __attribute__((unused)))
 {
@@ -1761,7 +1760,7 @@
 }
 
 
-my_bool my_propagate_complex(CHARSET_INFO *cs __attribute__((unused)),
+my_bool my_propagate_complex(const CHARSET_INFO *cs __attribute__((unused)),
                              const uchar *str __attribute__((unused)),
                              size_t length __attribute__((unused)))
 {
@@ -1889,7 +1888,7 @@
 
 
 size_t
-my_strxfrm_pad_desc_and_reverse(CHARSET_INFO *cs,
+my_strxfrm_pad_desc_and_reverse(const CHARSET_INFO *cs,
                                 uchar *str, uchar *frmend, uchar *strend,
                                 uint nweights, uint flags, uint level)
 {

=== modified file 'mystrings/ctype-sjis.c'
--- mystrings/ctype-sjis.c	2008-07-30 05:33:20 +0000
+++ mystrings/ctype-sjis.c	2008-07-31 19:53:42 +0000
@@ -181,13 +181,13 @@
                        (0x80<=(c) && (c)<=0xfc))
 
 
-static uint ismbchar_sjis(CHARSET_INFO *cs __attribute__((unused)),
+static uint ismbchar_sjis(const CHARSET_INFO *cs __attribute__((unused)),
 			 const char* p, const char *e)
 {
   return (issjishead((uchar) *p) && (e-p)>1 && issjistail((uchar)p[1]) ? 2: 0);
 }
 
-static uint mbcharlen_sjis(CHARSET_INFO *cs __attribute__((unused)),uint c)
+static uint mbcharlen_sjis(const CHARSET_INFO *cs __attribute__((unused)),uint c)
 {
   return (issjishead((uchar) c) ? 2 : 1);
 }
@@ -196,7 +196,7 @@
 #define sjiscode(c,d)	((((uint) (uchar)(c)) << 8) | (uint) (uchar) (d))
 
 
-static int my_strnncoll_sjis_internal(CHARSET_INFO *cs,
+static int my_strnncoll_sjis_internal(const CHARSET_INFO *cs,
 				      const uchar **a_res, size_t a_length,
 				      const uchar **b_res, size_t b_length)
 {
@@ -228,7 +228,7 @@
 }
 
 
-static int my_strnncoll_sjis(CHARSET_INFO *cs __attribute__((unused)),
+static int my_strnncoll_sjis(const CHARSET_INFO *cs __attribute__((unused)),
                              const uchar *a, size_t a_length, 
                              const uchar *b, size_t b_length,
                              my_bool b_is_prefix)
@@ -240,7 +240,7 @@
 }
 
 
-static int my_strnncollsp_sjis(CHARSET_INFO *cs __attribute__((unused)),
+static int my_strnncollsp_sjis(const CHARSET_INFO *cs __attribute__((unused)),
 			       const uchar *a, size_t a_length, 
 			       const uchar *b, size_t b_length,
                                my_bool diff_if_only_endspace_difference)
@@ -298,9 +298,9 @@
 
 #define max_sort_char ((char) 255)
 
-static my_bool my_like_range_sjis(CHARSET_INFO *cs __attribute__((unused)),
+static my_bool my_like_range_sjis(const CHARSET_INFO *cs __attribute__((unused)),
 				  const char *ptr,size_t ptr_length,
-				  pbool escape, pbool w_one, pbool w_many,
+				  char escape, char w_one, char w_many,
 				  size_t res_length,
                                   char *min_str,char *max_str,
 				  size_t *min_length,size_t *max_length)
@@ -359,7 +359,7 @@
 }
 
 /* page 0 0x00A1-0x00DF */
-static uint16 tab_sjis_uni0[]={
+static uint16_t tab_sjis_uni0[]={
 0xFF61,0xFF62,0xFF63,0xFF64,0xFF65,0xFF66,0xFF67,0xFF68,
 0xFF69,0xFF6A,0xFF6B,0xFF6C,0xFF6D,0xFF6E,0xFF6F,0xFF70,
 0xFF71,0xFF72,0xFF73,0xFF74,0xFF75,0xFF76,0xFF77,0xFF78,
@@ -370,7 +370,7 @@
 0xFF99,0xFF9A,0xFF9B,0xFF9C,0xFF9D,0xFF9E,0xFF9F};
 
 /* page 1 0x8140-0x84BE */
-static uint16 tab_sjis_uni1[]={
+static uint16_t tab_sjis_uni1[]={
 0x3000,0x3001,0x3002,0xFF0C,0xFF0E,0x30FB,0xFF1A,0xFF1B,
 0xFF1F,0xFF01,0x309B,0x309C,0x00B4,0xFF40,0x00A8,0xFF3E,
 0xFFE3,0xFF3F,0x30FD,0x30FE,0x309D,0x309E,0x3003,0x4EDD,
@@ -485,7 +485,7 @@
 0x2537,0x253F,0x251D,0x2530,0x2525,0x2538,0x2542};
 
 /* page 2 0x889F-0x9FFC */
-static uint16 tab_sjis_uni2[]={
+static uint16_t tab_sjis_uni2[]={
 0x4E9C,0x5516,0x5A03,0x963F,0x54C0,0x611B,0x6328,0x59F6,
 0x9022,0x8475,0x831C,0x7A50,0x60AA,0x63E1,0x6E25,0x65ED,
 0x8466,0x82A6,0x9BF5,0x6893,0x5727,0x65A1,0x6271,0x5B9B,
@@ -1236,7 +1236,7 @@
 0x6F3F,0x6EF2,0x6F31,0x6EEF,0x6F32,0x6ECC};
 
 /* page 3 0xE040-0xEAA4 */
-static uint16 tab_sjis_uni3[]={
+static uint16_t tab_sjis_uni3[]={
 0x6F3E,0x6F13,0x6EF7,0x6F86,0x6F7A,0x6F78,0x6F81,0x6F80,
 0x6F6F,0x6F5B,0x6FF3,0x6F6D,0x6F82,0x6F7C,0x6F58,0x6F8E,
 0x6F91,0x6FC2,0x6F66,0x6FB3,0x6FA3,0x6FA1,0x6FA4,0x6FB9,
@@ -1583,7 +1583,7 @@
   return(0);
 }
 /* page 0 0x005C-0x00F7 */
-static uint16 tab_uni_sjis0[]={
+static uint16_t tab_uni_sjis0[]={
 0x815F,     0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
@@ -1606,7 +1606,7 @@
      0,     0,     0,0x8180};
 
 /* page 1 0x0391-0x0451 */
-static uint16 tab_uni_sjis1[]={
+static uint16_t tab_uni_sjis1[]={
 0x839F,0x83A0,0x83A1,0x83A2,0x83A3,0x83A4,0x83A5,0x83A6,
 0x83A7,0x83A8,0x83A9,0x83AA,0x83AB,0x83AC,0x83AD,0x83AE,
 0x83AF,     0,0x83B0,0x83B1,0x83B2,0x83B3,0x83B4,0x83B5,
@@ -1634,7 +1634,7 @@
 0x8476};
 
 /* page 2 0x2010-0x2312 */
-static uint16 tab_uni_sjis2[]={
+static uint16_t tab_uni_sjis2[]={
 0x815D,     0,     0,     0,     0,0x815C,0x8161,     0,
 0x8165,0x8166,     0,     0,0x8167,0x8168,     0,     0,
 0x81F5,0x81F6,     0,     0,     0,0x8164,0x8163,     0,
@@ -1734,7 +1734,7 @@
      0,     0,0x81DC};
 
 /* page 3 0x2500-0x266F */
-static uint16 tab_uni_sjis3[]={
+static uint16_t tab_uni_sjis3[]={
 0x849F,0x84AA,0x84A0,0x84AB,     0,     0,     0,     0,
      0,     0,     0,     0,0x84A1,     0,     0,0x84AC,
 0x84A2,     0,     0,0x84AD,0x84A4,     0,     0,0x84AF,
@@ -1784,7 +1784,7 @@
 };
 
 /* page 4 0x3000-0x30FE */
-static uint16 tab_uni_sjis4[]={
+static uint16_t tab_uni_sjis4[]={
 0x8140,0x8141,0x8142,0x8156,     0,0x8158,0x8159,0x815A,
 0x8171,0x8172,0x8173,0x8174,0x8175,0x8176,0x8177,0x8178,
 0x8179,0x817A,0x81A7,0x81AC,0x816B,0x816C,     0,     0,
@@ -1819,7 +1819,7 @@
      0,     0,     0,0x8145,0x815B,0x8152,0x8153};
 
 /* page 5 0x4E00-0x9481 */
-static uint16 tab_uni_sjis5[]={
+static uint16_t tab_uni_sjis5[]={
 0x88EA,0x929A,     0,0x8EB5,     0,     0,     0,0x969C,
 0x8FE4,0x8E4F,0x8FE3,0x89BA,     0,0x9573,0x975E,     0,
 0x98A0,0x894E,     0,     0,0x8A8E,0x98A1,0x90A2,0x99C0,
@@ -4079,7 +4079,7 @@
      0,0xE876};
 
 /* page 6 0x9577-0x9FA0 */
-static uint16 tab_uni_sjis6[]={
+static uint16_t tab_uni_sjis6[]={
 0x92B7,     0,     0,     0,     0,     0,     0,     0,
      0,0x96E5,     0,0xE878,0x914D,     0,     0,     0,
 0xE879,     0,0x95C2,0xE87A,0x8A4A,     0,     0,     0,
@@ -4408,7 +4408,7 @@
      0,0xEA9E};
 
 /* page 7 0xFF01-0xFFE5 */
-static uint16 tab_uni_sjis7[]={
+static uint16_t tab_uni_sjis7[]={
 0x8149,     0,0x8194,0x8190,0x8193,0x8195,     0,0x8169,
 0x816A,0x8196,0x817B,0x8143,     0,0x8144,0x815E,0x824F,
 0x8250,0x8251,0x8252,0x8253,0x8254,0x8255,0x8256,0x8257,
@@ -4461,7 +4461,7 @@
 
 
 static int
-my_wc_mb_sjis(CHARSET_INFO *cs  __attribute__((unused)),
+my_wc_mb_sjis(const CHARSET_INFO *cs  __attribute__((unused)),
 	      my_wc_t wc, uchar *s, uchar *e)
 {
   int code;
@@ -4500,7 +4500,7 @@
 
 
 static int 
-my_mb_wc_sjis(CHARSET_INFO *cs  __attribute__((unused)),
+my_mb_wc_sjis(const CHARSET_INFO *cs  __attribute__((unused)),
 	      my_wc_t *pwc, const uchar *s, const uchar *e){
   int hi;
   
@@ -4529,7 +4529,7 @@
 }
 
 static
-size_t my_numcells_sjis(CHARSET_INFO *cs __attribute__((unused)),
+size_t my_numcells_sjis(const CHARSET_INFO *cs __attribute__((unused)),
                       const char *str, const char *str_end)
 {
   size_t clen;
@@ -4562,7 +4562,7 @@
   CP932 additional characters are also accepted.
 */
 static
-size_t my_well_formed_len_sjis(CHARSET_INFO *cs __attribute__((unused)),
+size_t my_well_formed_len_sjis(const CHARSET_INFO *cs __attribute__((unused)),
                                const char *b, const char *e,
                                size_t pos, int *error)
 {

=== modified file 'mystrings/ctype-tis620.c'
--- mystrings/ctype-tis620.c	2008-07-31 19:56:51 +0000
+++ mystrings/ctype-tis620.c	2008-07-31 21:07:41 +0000
@@ -524,7 +524,7 @@
 */
 
 static
-int my_strnncoll_tis620(CHARSET_INFO *cs __attribute__((unused)),
+int my_strnncoll_tis620(const CHARSET_INFO *cs __attribute__((unused)),
                         const uchar *s1, size_t len1, 
                         const uchar *s2, size_t len2,
                         my_bool s2_is_prefix)
@@ -554,7 +554,7 @@
 
 
 static
-int my_strnncollsp_tis620(CHARSET_INFO * cs __attribute__((unused)),
+int my_strnncollsp_tis620(const CHARSET_INFO * cs __attribute__((unused)),
 			  const uchar *a0, size_t a_length, 
 			  const uchar *b0, size_t b_length,
                           my_bool diff_if_only_endspace_difference)
@@ -631,7 +631,7 @@
 */
 
 static
-size_t my_strnxfrm_tis620(CHARSET_INFO *cs,
+size_t my_strnxfrm_tis620(const CHARSET_INFO *cs,
                        uchar *dst, size_t dstlen, uint nweights,
                        const uchar *src, size_t srclen, uint flags)
 {
@@ -819,7 +819,7 @@
 
 
 static
-int my_mb_wc_tis620(CHARSET_INFO *cs  __attribute__((unused)),
+int my_mb_wc_tis620(const CHARSET_INFO *cs  __attribute__((unused)),
 		  my_wc_t *wc,
 		  const uchar *str,
 		  const uchar *end __attribute__((unused)))
@@ -832,7 +832,7 @@
 }
 
 static
-int my_wc_mb_tis620(CHARSET_INFO *cs  __attribute__((unused)),
+int my_wc_mb_tis620(const CHARSET_INFO *cs  __attribute__((unused)),
 		  my_wc_t wc,
 		  uchar *str,
 		  uchar *end __attribute__((unused)))

=== modified file 'mystrings/ctype-uca.c'
--- mystrings/ctype-uca.c	2008-07-30 05:33:20 +0000
+++ mystrings/ctype-uca.c	2008-07-31 19:53:42 +0000
@@ -6757,7 +6757,7 @@
   uint16_t implicit[2];
   int page;
   int code;
-  CHARSET_INFO *cs;
+  const CHARSET_INFO *cs;
 } my_uca_scanner;
 
 /*
@@ -6766,7 +6766,7 @@
 */
 typedef struct my_uca_scanner_handler_st 
 {
-  void (*init)(my_uca_scanner *scanner, CHARSET_INFO *cs, 
+  void (*init)(my_uca_scanner *scanner, const CHARSET_INFO *cs, 
                const uchar *str, size_t length);
   int (*next)(my_uca_scanner *scanner);
 } my_uca_scanner_handler;
@@ -6793,7 +6793,7 @@
 */
 
 static void my_uca_scanner_init_ucs2(my_uca_scanner *scanner,
-                                     CHARSET_INFO *cs __attribute__((unused)),
+                                     const CHARSET_INFO *cs __attribute__((unused)),
                                      const uchar *str, size_t length)
 {
   scanner->wbeg= nochar; 
@@ -6945,7 +6945,7 @@
   The same two functions for any character set
 */
 static void my_uca_scanner_init_any(my_uca_scanner *scanner,
-				    CHARSET_INFO *cs __attribute__((unused)),
+				    const CHARSET_INFO *cs __attribute__((unused)),
 				    const uchar *str, size_t length)
 {
   /* Note, no needs to initialize scanner->wbeg */
@@ -7089,7 +7089,7 @@
     positive number - means the first string is bigger
 */
 
-static int my_strnncoll_uca(CHARSET_INFO *cs, 
+static int my_strnncoll_uca(const CHARSET_INFO *cs, 
                             my_uca_scanner_handler *scanner_handler,
 			    const uchar *s, size_t slen,
                             const uchar *t, size_t tlen,
@@ -7160,7 +7160,7 @@
     positive number - means the first string is bigger
 */
 
-static int my_strnncollsp_uca(CHARSET_INFO *cs, 
+static int my_strnncollsp_uca(const CHARSET_INFO *cs, 
                               my_uca_scanner_handler *scanner_handler,
                               const uchar *s, size_t slen,
                               const uchar *t, size_t tlen,
@@ -7238,7 +7238,7 @@
     N/A
 */
 
-static void my_hash_sort_uca(CHARSET_INFO *cs,
+static void my_hash_sort_uca(const CHARSET_INFO *cs,
                              my_uca_scanner_handler *scanner_handler,
 			     const uchar *s, size_t slen,
 			     ulong *n1, ulong *n2)
@@ -7290,7 +7290,7 @@
     Number of bytes that have been written into the binary image.
 */
 
-static size_t my_strnxfrm_uca(CHARSET_INFO *cs, 
+static size_t my_strnxfrm_uca(const CHARSET_INFO *cs, 
                            my_uca_scanner_handler *scanner_handler,
                            uchar *dst, size_t dstlen, uint nweights,
                            const uchar *src, size_t srclen, uint flags)
@@ -7332,7 +7332,7 @@
   little-endian and big-endian machines.
 */
 
-static int my_uca_charcmp(CHARSET_INFO *cs, my_wc_t wc1, my_wc_t wc2)
+static int my_uca_charcmp(const CHARSET_INFO *cs, my_wc_t wc1, my_wc_t wc2)
 {
   size_t page1= wc1 >> MY_UCA_PSHIFT;
   size_t page2= wc2 >> MY_UCA_PSHIFT;
@@ -7365,7 +7365,7 @@
 */
 
 static
-int my_wildcmp_uca(CHARSET_INFO *cs,
+int my_wildcmp_uca(const CHARSET_INFO *cs,
 		   const char *str,const char *str_end,
 		   const char *wildstr,const char *wildend,
 		   int escape, int w_one, int w_many)
@@ -7373,9 +7373,7 @@
   int result= -1;			/* Not found, using wildcards */
   my_wc_t s_wc, w_wc;
   int scan;
-  int (*mb_wc)(struct charset_info_st *, my_wc_t *,
-               const uchar *, const uchar *);
-  mb_wc= cs->cset->mb_wc;
+  my_charset_conv_mb_wc mb_wc= cs->cset->mb_wc;
   
   while (wildstr != wildend)
   {
@@ -8034,7 +8032,7 @@
   return create_tailoring(cs, alloc);
 }
 
-static int my_strnncoll_any_uca(CHARSET_INFO *cs,
+static int my_strnncoll_any_uca(const CHARSET_INFO *cs,
                                 const uchar *s, size_t slen,
                                 const uchar *t, size_t tlen,
                                 my_bool t_is_prefix)
@@ -8043,7 +8041,7 @@
                           s, slen, t, tlen, t_is_prefix);
 }
 
-static int my_strnncollsp_any_uca(CHARSET_INFO *cs,
+static int my_strnncollsp_any_uca(const CHARSET_INFO *cs,
                                   const uchar *s, size_t slen,
                                   const uchar *t, size_t tlen,
                                   my_bool diff_if_only_endspace_difference)
@@ -8053,14 +8051,14 @@
                             diff_if_only_endspace_difference);
 }   
 
-static void my_hash_sort_any_uca(CHARSET_INFO *cs,
+static void my_hash_sort_any_uca(const CHARSET_INFO *cs,
                                  const uchar *s, size_t slen,
                                  ulong *n1, ulong *n2)
 {
   my_hash_sort_uca(cs, &my_any_uca_scanner_handler, s, slen, n1, n2); 
 }
 
-static size_t my_strnxfrm_any_uca(CHARSET_INFO *cs, 
+static size_t my_strnxfrm_any_uca(const CHARSET_INFO *cs, 
                                   uchar *dst, size_t dstlen, uint nweights,
                                   const uchar *src, size_t srclen, uint flags)
 {
@@ -8073,7 +8071,7 @@
 /*
   UCS2 optimized CHARSET_INFO compatible wrappers.
 */
-static int my_strnncoll_ucs2_uca(CHARSET_INFO *cs,
+static int my_strnncoll_ucs2_uca(const CHARSET_INFO *cs,
                                  const uchar *s, size_t slen,
                                  const uchar *t, size_t tlen,
                                  my_bool t_is_prefix)
@@ -8082,7 +8080,7 @@
                           s, slen, t, tlen, t_is_prefix);
 }
 
-static int my_strnncollsp_ucs2_uca(CHARSET_INFO *cs,
+static int my_strnncollsp_ucs2_uca(const CHARSET_INFO *cs,
                                    const uchar *s, size_t slen,
                                    const uchar *t, size_t tlen,
                                    my_bool diff_if_only_endspace_difference)
@@ -8092,14 +8090,14 @@
                             diff_if_only_endspace_difference);
 }   
 
-static void my_hash_sort_ucs2_uca(CHARSET_INFO *cs,
+static void my_hash_sort_ucs2_uca(const CHARSET_INFO *cs,
                                   const uchar *s, size_t slen,
                                   ulong *n1, ulong *n2)
 {
   my_hash_sort_uca(cs, &my_ucs2_uca_scanner_handler, s, slen, n1, n2); 
 }
 
-static size_t my_strnxfrm_ucs2_uca(CHARSET_INFO *cs,
+static size_t my_strnxfrm_ucs2_uca(const CHARSET_INFO *cs,
                                    uchar *dst, size_t dstlen, uint nweights,
                                    const uchar *src, size_t srclen, uint flags)
 {

=== modified file 'mystrings/ctype-ucs2.c'
--- mystrings/ctype-ucs2.c	2008-07-31 19:56:51 +0000
+++ mystrings/ctype-ucs2.c	2008-07-31 21:19:50 +0000
@@ -47,6 +47,14 @@
 #define HAVE_CHARSET_mb2_or_mb4
 #endif
 
+#if defined(HAVE_CHARSET_mb2) || defined(HAVE_CHARSET_utf32)
+static unsigned long lfactor[9]=
+{
+  1L, 10L, 100L, 1000L, 10000L, 100000L, 1000000L, 10000000L, 100000000L
+};
+#endif
+
+
 
 #ifdef HAVE_CHARSET_mb2_or_mb4
 static inline int
@@ -61,7 +69,7 @@
 
 
 static size_t
-my_caseup_str_mb2_or_mb4(CHARSET_INFO * cs  __attribute__((unused)), 
+my_caseup_str_mb2_or_mb4(const CHARSET_INFO * cs  __attribute__((unused)), 
                          char * s __attribute__((unused)))
 {
   assert(0);
@@ -70,7 +78,7 @@
 
 
 static size_t
-my_casedn_str_mb2_or_mb4(CHARSET_INFO *cs __attribute__((unused)), 
+my_casedn_str_mb2_or_mb4(const CHARSET_INFO *cs __attribute__((unused)), 
                          char * s __attribute__((unused)))
 {
   assert(0);
@@ -79,7 +87,7 @@
 
 
 static int
-my_strcasecmp_mb2_or_mb4(CHARSET_INFO *cs __attribute__((unused)),
+my_strcasecmp_mb2_or_mb4(const CHARSET_INFO *cs __attribute__((unused)),
                          const char *s __attribute__((unused)),
                          const char *t __attribute__((unused)))
 {
@@ -89,7 +97,7 @@
 
 
 static long
-my_strntol_mb2_or_mb4(CHARSET_INFO *cs,
+my_strntol_mb2_or_mb4(const CHARSET_INFO *cs,
                       const char *nptr, size_t l, int base,
                       char **endptr, int *err)
 {
@@ -98,8 +106,8 @@
   int      cnv;
   my_wc_t  wc;
   register unsigned int cutlim;
-  register uint32 cutoff;
-  register uint32 res;
+  register uint32_t cutoff;
+  register uint32_t res;
   register const uchar *s= (const uchar*) nptr;
   register const uchar *e= (const uchar*) nptr+l;
   const uchar *save;
@@ -138,8 +146,8 @@
   overflow= 0;
   res= 0;
   save= s;
-  cutoff= ((uint32)~0L) / (uint32) base;
-  cutlim= (uint) (((uint32)~0L) % (uint32) base);
+  cutoff= ((uint32_t)~0L) / (uint32_t) base;
+  cutlim= (uint) (((uint32_t)~0L) % (uint32_t) base);
   
   do {
     if ((cnv= cs->cset->mb_wc(cs, &wc, s, e)) > 0)
@@ -159,7 +167,7 @@
         overflow= 1;
       else
       {
-        res*= (uint32) base;
+        res*= (uint32_t) base;
         res+= wc;
       }
     }
@@ -188,16 +196,16 @@
   
   if (negative)
   {
-    if (res > (uint32) INT_MIN32)
+    if (res > (uint32_t) INT32_MIN)
       overflow= 1;
   }
-  else if (res > INT_MAX32)
+  else if (res > INT32_MAX)
     overflow= 1;
   
   if (overflow)
   {
     err[0]= ERANGE;
-    return negative ? INT_MIN32 : INT_MAX32;
+    return negative ? INT32_MIN : INT32_MAX;
   }
   
   return (negative ? -((long) res) : (long) res);
@@ -205,7 +213,7 @@
 
 
 static ulong
-my_strntoul_mb2_or_mb4(CHARSET_INFO *cs,
+my_strntoul_mb2_or_mb4(const CHARSET_INFO *cs,
                        const char *nptr, size_t l, int base, 
                        char **endptr, int *err)
 {
@@ -214,8 +222,8 @@
   int      cnv;
   my_wc_t  wc;
   register unsigned int cutlim;
-  register uint32 cutoff;
-  register uint32 res;
+  register uint32_t cutoff;
+  register uint32_t res;
   register const uchar *s= (const uchar*) nptr;
   register const uchar *e= (const uchar*) nptr + l;
   const uchar *save;
@@ -254,8 +262,8 @@
   overflow= 0;
   res= 0;
   save= s;
-  cutoff= ((uint32)~0L) / (uint32) base;
-  cutlim= (uint) (((uint32)~0L) % (uint32) base);
+  cutoff= ((uint32_t)~0L) / (uint32_t) base;
+  cutlim= (uint) (((uint32_t)~0L) % (uint32_t) base);
   
   do
   {
@@ -276,7 +284,7 @@
         overflow = 1;
       else
       {
-        res*= (uint32) base;
+        res*= (uint32_t) base;
         res+= wc;
       }
     }
@@ -306,7 +314,7 @@
   if (overflow)
   {
     err[0]= (ERANGE);
-    return (~(uint32) 0);
+    return (~(uint32_t) 0);
   }
   
   return (negative ? -((long) res) : (long) res);
@@ -314,7 +322,7 @@
 
 
 static int64_t 
-my_strntoll_mb2_or_mb4(CHARSET_INFO *cs,
+my_strntoll_mb2_or_mb4(const CHARSET_INFO *cs,
                        const char *nptr, size_t l, int base,
                        char **endptr, int *err)
 {
@@ -413,16 +421,16 @@
   
   if (negative)
   {
-    if (res  > (uint64_t) LONGLONG_MIN)
+    if (res  > (uint64_t) INT64_MIN)
       overflow = 1;
   }
-  else if (res > (uint64_t) LONGLONG_MAX)
+  else if (res > (uint64_t) INT64_MAX)
     overflow = 1;
   
   if (overflow)
   {
     err[0]=ERANGE;
-    return negative ? LONGLONG_MIN : LONGLONG_MAX;
+    return negative ? INT64_MIN : INT64_MAX;
   }
   
   return (negative ? -((int64_t)res) : (int64_t)res);
@@ -430,7 +438,7 @@
 
 
 static uint64_t
-my_strntoull_mb2_or_mb4(CHARSET_INFO *cs,
+my_strntoull_mb2_or_mb4(const CHARSET_INFO *cs,
                         const char *nptr, size_t l, int base,
                         char **endptr, int *err)
 {
@@ -539,7 +547,7 @@
 
 
 static double
-my_strntod_mb2_or_mb4(CHARSET_INFO *cs,
+my_strntod_mb2_or_mb4(const CHARSET_INFO *cs,
                       char *nptr, size_t length, 
                       char **endptr, int *err)
 {
@@ -573,7 +581,7 @@
 
 
 static uint64_t
-my_strntoull10rnd_mb2_or_mb4(CHARSET_INFO *cs,
+my_strntoull10rnd_mb2_or_mb4(const CHARSET_INFO *cs,
                              const char *nptr, size_t length,
                              int unsign_fl,
                              char **endptr, int *err)
@@ -608,7 +616,7 @@
 */
 
 static size_t
-my_l10tostr_mb2_or_mb4(CHARSET_INFO *cs,
+my_l10tostr_mb2_or_mb4(const CHARSET_INFO *cs,
                        char *dst, size_t len, int radix, long int val)
 {
   char buffer[66];
@@ -625,7 +633,7 @@
     if (val < 0)
     {
       sl= 1;
-      /* Avoid integer overflow in (-val) for LONGLONG_MIN (BUG#31799). */
+      /* Avoid integer overflow in (-val) for INT64_MIN (BUG#31799). */
       uval  = (unsigned long int)0 - uval;
     }
   }
@@ -659,7 +667,7 @@
 
 
 static size_t
-my_ll10tostr_mb2_or_mb4(CHARSET_INFO *cs,
+my_ll10tostr_mb2_or_mb4(const CHARSET_INFO *cs,
                         char *dst, size_t len, int radix, int64_t val)
 {
   char buffer[65];
@@ -673,7 +681,7 @@
     if (val < 0)
     {
       sl= 1;
-      /* Avoid integer overflow in (-val) for LONGLONG_MIN (BUG#31799). */
+      /* Avoid integer overflow in (-val) for INT64_MIN (BUG#31799). */
       uval = (uint64_t)0 - uval;
     }
   }
@@ -725,7 +733,7 @@
 
 #ifdef HAVE_CHARSET_mb2
 static int64_t
-my_strtoll10_mb2(CHARSET_INFO *cs __attribute__((unused)),
+my_strtoll10_mb2(const CHARSET_INFO *cs __attribute__((unused)),
                  const char *nptr, char **endptr, int *error)
 {
   const char *s, *end, *start, *n_end, *true_end;
@@ -858,7 +866,7 @@
 
 overflow:                                        /* *endptr is set here */
   *error= MY_ERRNO_ERANGE;
-  return negative ? LONGLONG_MIN : (int64_t) ULONGLONG_MAX;
+  return negative ? INT64_MIN : (int64_t) UINT64_MAX;
 
 end_i:
   *endptr= (char*) s;
@@ -894,7 +902,7 @@
 
 
 static size_t
-my_scan_mb2(CHARSET_INFO *cs __attribute__((unused)),
+my_scan_mb2(const CHARSET_INFO *cs __attribute__((unused)),
             const char *str, const char *end, int sequence_type)
 {
   const char *str0= str;
@@ -916,7 +924,7 @@
 
 
 static void
-my_fill_mb2(CHARSET_INFO *cs __attribute__((unused)),
+my_fill_mb2(const CHARSET_INFO *cs __attribute__((unused)),
             char *s, size_t l, int fill)
 {
   for ( ; l >= 2; s[0]= 0, s[1]= fill, s+= 2, l-= 2);
@@ -1002,7 +1010,7 @@
 
 
 static size_t
-my_snprintf_mb2(CHARSET_INFO *cs __attribute__((unused)),
+my_snprintf_mb2(const CHARSET_INFO *cs __attribute__((unused)),
              char* to, size_t n, const char* fmt, ...)
 {
   va_list args;
@@ -1012,7 +1020,7 @@
 
 
 static size_t
-my_lengthsp_mb2(CHARSET_INFO *cs __attribute__((unused)),
+my_lengthsp_mb2(const CHARSET_INFO *cs __attribute__((unused)),
                 const char *ptr, size_t length)
 {
   const char *end= ptr + length;
@@ -1037,7 +1045,7 @@
 #define MY_UTF16_SURROGATE(x)  (((x) & 0xF800) == 0xD800)
 
 static int
-my_utf16_uni(CHARSET_INFO *cs __attribute__((unused)),
+my_utf16_uni(const CHARSET_INFO *cs __attribute__((unused)),
              my_wc_t *pwc, const uchar *s, const uchar *e)
 {
   if (s + 2 > e)
@@ -1079,7 +1087,7 @@
 
 
 static int
-my_uni_utf16(CHARSET_INFO *cs __attribute__((unused)),
+my_uni_utf16(const CHARSET_INFO *cs __attribute__((unused)),
              my_wc_t wc, uchar *s, uchar *e)
 {
   if (wc <= 0xFFFF)
@@ -1143,7 +1151,7 @@
 
 
 static size_t
-my_caseup_utf16(CHARSET_INFO *cs, char *src, size_t srclen,
+my_caseup_utf16(const CHARSET_INFO *cs, char *src, size_t srclen,
                 char *dst __attribute__((unused)),
                 size_t dstlen __attribute__((unused)))
 {
@@ -1166,7 +1174,7 @@
 
 
 static void
-my_hash_sort_utf16(CHARSET_INFO *cs, const uchar *s, size_t slen,
+my_hash_sort_utf16(const CHARSET_INFO *cs, const uchar *s, size_t slen,
                    ulong *n1, ulong *n2)
 {
   my_wc_t wc;
@@ -1190,7 +1198,7 @@
 
 
 static size_t
-my_casedn_utf16(CHARSET_INFO *cs, char *src, size_t srclen,
+my_casedn_utf16(const CHARSET_INFO *cs, char *src, size_t srclen,
                 char *dst __attribute__((unused)),
                 size_t dstlen __attribute__((unused)))
 {
@@ -1213,7 +1221,7 @@
 
 
 static int
-my_strnncoll_utf16(CHARSET_INFO *cs, 
+my_strnncoll_utf16(const CHARSET_INFO *cs, 
                    const uchar *s, size_t slen, 
                    const uchar *t, size_t tlen,
                    my_bool t_is_prefix)
@@ -1277,7 +1285,7 @@
 */
 
 static int
-my_strnncollsp_utf16(CHARSET_INFO *cs,
+my_strnncollsp_utf16(const CHARSET_INFO *cs,
                      const uchar *s, size_t slen,
                      const uchar *t, size_t tlen,
                      my_bool diff_if_only_endspace_difference)
@@ -1291,7 +1299,7 @@
   assert((tlen % 2) == 0);
 
 #ifndef VARCHAR_WITH_DIFF_ENDSPACE_ARE_DIFFERENT_FOR_UNIQUE
-  diff_if_only_endspace_difference= FALSE;
+  diff_if_only_endspace_difference= 0;
 #endif
 
   while (s < se && t < te)
@@ -1351,7 +1359,7 @@
 
 
 static size_t
-my_strnxfrm_utf16(CHARSET_INFO *cs, 
+my_strnxfrm_utf16(const CHARSET_INFO *cs, 
                   uchar *dst, size_t dstlen, uint nweights,
                   const uchar *src, size_t srclen, uint flags)
 {
@@ -1384,7 +1392,7 @@
 
 
 static uint
-my_ismbchar_utf16(CHARSET_INFO *cs __attribute__((unused)),
+my_ismbchar_utf16(const CHARSET_INFO *cs __attribute__((unused)),
                   const char *b __attribute__((unused)),
                   const char *e __attribute__((unused)))
 {
@@ -1404,7 +1412,7 @@
 
 
 static uint
-my_mbcharlen_utf16(CHARSET_INFO *cs  __attribute__((unused)),
+my_mbcharlen_utf16(const CHARSET_INFO *cs  __attribute__((unused)),
                    uint c __attribute__((unused)))
 {
   return MY_UTF16_HIGH_HEAD(c) ? 4 : 2;
@@ -1412,7 +1420,7 @@
 
 
 static size_t
-my_numchars_utf16(CHARSET_INFO *cs,
+my_numchars_utf16(const CHARSET_INFO *cs,
                   const char *b, const char *e)
 {
   size_t nchars= 0;
@@ -1428,7 +1436,7 @@
 
 
 static size_t
-my_charpos_utf16(CHARSET_INFO *cs,
+my_charpos_utf16(const CHARSET_INFO *cs,
                  const char *b, const char *e, size_t pos)
 {
   const char *b0= b;
@@ -1444,7 +1452,7 @@
 
 
 static size_t
-my_well_formed_len_utf16(CHARSET_INFO *cs,
+my_well_formed_len_utf16(const CHARSET_INFO *cs,
                          const char *b, const char *e,
                          size_t nchars, int *error)
 {
@@ -1465,7 +1473,7 @@
 
 
 static int
-my_wildcmp_utf16_ci(CHARSET_INFO *cs,
+my_wildcmp_utf16_ci(const CHARSET_INFO *cs,
                     const char *str,const char *str_end,
                     const char *wildstr,const char *wildend,
                     int escape, int w_one, int w_many)
@@ -1477,7 +1485,7 @@
 
 
 static int
-my_wildcmp_utf16_bin(CHARSET_INFO *cs,
+my_wildcmp_utf16_bin(const CHARSET_INFO *cs,
                      const char *str,const char *str_end,
                      const char *wildstr,const char *wildend,
                      int escape, int w_one, int w_many)
@@ -1488,7 +1496,7 @@
 
 
 static int
-my_strnncoll_utf16_bin(CHARSET_INFO *cs, 
+my_strnncoll_utf16_bin(const CHARSET_INFO *cs, 
                        const uchar *s, size_t slen,
                        const uchar *t, size_t tlen,
                        my_bool t_is_prefix)
@@ -1521,7 +1529,7 @@
 
 
 static int
-my_strnncollsp_utf16_bin(CHARSET_INFO *cs,
+my_strnncollsp_utf16_bin(const CHARSET_INFO *cs,
                          const uchar *s, size_t slen,
                          const uchar *t, size_t tlen,
                          my_bool diff_if_only_endspace_difference)
@@ -1534,7 +1542,7 @@
   assert((tlen % 2) == 0);
 
 #ifndef VARCHAR_WITH_DIFF_ENDSPACE_ARE_DIFFERENT_FOR_UNIQUE
-  diff_if_only_endspace_difference= FALSE;
+  diff_if_only_endspace_difference= 0;
 #endif
 
   while (s < se && t < te)
@@ -1591,7 +1599,7 @@
 
 
 static size_t
-my_strnxfrm_utf16_bin(CHARSET_INFO *cs,
+my_strnxfrm_utf16_bin(const CHARSET_INFO *cs,
                       uchar *dst, size_t dstlen, uint nweights,
                       const uchar *src, size_t srclen, uint flags)
 {
@@ -1607,7 +1615,7 @@
 
 
 static void
-my_hash_sort_utf16_bin(CHARSET_INFO *cs __attribute__((unused)),
+my_hash_sort_utf16_bin(const CHARSET_INFO *cs __attribute__((unused)),
                        const uchar *key, size_t len,ulong *nr1, ulong *nr2)
 {
   const uchar *pos = key;
@@ -1646,9 +1654,9 @@
 */
 
 my_bool
-my_like_range_utf16(CHARSET_INFO *cs,
+my_like_range_utf16(const CHARSET_INFO *cs,
                     const char *ptr, size_t ptr_length,
-                    pbool escape, pbool w_one, pbool w_many,
+                    char escape, char w_one, char w_many,
                     size_t res_length,
                     char *min_str,char *max_str,
                     size_t *min_length,size_t *max_length)
@@ -1692,7 +1700,7 @@
         *max_str++ = (char) (cs->max_sort_char >> 8);
         *max_str++ = (char) (cs->max_sort_char & 255);
       } while (min_str + 1 < min_end);
-      return FALSE;
+      return 0;
     }
     *min_str++= *max_str++ = ptr[0];
     *min_str++= *max_str++ = ptr[1];
@@ -1714,7 +1722,7 @@
     *min_str++ = *max_str++ = '\0';
     *min_str++ = *max_str++ = ' ';      /* Because if key compression */
   }
-  return FALSE;
+  return 0;
 }
 
 
@@ -1857,7 +1865,7 @@
 #ifdef HAVE_CHARSET_utf32
 
 static int
-my_utf32_uni(CHARSET_INFO *cs __attribute__((unused)),
+my_utf32_uni(const CHARSET_INFO *cs __attribute__((unused)),
              my_wc_t *pwc, const uchar *s, const uchar *e)
 {
   if (s + 4 > e)
@@ -1868,7 +1876,7 @@
 
 
 static int
-my_uni_utf32(CHARSET_INFO *cs __attribute__((unused)),
+my_uni_utf32(const CHARSET_INFO *cs __attribute__((unused)),
              my_wc_t wc, uchar *s, uchar *e)
 {
   if (s + 4 > e) 
@@ -1917,7 +1925,7 @@
 
 
 static size_t
-my_caseup_utf32(CHARSET_INFO *cs, char *src, size_t srclen,
+my_caseup_utf32(const CHARSET_INFO *cs, char *src, size_t srclen,
                 char *dst __attribute__((unused)),
                 size_t dstlen __attribute__((unused)))
 {
@@ -1948,7 +1956,7 @@
 
 
 static void
-my_hash_sort_utf32(CHARSET_INFO *cs, const uchar *s, size_t slen,
+my_hash_sort_utf32(const CHARSET_INFO *cs, const uchar *s, size_t slen,
                    ulong *n1, ulong *n2)
 {
   my_wc_t wc;
@@ -1973,7 +1981,7 @@
 
 
 static size_t
-my_casedn_utf32(CHARSET_INFO *cs, char *src, size_t srclen,
+my_casedn_utf32(const CHARSET_INFO *cs, char *src, size_t srclen,
                 char *dst __attribute__((unused)),
                 size_t dstlen __attribute__((unused)))
 {
@@ -1995,7 +2003,7 @@
 
 
 static int
-my_strnncoll_utf32(CHARSET_INFO *cs, 
+my_strnncoll_utf32(const CHARSET_INFO *cs, 
                    const uchar *s, size_t slen, 
                    const uchar *t, size_t tlen,
                    my_bool t_is_prefix)
@@ -2059,7 +2067,7 @@
 
 
 static int
-my_strnncollsp_utf32(CHARSET_INFO *cs,
+my_strnncollsp_utf32(const CHARSET_INFO *cs,
                      const uchar *s, size_t slen,
                      const uchar *t, size_t tlen,
                      my_bool diff_if_only_endspace_difference)
@@ -2073,7 +2081,7 @@
   assert((tlen % 4) == 0);
 
 #ifndef VARCHAR_WITH_DIFF_ENDSPACE_ARE_DIFFERENT_FOR_UNIQUE
-  diff_if_only_endspace_difference= FALSE;
+  diff_if_only_endspace_difference= 0;
 #endif
 
   while ( s < se && t < te )
@@ -2133,14 +2141,14 @@
 
 
 static size_t
-my_strnxfrmlen_utf32(CHARSET_INFO *cs __attribute__((unused)), size_t len)
+my_strnxfrmlen_utf32(const CHARSET_INFO *cs __attribute__((unused)), size_t len)
 {
   return len / 2;
 }
 
 
 static void
-my_fill_utf32_for_strxfrm(CHARSET_INFO *cs __attribute__((unused)),
+my_fill_utf32_for_strxfrm(const CHARSET_INFO *cs __attribute__((unused)),
                           char *s, size_t slen, int fill)
 {
   assert(fill <= 0xFFFF);
@@ -2155,8 +2163,8 @@
 }
 
 
-size_t
-my_strxfrm_pad_desc_and_reverse_utf32(CHARSET_INFO *cs,
+static size_t
+my_strxfrm_pad_desc_and_reverse_utf32(const CHARSET_INFO *cs,
                                       uchar *str, uchar *frmend, uchar *strend,
                                       uint nweights, uint flags, uint level)
 {
@@ -2172,7 +2180,7 @@
 
 
 static size_t
-my_strnxfrm_utf32(CHARSET_INFO *cs, 
+my_strnxfrm_utf32(const CHARSET_INFO *cs, 
                   uchar *dst, size_t dstlen, uint nweights,
                   const uchar *src, size_t srclen, uint flags)
 {
@@ -2205,7 +2213,7 @@
 
 
 static uint
-my_ismbchar_utf32(CHARSET_INFO *cs __attribute__((unused)),
+my_ismbchar_utf32(const CHARSET_INFO *cs __attribute__((unused)),
                   const char *b __attribute__((unused)),
                   const char *e __attribute__((unused)))
 {
@@ -2214,7 +2222,7 @@
 
 
 static uint
-my_mbcharlen_utf32(CHARSET_INFO *cs  __attribute__((unused)) , 
+my_mbcharlen_utf32(const CHARSET_INFO *cs  __attribute__((unused)) , 
                    uint c __attribute__((unused)))
 {
   return 4;
@@ -2311,7 +2319,7 @@
 
 
 static size_t
-my_snprintf_utf32(CHARSET_INFO *cs __attribute__((unused)),
+my_snprintf_utf32(const CHARSET_INFO *cs __attribute__((unused)),
                   char* to, size_t n, const char* fmt, ...)
 {
   va_list args;
@@ -2321,7 +2329,7 @@
 
 
 static int64_t
-my_strtoll10_utf32(CHARSET_INFO *cs __attribute__((unused)),
+my_strtoll10_utf32(const CHARSET_INFO *cs __attribute__((unused)),
                    const char *nptr, char **endptr, int *error)
 {
   const char *s, *end, *start, *n_end, *true_end;
@@ -2455,7 +2463,7 @@
 
 overflow:                                        /* *endptr is set here */
   *error= MY_ERRNO_ERANGE;
-  return negative ? LONGLONG_MIN : (int64_t) ULONGLONG_MAX;
+  return negative ? INT64_MIN : (int64_t) UINT64_MAX;
 
 end_i:
   *endptr= (char*) s;
@@ -2491,7 +2499,7 @@
 
 
 static size_t
-my_numchars_utf32(CHARSET_INFO *cs __attribute__((unused)),
+my_numchars_utf32(const CHARSET_INFO *cs __attribute__((unused)),
                   const char *b, const char *e)
 {
   return (size_t) (e - b) / 4;
@@ -2499,7 +2507,7 @@
 
 
 static size_t
-my_charpos_utf32(CHARSET_INFO *cs __attribute__((unused)),
+my_charpos_utf32(const CHARSET_INFO *cs __attribute__((unused)),
                  const char *b, const char *e, size_t pos)
 {
   size_t string_length= (size_t) (e - b);
@@ -2508,7 +2516,7 @@
 
 
 static size_t
-my_well_formed_len_utf32(CHARSET_INFO *cs __attribute__((unused)),
+my_well_formed_len_utf32(const CHARSET_INFO *cs __attribute__((unused)),
                          const char *b, const char *e,
                          size_t nchars, int *error)
 {
@@ -2536,7 +2544,7 @@
 
 
 static
-void my_fill_utf32(CHARSET_INFO *cs,
+void my_fill_utf32(const CHARSET_INFO *cs,
                    char *s, size_t slen, int fill)
 {
   char buf[10];
@@ -2557,7 +2565,7 @@
 
 
 static size_t
-my_lengthsp_utf32(CHARSET_INFO *cs __attribute__((unused)),
+my_lengthsp_utf32(const CHARSET_INFO *cs __attribute__((unused)),
                   const char *ptr, size_t length)
 {
   const char *end= ptr + length;
@@ -2569,7 +2577,7 @@
 
 
 static int
-my_wildcmp_utf32_ci(CHARSET_INFO *cs,
+my_wildcmp_utf32_ci(const CHARSET_INFO *cs,
                     const char *str, const char *str_end,
                     const char *wildstr, const char *wildend,
                     int escape, int w_one, int w_many)
@@ -2581,7 +2589,7 @@
 
 
 static int
-my_wildcmp_utf32_bin(CHARSET_INFO *cs,
+my_wildcmp_utf32_bin(const CHARSET_INFO *cs,
                      const char *str,const char *str_end,
                      const char *wildstr,const char *wildend,
                      int escape, int w_one, int w_many)
@@ -2592,7 +2600,7 @@
 
 
 static int
-my_strnncoll_utf32_bin(CHARSET_INFO *cs, 
+my_strnncoll_utf32_bin(const CHARSET_INFO *cs, 
                        const uchar *s, size_t slen,
                        const uchar *t, size_t tlen,
                        my_bool t_is_prefix)
@@ -2635,7 +2643,7 @@
 
 
 static int
-my_strnncollsp_utf32_bin(CHARSET_INFO *cs __attribute__((unused)), 
+my_strnncollsp_utf32_bin(const CHARSET_INFO *cs __attribute__((unused)), 
                          const uchar *s, size_t slen, 
                          const uchar *t, size_t tlen,
                          my_bool diff_if_only_endspace_difference
@@ -2702,9 +2710,9 @@
 */
 
 my_bool
-my_like_range_utf32(CHARSET_INFO *cs,
+my_like_range_utf32(const CHARSET_INFO *cs,
                     const char *ptr, size_t ptr_length,
-                    pbool escape, pbool w_one, pbool w_many,
+                    char escape, char w_one, char w_many,
                     size_t res_length,
                     char *min_str,char *max_str,
                     size_t *min_length,size_t *max_length)
@@ -2721,26 +2729,26 @@
   {
     my_wc_t wc;
     int res;
-    if ((res= my_utf32_uni(cs, &wc, ptr, end)) < 0)
+    if ((res= my_utf32_uni(cs, &wc, (uchar *) ptr, (uchar *) end)) < 0)
     {
       my_fill_utf32(cs, min_str, min_end - min_str, cs->min_sort_char);
       my_fill_utf32(cs, max_str, min_end - min_str, cs->max_sort_char);
       /* min_length and max_legnth are not important */
-      return TRUE;
+      return 1;
     }
     
     if (wc == (my_wc_t) escape)
     {
       ptr+= 4;                                  /* Skip escape */
-      if ((res= my_utf32_uni(cs, &wc, ptr, end)) < 0)
+      if ((res= my_utf32_uni(cs, &wc, (const uchar *) ptr, (const uchar *) end)) < 0)
       {
         my_fill_utf32(cs, min_str, min_end - min_str, cs->min_sort_char);
         my_fill_utf32(cs, max_str, max_end - min_str, cs->max_sort_char);
         /* min_length and max_length are not important */
-        return TRUE;
+        return 1;
       }
-      if (my_uni_utf32(cs, wc, min_str, min_end) != 4 ||
-          my_uni_utf32(cs, wc, max_str, max_end) != 4)
+      if (my_uni_utf32(cs, wc, (uchar *) min_str, (uchar *) min_end) != 4 ||
+          my_uni_utf32(cs, wc, (uchar *) max_str, (uchar *) max_end) != 4)
         goto pad_set_lengths;
       *min_str++= 4;
       *max_str++= 4;
@@ -2749,8 +2757,8 @@
     
     if (wc == (my_wc_t) w_one)
     {
-      if (my_uni_utf32(cs, cs->min_sort_char, min_str, min_end) != 4 ||
-          my_uni_utf32(cs, cs->max_sort_char, max_str, max_end) != 4)
+      if (my_uni_utf32(cs, cs->min_sort_char, (uchar *) min_str, (uchar *) min_end) != 4 ||
+          my_uni_utf32(cs, cs->max_sort_char, (uchar *) max_str, (uchar *) max_end) != 4)
         goto pad_set_lengths;
       min_str+= 4;
       max_str+= 4;
@@ -2772,8 +2780,8 @@
     }
     
     /* Normal character */
-    if (my_uni_utf32(cs, wc, min_str, min_end) != 4 ||
-        my_uni_utf32(cs, wc, max_str, max_end) != 4)
+    if (my_uni_utf32(cs, wc, (uchar *) min_str, (uchar *) min_end) != 4 ||
+        my_uni_utf32(cs, wc, (uchar *) max_str, (uchar *) max_end) != 4)
       goto pad_set_lengths;
     min_str+= 4;
     max_str+= 4;
@@ -2785,12 +2793,12 @@
 pad_min_max:
   my_fill_utf32(cs, min_str, min_end - min_str, cs->min_sort_char);
   my_fill_utf32(cs, max_str, max_end - max_str, cs->max_sort_char);
-  return FALSE;
+  return 0;
 }
 
 
 static size_t
-my_scan_utf32(CHARSET_INFO *cs,
+my_scan_utf32(const CHARSET_INFO *cs,
               const char *str, const char *end, int sequence_type)
 {
   const char *str0= str;
@@ -2801,7 +2809,7 @@
     for ( ; str < end; )
     {
       my_wc_t wc;
-      int res= my_utf32_uni(cs, &wc, str, end);
+      int res= my_utf32_uni(cs, &wc, (const uchar *) str, (const uchar *) end);
       if (res < 0 || wc != ' ')
         break;
       str+= res;
@@ -3011,7 +3019,7 @@
 };
 
 
-static int my_ucs2_uni(CHARSET_INFO *cs __attribute__((unused)),
+static int my_ucs2_uni(const CHARSET_INFO *cs __attribute__((unused)),
 		       my_wc_t * pwc, const uchar *s, const uchar *e)
 {
   if (s+2 > e) /* Need 2 characters */
@@ -3021,7 +3029,7 @@
   return 2;
 }
 
-static int my_uni_ucs2(CHARSET_INFO *cs __attribute__((unused)) ,
+static int my_uni_ucs2(const CHARSET_INFO *cs __attribute__((unused)) ,
 		       my_wc_t wc, uchar *r, uchar *e)
 {
   if ( r+2 > e ) 
@@ -3033,7 +3041,7 @@
 }
 
 
-static size_t my_caseup_ucs2(CHARSET_INFO *cs, char *src, size_t srclen,
+static size_t my_caseup_ucs2(const CHARSET_INFO *cs, char *src, size_t srclen,
                            char *dst __attribute__((unused)),
                            size_t dstlen __attribute__((unused)))
 {
@@ -3056,7 +3064,7 @@
 }
 
 
-static void my_hash_sort_ucs2(CHARSET_INFO *cs, const uchar *s, size_t slen,
+static void my_hash_sort_ucs2(const CHARSET_INFO *cs, const uchar *s, size_t slen,
 			      ulong *n1, ulong *n2)
 {
   my_wc_t wc;
@@ -3080,7 +3088,7 @@
 }
 
 
-static size_t my_casedn_ucs2(CHARSET_INFO *cs, char *src, size_t srclen,
+static size_t my_casedn_ucs2(const CHARSET_INFO *cs, char *src, size_t srclen,
                            char *dst __attribute__((unused)),
                            size_t dstlen __attribute__((unused)))
 {
@@ -3103,7 +3111,7 @@
 }
 
 
-static int my_strnncoll_ucs2(CHARSET_INFO *cs, 
+static int my_strnncoll_ucs2(const CHARSET_INFO *cs, 
 			     const uchar *s, size_t slen, 
                              const uchar *t, size_t tlen,
                              my_bool t_is_prefix)
@@ -3168,7 +3176,7 @@
     @retval Positive number, if a > b
 */
 
-static int my_strnncollsp_ucs2(CHARSET_INFO *cs __attribute__((unused)),
+static int my_strnncollsp_ucs2(const CHARSET_INFO *cs __attribute__((unused)),
                                const uchar *s, size_t slen,
                                const uchar *t, size_t tlen,
                                my_bool diff_if_only_endspace_difference
@@ -3220,7 +3228,7 @@
 
 
 static size_t
-my_strnxfrm_ucs2(CHARSET_INFO *cs, 
+my_strnxfrm_ucs2(const CHARSET_INFO *cs, 
                  uchar *dst, size_t dstlen, uint nweights,
                  const uchar *src, size_t srclen, uint flags)
 {
@@ -3254,7 +3262,7 @@
 }
 
 
-static uint my_ismbchar_ucs2(CHARSET_INFO *cs __attribute__((unused)),
+static uint my_ismbchar_ucs2(const CHARSET_INFO *cs __attribute__((unused)),
                              const char *b __attribute__((unused)),
                              const char *e __attribute__((unused)))
 {
@@ -3262,7 +3270,7 @@
 }
 
 
-static uint my_mbcharlen_ucs2(CHARSET_INFO *cs  __attribute__((unused)) , 
+static uint my_mbcharlen_ucs2(const CHARSET_INFO *cs  __attribute__((unused)) , 
                               uint c __attribute__((unused)))
 {
   return 2;
@@ -3270,7 +3278,7 @@
 
 
 static
-size_t my_numchars_ucs2(CHARSET_INFO *cs __attribute__((unused)),
+size_t my_numchars_ucs2(const CHARSET_INFO *cs __attribute__((unused)),
                         const char *b, const char *e)
 {
   return (size_t) (e-b)/2;
@@ -3278,7 +3286,7 @@
 
 
 static
-size_t my_charpos_ucs2(CHARSET_INFO *cs __attribute__((unused)),
+size_t my_charpos_ucs2(const CHARSET_INFO *cs __attribute__((unused)),
                        const char *b, const char *e, size_t pos)
 {
   size_t string_length= (size_t) (e - b);
@@ -3287,7 +3295,7 @@
 
 
 static
-size_t my_well_formed_len_ucs2(CHARSET_INFO *cs __attribute__((unused)),
+size_t my_well_formed_len_ucs2(const CHARSET_INFO *cs __attribute__((unused)),
                                const char *b, const char *e,
                                size_t nchars, int *error)
 {
@@ -3300,7 +3308,7 @@
 
 
 static
-int my_wildcmp_ucs2_ci(CHARSET_INFO *cs,
+int my_wildcmp_ucs2_ci(const CHARSET_INFO *cs,
 		    const char *str,const char *str_end,
 		    const char *wildstr,const char *wildend,
 		    int escape, int w_one, int w_many)
@@ -3312,7 +3320,7 @@
 
 
 static
-int my_wildcmp_ucs2_bin(CHARSET_INFO *cs,
+int my_wildcmp_ucs2_bin(const CHARSET_INFO *cs,
 		    const char *str,const char *str_end,
 		    const char *wildstr,const char *wildend,
 		    int escape, int w_one, int w_many)
@@ -3323,7 +3331,7 @@
 
 
 static
-int my_strnncoll_ucs2_bin(CHARSET_INFO *cs, 
+int my_strnncoll_ucs2_bin(const CHARSET_INFO *cs, 
                           const uchar *s, size_t slen,
                           const uchar *t, size_t tlen,
                           my_bool t_is_prefix)
@@ -3354,7 +3362,7 @@
   return (int) (t_is_prefix ? t-te : ((se-s) - (te-t)));
 }
 
-static int my_strnncollsp_ucs2_bin(CHARSET_INFO *cs __attribute__((unused)), 
+static int my_strnncollsp_ucs2_bin(const CHARSET_INFO *cs __attribute__((unused)), 
                                    const uchar *s, size_t slen, 
                                    const uchar *t, size_t tlen,
                                    my_bool diff_if_only_endspace_difference
@@ -3402,7 +3410,7 @@
 
 
 static
-size_t my_strnxfrm_ucs2_bin(CHARSET_INFO *cs,
+size_t my_strnxfrm_ucs2_bin(const CHARSET_INFO *cs,
                             uchar *dst, size_t dstlen, uint nweights,
                             const uchar *src, size_t srclen, uint flags)
 {
@@ -3417,7 +3425,7 @@
 
 
 static
-void my_hash_sort_ucs2_bin(CHARSET_INFO *cs __attribute__((unused)),
+void my_hash_sort_ucs2_bin(const CHARSET_INFO *cs __attribute__((unused)),
 			   const uchar *key, size_t len,ulong *nr1, ulong *nr2)
 {
   const uchar *pos = key;
@@ -3455,9 +3463,9 @@
      @rerval TRUE if LIKE can't be optimized.
 */
 
-my_bool my_like_range_ucs2(CHARSET_INFO *cs,
+my_bool my_like_range_ucs2(const CHARSET_INFO *cs,
 			   const char *ptr, size_t ptr_length,
-			   pbool escape, pbool w_one, pbool w_many,
+			   char escape, char w_one, char w_many,
 			   size_t res_length,
 			   char *min_str,char *max_str,
 			   size_t *min_length,size_t *max_length)
@@ -3504,7 +3512,7 @@
 	*max_str++ = (char) (cs->max_sort_char >> 8);
 	*max_str++ = (char) (cs->max_sort_char & 255);
       } while (min_str + 1 < min_end);
-      return FALSE;
+      return 0;
     }
 
     if (contraction_flags && ptr + 3 < end &&
@@ -3558,7 +3566,7 @@
     *min_str++ = *max_str++ = '\0';
     *min_str++ = *max_str++ = ' ';      /* Because if key compression */
   }
-  return FALSE;
+  return 0;
 }
 
 

=== modified file 'mystrings/ctype-ujis.c'
--- mystrings/ctype-ujis.c	2008-07-30 05:33:20 +0000
+++ mystrings/ctype-ujis.c	2008-07-31 19:53:42 +0000
@@ -183,7 +183,7 @@
 #define isujis_ss3(c) (((c)&0xff) == 0x8f)
 
 
-static uint ismbchar_ujis(CHARSET_INFO *cs __attribute__((unused)),
+static uint ismbchar_ujis(const CHARSET_INFO *cs __attribute__((unused)),
 		  const char* p, const char *e)
 {
   return ((*(uchar*)(p)<0x80)? 0:\
@@ -193,13 +193,13 @@
     0);
 }
 
-static uint mbcharlen_ujis(CHARSET_INFO *cs __attribute__((unused)),uint c)
+static uint mbcharlen_ujis(const CHARSET_INFO *cs __attribute__((unused)),uint c)
 {
   return (isujis(c)? 2: isujis_ss2(c)? 2: isujis_ss3(c)? 3: 1);
 }
 
 
-static uint16 tab_jisx0201_uni[256]={
+static uint16_t tab_jisx0201_uni[256]={
      0,0x0001,0x0002,0x0003,0x0004,0x0005,0x0006,0x0007,
 0x0008,0x0009,0x000A,0x000B,0x000C,0x000D,0x000E,0x000F,
 0x0010,0x0011,0x0012,0x0013,0x0014,0x0015,0x0016,0x0017,
@@ -236,7 +236,7 @@
 
 
 static int 
-my_mb_wc_jisx0201(CHARSET_INFO *cs  __attribute__((unused)),
+my_mb_wc_jisx0201(const CHARSET_INFO *cs  __attribute__((unused)),
 		  my_wc_t *wc,const uchar *s,
 		  const uchar *e __attribute__((unused)))
 {
@@ -246,7 +246,7 @@
 
 
 static int
-my_wc_mb_jisx0201(CHARSET_INFO *cs __attribute__((unused)),
+my_wc_mb_jisx0201(const CHARSET_INFO *cs __attribute__((unused)),
 		  my_wc_t wc, uchar *s, 
 		  uchar *e __attribute__((unused)))
 {
@@ -268,7 +268,7 @@
 
 
 /* page 0 0x2121-0x217E */
-static uint16 tab_jisx0208_uni0[]={
+static uint16_t tab_jisx0208_uni0[]={
 0x3000,0x3001,0x3002,0xFF0C,0xFF0E,0x30FB,0xFF1A,0xFF1B,
 0xFF1F,0xFF01,0x309B,0x309C,0x00B4,0xFF40,0x00A8,0xFF3E,
 0xFFE3,0xFF3F,0x30FD,0x30FE,0x309D,0x309E,0x3003,0x4EDD,
@@ -283,7 +283,7 @@
 0x2606,0x2605,0x25CB,0x25CF,0x25CE,0x25C7};
 
 /* page 1 0x2221-0x227E */
-static uint16 tab_jisx0208_uni1[]={
+static uint16_t tab_jisx0208_uni1[]={
 0x25C6,0x25A1,0x25A0,0x25B3,0x25B2,0x25BD,0x25BC,0x203B,
 0x3012,0x2192,0x2190,0x2191,0x2193,0x3013,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
@@ -298,7 +298,7 @@
 0x00B6,     0,     0,     0,     0,0x25EF};
 
 /* page 2 0x2330-0x237A */
-static uint16 tab_jisx0208_uni2[]={
+static uint16_t tab_jisx0208_uni2[]={
 0xFF10,0xFF11,0xFF12,0xFF13,0xFF14,0xFF15,0xFF16,0xFF17,
 0xFF18,0xFF19,     0,     0,     0,     0,     0,     0,
      0,0xFF21,0xFF22,0xFF23,0xFF24,0xFF25,0xFF26,0xFF27,
@@ -311,7 +311,7 @@
 0xFF58,0xFF59,0xFF5A};
 
 /* page 3 0x2421-0x2473 */
-static uint16 tab_jisx0208_uni3[]={
+static uint16_t tab_jisx0208_uni3[]={
 0x3041,0x3042,0x3043,0x3044,0x3045,0x3046,0x3047,0x3048,
 0x3049,0x304A,0x304B,0x304C,0x304D,0x304E,0x304F,0x3050,
 0x3051,0x3052,0x3053,0x3054,0x3055,0x3056,0x3057,0x3058,
@@ -325,7 +325,7 @@
 0x3091,0x3092,0x3093};
 
 /* page 4 0x2521-0x2576 */
-static uint16 tab_jisx0208_uni4[]={
+static uint16_t tab_jisx0208_uni4[]={
 0x30A1,0x30A2,0x30A3,0x30A4,0x30A5,0x30A6,0x30A7,0x30A8,
 0x30A9,0x30AA,0x30AB,0x30AC,0x30AD,0x30AE,0x30AF,0x30B0,
 0x30B1,0x30B2,0x30B3,0x30B4,0x30B5,0x30B6,0x30B7,0x30B8,
@@ -339,7 +339,7 @@
 0x30F1,0x30F2,0x30F3,0x30F4,0x30F5,0x30F6};
 
 /* page 5 0x2621-0x2658 */
-static uint16 tab_jisx0208_uni5[]={
+static uint16_t tab_jisx0208_uni5[]={
 0x0391,0x0392,0x0393,0x0394,0x0395,0x0396,0x0397,0x0398,
 0x0399,0x039A,0x039B,0x039C,0x039D,0x039E,0x039F,0x03A0,
 0x03A1,0x03A3,0x03A4,0x03A5,0x03A6,0x03A7,0x03A8,0x03A9,
@@ -350,7 +350,7 @@
 };
 
 /* page 6 0x2721-0x2771 */
-static uint16 tab_jisx0208_uni6[]={
+static uint16_t tab_jisx0208_uni6[]={
 0x0410,0x0411,0x0412,0x0413,0x0414,0x0415,0x0401,0x0416,
 0x0417,0x0418,0x0419,0x041A,0x041B,0x041C,0x041D,0x041E,
 0x041F,0x0420,0x0421,0x0422,0x0423,0x0424,0x0425,0x0426,
@@ -364,7 +364,7 @@
 0x044F};
 
 /* page 7 0x2821-0x2840 */
-static uint16 tab_jisx0208_uni7[]={
+static uint16_t tab_jisx0208_uni7[]={
 0x2500,0x2502,0x250C,0x2510,0x2518,0x2514,0x251C,0x252C,
 0x2524,0x2534,0x253C,0x2501,0x2503,0x250F,0x2513,0x251B,
 0x2517,0x2523,0x2533,0x252B,0x253B,0x254B,0x2520,0x252F,
@@ -372,7 +372,7 @@
 };
 
 /* page 8 0x3021-0x307E */
-static uint16 tab_jisx0208_uni8[]={
+static uint16_t tab_jisx0208_uni8[]={
 0x4E9C,0x5516,0x5A03,0x963F,0x54C0,0x611B,0x6328,0x59F6,
 0x9022,0x8475,0x831C,0x7A50,0x60AA,0x63E1,0x6E25,0x65ED,
 0x8466,0x82A6,0x9BF5,0x6893,0x5727,0x65A1,0x6271,0x5B9B,
@@ -387,7 +387,7 @@
 0x59FB,0x5F15,0x98F2,0x6DEB,0x80E4,0x852D};
 
 /* page 9 0x3121-0x317E */
-static uint16 tab_jisx0208_uni9[]={
+static uint16_t tab_jisx0208_uni9[]={
 0x9662,0x9670,0x96A0,0x97FB,0x540B,0x53F3,0x5B87,0x70CF,
 0x7FBD,0x8FC2,0x96E8,0x536F,0x9D5C,0x7ABA,0x4E11,0x7893,
 0x81FC,0x6E26,0x5618,0x5504,0x6B1D,0x851A,0x9C3B,0x59E5,
@@ -402,7 +402,7 @@
 0x7525,0x51F9,0x592E,0x5965,0x5F80,0x5FDC};
 
 /* page 10 0x3221-0x327E */
-static uint16 tab_jisx0208_uni10[]={
+static uint16_t tab_jisx0208_uni10[]={
 0x62BC,0x65FA,0x6A2A,0x6B27,0x6BB4,0x738B,0x7FC1,0x8956,
 0x9D2C,0x9D0E,0x9EC4,0x5CA1,0x6C96,0x837B,0x5104,0x5C4B,
 0x61B6,0x81C6,0x6876,0x7261,0x4E59,0x4FFA,0x5378,0x6069,
@@ -417,7 +417,7 @@
 0x6094,0x6062,0x61D0,0x6212,0x62D0,0x6539};
 
 /* page 11 0x3321-0x337E */
-static uint16 tab_jisx0208_uni11[]={
+static uint16_t tab_jisx0208_uni11[]={
 0x9B41,0x6666,0x68B0,0x6D77,0x7070,0x754C,0x7686,0x7D75,
 0x82A5,0x87F9,0x958B,0x968E,0x8C9D,0x51F1,0x52BE,0x5916,
 0x54B3,0x5BB3,0x5D16,0x6168,0x6982,0x6DAF,0x788D,0x84CB,
@@ -432,7 +432,7 @@
 0x938C,0x565B,0x9D28,0x6822,0x8305,0x8431};
 
 /* page 12 0x3421-0x347E */
-static uint16 tab_jisx0208_uni12[]={
+static uint16_t tab_jisx0208_uni12[]={
 0x7CA5,0x5208,0x82C5,0x74E6,0x4E7E,0x4F83,0x51A0,0x5BD2,
 0x520A,0x52D8,0x52E7,0x5DFB,0x559A,0x582A,0x59E6,0x5B8C,
 0x5B98,0x5BDB,0x5E72,0x5E79,0x60A3,0x611F,0x6163,0x61BE,
@@ -447,7 +447,7 @@
 0x673A,0x65D7,0x65E2,0x671F,0x68CB,0x68C4};
 
 /* page 13 0x3521-0x357E */
-static uint16 tab_jisx0208_uni13[]={
+static uint16_t tab_jisx0208_uni13[]={
 0x6A5F,0x5E30,0x6BC5,0x6C17,0x6C7D,0x757F,0x7948,0x5B63,
 0x7A00,0x7D00,0x5FBD,0x898F,0x8A18,0x8CB4,0x8D77,0x8ECC,
 0x8F1D,0x98E2,0x9A0E,0x9B3C,0x4E80,0x507D,0x5100,0x5993,
@@ -462,7 +462,7 @@
 0x6F01,0x79A6,0x9B5A,0x4EA8,0x4EAB,0x4EAC};
 
 /* page 14 0x3621-0x367E */
-static uint16 tab_jisx0208_uni14[]={
+static uint16_t tab_jisx0208_uni14[]={
 0x4F9B,0x4FA0,0x50D1,0x5147,0x7AF6,0x5171,0x51F6,0x5354,
 0x5321,0x537F,0x53EB,0x55AC,0x5883,0x5CE1,0x5F37,0x5F4A,
 0x602F,0x6050,0x606D,0x631F,0x6559,0x6A4B,0x6CC1,0x72C2,
@@ -477,7 +477,7 @@
 0x9685,0x4E32,0x6ADB,0x91E7,0x5C51,0x5C48};
 
 /* page 15 0x3721-0x377E */
-static uint16 tab_jisx0208_uni15[]={
+static uint16_t tab_jisx0208_uni15[]={
 0x6398,0x7A9F,0x6C93,0x9774,0x8F61,0x7AAA,0x718A,0x9688,
 0x7C82,0x6817,0x7E70,0x6851,0x936C,0x52F2,0x541B,0x85AB,
 0x8A13,0x7FA4,0x8ECD,0x90E1,0x5366,0x8888,0x7941,0x4FC2,
@@ -492,7 +492,7 @@
 0x5ACC,0x5EFA,0x61B2,0x61F8,0x62F3,0x6372};
 
 /* page 16 0x3821-0x387E */
-static uint16 tab_jisx0208_uni16[]={
+static uint16_t tab_jisx0208_uni16[]={
 0x691C,0x6A29,0x727D,0x72AC,0x732E,0x7814,0x786F,0x7D79,
 0x770C,0x80A9,0x898B,0x8B19,0x8CE2,0x8ED2,0x9063,0x9375,
 0x967A,0x9855,0x9A13,0x9E78,0x5143,0x539F,0x53B3,0x5E7B,
@@ -507,7 +507,7 @@
 0x529F,0x52B9,0x52FE,0x539A,0x53E3,0x5411};
 
 /* page 17 0x3921-0x397E */
-static uint16 tab_jisx0208_uni17[]={
+static uint16_t tab_jisx0208_uni17[]={
 0x540E,0x5589,0x5751,0x57A2,0x597D,0x5B54,0x5B5D,0x5B8F,
 0x5DE5,0x5DE7,0x5DF7,0x5E78,0x5E83,0x5E9A,0x5EB7,0x5F18,
 0x6052,0x614C,0x6297,0x62D8,0x63A7,0x653B,0x6602,0x6643,
@@ -522,7 +522,7 @@
 0x7511,0x5FFD,0x60DA,0x9AA8,0x72DB,0x8FBC};
 
 /* page 18 0x3A21-0x3A7E */
-static uint16 tab_jisx0208_uni18[]={
+static uint16_t tab_jisx0208_uni18[]={
 0x6B64,0x9803,0x4ECA,0x56F0,0x5764,0x58BE,0x5A5A,0x6068,
 0x61C7,0x660F,0x6606,0x6839,0x68B1,0x6DF7,0x75D5,0x7D3A,
 0x826E,0x9B42,0x4E9B,0x4F50,0x53C9,0x5506,0x5D6F,0x5DE6,
@@ -537,7 +537,7 @@
 0x685C,0x9BAD,0x7B39,0x5319,0x518A,0x5237};
 
 /* page 19 0x3B21-0x3B7E */
-static uint16 tab_jisx0208_uni19[]={
+static uint16_t tab_jisx0208_uni19[]={
 0x5BDF,0x62F6,0x64AE,0x64E6,0x672D,0x6BBA,0x85A9,0x96D1,
 0x7690,0x9BD6,0x634C,0x9306,0x9BAB,0x76BF,0x6652,0x4E09,
 0x5098,0x53C2,0x5C71,0x60E8,0x6492,0x6563,0x685F,0x71E6,
@@ -552,7 +552,7 @@
 0x5150,0x5B57,0x5BFA,0x6148,0x6301,0x6642};
 
 /* page 20 0x3C21-0x3C7E */
-static uint16 tab_jisx0208_uni20[]={
+static uint16_t tab_jisx0208_uni20[]={
 0x6B21,0x6ECB,0x6CBB,0x723E,0x74BD,0x75D4,0x78C1,0x793A,
 0x800C,0x8033,0x81EA,0x8494,0x8F9E,0x6C50,0x9E7F,0x5F0F,
 0x8B58,0x9D2B,0x7AFA,0x8EF8,0x5B8D,0x96EB,0x4E03,0x53F1,
@@ -567,7 +567,7 @@
 0x6A39,0x7DAC,0x9700,0x56DA,0x53CE,0x5468};
 
 /* page 21 0x3D21-0x3D7E */
-static uint16 tab_jisx0208_uni21[]={
+static uint16_t tab_jisx0208_uni21[]={
 0x5B97,0x5C31,0x5DDE,0x4FEE,0x6101,0x62FE,0x6D32,0x79C0,
 0x79CB,0x7D42,0x7E4D,0x7FD2,0x81ED,0x821F,0x8490,0x8846,
 0x8972,0x8B90,0x8E74,0x8F2F,0x9031,0x914B,0x916C,0x96C6,
@@ -582,7 +582,7 @@
 0x5F90,0x6055,0x92E4,0x9664,0x50B7,0x511F};
 
 /* page 22 0x3E21-0x3E7E */
-static uint16 tab_jisx0208_uni22[]={
+static uint16_t tab_jisx0208_uni22[]={
 0x52DD,0x5320,0x5347,0x53EC,0x54E8,0x5546,0x5531,0x5617,
 0x5968,0x59BE,0x5A3C,0x5BB5,0x5C06,0x5C0F,0x5C11,0x5C1A,
 0x5E84,0x5E8A,0x5EE0,0x5F70,0x627F,0x6284,0x62DB,0x638C,
@@ -597,7 +597,7 @@
 0x8B72,0x91B8,0x9320,0x5631,0x57F4,0x98FE};
 
 /* page 23 0x3F21-0x3F7E */
-static uint16 tab_jisx0208_uni23[]={
+static uint16_t tab_jisx0208_uni23[]={
 0x62ED,0x690D,0x6B96,0x71ED,0x7E54,0x8077,0x8272,0x89E6,
 0x98DF,0x8755,0x8FB1,0x5C3B,0x4F38,0x4FE1,0x4FB5,0x5507,
 0x5A20,0x5BDD,0x5BE9,0x5FC3,0x614E,0x632F,0x65B0,0x664B,
@@ -612,7 +612,7 @@
 0x6749,0x6919,0x83C5,0x9817,0x96C0,0x88FE};
 
 /* page 24 0x4021-0x407E */
-static uint16 tab_jisx0208_uni24[]={
+static uint16_t tab_jisx0208_uni24[]={
 0x6F84,0x647A,0x5BF8,0x4E16,0x702C,0x755D,0x662F,0x51C4,
 0x5236,0x52E2,0x59D3,0x5F81,0x6027,0x6210,0x653F,0x6574,
 0x661F,0x6674,0x68F2,0x6816,0x6B63,0x6E05,0x7272,0x751F,
@@ -627,7 +627,7 @@
 0x714E,0x717D,0x65CB,0x7A7F,0x7BAD,0x7DDA};
 
 /* page 25 0x4121-0x417E */
-static uint16 tab_jisx0208_uni25[]={
+static uint16_t tab_jisx0208_uni25[]={
 0x7E4A,0x7FA8,0x817A,0x821B,0x8239,0x85A6,0x8A6E,0x8CCE,
 0x8DF5,0x9078,0x9077,0x92AD,0x9291,0x9583,0x9BAE,0x524D,
 0x5584,0x6F38,0x7136,0x5168,0x7985,0x7E55,0x81B3,0x7CCE,
@@ -642,7 +642,7 @@
 0x9397,0x971C,0x9A12,0x50CF,0x5897,0x618E};
 
 /* page 26 0x4221-0x427E */
-static uint16 tab_jisx0208_uni26[]={
+static uint16_t tab_jisx0208_uni26[]={
 0x81D3,0x8535,0x8D08,0x9020,0x4FC3,0x5074,0x5247,0x5373,
 0x606F,0x6349,0x675F,0x6E2C,0x8DB3,0x901F,0x4FD7,0x5C5E,
 0x8CCA,0x65CF,0x7D9A,0x5352,0x8896,0x5176,0x63C3,0x5B58,
@@ -657,7 +657,7 @@
 0x6FC1,0x8AFE,0x8338,0x51E7,0x86F8,0x53EA};
 
 /* page 27 0x4321-0x437E */
-static uint16 tab_jisx0208_uni27[]={
+static uint16_t tab_jisx0208_uni27[]={
 0x53E9,0x4F46,0x9054,0x8FB0,0x596A,0x8131,0x5DFD,0x7AEA,
 0x8FBF,0x68DA,0x8C37,0x72F8,0x9C48,0x6A3D,0x8AB0,0x4E39,
 0x5358,0x5606,0x5766,0x62C5,0x63A2,0x65E6,0x6B4E,0x6DE1,
@@ -672,7 +672,7 @@
 0x8CAF,0x4E01,0x5146,0x51CB,0x558B,0x5BF5};
 
 /* page 28 0x4421-0x447E */
-static uint16 tab_jisx0208_uni28[]={
+static uint16_t tab_jisx0208_uni28[]={
 0x5E16,0x5E33,0x5E81,0x5F14,0x5F35,0x5F6B,0x5FB4,0x61F2,
 0x6311,0x66A2,0x671D,0x6F6E,0x7252,0x753A,0x773A,0x8074,
 0x8139,0x8178,0x8776,0x8ABF,0x8ADC,0x8D85,0x8DF3,0x929A,
@@ -687,7 +687,7 @@
 0x7DE0,0x8247,0x8A02,0x8AE6,0x8E44,0x9013};
 
 /* page 29 0x4521-0x457E */
-static uint16 tab_jisx0208_uni29[]={
+static uint16_t tab_jisx0208_uni29[]={
 0x90B8,0x912D,0x91D8,0x9F0E,0x6CE5,0x6458,0x64E2,0x6575,
 0x6EF4,0x7684,0x7B1B,0x9069,0x93D1,0x6EBA,0x54F2,0x5FB9,
 0x64A4,0x8F4D,0x8FED,0x9244,0x5178,0x586B,0x5929,0x5C55,
@@ -702,7 +702,7 @@
 0x7B49,0x7B54,0x7B52,0x7CD6,0x7D71,0x5230};
 
 /* page 30 0x4621-0x467E */
-static uint16 tab_jisx0208_uni30[]={
+static uint16_t tab_jisx0208_uni30[]={
 0x8463,0x8569,0x85E4,0x8A0E,0x8B04,0x8C46,0x8E0F,0x9003,
 0x900F,0x9419,0x9676,0x982D,0x9A30,0x95D8,0x50CD,0x52D5,
 0x540C,0x5802,0x5C0E,0x61A7,0x649E,0x6D1E,0x77B3,0x7AE5,
@@ -717,7 +717,7 @@
 0x8089,0x8679,0x5EFF,0x65E5,0x4E73,0x5165};
 
 /* page 31 0x4721-0x477E */
-static uint16 tab_jisx0208_uni31[]={
+static uint16_t tab_jisx0208_uni31[]={
 0x5982,0x5C3F,0x97EE,0x4EFB,0x598A,0x5FCD,0x8A8D,0x6FE1,
 0x79B0,0x7962,0x5BE7,0x8471,0x732B,0x71B1,0x5E74,0x5FF5,
 0x637B,0x649A,0x71C3,0x7C98,0x4E43,0x5EFC,0x4E4B,0x57DC,
@@ -732,7 +732,7 @@
 0x6F20,0x7206,0x7E1B,0x83AB,0x99C1,0x9EA6};
 
 /* page 32 0x4821-0x487E */
-static uint16 tab_jisx0208_uni32[]={
+static uint16_t tab_jisx0208_uni32[]={
 0x51FD,0x7BB1,0x7872,0x7BB8,0x8087,0x7B48,0x6AE8,0x5E61,
 0x808C,0x7551,0x7560,0x516B,0x9262,0x6E8C,0x767A,0x9197,
 0x9AEA,0x4F10,0x7F70,0x629C,0x7B4F,0x95A5,0x9CE9,0x567A,
@@ -747,7 +747,7 @@
 0x5FAE,0x6787,0x6BD8,0x7435,0x7709,0x7F8E};
 
 /* page 33 0x4921-0x497E */
-static uint16 tab_jisx0208_uni33[]={
+static uint16_t tab_jisx0208_uni33[]={
 0x9F3B,0x67CA,0x7A17,0x5339,0x758B,0x9AED,0x5F66,0x819D,
 0x83F1,0x8098,0x5F3C,0x5FC5,0x7562,0x7B46,0x903C,0x6867,
 0x59EB,0x5A9B,0x7D10,0x767E,0x8B2C,0x4FF5,0x5F6A,0x6A19,
@@ -762,7 +762,7 @@
 0x8557,0x4F0F,0x526F,0x5FA9,0x5E45,0x670D};
 
 /* page 34 0x4A21-0x4A7E */
-static uint16 tab_jisx0208_uni34[]={
+static uint16_t tab_jisx0208_uni34[]={
 0x798F,0x8179,0x8907,0x8986,0x6DF5,0x5F17,0x6255,0x6CB8,
 0x4ECF,0x7269,0x9B92,0x5206,0x543B,0x5674,0x58B3,0x61A4,
 0x626E,0x711A,0x596E,0x7C89,0x7CDE,0x7D1B,0x96F0,0x6587,
@@ -777,7 +777,7 @@
 0x5E96,0x62B1,0x6367,0x653E,0x65B9,0x670B};
 
 /* page 35 0x4B21-0x4B7E */
-static uint16 tab_jisx0208_uni35[]={
+static uint16_t tab_jisx0208_uni35[]={
 0x6CD5,0x6CE1,0x70F9,0x7832,0x7E2B,0x80DE,0x82B3,0x840C,
 0x84EC,0x8702,0x8912,0x8A2A,0x8C4A,0x90A6,0x92D2,0x98FD,
 0x9CF3,0x9D6C,0x4E4F,0x4EA1,0x508D,0x5256,0x574A,0x59A8,
@@ -792,7 +792,7 @@
 0x4FAD,0x7E6D,0x9EBF,0x4E07,0x6162,0x6E80};
 
 /* page 36 0x4C21-0x4C7E */
-static uint16 tab_jisx0208_uni36[]={
+static uint16_t tab_jisx0208_uni36[]={
 0x6F2B,0x8513,0x5473,0x672A,0x9B45,0x5DF3,0x7B95,0x5CAC,
 0x5BC6,0x871C,0x6E4A,0x84D1,0x7A14,0x8108,0x5999,0x7C8D,
 0x6C11,0x7720,0x52D9,0x5922,0x7121,0x725F,0x77DB,0x9727,
@@ -807,7 +807,7 @@
 0x85AE,0x9453,0x6109,0x6108,0x6CB9,0x7652};
 
 /* page 37 0x4D21-0x4D7E */
-static uint16 tab_jisx0208_uni37[]={
+static uint16_t tab_jisx0208_uni37[]={
 0x8AED,0x8F38,0x552F,0x4F51,0x512A,0x52C7,0x53CB,0x5BA5,
 0x5E7D,0x60A0,0x6182,0x63D6,0x6709,0x67DA,0x6E67,0x6D8C,
 0x7336,0x7337,0x7531,0x7950,0x88D5,0x8A98,0x904A,0x9091,
@@ -822,7 +822,7 @@
 0x540F,0x5C65,0x674E,0x68A8,0x7406,0x7483};
 
 /* page 38 0x4E21-0x4E7E */
-static uint16 tab_jisx0208_uni38[]={
+static uint16_t tab_jisx0208_uni38[]={
 0x75E2,0x88CF,0x88E1,0x91CC,0x96E2,0x9678,0x5F8B,0x7387,
 0x7ACB,0x844E,0x63A0,0x7565,0x5289,0x6D41,0x6E9C,0x7409,
 0x7559,0x786B,0x7C92,0x9686,0x7ADC,0x9F8D,0x4FB6,0x616E,
@@ -837,7 +837,7 @@
 0x6190,0x6F23,0x7149,0x7C3E,0x7DF4,0x806F};
 
 /* page 39 0x4F21-0x4F53 */
-static uint16 tab_jisx0208_uni39[]={
+static uint16_t tab_jisx0208_uni39[]={
 0x84EE,0x9023,0x932C,0x5442,0x9B6F,0x6AD3,0x7089,0x8CC2,
 0x8DEF,0x9732,0x52B4,0x5A41,0x5ECA,0x5F04,0x6717,0x697C,
 0x6994,0x6D6A,0x6F0F,0x7262,0x72FC,0x7BED,0x8001,0x807E,
@@ -847,7 +847,7 @@
 0x6E7E,0x7897,0x8155};
 
 /* page 40 0x5021-0x507E */
-static uint16 tab_jisx0208_uni40[]={
+static uint16_t tab_jisx0208_uni40[]={
 0x5F0C,0x4E10,0x4E15,0x4E2A,0x4E31,0x4E36,0x4E3C,0x4E3F,
 0x4E42,0x4E56,0x4E58,0x4E82,0x4E85,0x8C6B,0x4E8A,0x8212,
 0x5F0D,0x4E8E,0x4E9E,0x4E9F,0x4EA0,0x4EA2,0x4EB0,0x4EB3,
@@ -862,7 +862,7 @@
 0x5078,0x5080,0x509A,0x5085,0x50B4,0x50B2};
 
 /* page 41 0x5121-0x517E */
-static uint16 tab_jisx0208_uni41[]={
+static uint16_t tab_jisx0208_uni41[]={
 0x50C9,0x50CA,0x50B3,0x50C2,0x50D6,0x50DE,0x50E5,0x50ED,
 0x50E3,0x50EE,0x50F9,0x50F5,0x5109,0x5101,0x5102,0x5116,
 0x5115,0x5114,0x511A,0x5121,0x513A,0x5137,0x513C,0x513B,
@@ -877,7 +877,7 @@
 0x5294,0x5292,0x5271,0x5288,0x5291,0x8FA8};
 
 /* page 42 0x5221-0x527E */
-static uint16 tab_jisx0208_uni42[]={
+static uint16_t tab_jisx0208_uni42[]={
 0x8FA7,0x52AC,0x52AD,0x52BC,0x52B5,0x52C1,0x52CD,0x52D7,
 0x52DE,0x52E3,0x52E6,0x98ED,0x52E0,0x52F3,0x52F5,0x52F8,
 0x52F9,0x5306,0x5308,0x7538,0x530D,0x5310,0x530F,0x5315,
@@ -892,7 +892,7 @@
 0x54B8,0x54A5,0x54AC,0x54C4,0x54C8,0x54A8};
 
 /* page 43 0x5321-0x537E */
-static uint16 tab_jisx0208_uni43[]={
+static uint16_t tab_jisx0208_uni43[]={
 0x54AB,0x54C2,0x54A4,0x54BE,0x54BC,0x54D8,0x54E5,0x54E6,
 0x550F,0x5514,0x54FD,0x54EE,0x54ED,0x54FA,0x54E2,0x5539,
 0x5540,0x5563,0x554C,0x552E,0x555C,0x5545,0x5556,0x5557,
@@ -907,7 +907,7 @@
 0x56EE,0x56F9,0x5700,0x56FF,0x5704,0x5709};
 
 /* page 44 0x5421-0x547E */
-static uint16 tab_jisx0208_uni44[]={
+static uint16_t tab_jisx0208_uni44[]={
 0x5708,0x570B,0x570D,0x5713,0x5718,0x5716,0x55C7,0x571C,
 0x5726,0x5737,0x5738,0x574E,0x573B,0x5740,0x574F,0x5769,
 0x57C0,0x5788,0x5761,0x577F,0x5789,0x5793,0x57A0,0x57B3,
@@ -922,7 +922,7 @@
 0x5958,0x5962,0x5960,0x5967,0x596C,0x5969};
 
 /* page 45 0x5521-0x557E */
-static uint16 tab_jisx0208_uni45[]={
+static uint16_t tab_jisx0208_uni45[]={
 0x5978,0x5981,0x599D,0x4F5E,0x4FAB,0x59A3,0x59B2,0x59C6,
 0x59E8,0x59DC,0x598D,0x59D9,0x59DA,0x5A25,0x5A1F,0x5A11,
 0x5A1C,0x5A09,0x5A1A,0x5A40,0x5A6C,0x5A49,0x5A35,0x5A36,
@@ -937,7 +937,7 @@
 0x5C38,0x5C39,0x5C41,0x5C46,0x5C4E,0x5C53};
 
 /* page 46 0x5621-0x567E */
-static uint16 tab_jisx0208_uni46[]={
+static uint16_t tab_jisx0208_uni46[]={
 0x5C50,0x5C4F,0x5B71,0x5C6C,0x5C6E,0x4E62,0x5C76,0x5C79,
 0x5C8C,0x5C91,0x5C94,0x599B,0x5CAB,0x5CBB,0x5CB6,0x5CBC,
 0x5CB7,0x5CC5,0x5CBE,0x5CC7,0x5CD9,0x5CE9,0x5CFD,0x5CFA,
@@ -952,7 +952,7 @@
 0x5EA0,0x5EC1,0x5EC2,0x5EC8,0x5ED0,0x5ECF};
 
 /* page 47 0x5721-0x577E */
-static uint16 tab_jisx0208_uni47[]={
+static uint16_t tab_jisx0208_uni47[]={
 0x5ED6,0x5EE3,0x5EDD,0x5EDA,0x5EDB,0x5EE2,0x5EE1,0x5EE8,
 0x5EE9,0x5EEC,0x5EF1,0x5EF3,0x5EF0,0x5EF4,0x5EF8,0x5EFE,
 0x5F03,0x5F09,0x5F5D,0x5F5C,0x5F0B,0x5F11,0x5F16,0x5F29,
@@ -967,7 +967,7 @@
 0x6059,0x6081,0x608D,0x60E7,0x6083,0x609A};
 
 /* page 48 0x5821-0x587E */
-static uint16 tab_jisx0208_uni48[]={
+static uint16_t tab_jisx0208_uni48[]={
 0x6084,0x609B,0x6096,0x6097,0x6092,0x60A7,0x608B,0x60E1,
 0x60B8,0x60E0,0x60D3,0x60B4,0x5FF0,0x60BD,0x60C6,0x60B5,
 0x60D8,0x614D,0x6115,0x6106,0x60F6,0x60F7,0x6100,0x60F4,
@@ -982,7 +982,7 @@
 0x6208,0x6209,0x620D,0x620C,0x6214,0x621B};
 
 /* page 49 0x5921-0x597E */
-static uint16 tab_jisx0208_uni49[]={
+static uint16_t tab_jisx0208_uni49[]={
 0x621E,0x6221,0x622A,0x622E,0x6230,0x6232,0x6233,0x6241,
 0x624E,0x625E,0x6263,0x625B,0x6260,0x6268,0x627C,0x6282,
 0x6289,0x627E,0x6292,0x6293,0x6296,0x62D4,0x6283,0x6294,
@@ -997,7 +997,7 @@
 0x6495,0x6493,0x64A5,0x64A9,0x6488,0x64BC};
 
 /* page 50 0x5A21-0x5A7E */
-static uint16 tab_jisx0208_uni50[]={
+static uint16_t tab_jisx0208_uni50[]={
 0x64DA,0x64D2,0x64C5,0x64C7,0x64BB,0x64D8,0x64C2,0x64F1,
 0x64E7,0x8209,0x64E0,0x64E1,0x62AC,0x64E3,0x64EF,0x652C,
 0x64F6,0x64F4,0x64F2,0x64FA,0x6500,0x64FD,0x6518,0x651C,
@@ -1012,7 +1012,7 @@
 0x669D,0x66C1,0x66B9,0x66C9,0x66BE,0x66BC};
 
 /* page 51 0x5B21-0x5B7E */
-static uint16 tab_jisx0208_uni51[]={
+static uint16_t tab_jisx0208_uni51[]={
 0x66C4,0x66B8,0x66D6,0x66DA,0x66E0,0x663F,0x66E6,0x66E9,
 0x66F0,0x66F5,0x66F7,0x670F,0x6716,0x671E,0x6726,0x6727,
 0x9738,0x672E,0x673F,0x6736,0x6741,0x6738,0x6737,0x6746,
@@ -1027,7 +1027,7 @@
 0x68D8,0x6922,0x6926,0x68E1,0x690C,0x68CD};
 
 /* page 52 0x5C21-0x5C7E */
-static uint16 tab_jisx0208_uni52[]={
+static uint16_t tab_jisx0208_uni52[]={
 0x68D4,0x68E7,0x68D5,0x6936,0x6912,0x6904,0x68D7,0x68E3,
 0x6925,0x68F9,0x68E0,0x68EF,0x6928,0x692A,0x691A,0x6923,
 0x6921,0x68C6,0x6979,0x6977,0x695C,0x6978,0x696B,0x6954,
@@ -1042,7 +1042,7 @@
 0x6A90,0x6A8D,0x6AA0,0x6A84,0x6AA2,0x6AA3};
 
 /* page 53 0x5D21-0x5D7E */
-static uint16 tab_jisx0208_uni53[]={
+static uint16_t tab_jisx0208_uni53[]={
 0x6A97,0x8617,0x6ABB,0x6AC3,0x6AC2,0x6AB8,0x6AB3,0x6AAC,
 0x6ADE,0x6AD1,0x6ADF,0x6AAA,0x6ADA,0x6AEA,0x6AFB,0x6B05,
 0x8616,0x6AFA,0x6B12,0x6B16,0x9B31,0x6B1F,0x6B38,0x6B37,
@@ -1057,7 +1057,7 @@
 0x6CD7,0x6CC5,0x6CDD,0x6CAE,0x6CB1,0x6CBE};
 
 /* page 54 0x5E21-0x5E7E */
-static uint16 tab_jisx0208_uni54[]={
+static uint16_t tab_jisx0208_uni54[]={
 0x6CBA,0x6CDB,0x6CEF,0x6CD9,0x6CEA,0x6D1F,0x884D,0x6D36,
 0x6D2B,0x6D3D,0x6D38,0x6D19,0x6D35,0x6D33,0x6D12,0x6D0C,
 0x6D63,0x6D93,0x6D64,0x6D5A,0x6D79,0x6D59,0x6D8E,0x6D95,
@@ -1072,7 +1072,7 @@
 0x6F3F,0x6EF2,0x6F31,0x6EEF,0x6F32,0x6ECC};
 
 /* page 55 0x5F21-0x5F7E */
-static uint16 tab_jisx0208_uni55[]={
+static uint16_t tab_jisx0208_uni55[]={
 0x6F3E,0x6F13,0x6EF7,0x6F86,0x6F7A,0x6F78,0x6F81,0x6F80,
 0x6F6F,0x6F5B,0x6FF3,0x6F6D,0x6F82,0x6F7C,0x6F58,0x6F8E,
 0x6F91,0x6FC2,0x6F66,0x6FB3,0x6FA3,0x6FA1,0x6FA4,0x6FB9,
@@ -1087,7 +1087,7 @@
 0x71CE,0x71E0,0x71EC,0x71E7,0x71F5,0x71FC};
 
 /* page 56 0x6021-0x607E */
-static uint16 tab_jisx0208_uni56[]={
+static uint16_t tab_jisx0208_uni56[]={
 0x71F9,0x71FF,0x720D,0x7210,0x721B,0x7228,0x722D,0x722C,
 0x7230,0x7232,0x723B,0x723C,0x723F,0x7240,0x7246,0x724B,
 0x7258,0x7274,0x727E,0x7282,0x7281,0x7287,0x7292,0x7296,
@@ -1102,7 +1102,7 @@
 0x749E,0x74A7,0x74CA,0x74CF,0x74D4,0x73F1};
 
 /* page 57 0x6121-0x617E */
-static uint16 tab_jisx0208_uni57[]={
+static uint16_t tab_jisx0208_uni57[]={
 0x74E0,0x74E3,0x74E7,0x74E9,0x74EE,0x74F2,0x74F0,0x74F1,
 0x74F8,0x74F7,0x7504,0x7503,0x7505,0x750C,0x750E,0x750D,
 0x7515,0x7513,0x751E,0x7526,0x752C,0x753C,0x7544,0x754D,
@@ -1117,7 +1117,7 @@
 0x7668,0x7669,0x766A,0x7667,0x766C,0x7670};
 
 /* page 58 0x6221-0x627E */
-static uint16 tab_jisx0208_uni58[]={
+static uint16_t tab_jisx0208_uni58[]={
 0x7672,0x7676,0x7678,0x767C,0x7680,0x7683,0x7688,0x768B,
 0x768E,0x7696,0x7693,0x7699,0x769A,0x76B0,0x76B4,0x76B8,
 0x76B9,0x76BA,0x76C2,0x76CD,0x76D6,0x76D2,0x76DE,0x76E1,
@@ -1132,7 +1132,7 @@
 0x78D4,0x78BE,0x78BC,0x78C5,0x78CA,0x78EC};
 
 /* page 59 0x6321-0x637E */
-static uint16 tab_jisx0208_uni59[]={
+static uint16_t tab_jisx0208_uni59[]={
 0x78E7,0x78DA,0x78FD,0x78F4,0x7907,0x7912,0x7911,0x7919,
 0x792C,0x792B,0x7940,0x7960,0x7957,0x795F,0x795A,0x7955,
 0x7953,0x797A,0x797F,0x798A,0x799D,0x79A7,0x9F4B,0x79AA,
@@ -1147,7 +1147,7 @@
 0x7B19,0x7B1E,0x7B35,0x7B28,0x7B36,0x7B50};
 
 /* page 60 0x6421-0x647E */
-static uint16 tab_jisx0208_uni60[]={
+static uint16_t tab_jisx0208_uni60[]={
 0x7B7A,0x7B04,0x7B4D,0x7B0B,0x7B4C,0x7B45,0x7B75,0x7B65,
 0x7B74,0x7B67,0x7B70,0x7B71,0x7B6C,0x7B6E,0x7B9D,0x7B98,
 0x7B9F,0x7B8D,0x7B9C,0x7B9A,0x7B8B,0x7B92,0x7B8F,0x7B5D,
@@ -1162,7 +1162,7 @@
 0x7CEF,0x7CF2,0x7CF4,0x7CF6,0x7CFA,0x7D06};
 
 /* page 61 0x6521-0x657E */
-static uint16 tab_jisx0208_uni61[]={
+static uint16_t tab_jisx0208_uni61[]={
 0x7D02,0x7D1C,0x7D15,0x7D0A,0x7D45,0x7D4B,0x7D2E,0x7D32,
 0x7D3F,0x7D35,0x7D46,0x7D73,0x7D56,0x7D4E,0x7D72,0x7D68,
 0x7D6E,0x7D4F,0x7D63,0x7D93,0x7D89,0x7D5B,0x7D8F,0x7D7D,
@@ -1177,7 +1177,7 @@
 0x7E96,0x7E8E,0x7E9B,0x7E9C,0x7F38,0x7F3A};
 
 /* page 62 0x6621-0x667E */
-static uint16 tab_jisx0208_uni62[]={
+static uint16_t tab_jisx0208_uni62[]={
 0x7F45,0x7F4C,0x7F4D,0x7F4E,0x7F50,0x7F51,0x7F55,0x7F54,
 0x7F58,0x7F5F,0x7F60,0x7F68,0x7F69,0x7F67,0x7F78,0x7F82,
 0x7F86,0x7F83,0x7F88,0x7F87,0x7F8C,0x7F94,0x7F9E,0x7F9D,
@@ -1192,7 +1192,7 @@
 0x80F1,0x811B,0x8129,0x8123,0x812F,0x814B};
 
 /* page 63 0x6721-0x677E */
-static uint16 tab_jisx0208_uni63[]={
+static uint16_t tab_jisx0208_uni63[]={
 0x968B,0x8146,0x813E,0x8153,0x8151,0x80FC,0x8171,0x816E,
 0x8165,0x8166,0x8174,0x8183,0x8188,0x818A,0x8180,0x8182,
 0x81A0,0x8195,0x81A4,0x81A3,0x815F,0x8193,0x81A9,0x81B0,
@@ -1207,7 +1207,7 @@
 0x82F9,0x82DE,0x8306,0x82DC,0x8309,0x82D9};
 
 /* page 64 0x6821-0x687E */
-static uint16 tab_jisx0208_uni64[]={
+static uint16_t tab_jisx0208_uni64[]={
 0x8335,0x8334,0x8316,0x8332,0x8331,0x8340,0x8339,0x8350,
 0x8345,0x832F,0x832B,0x8317,0x8318,0x8385,0x839A,0x83AA,
 0x839F,0x83A2,0x8396,0x8323,0x838E,0x8387,0x838A,0x837C,
@@ -1222,7 +1222,7 @@
 0x8514,0x84FC,0x8540,0x8563,0x8558,0x8548};
 
 /* page 65 0x6921-0x697E */
-static uint16 tab_jisx0208_uni65[]={
+static uint16_t tab_jisx0208_uni65[]={
 0x8541,0x8602,0x854B,0x8555,0x8580,0x85A4,0x8588,0x8591,
 0x858A,0x85A8,0x856D,0x8594,0x859B,0x85EA,0x8587,0x859C,
 0x8577,0x857E,0x8590,0x85C9,0x85BA,0x85CF,0x85B9,0x85D0,
@@ -1237,7 +1237,7 @@
 0x874E,0x8774,0x8757,0x8768,0x876E,0x8759};
 
 /* page 66 0x6A21-0x6A7E */
-static uint16 tab_jisx0208_uni66[]={
+static uint16_t tab_jisx0208_uni66[]={
 0x8753,0x8763,0x876A,0x8805,0x87A2,0x879F,0x8782,0x87AF,
 0x87CB,0x87BD,0x87C0,0x87D0,0x96D6,0x87AB,0x87C4,0x87B3,
 0x87C7,0x87C6,0x87BB,0x87EF,0x87F2,0x87E0,0x880F,0x880D,
@@ -1252,7 +1252,7 @@
 0x8936,0x8938,0x894C,0x891D,0x8960,0x895E};
 
 /* page 67 0x6B21-0x6B7E */
-static uint16 tab_jisx0208_uni67[]={
+static uint16_t tab_jisx0208_uni67[]={
 0x8966,0x8964,0x896D,0x896A,0x896F,0x8974,0x8977,0x897E,
 0x8983,0x8988,0x898A,0x8993,0x8998,0x89A1,0x89A9,0x89A6,
 0x89AC,0x89AF,0x89B2,0x89BA,0x89BD,0x89BF,0x89C0,0x89DA,
@@ -1267,7 +1267,7 @@
 0x8B4E,0x8B49,0x8B56,0x8B5B,0x8B5A,0x8B6B};
 
 /* page 68 0x6C21-0x6C7E */
-static uint16 tab_jisx0208_uni68[]={
+static uint16_t tab_jisx0208_uni68[]={
 0x8B5F,0x8B6C,0x8B6F,0x8B74,0x8B7D,0x8B80,0x8B8C,0x8B8E,
 0x8B92,0x8B93,0x8B96,0x8B99,0x8B9A,0x8C3A,0x8C41,0x8C3F,
 0x8C48,0x8C4C,0x8C4E,0x8C50,0x8C55,0x8C62,0x8C6C,0x8C78,
@@ -1282,7 +1282,7 @@
 0x8E1F,0x8E42,0x8E35,0x8E30,0x8E34,0x8E4A};
 
 /* page 69 0x6D21-0x6D7E */
-static uint16 tab_jisx0208_uni69[]={
+static uint16_t tab_jisx0208_uni69[]={
 0x8E47,0x8E49,0x8E4C,0x8E50,0x8E48,0x8E59,0x8E64,0x8E60,
 0x8E2A,0x8E63,0x8E55,0x8E76,0x8E72,0x8E7C,0x8E81,0x8E87,
 0x8E85,0x8E84,0x8E8B,0x8E8A,0x8E93,0x8E91,0x8E94,0x8E99,
@@ -1297,7 +1297,7 @@
 0x900B,0x9027,0x9036,0x9035,0x9039,0x8FF8};
 
 /* page 70 0x6E21-0x6E7E */
-static uint16 tab_jisx0208_uni70[]={
+static uint16_t tab_jisx0208_uni70[]={
 0x904F,0x9050,0x9051,0x9052,0x900E,0x9049,0x903E,0x9056,
 0x9058,0x905E,0x9068,0x906F,0x9076,0x96A8,0x9072,0x9082,
 0x907D,0x9081,0x9080,0x908A,0x9089,0x908F,0x90A8,0x90AF,
@@ -1312,7 +1312,7 @@
 0x92B7,0x92E9,0x930F,0x92FA,0x9344,0x932E};
 
 /* page 71 0x6F21-0x6F7E */
-static uint16 tab_jisx0208_uni71[]={
+static uint16_t tab_jisx0208_uni71[]={
 0x9319,0x9322,0x931A,0x9323,0x933A,0x9335,0x933B,0x935C,
 0x9360,0x937C,0x936E,0x9356,0x93B0,0x93AC,0x93AD,0x9394,
 0x93B9,0x93D6,0x93D7,0x93E8,0x93E5,0x93D8,0x93C3,0x93DD,
@@ -1327,7 +1327,7 @@
 0x964C,0x964F,0x964B,0x9677,0x965C,0x965E};
 
 /* page 72 0x7021-0x707E */
-static uint16 tab_jisx0208_uni72[]={
+static uint16_t tab_jisx0208_uni72[]={
 0x965D,0x965F,0x9666,0x9672,0x966C,0x968D,0x9698,0x9695,
 0x9697,0x96AA,0x96A7,0x96B1,0x96B2,0x96B0,0x96B4,0x96B6,
 0x96B8,0x96B9,0x96CE,0x96CB,0x96C9,0x96CD,0x894D,0x96DC,
@@ -1342,7 +1342,7 @@
 0x9846,0x984F,0x984B,0x986B,0x986F,0x9870};
 
 /* page 73 0x7121-0x717E */
-static uint16 tab_jisx0208_uni73[]={
+static uint16_t tab_jisx0208_uni73[]={
 0x9871,0x9874,0x9873,0x98AA,0x98AF,0x98B1,0x98B6,0x98C4,
 0x98C3,0x98C6,0x98E9,0x98EB,0x9903,0x9909,0x9912,0x9914,
 0x9918,0x9921,0x991D,0x991E,0x9924,0x9920,0x992C,0x992E,
@@ -1357,7 +1357,7 @@
 0x9AEF,0x9AEB,0x9AEE,0x9AF4,0x9AF1,0x9AF7};
 
 /* page 74 0x7221-0x727E */
-static uint16 tab_jisx0208_uni74[]={
+static uint16_t tab_jisx0208_uni74[]={
 0x9AFB,0x9B06,0x9B18,0x9B1A,0x9B1F,0x9B22,0x9B23,0x9B25,
 0x9B27,0x9B28,0x9B29,0x9B2A,0x9B2E,0x9B2F,0x9B32,0x9B44,
 0x9B43,0x9B4F,0x9B4D,0x9B4E,0x9B51,0x9B58,0x9B74,0x9B93,
@@ -1372,7 +1372,7 @@
 0x9D12,0x9D41,0x9D3F,0x9D3E,0x9D46,0x9D48};
 
 /* page 75 0x7321-0x737E */
-static uint16 tab_jisx0208_uni75[]={
+static uint16_t tab_jisx0208_uni75[]={
 0x9D5D,0x9D5E,0x9D64,0x9D51,0x9D50,0x9D59,0x9D72,0x9D89,
 0x9D87,0x9DAB,0x9D6F,0x9D7A,0x9D9A,0x9DA4,0x9DA9,0x9DB2,
 0x9DC4,0x9DC1,0x9DBB,0x9DB8,0x9DBA,0x9DC6,0x9DCF,0x9DC2,
@@ -1387,7 +1387,7 @@
 0x9F77,0x9F72,0x9F76,0x9F95,0x9F9C,0x9FA0};
 
 /* page 76 0x7421-0x7426 */
-static uint16 tab_jisx0208_uni76[]={
+static uint16_t tab_jisx0208_uni76[]={
 0x582F,0x69C7,0x9059,0x7464,0x51DC,0x7199};
 
 static int
@@ -1551,25 +1551,25 @@
 
 
 /* page 0 0x005C-0x005C */
-static uint16 tab_uni_jisx02080[]={
+static uint16_t tab_uni_jisx02080[]={
 0x2140};
 
 /* page 1 0x00A2-0x00B6 */
-static uint16 tab_uni_jisx02081[]={
+static uint16_t tab_uni_jisx02081[]={
 0x2171,0x2172,     0,     0,     0,0x2178,0x212F,     0,
      0,     0,0x224C,     0,     0,     0,0x216B,0x215E,
      0,     0,0x212D,     0,0x2279};
 
 /* page 2 0x00D7-0x00D7 */
-static uint16 tab_uni_jisx02082[]={
+static uint16_t tab_uni_jisx02082[]={
 0x215F};
 
 /* page 3 0x00F7-0x00F7 */
-static uint16 tab_uni_jisx02083[]={
+static uint16_t tab_uni_jisx02083[]={
 0x2160};
 
 /* page 4 0x0391-0x03C9 */
-static uint16 tab_uni_jisx02084[]={
+static uint16_t tab_uni_jisx02084[]={
 0x2621,0x2622,0x2623,0x2624,0x2625,0x2626,0x2627,0x2628,
 0x2629,0x262A,0x262B,0x262C,0x262D,0x262E,0x262F,0x2630,
 0x2631,     0,0x2632,0x2633,0x2634,0x2635,0x2636,0x2637,
@@ -1580,7 +1580,7 @@
 0x2658};
 
 /* page 5 0x0401-0x0451 */
-static uint16 tab_uni_jisx02085[]={
+static uint16_t tab_uni_jisx02085[]={
 0x2727,     0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,0x2721,
 0x2722,0x2723,0x2724,0x2725,0x2726,0x2728,0x2729,0x272A,
@@ -1594,7 +1594,7 @@
 0x2757};
 
 /* page 6 0x2010-0x203B */
-static uint16 tab_uni_jisx02086[]={
+static uint16_t tab_uni_jisx02086[]={
 0x213E,     0,     0,     0,     0,0x213D,0x2142,     0,
 0x2146,0x2147,     0,     0,0x2148,0x2149,     0,     0,
 0x2277,0x2278,     0,     0,     0,0x2145,0x2144,     0,
@@ -1603,23 +1603,23 @@
      0,     0,     0,0x2228};
 
 /* page 7 0x2103-0x2103 */
-static uint16 tab_uni_jisx02087[]={
+static uint16_t tab_uni_jisx02087[]={
 0x216E};
 
 /* page 8 0x212B-0x212B */
-static uint16 tab_uni_jisx02088[]={
+static uint16_t tab_uni_jisx02088[]={
 0x2272};
 
 /* page 9 0x2190-0x2193 */
-static uint16 tab_uni_jisx02089[]={
+static uint16_t tab_uni_jisx02089[]={
 0x222B,0x222C,0x222A,0x222D};
 
 /* page 10 0x21D2-0x21D4 */
-static uint16 tab_uni_jisx020810[]={
+static uint16_t tab_uni_jisx020810[]={
 0x224D,     0,0x224E};
 
 /* page 11 0x2200-0x223D */
-static uint16 tab_uni_jisx020811[]={
+static uint16_t tab_uni_jisx020811[]={
 0x224F,     0,0x225F,0x2250,     0,     0,     0,0x2260,
 0x223A,     0,     0,0x223B,     0,     0,     0,     0,
      0,     0,0x215D,     0,     0,     0,     0,     0,
@@ -1630,26 +1630,26 @@
      0,     0,     0,     0,     0,0x2266};
 
 /* page 12 0x2252-0x226B */
-static uint16 tab_uni_jisx020812[]={
+static uint16_t tab_uni_jisx020812[]={
 0x2262,     0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,0x2162,0x2261,
      0,     0,     0,     0,0x2165,0x2166,     0,     0,
 0x2263,0x2264};
 
 /* page 13 0x2282-0x2287 */
-static uint16 tab_uni_jisx020813[]={
+static uint16_t tab_uni_jisx020813[]={
 0x223E,0x223F,     0,     0,0x223C,0x223D};
 
 /* page 14 0x22A5-0x22A5 */
-static uint16 tab_uni_jisx020814[]={
+static uint16_t tab_uni_jisx020814[]={
 0x225D};
 
 /* page 15 0x2312-0x2312 */
-static uint16 tab_uni_jisx020815[]={
+static uint16_t tab_uni_jisx020815[]={
 0x225E};
 
 /* page 16 0x2500-0x254B */
-static uint16 tab_uni_jisx020816[]={
+static uint16_t tab_uni_jisx020816[]={
 0x2821,0x282C,0x2822,0x282D,     0,     0,     0,     0,
      0,     0,     0,     0,0x2823,     0,     0,0x282E,
 0x2824,     0,     0,0x282F,0x2826,     0,     0,0x2831,
@@ -1662,7 +1662,7 @@
      0,     0,     0,0x2836};
 
 /* page 17 0x25A0-0x25CF */
-static uint16 tab_uni_jisx020817[]={
+static uint16_t tab_uni_jisx020817[]={
 0x2223,0x2222,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
      0,     0,0x2225,0x2224,     0,     0,     0,     0,
@@ -1672,30 +1672,30 @@
 };
 
 /* page 18 0x25EF-0x25EF */
-static uint16 tab_uni_jisx020818[]={
+static uint16_t tab_uni_jisx020818[]={
 0x227E};
 
 /* page 19 0x2605-0x2606 */
-static uint16 tab_uni_jisx020819[]={
+static uint16_t tab_uni_jisx020819[]={
 0x217A,0x2179};
 
 /* page 20 0x2640-0x2642 */
-static uint16 tab_uni_jisx020820[]={
+static uint16_t tab_uni_jisx020820[]={
 0x216A,     0,0x2169};
 
 /* page 21 0x266A-0x266F */
-static uint16 tab_uni_jisx020821[]={
+static uint16_t tab_uni_jisx020821[]={
 0x2276,     0,     0,0x2275,     0,0x2274};
 
 /* page 22 0x3000-0x301C */
-static uint16 tab_uni_jisx020822[]={
+static uint16_t tab_uni_jisx020822[]={
 0x2121,0x2122,0x2123,0x2137,     0,0x2139,0x213A,0x213B,
 0x2152,0x2153,0x2154,0x2155,0x2156,0x2157,0x2158,0x2159,
 0x215A,0x215B,0x2229,0x222E,0x214C,0x214D,     0,     0,
      0,     0,     0,     0,0x2141};
 
 /* page 23 0x3041-0x30FE */
-static uint16 tab_uni_jisx020823[]={
+static uint16_t tab_uni_jisx020823[]={
 0x2421,0x2422,0x2423,0x2424,0x2425,0x2426,0x2427,0x2428,
 0x2429,0x242A,0x242B,0x242C,0x242D,0x242E,0x242F,0x2430,
 0x2431,0x2432,0x2433,0x2434,0x2435,0x2436,0x2437,0x2438,
@@ -1722,7 +1722,7 @@
      0,     0,0x2126,0x213C,0x2133,0x2134};
 
 /* page 24 0x4E00-0x5516 */
-static uint16 tab_uni_jisx020824[]={
+static uint16_t tab_uni_jisx020824[]={
 0x306C,0x437A,     0,0x3C37,     0,     0,     0,0x4B7C,
 0x3E66,0x3B30,0x3E65,0x323C,     0,0x4954,0x4D3F,     0,
 0x5022,0x312F,     0,     0,0x336E,0x5023,0x4024,0x5242,
@@ -1952,7 +1952,7 @@
 0x4562,     0,     0,     0,0x532A,     0,0x3022};
 
 /* page 25 0x552E-0x5563 */
-static uint16 tab_uni_jisx020825[]={
+static uint16_t tab_uni_jisx020825[]={
 0x5334,0x4D23,     0,0x3E27,     0,0x533A,     0,     0,
      0,     0,0x5339,0x5330,     0,     0,     0,     0,
 0x4243,     0,0x5331,     0,     0,     0,0x426F,0x5336,
@@ -1962,7 +1962,7 @@
      0,     0,     0,     0,     0,0x5332};
 
 /* page 26 0x557B-0x576A */
-static uint16 tab_uni_jisx020826[]={
+static uint16_t tab_uni_jisx020826[]={
 0x5341,0x5346,     0,0x5342,     0,0x533D,     0,     0,
 0x5347,0x4131,     0,     0,0x5349,     0,0x3922,0x533F,
 0x437D,     0,     0,     0,     0,     0,     0,     0,
@@ -2028,7 +2028,7 @@
 };
 
 /* page 27 0x577F-0x5A9B */
-static uint16 tab_uni_jisx020827[]={
+static uint16_t tab_uni_jisx020827[]={
 0x5434,     0,     0,0x3F62,     0,     0,     0,     0,
      0,0x5432,0x5435,     0,0x373F,     0,     0,     0,
      0,     0,     0,     0,0x5436,     0,     0,     0,
@@ -2131,7 +2131,7 @@
      0,     0,     0,0x553B,0x4932};
 
 /* page 28 0x5ABC-0x5D29 */
-static uint16 tab_uni_jisx020828[]={
+static uint16_t tab_uni_jisx020828[]={
 0x553C,0x5540,0x553D,     0,     0,0x3247,0x553F,     0,
      0,     0,     0,     0,     0,0x3C3B,     0,0x553E,
 0x3779,     0,     0,     0,0x554C,     0,     0,     0,
@@ -2212,7 +2212,7 @@
      0,     0,     0,     0,     0,0x4A78};
 
 /* page 29 0x5D4B-0x6BF3 */
-static uint16 tab_uni_jisx020829[]={
+static uint16_t tab_uni_jisx020829[]={
 0x564B,0x5648,     0,0x564A,     0,0x4D72,     0,0x5649,
      0,     0,     0,     0,     0,     0,     0,     0,
      0,0x563F,     0,     0,     0,     0,     0,     0,
@@ -2685,7 +2685,7 @@
 0x5D5E};
 
 /* page 30 0x6C08-0x6CF3 */
-static uint16 tab_uni_jisx020830[]={
+static uint16_t tab_uni_jisx020830[]={
 0x5D61,     0,     0,     0,     0,     0,     0,0x3B61,
      0,0x4C31,     0,0x5D62,0x5D63,     0,     0,0x3524,
      0,     0,     0,0x5D64,     0,     0,     0,     0,
@@ -2718,7 +2718,7 @@
 0x4259,0x5D76,     0,0x314B};
 
 /* page 31 0x6D0B-0x7409 */
-static uint16 tab_uni_jisx020831[]={
+static uint16_t tab_uni_jisx020831[]={
 0x4D4E,0x5E30,     0,     0,     0,     0,     0,0x5E2F,
      0,     0,     0,     0,0x4076,     0,0x5E2C,     0,
 0x4D6C,     0,     0,0x4636,0x5E26,     0,     0,     0,
@@ -2945,7 +2945,7 @@
 0x3565,     0,0x6066,0x4D7D,     0,     0,0x4E30};
 
 /* page 32 0x7422-0x7845 */
-static uint16 tab_uni_jisx020832[]={
+static uint16_t tab_uni_jisx020832[]={
 0x4276,     0,     0,0x6068,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
 0x606A,0x4E56,0x3657,0x487C,0x474A,     0,     0,     0,
@@ -3081,7 +3081,7 @@
      0,     0,     0,0x626B};
 
 /* page 33 0x785D-0x7E9C */
-static uint16 tab_uni_jisx020833[]={
+static uint16_t tab_uni_jisx020833[]={
 0x3E4B,     0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,0x4E32,0x3945,
      0,     0,0x3827,     0,     0,0x4823,     0,0x626D,
@@ -3285,7 +3285,7 @@
 };
 
 /* page 34 0x7F36-0x8358 */
-static uint16 tab_uni_jisx020834[]={
+static uint16_t tab_uni_jisx020834[]={
 0x344C,     0,0x657D,     0,0x657E,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,0x6621,
      0,     0,     0,     0,     0,     0,0x6622,0x6623,
@@ -3421,7 +3421,7 @@
      0,     0,0x4171};
 
 /* page 35 0x8373-0x8B9A */
-static uint16 tab_uni_jisx020835[]={
+static uint16_t tab_uni_jisx020835[]={
 0x683A,     0,0x683B,     0,0x3259,     0,     0,     0,
 0x322E,0x6838,     0,     0,     0,     0,     0,     0,
      0,     0,0x682E,     0,0x6836,     0,0x683D,0x6837,
@@ -3686,7 +3686,7 @@
 };
 
 /* page 36 0x8C37-0x8D16 */
-static uint16 tab_uni_jisx020836[]={
+static uint16_t tab_uni_jisx020836[]={
 0x432B,     0,     0,0x6C2E,     0,     0,     0,     0,
 0x6C30,     0,0x6C2F,     0,     0,     0,     0,0x4626,
      0,0x6C31,     0,0x4B2D,     0,0x6C32,     0,0x6C33,
@@ -3718,7 +3718,7 @@
 };
 
 /* page 37 0x8D64-0x8F64 */
-static uint16 tab_uni_jisx020837[]={
+static uint16_t tab_uni_jisx020837[]={
 0x4056,     0,0x3C4F,0x6C5F,     0,     0,     0,0x3352,
      0,0x6C60,     0,     0,0x4176,0x6C61,     0,0x6C62,
 0x496B,     0,     0,0x352F,     0,     0,     0,     0,
@@ -3786,7 +3786,7 @@
 0x6D62};
 
 /* page 38 0x8F9B-0x9132 */
-static uint16 tab_uni_jisx020838[]={
+static uint16_t tab_uni_jisx020838[]={
 0x3F49,0x6D63,     0,0x3C2D,0x6D64,     0,     0,     0,
 0x6D65,     0,     0,     0,0x5221,0x517E,     0,     0,
      0,     0,0x6D66,0x6570,0x6D67,0x4324,0x3F2B,0x4740,
@@ -3841,7 +3841,7 @@
 };
 
 /* page 39 0x9149-0x92B9 */
-static uint16 tab_uni_jisx020839[]={
+static uint16_t tab_uni_jisx020839[]={
 0x4653,0x6E44,0x3D36,0x3C60,0x475B,0x4371,     0,     0,
      0,0x3C72,     0,0x3F6C,     0,0x6E45,     0,0x6E46,
      0,     0,     0,     0,     0,     0,     0,     0,
@@ -3891,7 +3891,7 @@
 0x6E78};
 
 /* page 40 0x92CF-0x93E8 */
-static uint16 tab_uni_jisx020840[]={
+static uint16_t tab_uni_jisx020840[]={
 0x6E77,     0,     0,0x4B2F,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,0x3D7B,     0,     0,
@@ -3930,7 +3930,7 @@
      0,0x6F34};
 
 /* page 41 0x9403-0x9481 */
-static uint16 tab_uni_jisx020841[]={
+static uint16_t tab_uni_jisx020841[]={
 0x6F3F,     0,     0,     0,0x6F40,     0,     0,     0,
      0,     0,     0,     0,     0,0x6F41,     0,     0,
 0x6F3E,0x6F3D,     0,     0,     0,0x3E62,0x462A,0x6F3C,
@@ -3949,7 +3949,7 @@
      0,0x6F55,0x6F53,0x6F56,0x6F58,     0,0x6F57};
 
 /* page 42 0x9577-0x95E5 */
-static uint16 tab_uni_jisx020842[]={
+static uint16_t tab_uni_jisx020842[]={
 0x4439,     0,     0,     0,     0,     0,     0,     0,
      0,0x4C67,     0,0x6F59,0x412E,     0,     0,     0,
 0x6F5A,     0,0x4A44,0x6F5B,0x332B,     0,     0,     0,
@@ -3966,7 +3966,7 @@
      0,     0,0x6F71,0x6F73,     0,     0,0x6F72};
 
 /* page 43 0x961C-0x9874 */
-static uint16 tab_uni_jisx020843[]={
+static uint16_t tab_uni_jisx020843[]={
 0x496C,     0,     0,     0,     0,0x6F74,     0,     0,
      0,     0,     0,     0,0x6F75,     0,0x3A65,     0,
      0,     0,0x6F76,0x6F77,     0,     0,0x4B49,     0,
@@ -4045,14 +4045,14 @@
 0x7122};
 
 /* page 44 0x98A8-0x98C6 */
-static uint16 tab_uni_jisx020844[]={
+static uint16_t tab_uni_jisx020844[]={
 0x4977,     0,0x7124,     0,     0,     0,     0,0x7125,
      0,0x7126,     0,     0,     0,     0,0x7127,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,0x7129,0x7128,     0,0x712A};
 
 /* page 45 0x98DB-0x9957 */
-static uint16 tab_uni_jisx020845[]={
+static uint16_t tab_uni_jisx020845[]={
 0x4874,0x664C,     0,     0,0x3F29,     0,     0,0x3532,
      0,     0,     0,     0,     0,     0,0x712B,     0,
 0x712C,     0,0x522C,0x5D3B,0x4853,     0,     0,0x307B,
@@ -4071,7 +4071,7 @@
      0,     0,0x7143,     0,0x3642};
 
 /* page 46 0x9996-0x9A6B */
-static uint16 tab_uni_jisx020846[]={
+static uint16_t tab_uni_jisx020846[]={
 0x3C73,0x7144,0x7145,0x3961,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,0x7146,
      0,     0,0x333E,     0,     0,     0,0x474F,0x7147,
@@ -4101,7 +4101,7 @@
      0,     0,     0,0x7169,0x716B,0x716A};
 
 /* page 47 0x9AA8-0x9B5A */
-static uint16 tab_uni_jisx020847[]={
+static uint16_t tab_uni_jisx020847[]={
 0x397C,     0,     0,     0,     0,0x716C,     0,     0,
 0x716D,     0,     0,     0,     0,     0,     0,     0,
 0x333C,     0,     0,     0,0x716E,     0,     0,     0,
@@ -4127,7 +4127,7 @@
 0x7236,     0,0x357B};
 
 /* page 48 0x9B6F-0x9C78 */
-static uint16 tab_uni_jisx020848[]={
+static uint16_t tab_uni_jisx020848[]={
 0x4F25,     0,     0,     0,     0,0x7237,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,0x7239,     0,     0,     0,
@@ -4164,7 +4164,7 @@
      0,0x7269};
 
 /* page 49 0x9CE5-0x9DFD */
-static uint16 tab_uni_jisx020849[]={
+static uint16_t tab_uni_jisx020849[]={
 0x443B,     0,0x726A,     0,0x4837,     0,0x726F,0x726B,
      0,     0,     0,0x726C,     0,     0,0x4B31,0x4C44,
      0,0x4650,     0,     0,     0,     0,     0,     0,
@@ -4203,11 +4203,11 @@
 0x733F};
 
 /* page 50 0x9E1A-0x9E1E */
-static uint16 tab_uni_jisx020850[]={
+static uint16_t tab_uni_jisx020850[]={
 0x7340,0x7341,     0,     0,0x7342};
 
 /* page 51 0x9E75-0x9F77 */
-static uint16 tab_uni_jisx020851[]={
+static uint16_t tab_uni_jisx020851[]={
 0x7343,     0,     0,0x3834,0x7344,     0,     0,     0,
 0x7345,     0,0x3C2F,     0,0x7346,     0,     0,     0,
      0,     0,     0,0x7347,     0,     0,0x7348,0x7349,
@@ -4243,13 +4243,13 @@
      0,0x737B,0x7379};
 
 /* page 52 0x9F8D-0x9FA0 */
-static uint16 tab_uni_jisx020852[]={
+static uint16_t tab_uni_jisx020852[]={
 0x4E36,     0,     0,     0,     0,     0,     0,     0,
 0x737C,     0,     0,     0,     0,     0,     0,0x737D,
 0x6354,     0,     0,0x737E};
 
 /* page 53 0xFF01-0xFF5D */
-static uint16 tab_uni_jisx020853[]={
+static uint16_t tab_uni_jisx020853[]={
 0x212A,     0,0x2174,0x2170,0x2173,0x2175,     0,0x214A,
 0x214B,0x2176,0x215C,0x2124,     0,0x2125,0x213F,0x2330,
 0x2331,0x2332,0x2333,0x2334,0x2335,0x2336,0x2337,0x2338,
@@ -4264,7 +4264,7 @@
 0x2379,0x237A,0x2150,0x2143,0x2151};
 
 /* page 54 0xFFE3-0xFFE5 */
-static uint16 tab_uni_jisx020854[]={
+static uint16_t tab_uni_jisx020854[]={
 0x2131,     0,0x216F};
 
 static int
@@ -4385,11 +4385,11 @@
 
 
 /* page 0 0x007E-0x007E */
-static uint16 tab_uni_jisx02120[]={
+static uint16_t tab_uni_jisx02120[]={
 0x2237};
 
 /* page 1 0x00A1-0x017E */
-static uint16 tab_uni_jisx02121[]={
+static uint16_t tab_uni_jisx02121[]={
 0x2242,     0,     0,0x2270,     0,0x2243,     0,     0,
 0x226D,0x226C,     0,     0,     0,0x226E,0x2234,     0,
      0,     0,     0,     0,     0,     0,     0,0x2231,
@@ -4420,28 +4420,28 @@
 0x2A75,0x2B75,0x2A77,0x2B77,0x2A76,0x2B76};
 
 /* page 2 0x01CD-0x01DC */
-static uint16 tab_uni_jisx02122[]={
+static uint16_t tab_uni_jisx02122[]={
 0x2A26,0x2B26,0x2A43,0x2B43,0x2A55,0x2B55,0x2A67,0x2B67,
 0x2A70,0x2B70,0x2A6D,0x2B6D,0x2A6F,0x2B6F,0x2A6E,0x2B6E
 };
 
 /* page 3 0x01F5-0x01F5 */
-static uint16 tab_uni_jisx02123[]={
+static uint16_t tab_uni_jisx02123[]={
 0x2B39};
 
 /* page 4 0x02C7-0x02DD */
-static uint16 tab_uni_jisx02124[]={
+static uint16_t tab_uni_jisx02124[]={
 0x2230,     0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
      0,0x222F,0x2232,0x2236,0x2235,     0,0x2233};
 
 /* page 5 0x0384-0x0390 */
-static uint16 tab_uni_jisx02125[]={
+static uint16_t tab_uni_jisx02125[]={
 0x2238,0x2239,0x2661,     0,0x2662,0x2663,0x2664,     0,
 0x2667,     0,0x2669,0x266C,0x2676};
 
 /* page 6 0x03AA-0x03CE */
-static uint16 tab_uni_jisx02126[]={
+static uint16_t tab_uni_jisx02126[]={
 0x2665,0x266A,0x2671,0x2672,0x2673,0x2674,0x267B,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
@@ -4449,22 +4449,22 @@
 0x2675,0x267A,0x2677,0x2679,0x267C};
 
 /* page 7 0x0402-0x040F */
-static uint16 tab_uni_jisx02127[]={
+static uint16_t tab_uni_jisx02127[]={
 0x2742,0x2743,0x2744,0x2745,0x2746,0x2747,0x2748,0x2749,
 0x274A,0x274B,0x274C,     0,0x274D,0x274E};
 
 /* page 8 0x0452-0x045F */
-static uint16 tab_uni_jisx02128[]={
+static uint16_t tab_uni_jisx02128[]={
 0x2772,0x2773,0x2774,0x2775,0x2776,0x2777,0x2778,0x2779,
 0x277A,0x277B,0x277C,     0,0x277D,0x277E};
 
 /* page 9 0x2116-0x2122 */
-static uint16 tab_uni_jisx02129[]={
+static uint16_t tab_uni_jisx02129[]={
 0x2271,     0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,0x226F};
 
 /* page 10 0x4E02-0x4F19 */
-static uint16 tab_uni_jisx021210[]={
+static uint16_t tab_uni_jisx021210[]={
 0x3021,     0,0x3022,0x3023,     0,     0,     0,     0,
      0,     0,0x3024,     0,     0,     0,     0,     0,
 0x3025,     0,     0,     0,     0,     0,     0,     0,
@@ -4503,7 +4503,7 @@
 };
 
 /* page 11 0x4F2E-0x5166 */
-static uint16 tab_uni_jisx021211[]={
+static uint16_t tab_uni_jisx021211[]={
 0x305D,     0,     0,0x305E,     0,0x3060,     0,0x3061,
      0,0x3062,     0,0x3063,     0,0x3064,     0,     0,
 0x3065,     0,0x3066,     0,0x3067,     0,     0,     0,
@@ -4578,7 +4578,7 @@
 0x326E};
 
 /* page 12 0x517E-0x5515 */
-static uint16 tab_uni_jisx021212[]={
+static uint16_t tab_uni_jisx021212[]={
 0x326F,     0,     0,     0,     0,0x3270,0x3271,     0,
      0,     0,     0,     0,     0,0x3272,     0,     0,
 0x3273,     0,     0,     0,     0,     0,     0,     0,
@@ -4697,7 +4697,7 @@
 };
 
 /* page 13 0x552A-0x5566 */
-static uint16 tab_uni_jisx021213[]={
+static uint16_t tab_uni_jisx021213[]={
 0x354E,0x354F,     0,     0,     0,     0,     0,     0,
 0x3550,     0,     0,0x3551,0x3552,     0,     0,     0,
      0,0x3553,0x3554,0x3555,     0,     0,     0,0x3556,
@@ -4708,7 +4708,7 @@
      0,     0,0x3563,     0,0x3564};
 
 /* page 14 0x557F-0x5C36 */
-static uint16 tab_uni_jisx021214[]={
+static uint16_t tab_uni_jisx021214[]={
 0x3565,     0,0x3566,0x3567,     0,     0,     0,0x3568,
      0,0x3569,     0,     0,     0,     0,     0,0x356A,
 0x356B,     0,0x356C,0x356D,0x356E,0x356F,     0,     0,
@@ -4927,7 +4927,7 @@
 };
 
 /* page 15 0x5C59-0x5EEB */
-static uint16 tab_uni_jisx021215[]={
+static uint16_t tab_uni_jisx021215[]={
 0x3A77,0x3A78,     0,0x3A79,     0,     0,     0,     0,
      0,0x3A7A,0x3A7B,     0,     0,     0,0x3A7C,0x3A7D,
 0x3A7E,     0,     0,     0,0x3B21,     0,     0,0x3B22,
@@ -5013,7 +5013,7 @@
      0,     0,0x3C5B};
 
 /* page 16 0x5F02-0x6149 */
-static uint16 tab_uni_jisx021216[]={
+static uint16_t tab_uni_jisx021216[]={
 0x3C5C,     0,     0,     0,0x3C5D,0x3C5E,0x3C5F,     0,
      0,     0,     0,     0,0x3C60,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,0x3C61,
@@ -5090,7 +5090,7 @@
 };
 
 /* page 17 0x615E-0x6290 */
-static uint16 tab_uni_jisx021217[]={
+static uint16_t tab_uni_jisx021217[]={
 0x3E53,     0,0x3E54,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,0x3E55,     0,
      0,     0,     0,     0,0x3E56,     0,     0,     0,
@@ -5132,7 +5132,7 @@
 0x3F46,0x3F47,0x3F48};
 
 /* page 18 0x62A6-0x679B */
-static uint16 tab_uni_jisx021218[]={
+static uint16_t tab_uni_jisx021218[]={
 0x3F49,     0,0x3F4A,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,0x3F4B,     0,     0,
 0x3F4C,0x3F4D,     0,     0,0x3F4E,     0,     0,     0,
@@ -5294,7 +5294,7 @@
 0x432D,     0,0x432E,0x432F,     0,0x4330};
 
 /* page 19 0x67B0-0x67F9 */
-static uint16 tab_uni_jisx021219[]={
+static uint16_t tab_uni_jisx021219[]={
 0x4331,0x4332,0x4333,     0,     0,0x4334,     0,     0,
      0,     0,     0,0x4335,0x4336,0x4337,     0,     0,
 0x4339,     0,0x433A,0x433B,     0,0x433C,     0,     0,
@@ -5307,7 +5307,7 @@
      0,0x4338};
 
 /* page 20 0x6814-0x6917 */
-static uint16 tab_uni_jisx021220[]={
+static uint16_t tab_uni_jisx021220[]={
 0x434A,     0,     0,     0,     0,0x434B,     0,     0,
      0,0x434C,     0,0x434D,     0,     0,     0,     0,
      0,     0,     0,0x434F,0x434E,     0,     0,     0,
@@ -5343,7 +5343,7 @@
      0,     0,0x443B,0x443C};
 
 /* page 21 0x6931-0x6D3F */
-static uint16 tab_uni_jisx021221[]={
+static uint16_t tab_uni_jisx021221[]={
 0x443D,     0,0x443E,     0,0x443F,     0,     0,0x4440,
      0,     0,0x4441,     0,     0,     0,     0,     0,
      0,0x4442,     0,     0,0x4443,     0,     0,     0,
@@ -5476,7 +5476,7 @@
 0x473A,     0,     0,0x473B,     0,     0,0x473C};
 
 /* page 22 0x6D57-0x6E04 */
-static uint16 tab_uni_jisx021222[]={
+static uint16_t tab_uni_jisx021222[]={
 0x473D,     0,     0,     0,     0,     0,     0,0x473E,
 0x473F,     0,0x4740,     0,     0,     0,0x4741,     0,
 0x4742,     0,     0,     0,     0,     0,     0,     0,
@@ -5501,7 +5501,7 @@
      0,0x4767,     0,     0,     0,0x4768};
 
 /* page 23 0x6E1E-0x6ECF */
-static uint16 tab_uni_jisx021223[]={
+static uint16_t tab_uni_jisx021223[]={
 0x4769,     0,     0,     0,0x476A,     0,     0,     0,
      0,0x476B,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,0x476C,     0,     0,     0,
@@ -5527,7 +5527,7 @@
 0x4839,0x483A};
 
 /* page 24 0x6EEB-0x70E4 */
-static uint16 tab_uni_jisx021224[]={
+static uint16_t tab_uni_jisx021224[]={
 0x483B,     0,0x483C,0x483D,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,0x483E,     0,
 0x483F,     0,0x4840,     0,     0,     0,     0,     0,
@@ -5594,7 +5594,7 @@
      0,0x4960};
 
 /* page 25 0x70FA-0x71DC */
-static uint16 tab_uni_jisx021225[]={
+static uint16_t tab_uni_jisx021225[]={
 0x4961,     0,     0,     0,     0,     0,     0,     0,
      0,0x4962,0x4963,0x4964,0x4965,0x4966,     0,     0,
      0,0x4967,0x4968,     0,     0,0x4969,     0,     0,
@@ -5626,7 +5626,7 @@
 0x4A3A,     0,0x4A3B};
 
 /* page 26 0x71F8-0x7E9E */
-static uint16 tab_uni_jisx021226[]={
+static uint16_t tab_uni_jisx021226[]={
 0x4A3C,     0,     0,     0,     0,     0,0x4A3D,     0,
 0x4A3E,     0,     0,     0,     0,     0,     0,0x4A3F,
 0x4A40,0x4A41,     0,     0,     0,     0,     0,     0,
@@ -6034,7 +6034,7 @@
 0x5467,     0,0x5468,     0,     0,0x5469,0x546A};
 
 /* page 27 0x7F3B-0x8044 */
-static uint16 tab_uni_jisx021227[]={
+static uint16_t tab_uni_jisx021227[]={
 0x546C,0x546B,0x546D,0x546E,0x546F,     0,     0,     0,
 0x5470,0x5471,     0,     0,0x5472,     0,     0,     0,
      0,     0,     0,     0,0x5473,     0,     0,0x5474,
@@ -6071,7 +6071,7 @@
      0,0x5563};
 
 /* page 28 0x8060-0x8357 */
-static uint16 tab_uni_jisx021228[]={
+static uint16_t tab_uni_jisx021228[]={
 0x5564,     0,     0,     0,0x5565,     0,0x5566,     0,
      0,     0,     0,     0,     0,0x5567,     0,     0,
      0,0x5568,     0,     0,     0,0x5569,     0,     0,
@@ -6170,7 +6170,7 @@
 };
 
 /* page 29 0x8370-0x8419 */
-static uint16 tab_uni_jisx021229[]={
+static uint16_t tab_uni_jisx021229[]={
 0x577D,     0,     0,     0,     0,     0,     0,     0,
 0x577E,     0,     0,     0,     0,0x5821,     0,0x5822,
 0x5823,     0,0x5824,     0,0x5825,     0,0x5826,     0,
@@ -6195,7 +6195,7 @@
      0,0x584B};
 
 /* page 30 0x842F-0x8880 */
-static uint16 tab_uni_jisx021230[]={
+static uint16_t tab_uni_jisx021230[]={
 0x584D,     0,     0,     0,     0,     0,     0,     0,
      0,     0,0x584E,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,0x584F,     0,
@@ -6337,7 +6337,7 @@
      0,0x5C38};
 
 /* page 31 0x8898-0x89BC */
-static uint16 tab_uni_jisx021231[]={
+static uint16_t tab_uni_jisx021231[]={
 0x5C39,     0,0x5C3A,0x5C3B,0x5C3C,     0,     0,0x5C3D,
 0x5C3E,     0,     0,     0,     0,     0,     0,     0,
 0x5C3F,     0,0x5C40,     0,     0,     0,     0,     0,
@@ -6377,7 +6377,7 @@
      0,     0,     0,     0,0x5D33};
 
 /* page 32 0x89D4-0x8B9F */
-static uint16 tab_uni_jisx021232[]={
+static uint16_t tab_uni_jisx021232[]={
 0x5D34,0x5D35,0x5D36,0x5D37,0x5D38,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
      0,0x5D39,     0,     0,     0,0x5D3A,     0,0x5D3B,
@@ -6438,7 +6438,7 @@
 0x5E5F,     0,0x5E60,0x5E61};
 
 /* page 33 0x8C38-0x8CA4 */
-static uint16 tab_uni_jisx021233[]={
+static uint16_t tab_uni_jisx021233[]={
 0x5E62,0x5E63,     0,     0,     0,0x5E64,0x5E65,     0,
      0,     0,     0,     0,     0,0x5E66,     0,0x5E67,
      0,0x5E68,     0,0x5E69,     0,     0,     0,0x5E6A,
@@ -6455,7 +6455,7 @@
      0,     0,     0,     0,0x5F29};
 
 /* page 34 0x8CB9-0x8D1B */
-static uint16 tab_uni_jisx021234[]={
+static uint16_t tab_uni_jisx021234[]={
 0x5F2A,0x5F2B,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,0x5F2C,0x5F2D,     0,     0,
 0x5F2E,     0,0x5F2F,     0,     0,     0,0x5F30,     0,
@@ -6471,7 +6471,7 @@
      0,     0,0x5F45};
 
 /* page 35 0x8D65-0x8F65 */
-static uint16 tab_uni_jisx021235[]={
+static uint16_t tab_uni_jisx021235[]={
 0x5F46,     0,     0,     0,0x5F47,     0,     0,0x5F48,
      0,0x5F49,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
@@ -6539,7 +6539,7 @@
 0x612C};
 
 /* page 36 0x8F9D-0x9484 */
-static uint16 tab_uni_jisx021236[]={
+static uint16_t tab_uni_jisx021236[]={
 0x612D,     0,     0,0x612E,0x612F,     0,     0,0x6130,
 0x6131,0x6132,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,     0,     0,     0,     0,
@@ -6700,7 +6700,7 @@
 };
 
 /* page 37 0x9578-0x95E6 */
-static uint16 tab_uni_jisx021237[]={
+static uint16_t tab_uni_jisx021237[]={
 0x657D,0x657E,     0,     0,     0,     0,0x6621,     0,
      0,     0,     0,     0,0x6622,     0,     0,     0,
 0x6623,     0,     0,     0,0x6624,0x6625,0x6626,     0,
@@ -6717,7 +6717,7 @@
 0x6641,     0,     0,     0,0x6642,     0,0x6643};
 
 /* page 38 0x961D-0x986C */
-static uint16 tab_uni_jisx021238[]={
+static uint16_t tab_uni_jisx021238[]={
 0x6644,0x6645,     0,     0,     0,0x6646,     0,0x6647,
 0x6648,0x6649,     0,     0,     0,     0,     0,0x664A,
      0,     0,     0,     0,0x664B,     0,0x664C,     0,
@@ -6795,7 +6795,7 @@
 };
 
 /* page 39 0x98AB-0x98CC */
-static uint16 tab_uni_jisx021239[]={
+static uint16_t tab_uni_jisx021239[]={
 0x683A,     0,0x683B,0x683C,     0,0x683D,     0,     0,
      0,0x683E,     0,     0,0x683F,0x6840,     0,0x6841,
 0x6842,     0,     0,     0,0x6843,     0,     0,0x6844,
@@ -6803,7 +6803,7 @@
      0,0x6847};
 
 /* page 40 0x98E1-0x9960 */
-static uint16 tab_uni_jisx021240[]={
+static uint16_t tab_uni_jisx021240[]={
 0x6848,     0,0x6849,     0,0x684A,0x684B,0x684C,     0,
      0,0x684D,     0,     0,     0,     0,     0,     0,
      0,     0,0x684E,     0,     0,0x684F,     0,     0,
@@ -6823,7 +6823,7 @@
 };
 
 /* page 41 0x999B-0x9A5D */
-static uint16 tab_uni_jisx021241[]={
+static uint16_t tab_uni_jisx021241[]={
 0x6877,     0,0x6878,     0,0x6879,     0,     0,     0,
      0,     0,     0,0x687A,     0,     0,     0,     0,
      0,     0,     0,     0,     0,0x687B,0x687C,0x687D,
@@ -6851,7 +6851,7 @@
      0,     0,0x6955};
 
 /* page 42 0x9AAA-0x9C7B */
-static uint16 tab_uni_jisx021242[]={
+static uint16_t tab_uni_jisx021242[]={
 0x6956,     0,0x6957,     0,0x6958,0x6959,     0,     0,
 0x695A,     0,0x695B,0x695C,0x695D,     0,     0,0x695E,
      0,0x695F,     0,     0,0x6960,0x6961,     0,0x6962,
@@ -6913,7 +6913,7 @@
      0,0x6B58};
 
 /* page 43 0x9CE6-0x9E1D */
-static uint16 tab_uni_jisx021243[]={
+static uint16_t tab_uni_jisx021243[]={
 0x6B59,     0,     0,     0,     0,     0,     0,     0,
      0,     0,     0,     0,0x6B5A,     0,     0,     0,
      0,0x6B5B,     0,0x6B5C,     0,     0,     0,     0,
@@ -6956,7 +6956,7 @@
 };
 
 /* page 44 0x9E7A-0x9FA5 */
-static uint16 tab_uni_jisx021244[]={
+static uint16_t tab_uni_jisx021244[]={
 0x6C59,0x6C5A,0x6C5B,     0,     0,     0,0x6C5C,     0,
 0x6C5D,0x6C5E,0x6C5F,0x6C60,     0,0x6C61,     0,     0,
      0,     0,     0,     0,0x6C62,0x6C63,     0,     0,
@@ -7093,34 +7093,34 @@
 
 
 /* page 0 0x222F-0x2244 */
-static uint16 tab_jisx0212_uni0[]={
+static uint16_t tab_jisx0212_uni0[]={
 0x02D8,0x02C7,0x00B8,0x02D9,0x02DD,0x00AF,0x02DB,0x02DA,
 0x007E,0x0384,0x0385,     0,     0,     0,     0,     0,
      0,     0,     0,0x00A1,0x00A6,0x00BF};
 
 /* page 1 0x226B-0x2271 */
-static uint16 tab_jisx0212_uni1[]={
+static uint16_t tab_jisx0212_uni1[]={
 0x00BA,0x00AA,0x00A9,0x00AE,0x2122,0x00A4,0x2116};
 
 /* page 2 0x2661-0x267C */
-static uint16 tab_jisx0212_uni2[]={
+static uint16_t tab_jisx0212_uni2[]={
 0x0386,0x0388,0x0389,0x038A,0x03AA,     0,0x038C,     0,
 0x038E,0x03AB,     0,0x038F,     0,     0,     0,     0,
 0x03AC,0x03AD,0x03AE,0x03AF,0x03CA,0x0390,0x03CC,0x03C2,
 0x03CD,0x03CB,0x03B0,0x03CE};
 
 /* page 3 0x2742-0x274E */
-static uint16 tab_jisx0212_uni3[]={
+static uint16_t tab_jisx0212_uni3[]={
 0x0402,0x0403,0x0404,0x0405,0x0406,0x0407,0x0408,0x0409,
 0x040A,0x040B,0x040C,0x040E,0x040F};
 
 /* page 4 0x2772-0x277E */
-static uint16 tab_jisx0212_uni4[]={
+static uint16_t tab_jisx0212_uni4[]={
 0x0452,0x0453,0x0454,0x0455,0x0456,0x0457,0x0458,0x0459,
 0x045A,0x045B,0x045C,0x045E,0x045F};
 
 /* page 5 0x2921-0x2950 */
-static uint16 tab_jisx0212_uni5[]={
+static uint16_t tab_jisx0212_uni5[]={
 0x00C6,0x0110,     0,0x0126,     0,0x0132,     0,0x0141,
 0x013F,     0,0x014A,0x00D8,0x0152,     0,0x0166,0x00DE,
      0,     0,     0,     0,     0,     0,     0,     0,
@@ -7130,7 +7130,7 @@
 };
 
 /* page 6 0x2A21-0x2A77 */
-static uint16 tab_jisx0212_uni6[]={
+static uint16_t tab_jisx0212_uni6[]={
 0x00C1,0x00C0,0x00C4,0x00C2,0x0102,0x01CD,0x0100,0x0104,
 0x00C5,0x00C3,0x0106,0x0108,0x010C,0x00C7,0x010A,0x010E,
 0x00C9,0x00C8,0x00CB,0x00CA,0x011A,0x0116,0x0112,0x0118,
@@ -7144,7 +7144,7 @@
 0x0174,0x00DD,0x0178,0x0176,0x0179,0x017D,0x017B};
 
 /* page 7 0x2B21-0x2B77 */
-static uint16 tab_jisx0212_uni7[]={
+static uint16_t tab_jisx0212_uni7[]={
 0x00E1,0x00E0,0x00E4,0x00E2,0x0103,0x01CE,0x0101,0x0105,
 0x00E5,0x00E3,0x0107,0x0109,0x010D,0x00E7,0x010B,0x010F,
 0x00E9,0x00E8,0x00EB,0x00EA,0x011B,0x0117,0x0113,0x0119,
@@ -7158,7 +7158,7 @@
 0x0175,0x00FD,0x00FF,0x0177,0x017A,0x017E,0x017C};
 
 /* page 8 0x3021-0x307E */
-static uint16 tab_jisx0212_uni8[]={
+static uint16_t tab_jisx0212_uni8[]={
 0x4E02,0x4E04,0x4E05,0x4E0C,0x4E12,0x4E1F,0x4E23,0x4E24,
 0x4E28,0x4E2B,0x4E2E,0x4E2F,0x4E30,0x4E35,0x4E40,0x4E41,
 0x4E44,0x4E47,0x4E51,0x4E5A,0x4E5C,0x4E63,0x4E68,0x4E69,
@@ -7173,7 +7173,7 @@
 0x4F7A,0x4F7D,0x4F7E,0x4F81,0x4F82,0x4F84};
 
 /* page 9 0x3121-0x317E */
-static uint16 tab_jisx0212_uni9[]={
+static uint16_t tab_jisx0212_uni9[]={
 0x4F85,0x4F89,0x4F8A,0x4F8C,0x4F8E,0x4F90,0x4F92,0x4F93,
 0x4F94,0x4F97,0x4F99,0x4F9A,0x4F9E,0x4F9F,0x4FB2,0x4FB7,
 0x4FB9,0x4FBB,0x4FBC,0x4FBD,0x4FBE,0x4FC0,0x4FC1,0x4FC5,
@@ -7188,7 +7188,7 @@
 0x5084,0x5086,0x508A,0x508E,0x508F,0x5090};
 
 /* page 10 0x3221-0x327E */
-static uint16 tab_jisx0212_uni10[]={
+static uint16_t tab_jisx0212_uni10[]={
 0x5092,0x5093,0x5094,0x5096,0x509B,0x509C,0x509E,0x509F,
 0x50A0,0x50A1,0x50A2,0x50AA,0x50AF,0x50B0,0x50B9,0x50BA,
 0x50BD,0x50C0,0x50C3,0x50C4,0x50C7,0x50CC,0x50CE,0x50D0,
@@ -7203,7 +7203,7 @@
 0x51B8,0x51BA,0x51BC,0x51BE,0x51BF,0x51C2};
 
 /* page 11 0x3321-0x337E */
-static uint16 tab_jisx0212_uni11[]={
+static uint16_t tab_jisx0212_uni11[]={
 0x51C8,0x51CF,0x51D1,0x51D2,0x51D3,0x51D5,0x51D8,0x51DE,
 0x51E2,0x51E5,0x51EE,0x51F2,0x51F3,0x51F4,0x51F7,0x5201,
 0x5202,0x5205,0x5212,0x5213,0x5215,0x5216,0x5218,0x5222,
@@ -7218,7 +7218,7 @@
 0x52F6,0x52F7,0x5300,0x5303,0x530A,0x530B};
 
 /* page 12 0x3421-0x347E */
-static uint16 tab_jisx0212_uni12[]={
+static uint16_t tab_jisx0212_uni12[]={
 0x530C,0x5311,0x5313,0x5318,0x531B,0x531C,0x531E,0x531F,
 0x5325,0x5327,0x5328,0x5329,0x532B,0x532C,0x532D,0x5330,
 0x5332,0x5335,0x533C,0x533D,0x533E,0x5342,0x534C,0x534B,
@@ -7233,7 +7233,7 @@
 0x5469,0x546B,0x546D,0x546E,0x5474,0x547F};
 
 /* page 13 0x3521-0x357E */
-static uint16 tab_jisx0212_uni13[]={
+static uint16_t tab_jisx0212_uni13[]={
 0x5481,0x5483,0x5485,0x5488,0x5489,0x548D,0x5491,0x5495,
 0x5496,0x549C,0x549F,0x54A1,0x54A6,0x54A7,0x54A9,0x54AA,
 0x54AD,0x54AE,0x54B1,0x54B7,0x54B9,0x54BA,0x54BB,0x54BF,
@@ -7248,7 +7248,7 @@
 0x55C9,0x55CB,0x55CC,0x55CE,0x55D1,0x55D2};
 
 /* page 14 0x3621-0x367E */
-static uint16 tab_jisx0212_uni14[]={
+static uint16_t tab_jisx0212_uni14[]={
 0x55D3,0x55D7,0x55D8,0x55DB,0x55DE,0x55E2,0x55E9,0x55F6,
 0x55FF,0x5605,0x5608,0x560A,0x560D,0x560E,0x560F,0x5610,
 0x5611,0x5612,0x5619,0x562C,0x5630,0x5633,0x5635,0x5637,
@@ -7263,7 +7263,7 @@
 0x56E6,0x56E7,0x56E8,0x56F1,0x56EB,0x56ED};
 
 /* page 15 0x3721-0x377E */
-static uint16 tab_jisx0212_uni15[]={
+static uint16_t tab_jisx0212_uni15[]={
 0x56F6,0x56F7,0x5701,0x5702,0x5707,0x570A,0x570C,0x5711,
 0x5715,0x571A,0x571B,0x571D,0x5720,0x5722,0x5723,0x5724,
 0x5725,0x5729,0x572A,0x572C,0x572E,0x572F,0x5733,0x5734,
@@ -7278,7 +7278,7 @@
 0x57FF,0x5803,0x5804,0x5808,0x5809,0x57E1};
 
 /* page 16 0x3821-0x387E */
-static uint16 tab_jisx0212_uni16[]={
+static uint16_t tab_jisx0212_uni16[]={
 0x580C,0x580D,0x581B,0x581E,0x581F,0x5820,0x5826,0x5827,
 0x582D,0x5832,0x5839,0x583F,0x5849,0x584C,0x584D,0x584F,
 0x5850,0x5855,0x585F,0x5861,0x5864,0x5867,0x5868,0x5878,
@@ -7293,7 +7293,7 @@
 0x595E,0x595F,0x5961,0x5963,0x596B,0x596D};
 
 /* page 17 0x3921-0x397E */
-static uint16 tab_jisx0212_uni17[]={
+static uint16_t tab_jisx0212_uni17[]={
 0x596F,0x5972,0x5975,0x5976,0x5979,0x597B,0x597C,0x598B,
 0x598C,0x598E,0x5992,0x5995,0x5997,0x599F,0x59A4,0x59A7,
 0x59AD,0x59AE,0x59AF,0x59B0,0x59B3,0x59B7,0x59BA,0x59BC,
@@ -7308,7 +7308,7 @@
 0x5AB3,0x5AB5,0x5AB8,0x5ABA,0x5ABB,0x5ABF};
 
 /* page 18 0x3A21-0x3A7E */
-static uint16 tab_jisx0212_uni18[]={
+static uint16_t tab_jisx0212_uni18[]={
 0x5AC4,0x5AC6,0x5AC8,0x5ACF,0x5ADA,0x5ADC,0x5AE0,0x5AE5,
 0x5AEA,0x5AEE,0x5AF5,0x5AF6,0x5AFD,0x5B00,0x5B01,0x5B08,
 0x5B17,0x5B34,0x5B19,0x5B1B,0x5B1D,0x5B21,0x5B25,0x5B2D,
@@ -7323,7 +7323,7 @@
 0x5C5C,0x5C62,0x5C63,0x5C67,0x5C68,0x5C69};
 
 /* page 19 0x3B21-0x3B7E */
-static uint16 tab_jisx0212_uni19[]={
+static uint16_t tab_jisx0212_uni19[]={
 0x5C6D,0x5C70,0x5C74,0x5C75,0x5C7A,0x5C7B,0x5C7C,0x5C7D,
 0x5C87,0x5C88,0x5C8A,0x5C8F,0x5C92,0x5C9D,0x5C9F,0x5CA0,
 0x5CA2,0x5CA3,0x5CA6,0x5CAA,0x5CB2,0x5CB4,0x5CB5,0x5CBA,
@@ -7338,7 +7338,7 @@
 0x5DD0,0x5DCE,0x5DD8,0x5DD9,0x5DE0,0x5DE4};
 
 /* page 20 0x3C21-0x3C7E */
-static uint16 tab_jisx0212_uni20[]={
+static uint16_t tab_jisx0212_uni20[]={
 0x5DE9,0x5DF8,0x5DF9,0x5E00,0x5E07,0x5E0D,0x5E12,0x5E14,
 0x5E15,0x5E18,0x5E1F,0x5E20,0x5E2E,0x5E28,0x5E32,0x5E35,
 0x5E3E,0x5E4B,0x5E50,0x5E49,0x5E51,0x5E56,0x5E58,0x5E5B,
@@ -7353,7 +7353,7 @@
 0x5F58,0x5F5B,0x5F60,0x5F63,0x5F64,0x5F67};
 
 /* page 21 0x3D21-0x3D7E */
-static uint16 tab_jisx0212_uni21[]={
+static uint16_t tab_jisx0212_uni21[]={
 0x5F6F,0x5F72,0x5F74,0x5F75,0x5F78,0x5F7A,0x5F7D,0x5F7E,
 0x5F89,0x5F8D,0x5F8F,0x5F96,0x5F9C,0x5F9D,0x5FA2,0x5FA7,
 0x5FAB,0x5FA4,0x5FAC,0x5FAF,0x5FB0,0x5FB1,0x5FB8,0x5FC4,
@@ -7368,7 +7368,7 @@
 0x60A4,0x60A5,0x60A8,0x60B0,0x60B1,0x60B7};
 
 /* page 22 0x3E21-0x3E7E */
-static uint16 tab_jisx0212_uni22[]={
+static uint16_t tab_jisx0212_uni22[]={
 0x60BB,0x60BE,0x60C2,0x60C4,0x60C8,0x60C9,0x60CA,0x60CB,
 0x60CE,0x60CF,0x60D4,0x60D5,0x60D9,0x60DB,0x60DD,0x60DE,
 0x60E2,0x60E5,0x60F2,0x60F5,0x60F8,0x60FC,0x60FD,0x6102,
@@ -7383,7 +7383,7 @@
 0x61DF,0x61E1,0x61E2,0x61E7,0x61E9,0x61E5};
 
 /* page 23 0x3F21-0x3F7E */
-static uint16 tab_jisx0212_uni23[]={
+static uint16_t tab_jisx0212_uni23[]={
 0x61EC,0x61ED,0x61EF,0x6201,0x6203,0x6204,0x6207,0x6213,
 0x6215,0x621C,0x6220,0x6222,0x6223,0x6227,0x6229,0x622B,
 0x6239,0x623D,0x6242,0x6243,0x6244,0x6246,0x624C,0x6250,
@@ -7398,7 +7398,7 @@
 0x6366,0x636C,0x636D,0x6371,0x6374,0x6375};
 
 /* page 24 0x4021-0x407E */
-static uint16 tab_jisx0212_uni24[]={
+static uint16_t tab_jisx0212_uni24[]={
 0x6378,0x637C,0x637D,0x637F,0x6382,0x6384,0x6387,0x638A,
 0x6390,0x6394,0x6395,0x6399,0x639A,0x639E,0x63A4,0x63A6,
 0x63AD,0x63AE,0x63AF,0x63BD,0x63C1,0x63C5,0x63C8,0x63CE,
@@ -7413,7 +7413,7 @@
 0x64A8,0x64AC,0x64B3,0x64BD,0x64BE,0x64BF};
 
 /* page 25 0x4121-0x417E */
-static uint16 tab_jisx0212_uni25[]={
+static uint16_t tab_jisx0212_uni25[]={
 0x64C4,0x64C9,0x64CA,0x64CB,0x64CC,0x64CE,0x64D0,0x64D1,
 0x64D5,0x64D7,0x64E4,0x64E5,0x64E9,0x64EA,0x64ED,0x64F0,
 0x64F5,0x64F7,0x64FB,0x64FF,0x6501,0x6504,0x6508,0x6509,
@@ -7428,7 +7428,7 @@
 0x660D,0x6611,0x6612,0x6615,0x6616,0x661D};
 
 /* page 26 0x4221-0x427E */
-static uint16 tab_jisx0212_uni26[]={
+static uint16_t tab_jisx0212_uni26[]={
 0x661E,0x6621,0x6622,0x6623,0x6624,0x6626,0x6629,0x662A,
 0x662B,0x662C,0x662E,0x6630,0x6631,0x6633,0x6639,0x6637,
 0x6640,0x6645,0x6646,0x664A,0x664C,0x6651,0x664E,0x6657,
@@ -7443,7 +7443,7 @@
 0x6747,0x6748,0x674C,0x6754,0x6755,0x675D};
 
 /* page 27 0x4321-0x437E */
-static uint16 tab_jisx0212_uni27[]={
+static uint16_t tab_jisx0212_uni27[]={
 0x6766,0x676C,0x676E,0x6774,0x6776,0x677B,0x6781,0x6784,
 0x678E,0x678F,0x6791,0x6793,0x6796,0x6798,0x6799,0x679B,
 0x67B0,0x67B1,0x67B2,0x67B5,0x67BB,0x67BC,0x67BD,0x67F9,
@@ -7458,7 +7458,7 @@
 0x68B2,0x68BB,0x68C5,0x68C8,0x68CC,0x68CF};
 
 /* page 28 0x4421-0x447E */
-static uint16 tab_jisx0212_uni28[]={
+static uint16_t tab_jisx0212_uni28[]={
 0x68D0,0x68D1,0x68D3,0x68D6,0x68D9,0x68DC,0x68DD,0x68E5,
 0x68E8,0x68EA,0x68EB,0x68EC,0x68ED,0x68F0,0x68F1,0x68F5,
 0x68F6,0x68FB,0x68FC,0x68FD,0x6906,0x6909,0x690A,0x6910,
@@ -7473,7 +7473,7 @@
 0x6A1D,0x6A20,0x6A24,0x6A28,0x6A30,0x6A32};
 
 /* page 29 0x4521-0x457E */
-static uint16 tab_jisx0212_uni29[]={
+static uint16_t tab_jisx0212_uni29[]={
 0x6A34,0x6A37,0x6A3B,0x6A3E,0x6A3F,0x6A45,0x6A46,0x6A49,
 0x6A4A,0x6A4E,0x6A50,0x6A51,0x6A52,0x6A55,0x6A56,0x6A5B,
 0x6A64,0x6A67,0x6A6A,0x6A71,0x6A73,0x6A7E,0x6A81,0x6A83,
@@ -7488,7 +7488,7 @@
 0x6B67,0x6B6B,0x6B6E,0x6B70,0x6B75,0x6B7D};
 
 /* page 30 0x4621-0x467E */
-static uint16 tab_jisx0212_uni30[]={
+static uint16_t tab_jisx0212_uni30[]={
 0x6B7E,0x6B82,0x6B85,0x6B97,0x6B9B,0x6B9F,0x6BA0,0x6BA2,
 0x6BA3,0x6BA8,0x6BA9,0x6BAC,0x6BAD,0x6BAE,0x6BB0,0x6BB8,
 0x6BB9,0x6BBD,0x6BBE,0x6BC3,0x6BC4,0x6BC9,0x6BCC,0x6BD6,
@@ -7503,7 +7503,7 @@
 0x6CCF,0x6CD0,0x6CD1,0x6CD2,0x6CD4,0x6CD6};
 
 /* page 31 0x4721-0x477E */
-static uint16 tab_jisx0212_uni31[]={
+static uint16_t tab_jisx0212_uni31[]={
 0x6CDA,0x6CDC,0x6CE0,0x6CE7,0x6CE9,0x6CEB,0x6CEC,0x6CEE,
 0x6CF2,0x6CF4,0x6D04,0x6D07,0x6D0A,0x6D0E,0x6D0F,0x6D11,
 0x6D13,0x6D1A,0x6D26,0x6D27,0x6D28,0x6C67,0x6D2E,0x6D2F,
@@ -7518,7 +7518,7 @@
 0x6E53,0x6E54,0x6E57,0x6E5C,0x6E5D,0x6E5E};
 
 /* page 32 0x4821-0x487E */
-static uint16 tab_jisx0212_uni32[]={
+static uint16_t tab_jisx0212_uni32[]={
 0x6E62,0x6E63,0x6E68,0x6E73,0x6E7B,0x6E7D,0x6E8D,0x6E93,
 0x6E99,0x6EA0,0x6EA7,0x6EAD,0x6EAE,0x6EB1,0x6EB3,0x6EBB,
 0x6EBF,0x6EC0,0x6EC1,0x6EC3,0x6EC7,0x6EC8,0x6ECA,0x6ECD,
@@ -7533,7 +7533,7 @@
 0x6FB6,0x6FBC,0x6FC5,0x6FC7,0x6FC8,0x6FCA};
 
 /* page 33 0x4921-0x497E */
-static uint16 tab_jisx0212_uni33[]={
+static uint16_t tab_jisx0212_uni33[]={
 0x6FDA,0x6FDE,0x6FE8,0x6FE9,0x6FF0,0x6FF5,0x6FF9,0x6FFC,
 0x6FFD,0x7000,0x7005,0x7006,0x7007,0x700D,0x7017,0x7020,
 0x7023,0x702F,0x7034,0x7037,0x7039,0x703C,0x7043,0x7044,
@@ -7548,7 +7548,7 @@
 0x7152,0x7157,0x715A,0x715C,0x715E,0x7160};
 
 /* page 34 0x4A21-0x4A7E */
-static uint16 tab_jisx0212_uni34[]={
+static uint16_t tab_jisx0212_uni34[]={
 0x7168,0x7179,0x7180,0x7185,0x7187,0x718C,0x7192,0x719A,
 0x719B,0x71A0,0x71A2,0x71AF,0x71B0,0x71B2,0x71B3,0x71BA,
 0x71BF,0x71C0,0x71C1,0x71C4,0x71CB,0x71CC,0x71D3,0x71D6,
@@ -7563,7 +7563,7 @@
 0x72DF,0x72E5,0x72F3,0x72F4,0x72FA,0x72FB};
 
 /* page 35 0x4B21-0x4B7E */
-static uint16 tab_jisx0212_uni35[]={
+static uint16_t tab_jisx0212_uni35[]={
 0x72FE,0x7302,0x7304,0x7305,0x7307,0x730B,0x730D,0x7312,
 0x7313,0x7318,0x7319,0x731E,0x7322,0x7324,0x7327,0x7328,
 0x732C,0x7331,0x7332,0x7335,0x733A,0x733B,0x733D,0x7343,
@@ -7578,7 +7578,7 @@
 0x73F5,0x73F7,0x73F9,0x73FA,0x73FB,0x73FD};
 
 /* page 36 0x4C21-0x4C7E */
-static uint16 tab_jisx0212_uni36[]={
+static uint16_t tab_jisx0212_uni36[]={
 0x73FF,0x7400,0x7401,0x7404,0x7407,0x740A,0x7411,0x741A,
 0x741B,0x7424,0x7426,0x7428,0x7429,0x742A,0x742B,0x742C,
 0x742D,0x742E,0x742F,0x7430,0x7431,0x7439,0x7440,0x7443,
@@ -7593,7 +7593,7 @@
 0x74F4,0x74FA,0x74FB,0x74FC,0x74FF,0x7506};
 
 /* page 37 0x4D21-0x4D7E */
-static uint16 tab_jisx0212_uni37[]={
+static uint16_t tab_jisx0212_uni37[]={
 0x7512,0x7516,0x7517,0x7520,0x7521,0x7524,0x7527,0x7529,
 0x752A,0x752F,0x7536,0x7539,0x753D,0x753E,0x753F,0x7540,
 0x7543,0x7547,0x7548,0x754E,0x7550,0x7552,0x7557,0x755E,
@@ -7608,7 +7608,7 @@
 0x762D,0x7632,0x7633,0x7635,0x7638,0x7639};
 
 /* page 38 0x4E21-0x4E7E */
-static uint16 tab_jisx0212_uni38[]={
+static uint16_t tab_jisx0212_uni38[]={
 0x763A,0x763C,0x764A,0x7640,0x7641,0x7643,0x7644,0x7645,
 0x7649,0x764B,0x7655,0x7659,0x765F,0x7664,0x7665,0x766D,
 0x766E,0x766F,0x7671,0x7674,0x7681,0x7685,0x768C,0x768D,
@@ -7623,7 +7623,7 @@
 0x7757,0x775C,0x775E,0x775F,0x7760,0x7762};
 
 /* page 39 0x4F21-0x4F7E */
-static uint16 tab_jisx0212_uni39[]={
+static uint16_t tab_jisx0212_uni39[]={
 0x7764,0x7767,0x776A,0x776C,0x7770,0x7772,0x7773,0x7774,
 0x777A,0x777D,0x7780,0x7784,0x778C,0x778D,0x7794,0x7795,
 0x7796,0x779A,0x779F,0x77A2,0x77A7,0x77AA,0x77AE,0x77AF,
@@ -7638,7 +7638,7 @@
 0x78AC,0x78AD,0x78B0,0x78B1,0x78B2,0x78B3};
 
 /* page 40 0x5021-0x507E */
-static uint16 tab_jisx0212_uni40[]={
+static uint16_t tab_jisx0212_uni40[]={
 0x78BB,0x78BD,0x78BF,0x78C7,0x78C8,0x78C9,0x78CC,0x78CE,
 0x78D2,0x78D3,0x78D5,0x78D6,0x78E4,0x78DB,0x78DF,0x78E0,
 0x78E1,0x78E6,0x78EA,0x78F2,0x78F3,0x7900,0x78F6,0x78F7,
@@ -7653,7 +7653,7 @@
 0x79CF,0x79D4,0x79D6,0x79DA,0x79DD,0x79DE};
 
 /* page 41 0x5121-0x517E */
-static uint16 tab_jisx0212_uni41[]={
+static uint16_t tab_jisx0212_uni41[]={
 0x79E0,0x79E2,0x79E5,0x79EA,0x79EB,0x79ED,0x79F1,0x79F8,
 0x79FC,0x7A02,0x7A03,0x7A07,0x7A09,0x7A0A,0x7A0C,0x7A11,
 0x7A15,0x7A1B,0x7A1E,0x7A21,0x7A27,0x7A2B,0x7A2D,0x7A2F,
@@ -7668,7 +7668,7 @@
 0x7B2A,0x7B2B,0x7B2D,0x7B2E,0x7B2F,0x7B30};
 
 /* page 42 0x5221-0x527E */
-static uint16 tab_jisx0212_uni42[]={
+static uint16_t tab_jisx0212_uni42[]={
 0x7B31,0x7B34,0x7B3D,0x7B3F,0x7B40,0x7B41,0x7B47,0x7B4E,
 0x7B55,0x7B60,0x7B64,0x7B66,0x7B69,0x7B6A,0x7B6D,0x7B6F,
 0x7B72,0x7B73,0x7B77,0x7B84,0x7B89,0x7B8E,0x7B90,0x7B91,
@@ -7683,7 +7683,7 @@
 0x7C59,0x7C5A,0x7C5B,0x7C5C,0x7C5D,0x7C5E};
 
 /* page 43 0x5321-0x537E */
-static uint16 tab_jisx0212_uni43[]={
+static uint16_t tab_jisx0212_uni43[]={
 0x7C61,0x7C63,0x7C67,0x7C69,0x7C6D,0x7C6E,0x7C70,0x7C72,
 0x7C79,0x7C7C,0x7C7D,0x7C86,0x7C87,0x7C8F,0x7C94,0x7C9E,
 0x7CA0,0x7CA6,0x7CB0,0x7CB6,0x7CB7,0x7CBA,0x7CBB,0x7CBC,
@@ -7698,7 +7698,7 @@
 0x7D8C,0x7D8D,0x7D91,0x7D96,0x7D97,0x7D9D};
 
 /* page 44 0x5421-0x547E */
-static uint16 tab_jisx0212_uni44[]={
+static uint16_t tab_jisx0212_uni44[]={
 0x7D9E,0x7DA6,0x7DA7,0x7DAA,0x7DB3,0x7DB6,0x7DB7,0x7DB9,
 0x7DC2,0x7DC3,0x7DC4,0x7DC5,0x7DC6,0x7DCC,0x7DCD,0x7DCE,
 0x7DD7,0x7DD9,0x7E00,0x7DE2,0x7DE5,0x7DE6,0x7DEA,0x7DEB,
@@ -7713,7 +7713,7 @@
 0x7F61,0x7F63,0x7F64,0x7F65,0x7F66,0x7F6D};
 
 /* page 45 0x5521-0x557E */
-static uint16 tab_jisx0212_uni45[]={
+static uint16_t tab_jisx0212_uni45[]={
 0x7F71,0x7F7D,0x7F7E,0x7F7F,0x7F80,0x7F8B,0x7F8D,0x7F8F,
 0x7F90,0x7F91,0x7F96,0x7F97,0x7F9C,0x7FA1,0x7FA2,0x7FA6,
 0x7FAA,0x7FAD,0x7FB4,0x7FBC,0x7FBF,0x7FC0,0x7FC3,0x7FC8,
@@ -7728,7 +7728,7 @@
 0x80D5,0x80D7,0x80D8,0x80E0,0x80ED,0x80EE};
 
 /* page 46 0x5621-0x567E */
-static uint16 tab_jisx0212_uni46[]={
+static uint16_t tab_jisx0212_uni46[]={
 0x80F0,0x80F2,0x80F3,0x80F6,0x80F9,0x80FA,0x80FE,0x8103,
 0x810B,0x8116,0x8117,0x8118,0x811C,0x811E,0x8120,0x8124,
 0x8127,0x812C,0x8130,0x8135,0x813A,0x813C,0x8145,0x8147,
@@ -7743,7 +7743,7 @@
 0x8234,0x823A,0x8243,0x8244,0x8245,0x8246};
 
 /* page 47 0x5721-0x577E */
-static uint16 tab_jisx0212_uni47[]={
+static uint16_t tab_jisx0212_uni47[]={
 0x824B,0x824E,0x824F,0x8251,0x8256,0x825C,0x8260,0x8263,
 0x8267,0x826D,0x8274,0x827B,0x827D,0x827F,0x8280,0x8281,
 0x8283,0x8284,0x8287,0x8289,0x828A,0x828E,0x8291,0x8294,
@@ -7758,7 +7758,7 @@
 0x8351,0x8355,0x8356,0x8357,0x8370,0x8378};
 
 /* page 48 0x5821-0x587E */
-static uint16 tab_jisx0212_uni48[]={
+static uint16_t tab_jisx0212_uni48[]={
 0x837D,0x837F,0x8380,0x8382,0x8384,0x8386,0x838D,0x8392,
 0x8394,0x8395,0x8398,0x8399,0x839B,0x839C,0x839D,0x83A6,
 0x83A7,0x83A9,0x83AC,0x83BE,0x83BF,0x83C0,0x83C7,0x83C9,
@@ -7773,7 +7773,7 @@
 0x84C2,0x84C7,0x84C8,0x84CC,0x84CF,0x84D3};
 
 /* page 49 0x5921-0x597E */
-static uint16 tab_jisx0212_uni49[]={
+static uint16_t tab_jisx0212_uni49[]={
 0x84DC,0x84E7,0x84EA,0x84EF,0x84F0,0x84F1,0x84F2,0x84F7,
 0x8532,0x84FA,0x84FB,0x84FD,0x8502,0x8503,0x8507,0x850C,
 0x850E,0x8510,0x851C,0x851E,0x8522,0x8523,0x8524,0x8525,
@@ -7788,7 +7788,7 @@
 0x85E6,0x85E8,0x85ED,0x85F3,0x85F6,0x85FC};
 
 /* page 50 0x5A21-0x5A7E */
-static uint16 tab_jisx0212_uni50[]={
+static uint16_t tab_jisx0212_uni50[]={
 0x85FF,0x8600,0x8604,0x8605,0x860D,0x860E,0x8610,0x8611,
 0x8612,0x8618,0x8619,0x861B,0x861E,0x8621,0x8627,0x8629,
 0x8636,0x8638,0x863A,0x863C,0x863D,0x8640,0x8642,0x8646,
@@ -7803,7 +7803,7 @@
 0x8714,0x8719,0x871E,0x871F,0x8721,0x8723};
 
 /* page 51 0x5B21-0x5B7E */
-static uint16 tab_jisx0212_uni51[]={
+static uint16_t tab_jisx0212_uni51[]={
 0x8728,0x872E,0x872F,0x8731,0x8732,0x8739,0x873A,0x873C,
 0x873D,0x873E,0x8740,0x8743,0x8745,0x874D,0x8758,0x875D,
 0x8761,0x8764,0x8765,0x876F,0x8771,0x8772,0x877B,0x8783,
@@ -7818,7 +7818,7 @@
 0x8828,0x882D,0x882E,0x8830,0x8832,0x8835};
 
 /* page 52 0x5C21-0x5C7E */
-static uint16 tab_jisx0212_uni52[]={
+static uint16_t tab_jisx0212_uni52[]={
 0x883A,0x883C,0x8841,0x8843,0x8845,0x8848,0x8849,0x884A,
 0x884B,0x884E,0x8851,0x8855,0x8856,0x8858,0x885A,0x885C,
 0x885F,0x8860,0x8864,0x8869,0x8871,0x8879,0x887B,0x8880,
@@ -7833,7 +7833,7 @@
 0x896B,0x896E,0x8970,0x8973,0x8975,0x897A};
 
 /* page 53 0x5D21-0x5D7E */
-static uint16 tab_jisx0212_uni53[]={
+static uint16_t tab_jisx0212_uni53[]={
 0x897B,0x897C,0x897D,0x8989,0x898D,0x8990,0x8994,0x8995,
 0x899B,0x899C,0x899F,0x89A0,0x89A5,0x89B0,0x89B4,0x89B5,
 0x89B6,0x89B7,0x89BC,0x89D4,0x89D5,0x89D6,0x89D7,0x89D8,
@@ -7848,7 +7848,7 @@
 0x8A9F,0x8AA7,0x8AA9,0x8AAE,0x8AAF,0x8AB3};
 
 /* page 54 0x5E21-0x5E7E */
-static uint16 tab_jisx0212_uni54[]={
+static uint16_t tab_jisx0212_uni54[]={
 0x8AB6,0x8AB7,0x8ABB,0x8ABE,0x8AC3,0x8AC6,0x8AC8,0x8AC9,
 0x8ACA,0x8AD1,0x8AD3,0x8AD4,0x8AD5,0x8AD7,0x8ADD,0x8ADF,
 0x8AEC,0x8AF0,0x8AF4,0x8AF5,0x8AF6,0x8AFC,0x8AFF,0x8B05,
@@ -7863,7 +7863,7 @@
 0x8C73,0x8C75,0x8C76,0x8C7B,0x8C7E,0x8C86};
 
 /* page 55 0x5F21-0x5F7E */
-static uint16 tab_jisx0212_uni55[]={
+static uint16_t tab_jisx0212_uni55[]={
 0x8C87,0x8C8B,0x8C90,0x8C92,0x8C93,0x8C99,0x8C9B,0x8C9C,
 0x8CA4,0x8CB9,0x8CBA,0x8CC5,0x8CC6,0x8CC9,0x8CCB,0x8CCF,
 0x8CD6,0x8CD5,0x8CD9,0x8CDD,0x8CE1,0x8CE8,0x8CEC,0x8CEF,
@@ -7878,7 +7878,7 @@
 0x8E11,0x8E14,0x8E16,0x8E20,0x8E21,0x8E22};
 
 /* page 56 0x6021-0x607E */
-static uint16 tab_jisx0212_uni56[]={
+static uint16_t tab_jisx0212_uni56[]={
 0x8E23,0x8E26,0x8E27,0x8E31,0x8E33,0x8E36,0x8E37,0x8E38,
 0x8E39,0x8E3D,0x8E40,0x8E41,0x8E4B,0x8E4D,0x8E4E,0x8E4F,
 0x8E54,0x8E5B,0x8E5C,0x8E5D,0x8E5E,0x8E61,0x8E62,0x8E69,
@@ -7893,7 +7893,7 @@
 0x8F35,0x8F36,0x8F37,0x8F3A,0x8F40,0x8F41};
 
 /* page 57 0x6121-0x617E */
-static uint16 tab_jisx0212_uni57[]={
+static uint16_t tab_jisx0212_uni57[]={
 0x8F43,0x8F47,0x8F4F,0x8F51,0x8F52,0x8F53,0x8F54,0x8F55,
 0x8F58,0x8F5D,0x8F5E,0x8F65,0x8F9D,0x8FA0,0x8FA1,0x8FA4,
 0x8FA5,0x8FA6,0x8FB5,0x8FB6,0x8FB8,0x8FBE,0x8FC0,0x8FC1,
@@ -7908,7 +7908,7 @@
 0x90B4,0x90B6,0x90BD,0x90CC,0x90BE,0x90C3};
 
 /* page 58 0x6221-0x627E */
-static uint16 tab_jisx0212_uni58[]={
+static uint16_t tab_jisx0212_uni58[]={
 0x90C4,0x90C5,0x90C7,0x90C8,0x90D5,0x90D7,0x90D8,0x90D9,
 0x90DC,0x90DD,0x90DF,0x90E5,0x90D2,0x90F6,0x90EB,0x90EF,
 0x90F0,0x90F4,0x90FE,0x90FF,0x9100,0x9104,0x9105,0x9106,
@@ -7923,7 +7923,7 @@
 0x91B3,0x91B6,0x91BB,0x91BC,0x91BD,0x91BF};
 
 /* page 59 0x6321-0x637E */
-static uint16 tab_jisx0212_uni59[]={
+static uint16_t tab_jisx0212_uni59[]={
 0x91C2,0x91C3,0x91C5,0x91D3,0x91D4,0x91D7,0x91D9,0x91DA,
 0x91DE,0x91E4,0x91E5,0x91E9,0x91EA,0x91EC,0x91ED,0x91EE,
 0x91EF,0x91F0,0x91F1,0x91F7,0x91F9,0x91FB,0x91FD,0x9200,
@@ -7938,7 +7938,7 @@
 0x9289,0x928A,0x928D,0x928E,0x9292,0x9297};
 
 /* page 60 0x6421-0x647E */
-static uint16 tab_jisx0212_uni60[]={
+static uint16_t tab_jisx0212_uni60[]={
 0x9299,0x929F,0x92A0,0x92A4,0x92A5,0x92A7,0x92A8,0x92AB,
 0x92AF,0x92B2,0x92B6,0x92B8,0x92BA,0x92BB,0x92BC,0x92BD,
 0x92BF,0x92C0,0x92C1,0x92C2,0x92C3,0x92C5,0x92C6,0x92C7,
@@ -7953,7 +7953,7 @@
 0x936F,0x9370,0x9371,0x9373,0x9374,0x9376};
 
 /* page 61 0x6521-0x657E */
-static uint16 tab_jisx0212_uni61[]={
+static uint16_t tab_jisx0212_uni61[]={
 0x937A,0x937D,0x937F,0x9380,0x9381,0x9382,0x9388,0x938A,
 0x938B,0x938D,0x938F,0x9392,0x9395,0x9398,0x939B,0x939E,
 0x93A1,0x93A3,0x93A4,0x93A6,0x93A8,0x93AB,0x93B4,0x93B5,
@@ -7968,7 +7968,7 @@
 0x9471,0x9472,0x9484,0x9483,0x9578,0x9579};
 
 /* page 62 0x6621-0x667E */
-static uint16 tab_jisx0212_uni62[]={
+static uint16_t tab_jisx0212_uni62[]={
 0x957E,0x9584,0x9588,0x958C,0x958D,0x958E,0x959D,0x959E,
 0x959F,0x95A1,0x95A6,0x95A9,0x95AB,0x95AC,0x95B4,0x95B6,
 0x95BA,0x95BD,0x95BF,0x95C6,0x95C8,0x95C9,0x95CB,0x95D0,
@@ -7983,7 +7983,7 @@
 0x96DF,0x96E9,0x96EF,0x96F1,0x96FA,0x9702};
 
 /* page 63 0x6721-0x677E */
-static uint16 tab_jisx0212_uni63[]={
+static uint16_t tab_jisx0212_uni63[]={
 0x9703,0x9705,0x9709,0x971A,0x971B,0x971D,0x9721,0x9722,
 0x9723,0x9728,0x9731,0x9733,0x9741,0x9743,0x974A,0x974E,
 0x974F,0x9755,0x9757,0x9758,0x975A,0x975B,0x9763,0x9767,
@@ -7998,7 +7998,7 @@
 0x9816,0x981C,0x981E,0x9820,0x9823,0x9826};
 
 /* page 64 0x6821-0x687E */
-static uint16 tab_jisx0212_uni64[]={
+static uint16_t tab_jisx0212_uni64[]={
 0x982B,0x982E,0x982F,0x9830,0x9832,0x9833,0x9835,0x9825,
 0x983E,0x9844,0x9847,0x984A,0x9851,0x9852,0x9853,0x9856,
 0x9857,0x9859,0x985A,0x9862,0x9863,0x9865,0x9866,0x986A,
@@ -8013,7 +8013,7 @@
 0x999F,0x99A6,0x99B0,0x99B1,0x99B2,0x99B5};
 
 /* page 65 0x6921-0x697E */
-static uint16 tab_jisx0212_uni65[]={
+static uint16_t tab_jisx0212_uni65[]={
 0x99B9,0x99BA,0x99BD,0x99BF,0x99C3,0x99C9,0x99D3,0x99D4,
 0x99D9,0x99DA,0x99DC,0x99DE,0x99E7,0x99EA,0x99EB,0x99EC,
 0x99F0,0x99F4,0x99F5,0x99F9,0x99FD,0x99FE,0x9A02,0x9A03,
@@ -8028,7 +8028,7 @@
 0x9AFD,0x9AFF,0x9B00,0x9B01,0x9B02,0x9B03};
 
 /* page 66 0x6A21-0x6A7E */
-static uint16 tab_jisx0212_uni66[]={
+static uint16_t tab_jisx0212_uni66[]={
 0x9B04,0x9B05,0x9B08,0x9B09,0x9B0B,0x9B0C,0x9B0D,0x9B0E,
 0x9B10,0x9B12,0x9B16,0x9B19,0x9B1B,0x9B1C,0x9B20,0x9B26,
 0x9B2B,0x9B2D,0x9B33,0x9B34,0x9B35,0x9B37,0x9B39,0x9B3A,
@@ -8043,7 +8043,7 @@
 0x9BEA,0x9BEB,0x9BEF,0x9BF3,0x9BF7,0x9BF8};
 
 /* page 67 0x6B21-0x6B7E */
-static uint16 tab_jisx0212_uni67[]={
+static uint16_t tab_jisx0212_uni67[]={
 0x9BF9,0x9BFA,0x9BFD,0x9BFF,0x9C00,0x9C02,0x9C0B,0x9C0F,
 0x9C11,0x9C16,0x9C18,0x9C19,0x9C1A,0x9C1C,0x9C1E,0x9C22,
 0x9C23,0x9C26,0x9C27,0x9C28,0x9C29,0x9C2A,0x9C31,0x9C35,
@@ -8058,7 +8058,7 @@
 0x9D6A,0x9D6B,0x9D70,0x9D76,0x9D77,0x9D7B};
 
 /* page 68 0x6C21-0x6C7E */
-static uint16 tab_jisx0212_uni68[]={
+static uint16_t tab_jisx0212_uni68[]={
 0x9D7C,0x9D7E,0x9D83,0x9D84,0x9D86,0x9D8A,0x9D8D,0x9D8E,
 0x9D92,0x9D93,0x9D95,0x9D96,0x9D97,0x9D98,0x9DA1,0x9DAA,
 0x9DAC,0x9DAE,0x9DB1,0x9DB5,0x9DB9,0x9DBC,0x9DBF,0x9DC3,
@@ -8073,7 +8073,7 @@
 0x9EED,0x9EEE,0x9EF0,0x9EF1,0x9EF2,0x9EF5};
 
 /* page 69 0x6D21-0x6D63 */
-static uint16 tab_jisx0212_uni69[]={
+static uint16_t tab_jisx0212_uni69[]={
 0x9EF8,0x9EFF,0x9F02,0x9F03,0x9F09,0x9F0F,0x9F10,0x9F11,
 0x9F12,0x9F14,0x9F16,0x9F17,0x9F19,0x9F1A,0x9F1B,0x9F1F,
 0x9F22,0x9F26,0x9F2A,0x9F2B,0x9F2F,0x9F31,0x9F32,0x9F34,
@@ -8239,7 +8239,7 @@
 */
 
 static
-size_t my_well_formed_len_ujis(CHARSET_INFO *cs __attribute__((unused)),
+size_t my_well_formed_len_ujis(const CHARSET_INFO *cs __attribute__((unused)),
                                const char *beg, const char *end,
                                size_t pos, int *error)
 {
@@ -8289,7 +8289,7 @@
 
 
 static
-size_t my_numcells_eucjp(CHARSET_INFO *cs __attribute__((unused)),
+size_t my_numcells_eucjp(const CHARSET_INFO *cs __attribute__((unused)),
                        const char *str, const char *str_end)
 {
   size_t clen;
@@ -8324,7 +8324,7 @@
 
 
 static int
-my_mb_wc_euc_jp(CHARSET_INFO *cs,my_wc_t *pwc, const uchar *s, const uchar *e)
+my_mb_wc_euc_jp(const CHARSET_INFO *cs,my_wc_t *pwc, const uchar *s, const uchar *e)
 {
   int c1,c2,c3;
   
@@ -8412,7 +8412,7 @@
 
 
 static int
-my_wc_mb_euc_jp(CHARSET_INFO *c,my_wc_t wc, uchar *s, uchar *e)
+my_wc_mb_euc_jp(const CHARSET_INFO *c,my_wc_t wc, uchar *s, uchar *e)
 {
   uchar c1;
   int jp;

=== modified file 'mystrings/ctype-utf8.c'
--- mystrings/ctype-utf8.c	2008-07-30 05:33:20 +0000
+++ mystrings/ctype-utf8.c	2008-07-31 19:53:42 +0000
@@ -1738,7 +1738,7 @@
     @retval  1 if matched with wildcard.
 */
 
-int my_wildcmp_unicode(CHARSET_INFO *cs,
+int my_wildcmp_unicode(const CHARSET_INFO *cs,
 		       const char *str,const char *str_end,
 		       const char *wildstr,const char *wildend,
 		       int escape, int w_one, int w_many,
@@ -1747,8 +1747,7 @@
   int result= -1;			/* Not found, using wildcards */
   my_wc_t s_wc=0, w_wc=0;
   int scan, plane;
-  int (*mb_wc)(struct charset_info_st *, my_wc_t *,
-               const uchar *, const uchar *);
+  my_charset_conv_mb_wc mb_wc;
   mb_wc= cs->cset->mb_wc;
   
   while (wildstr != wildend)
@@ -1980,7 +1979,7 @@
 
 
 static int
-my_mb_wc_utf8mb4(CHARSET_INFO *cs __attribute__((unused)),
+my_mb_wc_utf8mb4(const CHARSET_INFO *cs __attribute__((unused)),
                  my_wc_t * pwc, const uchar *s, const uchar *e)
 {
   uchar c;
@@ -2046,7 +2045,7 @@
   for example, for a null-terminated string
 */
 static int
-my_mb_wc_utf8mb4_no_range(CHARSET_INFO *cs __attribute__((unused)),
+my_mb_wc_utf8mb4_no_range(const CHARSET_INFO *cs __attribute__((unused)),
                           my_wc_t *pwc, const uchar *s)
 {
   uchar c;
@@ -2100,7 +2099,7 @@
 
 
 static int
-my_wc_mb_utf8mb4(CHARSET_INFO *cs __attribute__((unused)),
+my_wc_mb_utf8mb4(const CHARSET_INFO *cs __attribute__((unused)),
                  my_wc_t wc, uchar *r, uchar *e)
 {
   int count;
@@ -2136,7 +2135,7 @@
   The same as above, but without range check.
 */
 static int
-my_wc_mb_utf8mb4_no_range(CHARSET_INFO *cs __attribute__((unused)),
+my_wc_mb_utf8mb4_no_range(const CHARSET_INFO *cs __attribute__((unused)),
                           my_wc_t wc, uchar *r)
 {
   int count;
@@ -2202,7 +2201,7 @@
 
 
 static size_t
-my_caseup_utf8mb4(CHARSET_INFO *cs, char *src, size_t srclen,
+my_caseup_utf8mb4(const CHARSET_INFO *cs, char *src, size_t srclen,
                   char *dst, size_t dstlen)
 {
   my_wc_t wc;
@@ -2234,7 +2233,7 @@
 
 
 static void
-my_hash_sort_utf8mb4(CHARSET_INFO *cs, const uchar *s, size_t slen,
+my_hash_sort_utf8mb4(const CHARSET_INFO *cs, const uchar *s, size_t slen,
                      ulong *n1, ulong *n2)
 {
   my_wc_t wc;
@@ -2271,7 +2270,7 @@
 
 
 static size_t
-my_caseup_str_utf8mb4(CHARSET_INFO *cs, char *src)
+my_caseup_str_utf8mb4(const CHARSET_INFO *cs, char *src)
 {
   my_wc_t wc;
   int srcres, dstres;
@@ -2294,7 +2293,7 @@
 
 
 static size_t
-my_casedn_utf8mb4(CHARSET_INFO *cs,
+my_casedn_utf8mb4(const CHARSET_INFO *cs,
                   char *src, size_t srclen,
                   char *dst, size_t dstlen)
 {
@@ -2319,7 +2318,7 @@
 
 
 static size_t
-my_casedn_str_utf8mb4(CHARSET_INFO *cs, char *src)
+my_casedn_str_utf8mb4(const CHARSET_INFO *cs, char *src)
 {
   my_wc_t wc;
   int srcres, dstres;
@@ -2358,7 +2357,7 @@
 
 
 static int
-my_strnncoll_utf8mb4(CHARSET_INFO *cs,
+my_strnncoll_utf8mb4(const CHARSET_INFO *cs,
                      const uchar *s, size_t slen,
                      const uchar *t, size_t tlen,
                      my_bool t_is_prefix)
@@ -2422,7 +2421,7 @@
 */
 
 static int
-my_strnncollsp_utf8mb4(CHARSET_INFO *cs,
+my_strnncollsp_utf8mb4(const CHARSET_INFO *cs,
                        const uchar *s, size_t slen,
                        const uchar *t, size_t tlen,
                        my_bool diff_if_only_endspace_difference)
@@ -2510,7 +2509,7 @@
 */
 
 static int
-my_strcasecmp_utf8mb4(CHARSET_INFO *cs, const char *s, const char *t)
+my_strcasecmp_utf8mb4(const CHARSET_INFO *cs, const char *s, const char *t)
 {
   MY_UNICASE_INFO **uni_plane= cs->caseinfo;
   while (s[0] && t[0])
@@ -2570,7 +2569,7 @@
 
 
 static int
-my_wildcmp_utf8mb4(CHARSET_INFO *cs,
+my_wildcmp_utf8mb4(const CHARSET_INFO *cs,
                    const char *str, const char *strend,
                    const char *wildstr, const char *wildend,
                    int escape, int w_one, int w_many)
@@ -2581,7 +2580,7 @@
 
 
 static size_t
-my_strnxfrmlen_utf8mb4(CHARSET_INFO *cs __attribute__((unused)), size_t len)
+my_strnxfrmlen_utf8mb4(const CHARSET_INFO *cs __attribute__((unused)), size_t len)
 {
   /* TODO: fix when working on WL "Unicode new version" */
   return (len * 2 + 2) / 4;
@@ -2589,7 +2588,7 @@
 
 
 static size_t
-my_strnxfrm_utf8mb4(CHARSET_INFO *cs,
+my_strnxfrm_utf8mb4(const CHARSET_INFO *cs,
                     uchar *dst, size_t dstlen, uint nweights,
                     const uchar *src, size_t srclen, uint flags)
 {
@@ -2634,7 +2633,7 @@
 
 
 static uint
-my_ismbchar_utf8mb4(CHARSET_INFO *cs, const char *b, const char *e)
+my_ismbchar_utf8mb4(const CHARSET_INFO *cs, const char *b, const char *e)
 {
   my_wc_t wc;
   int res= my_mb_wc_utf8mb4(cs,&wc, (const uchar*)b, (const uchar*)e);
@@ -2643,7 +2642,7 @@
 
 
 static uint
-my_mbcharlen_utf8mb4(CHARSET_INFO *cs  __attribute__((unused)), uint c)
+my_mbcharlen_utf8mb4(const CHARSET_INFO *cs  __attribute__((unused)), uint c)
 {
   if (c < 0x80)
     return 1;
@@ -2875,7 +2874,7 @@
 
 
 static int
-my_mb_wc_utf8mb3(CHARSET_INFO *cs __attribute__((unused)),
+my_mb_wc_utf8mb3(const CHARSET_INFO *cs __attribute__((unused)),
                  my_wc_t * pwc, const uchar *s, const uchar *e)
 {
   uchar c;
@@ -2986,7 +2985,7 @@
   for example, for a null-terminated string
 */
 static int
-my_mb_wc_utf8mb3_no_range(CHARSET_INFO *cs __attribute__((unused)),
+my_mb_wc_utf8mb3_no_range(const CHARSET_INFO *cs __attribute__((unused)),
                           my_wc_t * pwc, const uchar *s)
 {
   uchar c;
@@ -3028,7 +3027,7 @@
 
 
 static int
-my_wc_mb_utf8mb3(CHARSET_INFO *cs __attribute__((unused)),
+my_wc_mb_utf8mb3(const CHARSET_INFO *cs __attribute__((unused)),
                  my_wc_t wc, uchar *r, uchar *e)
 {
   int count;
@@ -3078,7 +3077,7 @@
   The same as above, but without range check.
 */
 static int
-my_wc_mb_utf8mb3_no_range(CHARSET_INFO *cs __attribute__((unused)),
+my_wc_mb_utf8mb3_no_range(const CHARSET_INFO *cs __attribute__((unused)),
                           my_wc_t wc, uchar *r)
 {
   int count;
@@ -3104,7 +3103,7 @@
 
 
 static size_t
-my_caseup_utf8mb3(CHARSET_INFO *cs, char *src, size_t srclen,
+my_caseup_utf8mb3(const CHARSET_INFO *cs, char *src, size_t srclen,
                   char *dst, size_t dstlen)
 {
   my_wc_t wc;
@@ -3129,7 +3128,7 @@
 
 
 static void
-my_hash_sort_utf8mb3(CHARSET_INFO *cs, const uchar *s, size_t slen,
+my_hash_sort_utf8mb3(const CHARSET_INFO *cs, const uchar *s, size_t slen,
                      ulong *n1, ulong *n2)
 {
   my_wc_t wc;
@@ -3159,7 +3158,7 @@
 
 
 static size_t
-my_caseup_str_utf8mb3(CHARSET_INFO *cs, char *src)
+my_caseup_str_utf8mb3(const CHARSET_INFO *cs, char *src)
 {
   my_wc_t wc;
   int srcres, dstres;
@@ -3183,7 +3182,7 @@
 
 
 static size_t
-my_casedn_utf8mb3(CHARSET_INFO *cs, char *src, size_t srclen,
+my_casedn_utf8mb3(const CHARSET_INFO *cs, char *src, size_t srclen,
                   char *dst, size_t dstlen)
 {
   my_wc_t wc;
@@ -3208,7 +3207,7 @@
 
 
 static size_t
-my_casedn_str_utf8mb3(CHARSET_INFO *cs, char *src)
+my_casedn_str_utf8mb3(const CHARSET_INFO *cs, char *src)
 {
   my_wc_t wc;
   int srcres, dstres;
@@ -3248,7 +3247,7 @@
 
 
 static int
-my_strnncoll_utf8mb3(CHARSET_INFO *cs,
+my_strnncoll_utf8mb3(const CHARSET_INFO *cs,
                      const uchar *s, size_t slen,
                      const uchar *t, size_t tlen,
                      my_bool t_is_prefix)
@@ -3315,7 +3314,7 @@
 */
 
 static int
-my_strnncollsp_utf8mb3(CHARSET_INFO *cs,
+my_strnncollsp_utf8mb3(const CHARSET_INFO *cs,
                        const uchar *s, size_t slen,
                        const uchar *t, size_t tlen,
                        my_bool diff_if_only_endspace_difference)
@@ -3409,7 +3408,7 @@
 */
 
 static int
-my_strcasecmp_utf8mb3(CHARSET_INFO *cs, const char *s, const char *t)
+my_strcasecmp_utf8mb3(const CHARSET_INFO *cs, const char *s, const char *t)
 {
   MY_UNICASE_INFO **uni_plane= cs->caseinfo;
   while (s[0] && t[0])
@@ -3492,7 +3491,7 @@
 
 
 static int
-my_wildcmp_utf8mb3(CHARSET_INFO *cs,
+my_wildcmp_utf8mb3(const CHARSET_INFO *cs,
 		   const char *str,const char *str_end,
 		   const char *wildstr,const char *wildend,
 		   int escape, int w_one, int w_many)
@@ -3504,14 +3503,14 @@
 
 
 static size_t
-my_strnxfrmlen_utf8mb3(CHARSET_INFO *cs __attribute__((unused)), size_t len)
+my_strnxfrmlen_utf8mb3(const CHARSET_INFO *cs __attribute__((unused)), size_t len)
 {
   return (len * 2 + 2) / 3;
 }
 
 
 static size_t
-my_strnxfrm_utf8mb3(CHARSET_INFO *cs,
+my_strnxfrm_utf8mb3(const CHARSET_INFO *cs,
                     uchar *dst, size_t dstlen, uint nweights,
                     const uchar *src, size_t srclen, uint flags)
 {
@@ -3556,7 +3555,7 @@
 
 
 static size_t
-my_strnxfrm_utf8mb3_bin(CHARSET_INFO *cs,
+my_strnxfrm_utf8mb3_bin(const CHARSET_INFO *cs,
                         uchar *dst, size_t dstlen, uint nweights,
                         const uchar *src, size_t srclen, uint flags)
 {
@@ -3595,7 +3594,7 @@
 
 
 static uint
-my_ismbchar_utf8mb3(CHARSET_INFO *cs, const char *b, const char *e)
+my_ismbchar_utf8mb3(const CHARSET_INFO *cs, const char *b, const char *e)
 {
   my_wc_t wc;
   int  res= my_mb_wc_utf8mb3(cs, &wc, (const uchar*) b, (const uchar*) e);
@@ -3604,7 +3603,7 @@
 
 
 static uint
-my_mbcharlen_utf8mb3(CHARSET_INFO *cs  __attribute__((unused)), uint c)
+my_mbcharlen_utf8mb3(const CHARSET_INFO *cs  __attribute__((unused)), uint c)
 {
   if (c < 0x80)
     return 1;
@@ -5069,7 +5068,7 @@
 #define MY_FILENAME_ESCAPE '@'
 
 static int
-my_mb_wc_filename(CHARSET_INFO *cs __attribute__((unused)),
+my_mb_wc_filename(const CHARSET_INFO *cs __attribute__((unused)),
                   my_wc_t *pwc, const uchar *s, const uchar *e)
 {
   int byte1, byte2;
@@ -5127,7 +5126,7 @@
 
 
 static int
-my_wc_mb_filename(CHARSET_INFO *cs __attribute__((unused)),
+my_wc_mb_filename(const CHARSET_INFO *cs __attribute__((unused)),
                   my_wc_t wc, uchar *s, uchar *e)
 {
   int code;

=== modified file 'mystrings/ctype-win1250ch.c'
--- mystrings/ctype-win1250ch.c	2008-07-30 17:03:00 +0000
+++ mystrings/ctype-win1250ch.c	2008-07-31 19:53:42 +0000
@@ -42,7 +42,7 @@
 #ifdef HAVE_CHARSET_cp1250
 
 
-static uint16 tab_cp1250_uni[256]={
+static uint16_t tab_cp1250_uni[256]={
      0,0x0001,0x0002,0x0003,0x0004,0x0005,0x0006,0x0007,
 0x0008,0x0009,0x000A,0x000B,0x000C,0x000D,0x000E,0x000F,
 0x0010,0x0011,0x0012,0x0013,0x0014,0x0015,0x0016,0x0017,
@@ -459,7 +459,7 @@
 
 #define IS_END(p, src, len)	(((char *)p - (char *)src) >= (len))
 
-static int my_strnncoll_win1250ch(CHARSET_INFO *cs __attribute__((unused)), 
+static int my_strnncoll_win1250ch(const CHARSET_INFO *cs __attribute__((unused)), 
 				  const uchar *s1, size_t len1,
                                   const uchar *s2, size_t len2,
                                   my_bool s2_is_prefix)
@@ -490,7 +490,7 @@
 */
 
 static int
-my_strnncollsp_win1250ch(CHARSET_INFO * cs __attribute__((unused)),
+my_strnncollsp_win1250ch(const CHARSET_INFO * cs __attribute__((unused)),
                          const uchar *s, size_t slen,
                          const uchar *t, size_t tlen,
                          my_bool diff_if_only_endspace_difference
@@ -540,7 +540,7 @@
 
 
 static size_t
-my_strnxfrm_win1250ch(CHARSET_INFO * cs  __attribute__((unused)),
+my_strnxfrm_win1250ch(const CHARSET_INFO * cs  __attribute__((unused)),
                       uchar *dst, size_t dstlen, uint nweights_arg,
                       const uchar *src, size_t srclen, uint flags)
 {
@@ -686,9 +686,9 @@
 */
 
 static my_bool
-my_like_range_win1250ch(CHARSET_INFO *cs __attribute__((unused)),
+my_like_range_win1250ch(const CHARSET_INFO *cs __attribute__((unused)),
 			const char *ptr, size_t ptr_length,
-			pbool escape, pbool w_one, pbool w_many,
+			char escape, char w_one, char w_many,
 			size_t res_length,
 			char *min_str, char *max_str,
 			size_t *min_length, size_t *max_length)

=== modified file 'mystrings/m_ctype.h'
--- mystrings/m_ctype.h	2008-07-29 23:35:42 +0000
+++ mystrings/m_ctype.h	2008-07-31 19:53:42 +0000
@@ -164,37 +164,37 @@
 {
   my_bool (*init)(struct charset_info_st *, void *(*alloc)(size_t));
   /* Collation routines */
-  int     (*strnncoll)(struct charset_info_st *,
+  int     (*strnncoll)(const struct charset_info_st *,
 		       const uchar *, size_t, const uchar *, size_t, my_bool);
-  int     (*strnncollsp)(struct charset_info_st *,
+  int     (*strnncollsp)(const struct charset_info_st *,
                          const uchar *, size_t, const uchar *, size_t,
                          my_bool diff_if_only_endspace_difference);
-  size_t  (*strnxfrm)(struct charset_info_st *,
+  size_t  (*strnxfrm)(const struct charset_info_st *,
                       uchar *dst, size_t dstlen, uint nweights,
                       const uchar *src, size_t srclen, uint flags);
-  size_t    (*strnxfrmlen)(struct charset_info_st *, size_t);
-  my_bool (*like_range)(struct charset_info_st *,
+  size_t    (*strnxfrmlen)(const struct charset_info_st *, size_t);
+  my_bool (*like_range)(const struct charset_info_st *,
                         const char *s, size_t s_length,
                         char escape, char w_one, char w_many,
                         size_t res_length,
                         char *min_str, char *max_str,
                         size_t *min_len, size_t *max_len);
-  int     (*wildcmp)(struct charset_info_st *,
+  int     (*wildcmp)(const struct charset_info_st *,
   		     const char *str,const char *str_end,
                      const char *wildstr,const char *wildend,
                      int escape,int w_one, int w_many);
 
-  int  (*strcasecmp)(struct charset_info_st *, const char *, const char *);
+  int  (*strcasecmp)(const struct charset_info_st *, const char *, const char *);
   
-  uint (*instr)(struct charset_info_st *,
+  uint (*instr)(const struct charset_info_st *,
                 const char *b, size_t b_length,
                 const char *s, size_t s_length,
                 my_match_t *match, uint nmatch);
   
   /* Hash calculation */
-  void (*hash_sort)(struct charset_info_st *cs, const uchar *key, size_t len,
+  void (*hash_sort)(const struct charset_info_st *cs, const uchar *key, size_t len,
 		    ulong *nr1, ulong *nr2); 
-  my_bool (*propagate)(struct charset_info_st *cs, const uchar *str, size_t len);
+  my_bool (*propagate)(const struct charset_info_st *cs, const uchar *str, size_t len);
 } MY_COLLATION_HANDLER;
 
 extern MY_COLLATION_HANDLER my_collation_mb_bin_handler;
@@ -203,11 +203,11 @@
 extern MY_COLLATION_HANDLER my_collation_ucs2_uca_handler;
 
 /* Some typedef to make it easy for C++ to make function pointers */
-typedef int (*my_charset_conv_mb_wc)(struct charset_info_st *, my_wc_t *,
+typedef int (*my_charset_conv_mb_wc)(const struct charset_info_st *, my_wc_t *,
                                      const uchar *, const uchar *);
-typedef int (*my_charset_conv_wc_mb)(struct charset_info_st *, my_wc_t,
+typedef int (*my_charset_conv_wc_mb)(const struct charset_info_st *, my_wc_t,
                                      uchar *, uchar *);
-typedef size_t (*my_charset_conv_case)(struct charset_info_st *,
+typedef size_t (*my_charset_conv_case)(const struct charset_info_st *,
                                        char *, size_t, char *, size_t);
 
 
@@ -216,61 +216,61 @@
 {
   my_bool (*init)(struct charset_info_st *, void *(*alloc)(size_t));
   /* Multibyte routines */
-  uint    (*ismbchar)(struct charset_info_st *, const char *, const char *);
-  uint    (*mbcharlen)(struct charset_info_st *, uint c);
-  size_t  (*numchars)(struct charset_info_st *, const char *b, const char *e);
-  size_t  (*charpos)(struct charset_info_st *, const char *b, const char *e,
+  uint    (*ismbchar)(const struct charset_info_st *, const char *, const char *);
+  uint    (*mbcharlen)(const struct charset_info_st *, uint c);
+  size_t  (*numchars)(const struct charset_info_st *, const char *b, const char *e);
+  size_t  (*charpos)(const struct charset_info_st *, const char *b, const char *e,
                      size_t pos);
-  size_t  (*well_formed_len)(struct charset_info_st *,
+  size_t  (*well_formed_len)(const struct charset_info_st *,
                              const char *b,const char *e,
                              size_t nchars, int *error);
-  size_t  (*lengthsp)(struct charset_info_st *, const char *ptr, size_t length);
-  size_t  (*numcells)(struct charset_info_st *, const char *b, const char *e);
+  size_t  (*lengthsp)(const struct charset_info_st *, const char *ptr, size_t length);
+  size_t  (*numcells)(const struct charset_info_st *, const char *b, const char *e);
   
   /* Unicode conversion */
   my_charset_conv_mb_wc mb_wc;
   my_charset_conv_wc_mb wc_mb;
 
   /* CTYPE scanner */
-  int (*ctype)(struct charset_info_st *cs, int *ctype,
+  int (*ctype)(const struct charset_info_st *cs, int *ctype,
                const uchar *s, const uchar *e);
   
   /* Functions for case and sort conversion */
-  size_t  (*caseup_str)(struct charset_info_st *, char *);
-  size_t  (*casedn_str)(struct charset_info_st *, char *);
+  size_t  (*caseup_str)(const struct charset_info_st *, char *);
+  size_t  (*casedn_str)(const struct charset_info_st *, char *);
 
   my_charset_conv_case caseup;
   my_charset_conv_case casedn;
 
   /* Charset dependant snprintf() */
-  size_t (*snprintf)(struct charset_info_st *, char *to, size_t n,
+  size_t (*snprintf)(const struct charset_info_st *, char *to, size_t n,
                      const char *fmt,
                      ...) __attribute__((format(printf, 4, 5)));
-  size_t (*long10_to_str)(struct charset_info_st *, char *to, size_t n,
+  size_t (*long10_to_str)(const struct charset_info_st *, char *to, size_t n,
                           int radix, long int val);
-  size_t (*int64_t10_to_str)(struct charset_info_st *, char *to, size_t n,
+  size_t (*int64_t10_to_str)(const struct charset_info_st *, char *to, size_t n,
                               int radix, int64_t val);
   
-  void (*fill)(struct charset_info_st *, char *to, size_t len, int fill);
+  void (*fill)(const struct charset_info_st *, char *to, size_t len, int fill);
   
   /* String-to-number conversion routines */
-  long        (*strntol)(struct charset_info_st *, const char *s, size_t l,
-			 int base, char **e, int *err);
-  ulong      (*strntoul)(struct charset_info_st *, const char *s, size_t l,
-			 int base, char **e, int *err);
-  int64_t   (*strntoll)(struct charset_info_st *, const char *s, size_t l,
-			 int base, char **e, int *err);
-  uint64_t (*strntoull)(struct charset_info_st *, const char *s, size_t l,
-			 int base, char **e, int *err);
-  double      (*strntod)(struct charset_info_st *, char *s, size_t l, char **e,
+  long        (*strntol)(const struct charset_info_st *, const char *s, size_t l,
+			 int base, char **e, int *err);
+  ulong      (*strntoul)(const struct charset_info_st *, const char *s, size_t l,
+			 int base, char **e, int *err);
+  int64_t   (*strntoll)(const struct charset_info_st *, const char *s, size_t l,
+			 int base, char **e, int *err);
+  uint64_t (*strntoull)(const struct charset_info_st *, const char *s, size_t l,
+			 int base, char **e, int *err);
+  double      (*strntod)(const struct charset_info_st *, char *s, size_t l, char **e,
 			 int *err);
-  int64_t    (*strtoll10)(struct charset_info_st *cs,
+  int64_t    (*strtoll10)(const struct charset_info_st *cs,
                            const char *nptr, char **endptr, int *error);
-  uint64_t   (*strntoull10rnd)(struct charset_info_st *cs,
+  uint64_t   (*strntoull10rnd)(const struct charset_info_st *cs,
                                 const char *str, size_t length,
                                 int unsigned_fl,
                                 char **endptr, int *error);
-  size_t        (*scan)(struct charset_info_st *, const char *b, const char *e,
+  size_t        (*scan)(const struct charset_info_st *, const char *b, const char *e,
                         int sq);
 } MY_CHARSET_HANDLER;
 
@@ -367,183 +367,183 @@
 
 
 /* declarations for simple charsets */
-extern size_t my_strnxfrm_simple(CHARSET_INFO *,
+extern size_t my_strnxfrm_simple(const CHARSET_INFO *,
                                  uchar *dst, size_t dstlen, uint nweights,
                                  const uchar *src, size_t srclen, uint flags);
-size_t my_strnxfrmlen_simple(CHARSET_INFO *, size_t);
-extern int  my_strnncoll_simple(CHARSET_INFO *, const uchar *, size_t,
+size_t my_strnxfrmlen_simple(const CHARSET_INFO *, size_t);
+extern int  my_strnncoll_simple(const CHARSET_INFO *, const uchar *, size_t,
 				const uchar *, size_t, my_bool);
 
-extern int  my_strnncollsp_simple(CHARSET_INFO *, const uchar *, size_t,
+extern int  my_strnncollsp_simple(const CHARSET_INFO *, const uchar *, size_t,
                                   const uchar *, size_t,
                                   my_bool diff_if_only_endspace_difference);
 
-extern void my_hash_sort_simple(CHARSET_INFO *cs,
+extern void my_hash_sort_simple(const CHARSET_INFO *cs,
 				const uchar *key, size_t len,
 				ulong *nr1, ulong *nr2); 
 
-extern size_t my_lengthsp_8bit(CHARSET_INFO *cs, const char *ptr, size_t length);
+extern size_t my_lengthsp_8bit(const CHARSET_INFO *cs, const char *ptr, size_t length);
 
-extern uint my_instr_simple(struct charset_info_st *,
+extern uint my_instr_simple(const CHARSET_INFO *,
                             const char *b, size_t b_length,
                             const char *s, size_t s_length,
                             my_match_t *match, uint nmatch);
 
 
 /* Functions for 8bit */
-extern size_t my_caseup_str_8bit(CHARSET_INFO *, char *);
-extern size_t my_casedn_str_8bit(CHARSET_INFO *, char *);
-extern size_t my_caseup_8bit(CHARSET_INFO *, char *src, size_t srclen,
-                             char *dst, size_t dstlen);
-extern size_t my_casedn_8bit(CHARSET_INFO *, char *src, size_t srclen,
-                             char *dst, size_t dstlen);
-
-extern int my_strcasecmp_8bit(CHARSET_INFO * cs, const char *, const char *);
-
-int my_mb_wc_8bit(CHARSET_INFO *cs,my_wc_t *wc, const uchar *s,const uchar *e);
-int my_wc_mb_8bit(CHARSET_INFO *cs,my_wc_t wc, uchar *s, uchar *e);
-
-int my_mb_ctype_8bit(CHARSET_INFO *,int *, const uchar *,const uchar *);
-int my_mb_ctype_mb(CHARSET_INFO *,int *, const uchar *,const uchar *);
-
-size_t my_scan_8bit(CHARSET_INFO *cs, const char *b, const char *e, int sq);
-
-size_t my_snprintf_8bit(struct charset_info_st *, char *to, size_t n,
+extern size_t my_caseup_str_8bit(const CHARSET_INFO *, char *);
+extern size_t my_casedn_str_8bit(const CHARSET_INFO *, char *);
+extern size_t my_caseup_8bit(const CHARSET_INFO *, char *src, size_t srclen,
+                             char *dst, size_t dstlen);
+extern size_t my_casedn_8bit(const CHARSET_INFO *, char *src, size_t srclen,
+                             char *dst, size_t dstlen);
+
+extern int my_strcasecmp_8bit(const CHARSET_INFO * cs, const char *, const char *);
+
+int my_mb_wc_8bit(const CHARSET_INFO *cs,my_wc_t *wc, const uchar *s,const uchar *e);
+int my_wc_mb_8bit(const CHARSET_INFO *cs,my_wc_t wc, uchar *s, uchar *e);
+
+int my_mb_ctype_8bit(const CHARSET_INFO *,int *, const uchar *,const uchar *);
+int my_mb_ctype_mb(const CHARSET_INFO *,int *, const uchar *,const uchar *);
+
+size_t my_scan_8bit(const CHARSET_INFO *cs, const char *b, const char *e, int sq);
+
+size_t my_snprintf_8bit(const struct charset_info_st *, char *to, size_t n,
                         const char *fmt, ...)
   __attribute__((format(printf, 4, 5)));
 
-long       my_strntol_8bit(CHARSET_INFO *, const char *s, size_t l, int base,
+long       my_strntol_8bit(const CHARSET_INFO *, const char *s, size_t l, int base,
                            char **e, int *err);
-ulong      my_strntoul_8bit(CHARSET_INFO *, const char *s, size_t l, int base,
-			    char **e, int *err);
-int64_t   my_strntoll_8bit(CHARSET_INFO *, const char *s, size_t l, int base,
-			    char **e, int *err);
-uint64_t my_strntoull_8bit(CHARSET_INFO *, const char *s, size_t l, int base,
-			    char **e, int *err);
-double      my_strntod_8bit(CHARSET_INFO *, char *s, size_t l,char **e,
+ulong      my_strntoul_8bit(const CHARSET_INFO *, const char *s, size_t l, int base,
+			    char **e, int *err);
+int64_t   my_strntoll_8bit(const CHARSET_INFO *, const char *s, size_t l, int base,
+			    char **e, int *err);
+uint64_t my_strntoull_8bit(const CHARSET_INFO *, const char *s, size_t l, int base,
+			    char **e, int *err);
+double      my_strntod_8bit(const CHARSET_INFO *, char *s, size_t l,char **e,
 			    int *err);
-size_t my_long10_to_str_8bit(CHARSET_INFO *, char *to, size_t l, int radix,
+size_t my_long10_to_str_8bit(const CHARSET_INFO *, char *to, size_t l, int radix,
                              long int val);
-size_t my_int64_t10_to_str_8bit(CHARSET_INFO *, char *to, size_t l, int radix,
+size_t my_int64_t10_to_str_8bit(const CHARSET_INFO *, char *to, size_t l, int radix,
                                  int64_t val);
 
-int64_t my_strtoll10_8bit(CHARSET_INFO *cs,
+int64_t my_strtoll10_8bit(const CHARSET_INFO *cs,
                            const char *nptr, char **endptr, int *error);
 int64_t my_strtoll10_ucs2(CHARSET_INFO *cs, 
                            const char *nptr, char **endptr, int *error);
 
-uint64_t my_strntoull10rnd_8bit(CHARSET_INFO *cs,
+uint64_t my_strntoull10rnd_8bit(const CHARSET_INFO *cs,
                                  const char *str, size_t length, int
                                  unsigned_fl, char **endptr, int *error);
 uint64_t my_strntoull10rnd_ucs2(CHARSET_INFO *cs, 
                                  const char *str, size_t length,
                                  int unsigned_fl, char **endptr, int *error);
 
-void my_fill_8bit(CHARSET_INFO *cs, char* to, size_t l, int fill);
+void my_fill_8bit(const CHARSET_INFO *cs, char* to, size_t l, int fill);
 
-my_bool  my_like_range_simple(CHARSET_INFO *cs,
+my_bool  my_like_range_simple(const CHARSET_INFO *cs,
 			      const char *ptr, size_t ptr_length,
 			      char escape, char w_one, char w_many,
 			      size_t res_length,
 			      char *min_str, char *max_str,
 			      size_t *min_length, size_t *max_length);
 
-my_bool  my_like_range_mb(CHARSET_INFO *cs,
+my_bool  my_like_range_mb(const CHARSET_INFO *cs,
 			  const char *ptr, size_t ptr_length,
 			  char escape, char w_one, char w_many,
 			  size_t res_length,
 			  char *min_str, char *max_str,
 			  size_t *min_length, size_t *max_length);
 
-my_bool  my_like_range_ucs2(CHARSET_INFO *cs,
+my_bool  my_like_range_ucs2(const CHARSET_INFO *cs,
 			    const char *ptr, size_t ptr_length,
 			    char escape, char w_one, char w_many,
 			    size_t res_length,
 			    char *min_str, char *max_str,
 			    size_t *min_length, size_t *max_length);
 
-my_bool  my_like_range_utf16(CHARSET_INFO *cs,
-			     const char *ptr, size_t ptr_length,
-			     char escape, char w_one, char w_many,
-			     size_t res_length,
-			     char *min_str, char *max_str,
-			     size_t *min_length, size_t *max_length);
-
-my_bool  my_like_range_utf32(CHARSET_INFO *cs,
-			     const char *ptr, size_t ptr_length,
-			     char escape, char w_one, char w_many,
-			     size_t res_length,
-			     char *min_str, char *max_str,
-			     size_t *min_length, size_t *max_length);
-
-
-int my_wildcmp_8bit(CHARSET_INFO *,
+my_bool  my_like_range_utf16(const CHARSET_INFO *cs,
+			     const char *ptr, size_t ptr_length,
+			     char escape, char w_one, char w_many,
+			     size_t res_length,
+			     char *min_str, char *max_str,
+			     size_t *min_length, size_t *max_length);
+
+my_bool  my_like_range_utf32(const CHARSET_INFO *cs,
+			     const char *ptr, size_t ptr_length,
+			     char escape, char w_one, char w_many,
+			     size_t res_length,
+			     char *min_str, char *max_str,
+			     size_t *min_length, size_t *max_length);
+
+
+int my_wildcmp_8bit(const CHARSET_INFO *,
 		    const char *str,const char *str_end,
 		    const char *wildstr,const char *wildend,
 		    int escape, int w_one, int w_many);
 
-int my_wildcmp_bin(CHARSET_INFO *,
+int my_wildcmp_bin(const CHARSET_INFO *,
 		   const char *str,const char *str_end,
 		   const char *wildstr,const char *wildend,
 		   int escape, int w_one, int w_many);
 
-size_t my_numchars_8bit(CHARSET_INFO *, const char *b, const char *e);
-size_t my_numcells_8bit(CHARSET_INFO *, const char *b, const char *e);
-size_t my_charpos_8bit(CHARSET_INFO *, const char *b, const char *e, size_t pos);
-size_t my_well_formed_len_8bit(CHARSET_INFO *, const char *b, const char *e,
+size_t my_numchars_8bit(const CHARSET_INFO *, const char *b, const char *e);
+size_t my_numcells_8bit(const CHARSET_INFO *, const char *b, const char *e);
+size_t my_charpos_8bit(const CHARSET_INFO *, const char *b, const char *e, size_t pos);
+size_t my_well_formed_len_8bit(const CHARSET_INFO *, const char *b, const char *e,
                              size_t pos, int *error);
-uint my_mbcharlen_8bit(CHARSET_INFO *, uint c);
+uint my_mbcharlen_8bit(const CHARSET_INFO *, uint c);
 
 
 /* Functions for multibyte charsets */
-extern size_t my_caseup_str_mb(CHARSET_INFO *, char *);
-extern size_t my_casedn_str_mb(CHARSET_INFO *, char *);
-extern size_t my_caseup_mb(CHARSET_INFO *, char *src, size_t srclen,
-                                         char *dst, size_t dstlen);
-extern size_t my_casedn_mb(CHARSET_INFO *, char *src, size_t srclen,
-                                         char *dst, size_t dstlen);
-extern int my_strcasecmp_mb(CHARSET_INFO * cs,const char *, const char *);
+extern size_t my_caseup_str_mb(const CHARSET_INFO *, char *);
+extern size_t my_casedn_str_mb(const CHARSET_INFO *, char *);
+extern size_t my_caseup_mb(const CHARSET_INFO *, char *src, size_t srclen,
+                                         char *dst, size_t dstlen);
+extern size_t my_casedn_mb(const CHARSET_INFO *, char *src, size_t srclen,
+                                         char *dst, size_t dstlen);
+extern int my_strcasecmp_mb(const CHARSET_INFO * cs, const char *s, const char *t);
 
-int my_wildcmp_mb(CHARSET_INFO *,
+int my_wildcmp_mb(const CHARSET_INFO *,
 		  const char *str,const char *str_end,
 		  const char *wildstr,const char *wildend,
 		  int escape, int w_one, int w_many);
-size_t my_numchars_mb(CHARSET_INFO *, const char *b, const char *e);
-size_t my_numcells_mb(CHARSET_INFO *, const char *b, const char *e);
-size_t my_charpos_mb(CHARSET_INFO *, const char *b, const char *e, size_t pos);
-size_t my_well_formed_len_mb(CHARSET_INFO *, const char *b, const char *e,
+size_t my_numchars_mb(const CHARSET_INFO *, const char *b, const char *e);
+size_t my_numcells_mb(const CHARSET_INFO *, const char *b, const char *e);
+size_t my_charpos_mb(const CHARSET_INFO *, const char *b, const char *e, size_t pos);
+size_t my_well_formed_len_mb(const CHARSET_INFO *, const char *b, const char *e,
                              size_t pos, int *error);
-uint my_instr_mb(struct charset_info_st *,
+uint my_instr_mb(const CHARSET_INFO *,
                  const char *b, size_t b_length,
                  const char *s, size_t s_length,
                  my_match_t *match, uint nmatch);
 
-int my_strnncoll_mb_bin(CHARSET_INFO * cs,
+int my_strnncoll_mb_bin(const CHARSET_INFO * cs,
                         const uchar *s, size_t slen,
                         const uchar *t, size_t tlen,
                         my_bool t_is_prefix);
 
-int my_strnncollsp_mb_bin(CHARSET_INFO *cs,
+int my_strnncollsp_mb_bin(const CHARSET_INFO *cs,
                           const uchar *a, size_t a_length,
                           const uchar *b, size_t b_length,
                           my_bool diff_if_only_endspace_difference);
 
-int my_wildcmp_mb_bin(CHARSET_INFO *cs,
+int my_wildcmp_mb_bin(const CHARSET_INFO *cs,
                       const char *str,const char *str_end,
                       const char *wildstr,const char *wildend,
                       int escape, int w_one, int w_many);
 
-int my_strcasecmp_mb_bin(CHARSET_INFO * cs __attribute__((unused)),
+int my_strcasecmp_mb_bin(const CHARSET_INFO * cs __attribute__((unused)),
                          const char *s, const char *t);
 
-void my_hash_sort_mb_bin(CHARSET_INFO *cs __attribute__((unused)),
+void my_hash_sort_mb_bin(const CHARSET_INFO *cs __attribute__((unused)),
                          const uchar *key, size_t len,ulong *nr1, ulong *nr2);
 
-size_t my_strnxfrm_mb(CHARSET_INFO *,
+size_t my_strnxfrm_mb(const CHARSET_INFO *,
                       uchar *dst, size_t dstlen, uint nweights,
                       const uchar *src, size_t srclen, uint flags);
 
-int my_wildcmp_unicode(CHARSET_INFO *cs,
+int my_wildcmp_unicode(const CHARSET_INFO *cs,
                        const char *str, const char *str_end,
                        const char *wildstr, const char *wildend,
                        int escape, int w_one, int w_many,
@@ -554,8 +554,8 @@
 extern char *my_strchr(CHARSET_INFO *cs, const char *str, const char *end,
                        char c);
 
-my_bool my_propagate_simple(CHARSET_INFO *cs, const uchar *str, size_t len);
-my_bool my_propagate_complex(CHARSET_INFO *cs, const uchar *str, size_t len);
+my_bool my_propagate_simple(const CHARSET_INFO *cs, const uchar *str, size_t len);
+my_bool my_propagate_complex(const CHARSET_INFO *cs, const uchar *str, size_t len);
 
 
 uint my_string_repertoire(CHARSET_INFO *cs, const char *str, ulong len);
@@ -566,7 +566,7 @@
 uint my_strxfrm_flag_normalize(uint flags, uint nlevels);
 void my_strxfrm_desc_and_reverse(uchar *str, uchar *strend,
                                  uint flags, uint level);
-size_t my_strxfrm_pad_desc_and_reverse(CHARSET_INFO *cs,
+size_t my_strxfrm_pad_desc_and_reverse(const CHARSET_INFO *cs,
                                        uchar *str, uchar *frmend, uchar *strend,
                                        uint nweights, uint flags, uint level);
 

=== modified file 'mystrings/tests/Makefile.am'
--- mystrings/tests/Makefile.am	2008-07-30 19:17:49 +0000
+++ mystrings/tests/Makefile.am	2008-07-31 20:51:18 +0000
@@ -17,8 +17,8 @@
 MYSQLSHAREdir =		$(pkgdatadir)
 MYSQLBASEdir=		$(prefix)
 
-LDADD =			$(top_builddir)/strings/libmysyslt.la \
-			$(top_builddir)/strings/libmystrings.la
+LDADD =			$(top_builddir)/mysys/libmysyslt.la \
+			$(top_builddir)/mystrings/libmystrings.la
 
 DEFS =			-DMAIN \
 			-DDEFAULT_BASEDIR=\"$(prefix)\" \
@@ -37,4 +37,4 @@
 
 str_test_SOURCES = str_test.c 
 uctypedump_SOURCES = uctypedump.c
-test_decimal_SOURCES = ${top_srcdir}/strings/decimal.c
+test_decimal_SOURCES = ${top_srcdir}/mystrings/decimal.c

=== modified file 'mystrings/uca-dump.c'
--- mystrings/uca-dump.c	2008-07-28 09:44:49 +0000
+++ mystrings/uca-dump.c	2008-07-31 19:53:42 +0000
@@ -18,12 +18,12 @@
 #include <string.h>
 
 typedef unsigned char uchar;
-typedef unsigned short uint16;
+typedef unsigned short uint16_t;
 
 struct uca_item_st
 {
   uchar  num;
-  uint16 weight[4][9];
+  uint16_t weight[4][9];
 };
 
 #if 0
@@ -253,12 +253,12 @@
       */
       
       
-      printf("uint16 page%03Xdata%s[]= { /* %04X (%d weights per char) */\n",
+      printf("uint16_t page%03Xdata%s[]= { /* %04X (%d weights per char) */\n",
               page, pname[w], page*MY_UCA_NCHARS, maxnum);
       
       for (offs=0; offs < MY_UCA_NCHARS; offs++)
       {
-        uint16 weight[8];
+        uint16_t weight[8];
         size_t num, i;
         
         code= page*MY_UCA_NCHARS+offs;
@@ -313,7 +313,7 @@
     printf("};\n");
 
 
-    printf("uint16 *uca_weight%s[%d]={\n", pname[w], MY_UCA_NPAGES);
+    printf("uint16_t *uca_weight%s[%d]={\n", pname[w], MY_UCA_NPAGES);
     for (page=0; page < MY_UCA_NPAGES; page++)
     {
       const char *comma= page < MY_UCA_NPAGES-1 ? "," : "";

=== modified file 'mysys/Makefile.am'
--- mysys/Makefile.am	2008-07-30 05:33:20 +0000
+++ mysys/Makefile.am	2008-08-01 06:52:05 +0000
@@ -29,12 +29,13 @@
 # Trick to get things compiled like they are shared, but linked directly in.
 noinst_LTLIBRARIES = libmysyslt.la
 
-pkginclude_HEADERS = 	my_alloc.h \
-			my_getopt.h \
-			my_list.h \
-			my_sys.h \
-			my_pthread.h \
-			typelib.h
+mysysincludedir = ${includedir}/mysys
+dist_mysysinclude_HEADERS = 	my_alloc.h \
+				my_getopt.h \
+				my_list.h \
+				my_sys.h \
+				my_pthread.h \
+				typelib.h
 
 noinst_HEADERS =	mysys_priv.h \
 			my_bit.h \

=== modified file 'mysys/charset.c'
--- mysys/charset.c	2008-07-30 22:10:03 +0000
+++ mysys/charset.c	2008-07-31 19:53:42 +0000
@@ -31,7 +31,7 @@
     - Setting server default character set
 */
 
-bool my_charset_same(CHARSET_INFO *cs1, CHARSET_INFO *cs2)
+bool my_charset_same(const CHARSET_INFO *cs1, const CHARSET_INFO *cs2)
 {
   return ((cs1 == cs2) || !strcmp(cs1->csname,cs2->csname));
 }
@@ -696,7 +696,7 @@
     #           The length of the escaped string
 */
 
-size_t escape_string_for_drizzle(CHARSET_INFO *charset_info,
+size_t escape_string_for_drizzle(const CHARSET_INFO *charset_info,
                                  char *to, size_t to_length,
                                  const char *from, size_t length)
 {
@@ -836,7 +836,7 @@
     >=0         The length of the escaped string
 */
 
-size_t escape_quotes_for_drizzle(CHARSET_INFO *charset_info,
+size_t escape_quotes_for_drizzle(const CHARSET_INFO *charset_info,
                                  char *to, size_t to_length,
                                  const char *from, size_t length)
 {

=== modified file 'mysys/my_sys.h'
--- mysys/my_sys.h	2008-07-30 22:10:03 +0000
+++ mysys/my_sys.h	2008-07-31 19:53:42 +0000
@@ -840,13 +840,13 @@
 
 extern void free_charsets(void);
 extern char *get_charsets_dir(char *buf);
-extern bool my_charset_same(CHARSET_INFO *cs1, CHARSET_INFO *cs2);
+extern bool my_charset_same(const CHARSET_INFO *cs1, const CHARSET_INFO *cs2);
 extern bool init_compiled_charsets(myf flags);
 extern void add_compiled_collation(CHARSET_INFO *cs);
-extern size_t escape_string_for_drizzle(CHARSET_INFO *charset_info,
-                                       char *to, size_t to_length,
-                                       const char *from, size_t length);
-extern size_t escape_quotes_for_drizzle(CHARSET_INFO *charset_info,
+extern size_t escape_string_for_drizzle(const CHARSET_INFO *charset_info,
+                                        char *to, size_t to_length,
+                                        const char *from, size_t length);
+extern size_t escape_quotes_for_drizzle(const CHARSET_INFO *charset_info,
                                         char *to, size_t to_length,
                                         const char *from, size_t length);
 

=== modified file 'mysys/tests/Makefile.am'
--- mysys/tests/Makefile.am	2008-07-30 18:16:15 +0000
+++ mysys/tests/Makefile.am	2008-07-31 20:51:18 +0000
@@ -32,12 +32,11 @@
 # I hope this always does the right thing. Otherwise this is only test programs
 FLAGS=$(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS) @NOINST_LDFLAGS@
 
-noinst_PROGRAMS = test_bitmap test_priority_queue test_thr_alarm test_thr_lock test_vsnprintf test_io_cache testhash test_gethwaddr test_base64 #test_charset
+noinst_PROGRAMS = test_bitmap test_priority_queue test_thr_alarm test_thr_lock test_io_cache testhash test_gethwaddr test_base64 #test_charset
 test_bitmap_SOURCES = $(top_srcdir)/mysys/my_bitmap.c
 test_thr_alarm_SOURCES = $(top_srcdir)/mysys/thr_alarm.c
 test_priority_queue_SOURCES = $(top_srcdir)/mysys/queues.c
 test_thr_lock_SOURCES = $(top_srcdir)/mysys/thr_lock.c
-test_vsnprintf_SOURCES = $(top_srcdir)/strings/my_vsnprintf.c
 test_io_cache_SOURCES = $(top_srcdir)/mysys/mf_iocache.c 
 #test_dir_SOURCES = test_dir.c
 #test_charset_SOURCES = test_charset.c

=== modified file 'tests/Makefile.am'
--- tests/Makefile.am	2008-07-31 06:32:06 +0000
+++ tests/Makefile.am	2008-08-01 04:36:33 +0000
@@ -25,7 +25,7 @@
 EXTRA_DIST = 		$(EXTRA_SCRIPTS) suite
 GENSCRIPTS =		install_test_db dtr test-run
 PRESCRIPTS =		test-run.pl stress-test.pl
-test_SCRIPTS = 		$(GENSCRIPTS) $(PRESCRIPTS)
+noinst_SCRIPTS =	$(GENSCRIPTS) $(PRESCRIPTS)
 CLEANFILES = 		$(GENSCRIPTS) mtr
 noinst_PROGRAMS = 	resolve_stack_dump
 
@@ -72,58 +72,6 @@
 	$(INSTALL_DATA) $(srcdir)/lib/*.pl $(distdir)/lib
 	$(INSTALL_DATA) $(srcdir)/lib/My/*.pm $(distdir)/lib/My
 
-install-data-local:
-	$(mkinstalldirs) \
-		$(DESTDIR)$(testdir)/t \
-		$(DESTDIR)$(testdir)/extra/binlog_tests \
-		$(DESTDIR)$(testdir)/extra/rpl_tests \
-		$(DESTDIR)$(testdir)/r \
-		$(DESTDIR)$(testdir)/include \
-		$(DESTDIR)$(testdir)/std_data \
-		$(DESTDIR)$(testdir)/std_data/parts \
-		$(DESTDIR)$(testdir)/lib \
-		$(DESTDIR)$(testdir)/lib/My
-	$(INSTALL_DATA) $(srcdir)/README $(DESTDIR)$(testdir)
-	-$(INSTALL_DATA) $(srcdir)/t/*.def $(DESTDIR)$(testdir)/t
-	$(INSTALL_DATA) $(srcdir)/t/*.test $(DESTDIR)$(testdir)/t
-	-$(INSTALL_DATA) $(srcdir)/t/*.imtest $(DESTDIR)$(testdir)/t
-	$(INSTALL_DATA) $(srcdir)/t/*.sql $(DESTDIR)$(testdir)/t
-	-$(INSTALL_DATA) $(srcdir)/t/*.disabled $(DESTDIR)$(testdir)/t
-	-$(INSTALL_DATA) $(srcdir)/t/*.opt $(DESTDIR)$(testdir)/t
-	-$(INSTALL_SCRIPT) $(srcdir)/t/*.sh $(DESTDIR)$(testdir)/t
-	-$(INSTALL_DATA) $(srcdir)/t/*.slave-mi $(DESTDIR)$(testdir)/t
-	$(INSTALL_DATA) $(srcdir)/r/*.result $(DESTDIR)$(testdir)/r
-	$(INSTALL_DATA) $(srcdir)/r/*.require $(DESTDIR)$(testdir)/r
-	$(INSTALL_DATA) $(srcdir)/extra/binlog_tests/*.test $(DESTDIR)$(testdir)/extra/binlog_tests
-	$(INSTALL_DATA) $(srcdir)/extra/rpl_tests/*.test $(DESTDIR)$(testdir)/extra/rpl_tests
-	-$(INSTALL_DATA) $(srcdir)/extra/binlog_tests/*.opt $(DESTDIR)$(testdir)/extra/binlog_tests
-	-$(INSTALL_DATA) $(srcdir)/extra/rpl_tests/*.opt $(DESTDIR)$(testdir)/extra/rpl_tests
-	$(INSTALL_DATA) $(srcdir)/include/*.inc $(DESTDIR)$(testdir)/include
-	$(INSTALL_DATA) $(srcdir)/include/*.sql $(DESTDIR)$(testdir)/include
-	$(INSTALL_DATA) $(srcdir)/include/*.test $(DESTDIR)$(testdir)/include
-	$(INSTALL_DATA) $(srcdir)/std_data/*.dat $(DESTDIR)$(testdir)/std_data
-	$(INSTALL_DATA) $(srcdir)/std_data/*.*001 $(DESTDIR)$(testdir)/std_data
-	$(INSTALL_DATA) $(srcdir)/std_data/*.cnf $(DESTDIR)$(testdir)/std_data
-	$(INSTALL_DATA) $(srcdir)/std_data/des_key_file $(DESTDIR)$(testdir)/std_data
-	$(INSTALL_DATA) $(srcdir)/std_data/Moscow_leap $(DESTDIR)$(testdir)/std_data
-	$(INSTALL_DATA) $(srcdir)/std_data/Index.xml $(DESTDIR)$(testdir)/std_data
-	$(INSTALL_DATA) $(srcdir)/std_data/*.pem $(DESTDIR)$(testdir)/std_data
-	$(INSTALL_DATA) $(srcdir)/std_data/*.frm $(DESTDIR)$(testdir)/std_data
-	$(INSTALL_DATA) $(srcdir)/std_data/*.MY* $(DESTDIR)$(testdir)/std_data
-	$(INSTALL_DATA) $(srcdir)/std_data/*.cnf $(DESTDIR)$(testdir)/std_data
-	$(INSTALL_DATA) $(srcdir)/std_data/parts/part_* $(DESTDIR)$(testdir)/std_data/parts
-	$(INSTALL_DATA) $(srcdir)/lib/*.pl $(DESTDIR)$(testdir)/lib
-	$(INSTALL_DATA) $(srcdir)/lib/My/*.pm $(DESTDIR)$(testdir)/lib/My
-	for f in `(cd $(srcdir); find suite -type f | egrep -v 'SCCS|row_lock')`; \
-	do \
-	  d=$(DESTDIR)$(testdir)/`dirname $$f`; \
-	  mkdir -p $$d ; \
-	  $(INSTALL_DATA) $(srcdir)/$$f $$d ; \
-	done
-
-uninstall-local:
-	@RM@ -f -r $(DESTDIR)$(testdir)
-
 # dtr - a shortcut for executing test-run.pl
 dtr:
 	$(RM) -f mtr dtr

=== modified file 'vio/Makefile.am'
--- vio/Makefile.am	2008-07-28 06:06:58 +0000
+++ vio/Makefile.am	2008-08-01 06:52:05 +0000
@@ -19,7 +19,8 @@
 
 noinst_LTLIBRARIES =    libviolt.la
 
-noinst_HEADERS =	vio_priv.h \
+vioincludedir = ${includedir}/vio
+dist_vioinclude_HEADERS =	vio_priv.h \
 			violite.h
 
 libviolt_la_SOURCES =	vio.c viosocket.c

